<?php 
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: createlink.php,v 1.1.1.1.2.7 2003/10/14 16:53:29 balu Exp $
define('CPO', true);
if (file_exists("../../_cfg/const.php")) require("../../_cfg/const.php");
else require("../../_cfg/const.php.dist");

    require(CPO_BASEDIR."_include/check.php");
    require(CPO_BASEDIR."_include/category.inc.php");
?>
<html>
<head>
<title><?php print($LPE_ALT_Create_Link); ?></title>
<link rel=stylesheet type="text/css" href="../../_skin/<?php echo $cpoSkin ?>/style_cpo.css">
<script type="text/javascript"><!--
// this file has to call window.opener.createLink(tag)
// tag has to be the complete opening <a>-tag
function ok(){
    tag = '<a';
    tag += ' href="'+attributeHref.value+'"'; 
    tag += ' target="'+attributeTarget.value+'"';
    tag += '>';
    window.opener.encloseSelection(tag, '</a>');
    window.close();
    return;
}

//--> </script>
</head>

<body class="text" bgcolor="<?php print($color_tbg_dunkel); ?>">


<table border="0" cellpadding="2" cellspacing="2">
    </tr>
        <td align="right" valign="middle"><?php print($LP_Rubric); ?>:</td>
        <td align="left" colspan="4" valign="middle">
            <SELECT id="rubric" onChange="attributeHref.value = this.value; this.selectedIndex = 0;">
	            <OPTION selected>
                <?php
                    require(CPO_BASEDIR."_include/category.inc.php");

                    for ($i=0; $i<=$counter; $i++) {
                        printf('<option value="%s%s/">%s</option>', 
                            $System_base_url,
                            $dir_group[$i],
                            rubrikname($dir_group[$i]));
                    }
                ?>
            </SELECT><br>
        </td>    
    </tr>
    <tr>
        <td align="right" valign="middle"><?php print($LP_Linkart); ?>:</td>
        <td align="left" colspan="4" valign="middle">
            <SELECT id="rubric" onChange="attributeHref.value = this.value; this.selectedIndex = 0;">
                <option selected></option>
                <option value="http://" >http://</option>
                <option value="mailto:">mailto:</option>
            </SELECT><br>
        </td>    
    </tr>
    <tr>
        <td align="right" valign="middle"><?php print($LPE_Hyperlink); ?>:</td>
        <td align="left" colspan="4" valign="middle"><input class="i36" size="50" type="text" value="" name="attributeHref"><br></td>
    <tr>
    </tr>
        <td align="right" valign="middle"><?php print($LP_Target); ?>:</td>
        <td align="left" colspan="4" valign="middle">
            <SELECT id="attributeTarget">
	            <OPTION selected>
            	<OPTION value="_blank"><?php print($LP_TaBlank); ?>
	            <OPTION value="_self"><?php print($LP_TaSelf); ?>
	            <OPTION value="_parent"><?php print($LP_TaParent); ?>
                <OPTION value="_top"><?php print($LP_TaTop); ?>
            </SELECT><br>
        </td>    
    </tr>
    <tr>
        <td colspan="5" align="right" valign="middle">
            <input type="button" value="<?php print($LPE_OK); ?>" onClick="ok();" class="i0"> 
            <input type="button" value="<?php print($LPE_Reset); ?>" onClick="window.close()" class="i0"> 
        </td>
    </tr>
</table>
</body>
</html>
