<?php 
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: insertimage.php,v 1.1.1.1.2.7 2003/10/28 09:46:09 balu Exp $
define('CPO', true);
if (file_exists("../../_cfg/const.php")) require("../../_cfg/const.php");
else require("../../_cfg/const.php.dist");

require(CPO_BASEDIR."_include/check.php");

?>
<html>
<head><title><?php echo $LPE_BSEditImage ?></title>
    <link rel=stylesheet type="text/css" href="../../_skin/<?php echo $cpoSkin ?>/style_cpo.css">

    <script type="text/javascript"><!--
    function ok(){
        imgtag = '<img';
        imgtag += ' src="'+imgAttributeSrc.value+'"'; 
        imgtag += ' alt="'+imgAttributeAlt.value+'"';
        imgtag += ' align="'+imgAttributeAlign.value+'"';
        imgtag += ' vspace="'+imgAttributeVspace.value+'"';
        imgtag += ' hspace="'+imgAttributeHspace.value+'"';
        if (imgAttributeWidth.value>0)
            imgtag += ' width="'+imgAttributeWidth.value+'"';
        if (imgAttributeHeight.value>0)
            imgtag += ' height="'+imgAttributeHeight.value+'"';
        imgtag += ' border="'+imgAttributeBorder.value+'"';
        imgtag += '>';
        window.opener.encloseSelection(imgtag);
        window.close();
        return;
    }

    function imagePreview()
    {
        imginfo = image.value.split('#cpo#');
        if (image.value=="") {
            // display empty image
            preview.src    = "images/transparent.gif";
            imgAttributeSrc.value = '';
            preview.width  = 220;
            preview.height = 150;
            imgAttributeAlt.value    = "";
            imgAttributeHeight.value = "";
            imgAttributeWidth.value  = "";
        } else {
            // update preview image and maintain width/height ratio
            imgAttributeSrc.value = "../_data/"+imginfo[0];
            preview.src = "../../_data/"+imginfo[0];
            imgAttributeAlt.value    = imginfo[1];
            imgAttributeWidth.value  = imginfo[2];
            imgAttributeHeight.value = imginfo[3];

            percent = (100/imginfo[2]*220)
            if ((100/imginfo[3]*150) < percent)
                percent = (100/imginfo[3]*150)

            if ((imginfo[2] < 220) && (imginfo[3] < 150))
                percent = 100;

            preview.width  = imginfo[2]*percent/100;
            preview.height = imginfo[3]*percent/100;
        }
    }
    //--> </script>
</head>


<body class="text" bgcolor="<?php print($color_tbg_dunkel); ?>">

<?php print($LPE_BSPicSelect); ?><br>
<br>

<table border="0" cellpadding="2" cellspacing="2">
    <tr>
        <td align="right" valign="middle"><b><?php echo $LPE_BSimageChoose ?>:</b></td>
        <td align="left" colspan="4" valign="middle">
            <select class="i0pre" name="image" onChange="imagePreview();">
            <option value=""><?php echo $LPE_BSimageChoose2 ?></option>
            <?php
            $query = "SELECT datei, alttext, id, beschreibung "
                    ."FROM ".$dbPrefix."_data "
                    ."WHERE ( kategorie = '".$directory."' OR kategorie = '#ALL#' ) AND format = 'IMG' ORDER BY datei";
            DEBUG(2, $query, __FILE__, __LINE__);
            $db = new DB;
            $db->query($query);
            if ($db->num_rows()>0) {
    
                while($db->next_record()):
                    $tmp = array('', '', '', '');
                    if (file_exists(CPO_BASEDIR.'_data/'.$db->v("datei"))) {
                        $tmp = getimagesize(CPO_BASEDIR.'_data/'.$db->v("datei"));
                    } 
                    echo '<option value="'.$db->v('datei').'#cpo#'.$db->v('alttext').'#cpo#'.$tmp[0].'#cpo#'.$tmp[1].'">';
    
                    if ( $db->v("id") != '' ) {
                        $id = "####".$db->v("id");
                        $id = substr($id, -4);
                        $id = ereg_replace ( "#", "&nbsp;", $id);

                        echo $id.") ";
                    }

                    if ( $db->v("beschreibung") != '' ) {
                        $k_beschreibung = $db->v("beschreibung")."##############################";
                        $k_beschreibung = substr($k_beschreibung, 0, 25);
                        $k_beschreibung = ereg_replace ( "#", "&nbsp;", $k_beschreibung);

                        echo $k_beschreibung." ";
                    }

                    if ( $db->v("datei") != '' ) {
                        $k_datei = $db->v("datei");
                        $k_datei = substr($k_datei, 0, 30);
                        echo "[".$k_datei."]";
                    }

                    echo "</option>\n";
    
                endwhile;
            }
            ?>
            </select>
        </td>
    </tr>
    <tr>
        <td align="right" valign="middle"><?php echo $LPE_BSTalbe_align ?>:</td>
        <td align="left" colspan="4" valign="middle">
            <SELECT class="i" id="imgAttributeAlign">
	            <OPTION selected>
	            <OPTION value="top"><?php echo $LPE_BSTalbe_top ?>
	            <OPTION value="middle"><?php echo $LPE_BSTalbe_center ?>
	            <OPTION value="bottom"><?php echo $LPE_BSTalbe_bottom ?>
	            <OPTION value="left"><?php echo $LPE_BSTalbe_left ?>
	            <OPTION value="right"><?php echo $LPE_BSTalbe_right ?>
            </SELECT>
            <input class="i0" size="50" type="hidden" value="" name="imgAttributeSrc">
        </td>
    </tr>
    <tr>
        <td align="right" valign="middle"><?php echo $LPE_PicAltText ?>:</td>
        <td align="left" colspan="4" valign="middle"><input class="i0" size="50" type="text" value="" name="imgAttributeAlt"></td>
    </tr>
    <tr>
        <td align="right" valign="middle"><?php echo $LPE_BSTalbe_border ?>:</td>
        <td align="left" colspan="4" valign="middle"><input class="i0" size="4" type="text" value="" name="imgAttributeBorder"></td>
    </tr>
    <tr>
        <td align="right" valign="middle"><?php echo $LPE_Pic_vSpace ?>:</td> 
        <td align="left" valign="middle"><input class="i0" size="4" type="text" value="" name="imgAttributeVspace"></td>
        <td><br></td>
        <td align="right" valign="middle"><?php echo $LPE_Pic_hSpace ?>:</td>
        <td align="left" valign="middle"><input class="i0" size="4" type="text" value="" name="imgAttributeHspace"></td>
    </tr>
    <tr>
        <td align="right" valign="middle"><?php echo $LPE_BSTalbe_width ?>:</td>
        <td align="left" valign="middle"><input class="i0" size="4" type="text" value="" name="imgAttributeWidth"></td>
        <td><br></td>
        <td align="right" valign="middle"><?php echo $LPE_BSTalbe_height ?>:</td>
        <td align="left" valign="middle"><input class="i0" size="4" type="text" value="" name="imgAttributeHeight"></td>
    </tr>
    <tr>
        <td colspan="5" align="right" valign="middle">
            <input type="button" value="<?php print($LPE_OK); ?>" onClick="ok(true);" class="i0"> 
            <input type="button" value="<?php print($LPE_Reset); ?>" onClick="window.close()" class="i0">
        </td>
    </tr>
</table>

<br>

<table align="center" cellspacing="0" cellpadding="0" border="0" width="100%"><tr><td align="center" class="text">
    <?php echo $LPE_BSimagePreview ?>:<br>
    <br>
    <div align="center"><img name="preview" src="images/transparent.gif" width="220" height="150" alt=""></div>
</td></tr></table>
<br>
<script language="javascript">image.focus();</script>

</body>
</html>
