<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: modifytable.php,v 1.1.1.1.2.6 2003/10/14 16:53:29 balu Exp $
define('CPO', true); 
if (file_exists("../../_cfg/const.php")) require("../../_cfg/const.php");
else require("../../_cfg/const.php.dist");

    require(CPO_BASEDIR."_include/check.php");
?>
<html>
<head>
<title><?php print($LPE_ALT_edit_table); ?></title>
<link rel=stylesheet type="text/css" href="../../_skin/<?php echo $cpoSkin ?>/style_cpo.css">
<!-- // vim: set expandtab tabstop=4 shiftwidth=4 nowrap: -->
<script type="text/javascript"><!--
var attributeList = new Array("cellSpacing", "cellPadding", "width", "height", "border", "align", "borderColor", "bgColor", "borderColorLight", "borderColorDark");
var elementTag = 'table';
var whichColor = '';

function init()
{
    var data = window.opener.getElementAttributes(elementTag, attributeList);
    for (i=0; i<attributeList.length; i++) {
        eval(attributeList[i]+'.value = data[attributeList['+i+']];');
    }
}

function ok(closeWindow)
{
    var data = new Array();
    for (i=0; i<attributeList.length; i++) {
        eval('data["'+attributeList[i]+'"] = '+attributeList[i]+'.value;');
    }

    window.opener.setElementAttributes(elementTag, data);
    if (closeWindow) window.close();
    return;
}

function openDialog(URL, name, width, height, parameters)
{
    // set some defaults if not given
    if (!name)   name   = '';
    if (!width)  width  = screen.width/2;
    if (!height) height = screen.height/2;
    if (!parameters) parameters = 'scrollbars=no, resizable=yes';

    xOffset = (screen.width  - width)/2;
    yOffset = (screen.height - height)/2;

    newwindow = window.open(URL, name, 'width='+width+', height='+height+', top='+yOffset+', left='+xOffset+', '+parameters);
    return newwindow;
}

function pickedColor(color)
{
    if (!color) return;
    eval(whichColor+'.value="'+color+'";');
}
function getPickedColor()
{
    return eval(whichColor+'.value;');
}
//--> </script>

</head>


<body class="text" onLoad="init();" bgcolor="<?php print($color_tbg_dunkel); ?>">

<?php print($LPE_BSTalbeAtt); ?><br>
<br>

<table border="0" cellpadding="2" cellspacing="2">
    <tr>
        <td align="right" valign="middle"><?php print($LPE_BSTalbe_cellspacing); ?>:</td>
        <td align="left" valign="middle"><input class="i0" type="text" name="cellSpacing" size="2"><br></td>
        <td><br></td>
        <td align="right" valign="middle"><?php print($LPE_BSTalbe_cellpadding); ?>:</td> 
        <td align="left" valign="middle"><input class="i0" type="text" name="cellPadding" size="2"><br></td>
    </tr>
    <tr>
        <td align="right" valign="middle"><?php print($LPE_BSTalbe_width); ?>:</td>
        <td align="left" valign="middle"><input class="i0" type="text" name="width" size="7"><br></td>
        <td><br></td>
        <td align="right" valign="middle"><?php print($LPE_BSTalbe_height); ?>:</td>  
        <td align="left" valign="middle"><input class="i0" type="text" name="height" size="7"><br></td>
    </tr>
    <tr>
        <td align="right" valign="middle"><?php print($LPE_BSTalbe_border); ?>:</td> 
        <td align="left" valign="middle"><input class="i0" type="text" name="border" size="2" value="1"><br></td>
        <td><br></td>
        <td align="right" valign="middle"><?php print($LPE_BSTalbe_align); ?>:</td>
        <td align="left" valign="middle"><select class="i" name="align">
            <option value="" selected> </option>
            <option value="left"><?php print($LPE_BSTalbe_left); ?></option>
            <option value="center"><?php print($LPE_BSTalbe_center); ?></option>
            <option value="right"><?php print($LPE_BSTalbe_right); ?></option>
        </select><br></td>
    </tr>
    <tr>
        <td align="right" valign="middle"><a href="#" onClick="whichColor='borderColor'; openDialog('colorpicker.php')"><?php print($LPE_BSTalbe_bordercolor); ?></a>:</td>      
        <td align="left" valign="middle"><input class="i0" type="text" name="borderColor" size="7"><br></td>
        <td><br></td>
        <td align="right" valign="middle"><a href="#" onClick="whichColor='bgColor'; openDialog('colorpicker.php')"><?php print($LPE_BSTalbe_bgcolor); ?></a>:</td>          
        <td align="left" valign="middle"><input class="i0" type="text" name="bgColor" size="7"><br></td>
    </tr>
    <tr>
        <td align="right" valign="middle"><a href="#" onClick="whichColor='borderColorLight'; openDialog('colorpicker.php')"><?php print($LPE_BSTalbe_borderlight); ?></a>:</td> 
        <td align="left" valign="middle"><input class="i0" type="text" name="borderColorLight" size="7"><br></td>
        <td><br></td>
        <td align="right" valign="middle"><a href="#" onClick="whichColor='borderColorDark'; openDialog('colorpicker.php')"><?php print($LPE_BSTalbe_borderdark); ?></a>:</td>  
        <td align="left" valign="middle"><input class="i0" type="text" name="borderColorDark" size="7"><br></td>
    </tr>
    <tr>
        <td colspan="5" align="right" valign="middle">
            <input type="button" value="<?php print($LPE_OK); ?>" onClick="ok(true);" class="i0"> 
            <input type="button" value="<?php print($LPE_Apply); ?>" onClick="ok(false);" class="i0"> 
            <input type="button" value="<?php print($LPE_Reset); ?>" onClick="window.close()" class="i0"> 
        </td>
    </tr>
</table>

</body>
</html>
