<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: help.php,v 1.1.1.1.2.9 2003/10/14 16:53:29 balu Exp $
define('CPO', true);
if (file_exists("../_cfg/const.php")) require("../_cfg/const.php");
else require("../_cfg/const.php.dist");

    if ( file_exists(CPO_BASEDIR."_include/lang/help/help_".$language.".php" )) {
        require(CPO_BASEDIR."_include/lang/help/help_".$language.".php");
    } else {
        require(CPO_BASEDIR."_include/lang/help/help_english.php");
    }

    if ( $help[$id][0] ) {
        // OK
    } else {
        $help[$id][0] = $LP_helpAssistanceText_0;
    }
    
    if ( $help[$id][1] ) {
        // OK
    } else {
        $help[$id][1] = $LP_helpAssistanceText_1;
    }

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
        
<html>
    <head>
        <TITLE><?php echo $LP_Help." [".$id."] - ".$title ?></TITLE>
        <META HTTP-EQUIV="pragma"   CONTENT="no-cache">
        
        <link rel=stylesheet type="text/css" href="../_skin/<?php echo $cpoSkin ?>/style_cpo.css">
</head>

<body class="text" onLoad="self.focus();">
<!-- <body class="text" onBlur="self.focus()"> -->

<table width="100%" cellpadding="0" cellspacing="0" border="0">
<tr>
	<td align="left" class="text"><a href="javascript:window.close();">[X] <?php echo $LP_R_CloseWindow  ?></a></td>
	<td align="right" class="grey"><?php echo "[".$id."]"  ?></td>
</tr>
</table>
<hr>
<br>
<span class="text">
<b><?php echo $help[$id][0]; ?></b><br>
<br>
<?php echo $help[$id][1]; ?><br>
</span>
<br>
</body>
</html>
