<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: member.php,v 1.1.1.1.2.10 2003/10/28 09:46:09 balu Exp $
define('CPO', true);
if (file_exists("../_cfg/const.php")) require("../_cfg/const.php"); 
else require("../_cfg/const.php.dist");

    $zugang = 0;

    $datum = time();
    
    $c_datum = date ("Y-m-d H:i:s" ,time());
    $t_datum = date ("YmdHis" ,time());

    require(CPO_BASEDIR."_include/check.php");

    // FIXME What is that ereg_replace doing here?
    if ( $new == 1 && $edit_usergroup != '' && ereg_replace(" ", "", $edit_usergroup) != '' ) {

        $edit_usergroup = ereg_replace (" ", "_", $edit_usergroup);
        $edit_usergroup = strip_umlaute($edit_usergroup);

        $query = "SELECT COUNT(*) FROM ".$dbPrefix."_usergroups WHERE usergroup = '".$edit_usergroup."' ";
        DEBUG(1, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);
        $db->next_record();
    
        if ($db->v('COUNT(*)')>0) { 
            $message = $LP_MC_MessageFalse;
        } else {
            $query = "INSERT INTO ".$dbPrefix."_usergroups VALUES ('', '".$edit_usergroup."', '".$edit_description."', '".$t_datum."', '".$c_datum."', '".$_SESSION['SID_login']."')";
            DEBUG(1, $query, __FILE__, __LINE__);   
            $db->query($query);
        }
        fkt_log($_SESSION['SID_login'], $LOG_MC_Add, "<b>".$edit_usergroup."</b>");
        $message = $LP_MC_MsgNew;
    }

    
    if ( $change == 1 ) {

        $usergroup_new = ereg_replace (" ", "_", $usergroup_new);
        $usergroup_new = strip_umlaute($usergroup_new);

        $query = "SELECT COUNT(*) FROM ".$dbPrefix."_usergroups "
                 ."WHERE usergroup = '".$usergroup_new."' AND usergroup != '".$usergroup_old."' ";
        DEBUG(1, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);
        $db->next_record();
    
        if ($db->v('COUNT(*)')>0) { 
            $message = $LP_MC_MessageFalse;
        } else {
            $query = "UPDATE ".$dbPrefix."_usergroups SET usergroup = '".$usergroup_new."', description = '".$description_new."' WHERE usergroup = '".$usergroup_old."'";
            DEBUG(1, $query, __FILE__, __LINE__);   
            $db->query($query);
    
            $query = "UPDATE ".$dbPrefix."_rubric_permission SET usergroup = '".$usergroup_new."' WHERE usergroup = '".$usergroup_old."'";
            DEBUG(1, $query, __FILE__, __LINE__);   
            $db->query($query);
    
            $query = "UPDATE ".$dbPrefix."_user SET usergroup = '".$usergroup_new."' WHERE usergroup = '".$usergroup_old."'";
            DEBUG(1, $query, __FILE__, __LINE__);   
            $db->query($query);
    
            fkt_log($_SESSION['SID_login'], $LOG_MC_Change, "<b><STRIKE>".$usergroup_old." &raquo; ".$usergroup_new."</STRIKE></b>");
            $message = $LP_MC_MsgChange;
        }
    }

    if ( $del == 1 ) {
        $query = "DELETE FROM ".$dbPrefix."_usergroups WHERE id=\"".$id."\"";
        DEBUG(1, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);

        $query = "DELETE FROM ".$dbPrefix."_rubric_permission WHERE usergroup =\"".$usergroup."\"";
        DEBUG(1, $query, __FILE__, __LINE__);   
        $db->query($query);

        $query = "UPDATE ".$dbPrefix."_user SET usergroup = '' WHERE usergroup = '".$usergroup."'";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db->query($query);

        fkt_log($_SESSION['SID_login'], $LOG_MC_Del, "<b><STRIKE>".$usergroup."</STRIKE></b>");
        $message = $LP_MC_MsgDel;
    }

    require(CPO_BASEDIR."_include/header.php");

    echo "<div class=\"text\">";
    echo "<table width=\"".$WIDTH."\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n";
    echo "<tr>\n";
    echo "<td class=\"header\">\n";
    echo "<b>".$LP_HMembergroups."</b>\n";
    echo "</td>\n";
    echo "</tr>\n";
    echo "<tr>\n";
    echo "<td class=\"text\"><br>\n";
    echo $LP_PMemberCategory_Text."<br><br>\n";
    echo "</td>\n";
    echo "</tr>\n";
    echo "</table>\n";

    if ( $message != '' ) {
        require(CPO_BASEDIR."_include/message.php");
    }

    
?>
        
<br>


<table width="<?php echo $WIDTH ?>" border="0" cellpadding="3" cellspacing="2">
    <tr>
        <td colspan="2" bgcolor="<?php echo $color_tbg_dunkel; ?>" align="left" valign="middle" class="text">
            <b><?php echo $LP_PMemberCategory; ?></b>
        </td>
    </tr>
    <tr>
        <td width="15%" bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
            &nbsp;
        </td>
        <td width="85%" bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
<?PHP    
    $query = "SELECT id, usergroup, description FROM ".$dbPrefix."_usergroups ORDER BY usergroup";
    DEBUG(1, $query, __FILE__, __LINE__);   
    $db = new DB;
    $db->query($query);

    if ($db->num_rows()<=0) { 
        echo $LP_MC_NoCategory."<br>";
    } else {
        echo "<table border=\"0\" cellpadding=\"1\" cellspacing=\"1\">";
        echo "<tr><td colspan=\"5\" align=\"right\" valign=\"middle\" class=\"text\">";
        help("UG001");
        echo "</td></tr>";
        while($db->next_record()):

            $id          = $db->v("id");
            $usergroup   = $db->v("usergroup");
            $description = $db->v("description");

            echo "<tr>";
            echo "<td nowrap align=\"left\" valign=\"middle\" class=\"text\">".$usergroup."</td>";
            echo "<td width=\"10\" align=\"right\" valign=\"middle\" class=\"text\">&nbsp;</td>";
            echo "<td nowrap align=\"left\" valign=\"middle\" class=\"text\">".$description."</td>";
            echo "<td width=\"25\" align=\"right\" valign=\"middle\" class=\"text\">&nbsp;";
            echo "</td>";
            echo "<td align=\"right\" valign=\"middle\" class=\"text\">";
            echo "<A HREF=\"member.php?del=1&id=".$id."&usergroup=".$usergroup."\" onClick=\"return confirm('".$LP_MC_DeleteMsg_1." [".$usergroup."] ".$LP_MC_DeleteMsg_2."')\">".$LP_MC_Del."</A> | \n";
            echo "<A HREF=\"member.php?action=change&id=".$id."&usergroup_change=".$usergroup."&description_change=".$description."\">".$LP_MC_Change."</A><br>\n";
            echo "</td><td width=\"12\" nowrap align=\"left\" valign=\"middle\" class=\"text\">&nbsp;</td></tr>\n";

        endwhile;
        echo "</table>";
    }
?>
        </td>
    </tr>
<?PHP 
    if ( $action != 'change' ) {
?>
    <tr>
        <td colspan="2" height="20" align="left" valign="middle" class="text">
            <FORM METHOD="POST" ACTION="member.php" name="newsentry">
            <input type="hidden" name="new" value="1">
        </td>
    </tr>
    <tr>
        <td colspan="2" bgcolor="<?php echo $color_tbg_dunkel; ?>" align="left" valign="middle" class="text">
            <b><?php echo $LP_PMemberCategory; ?></b>
        </td>
    </tr>
    <tr>
        <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
            <?php echo $LP_MC_Category; ?>:
        </td>
        <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
            <table border="0" cellpadding="0" cellspacing="0"><tr><td>
                <input type="text" name="edit_usergroup" value="<?php echo $edit_usergroup ?>" size="35" maxlength="25" class="i30"> 
            </td><td>
                <?PHP help("UG002"); ?>
            </td></tr></table>
        </td>
    </tr>
    <tr>
        <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
            <?php echo $LP_MC_Desc; ?>:
        </td>
        <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
            <table border="0" cellpadding="0" cellspacing="0"><tr><td>
                <input type="text" name="edit_description" value="<?php echo $edit_description ?>" size="35" maxlength="50" class="i30"> 
            </td><td>
                <?PHP help("UG002a"); ?>
            </td></tr></table>
        </td>
    </tr>
    <tr>
        <td height="27" align="left" valign="middle" class="text">
        </td>
        <td align="left" valign="middle" class="text">
            <INPUT class="i" TYPE="SUBMIT" VALUE="<?php echo $LP_MC_save; ?>">
        </td>
    </tr>
<?PHP 
    } else {
?>
    <tr>
        <td colspan="2" height="20" align="left" valign="middle" class="text">
            <FORM METHOD="POST" ACTION="member.php" name="newsentry">
            <input type="hidden" name="change" value="1">
            <input type="hidden" name="usergroup_old" value="<?php echo $usergroup_change ?>">
        </td>
    </tr>
    <tr>
        <td colspan="2" bgcolor="<?php echo $color_tbg_dunkel; ?>" align="left" valign="middle" class="text">
            <b><?php echo $LP_PMemberCategory; ?></b>
        </td>
    </tr>
    <tr>
        <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
            <?php echo $LP_MC_Category; ?>:
        </td>
        <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
            <input type="text" name="usergroup_new" value="<?php echo $usergroup_change ?>" size="35" maxlength="25" class="i30"> 
            <?PHP help("UG003"); ?>
        </td>
    </tr>
    <tr>
        <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
            <?php echo $LP_MC_Desc; ?>:
        </td>
        <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
            <input type="text" name="description_new" value="<?php echo $description_change ?>" size="35" maxlength="25" class="i30"> 
            <?PHP help("UG003a"); ?>
        </td>
    </tr>
    <tr>
        <td height="27" align="left" valign="middle" class="text">
        </td>
        <td align="left" valign="middle" class="text">
            <INPUT class="i" TYPE="SUBMIT" VALUE="<?php echo $LP_MC_Change; ?>">
        </td>
    </tr>
<?PHP 
    }
?>
</table>
</FORM>
<?php
    require(CPO_BASEDIR."_include/footer.php");
?>
