<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: preference.php,v 1.1.1.1.2.8 2003/10/28 09:46:09 balu Exp $
define('CPO', true);
if (file_exists("../_cfg/const.php")) require("../_cfg/const.php"); 
else require("../_cfg/const.php.dist");

    $zugang = 0;

    require(CPO_BASEDIR."_include/check.php");
    require(CPO_BASEDIR."_include/header.php");

    echo "<div class=\"text\">";
    echo "<table width=\"".$WIDTH."\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n";
    echo "<tr>\n";
    echo "<td class=\"header\">\n";
    echo "<b>".$LP_SystemPreference."</b>\n";
    echo "</td>\n";
    echo "</tr>\n";
    echo "<tr>\n";
    echo "<td class=\"text\"><br>\n";
    echo $LP_SystemPreferenceText."<br><br>\n";
    echo "</td>\n";
    echo "</tr>\n";
    echo "</table>\n";

    $lkey64 = base64_decode($lkey);
    $a = explode("#",$lkey64);
    
    $name  = $a[0];

    $name2 = base64_decode($System_lkey);

    if ( $name2 == '' ) {
        $name2 = 'no_user';
    }

    if ( isset($go) ) {

        if ( $name == '' ) { 
            $name = 'no_name';
        }

        $c_datum = date ("Y-m-d H:i:s" ,time());
        $t_datum = date ("YmdHis" ,time());

        $base_target = ereg_replace ( ",", " ",  $base_target);
        $base_target = ereg_replace ( ";", " ",  $base_target);
        $base_target = ereg_replace ( "\.", " ", $base_target);

        while ( eregi("  ", $base_target) ):
            // FIXME is this a debug echo? What is happening here anyway?
            echo "_".$base_target."_";
            $base_target = ereg_replace ( "  ", " ", $base_target);
        endwhile;


        if ( substr($base_url, -1) != '/' ) {
            $base_url .= '/';
        }

        if ( $name == $owner && substr($version_nr, 0, 1) == substr($a[2], 0, 1) ) {
            $licence_text = "<b>".$LP_LBusinessLicence." ".$owner."</b>";
            $business_licence = 1;
        } else {
            $licence_text = "<font color=\"".$color_orange."\"><b>".$LP_LFreeLicence."</b></font>";
            $business_licence = 0;
            $owner = "";
            $lkey = "";
        }

        $query = "REPLACE INTO ".$dbPrefix."_option ( id, project, release, release_email, system_email, admin_email, timeout, max_image, max_file, article_width, language, base_url, lkey, owner, send_pw, help, startnews, ipcheck, target, timestamp, c_time, changer ) VALUES (\"1\", \"".$project."\", \"".$release."\", \"".$release_email."\", \"".$system_email."\", \"".$admin_email."\", \"".$timeout."\", \"".$max_image."\", \"".$max_file."\", \"".$article_width."\", \"".$language."\", \"".$base_url."\", \"".$lkey."\", \"".$owner."\", \"".$send_pw."\", \"".$help."\", \"".$startnews."\", \"".$ipcheck."\", \"".$base_target."\", \"".$timestamp."\", \"".$c_datum."\", \"".$_SESSION['SID_login']."\")";
        DEBUG(1, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query); 

        fkt_log($_SESSION['SID_login'], $LOG_System, "");

        if ( $lizence != '' ) {
            $message = $LP_LicenceDataUpdate;
            require(CPO_BASEDIR."_include/message.php");
        } else {
            $message = $LP_SystemDataUpdate;
            require(CPO_BASEDIR."_include/message.php");
        }

        $project        = ereg_replace ( '\\\"', '&quot;', $project );
        $lkey           = ereg_replace ( '\\\"', '&quot;', $lkey );
        $owner          = ereg_replace ( '\\\"', '&quot;', $owner );
        $system_email   = ereg_replace ( '\\\"', '&quot;', $system_email );
        $admin_email    = ereg_replace ( '\\\"', '&quot;', $admin_email );
        $timeout        = ereg_replace ( '\\\"', '&quot;', $timeout );
        $max_image      = ereg_replace ( '\\\"', '&quot;', $max_image );
        $max_file       = ereg_replace ( '\\\"', '&quot;', $max_file );
        $article_width  = ereg_replace ( '\\\"', '&quot;', $article_width );
        $base_url       = ereg_replace ( '\\\"', '&quot;', $base_url );
        $base_target    = ereg_replace ( '\\\"', '&quot;', $base_target );
        
    } else {

        $query = "SELECT project, release, release_email, system_email, admin_email, timeout, max_image, max_file, article_width, language, base_url, lkey, owner, send_pw, help, startnews, ipcheck, target "
                ."FROM ".$dbPrefix."_option WHERE id != ''";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);

        $projekt        = 'ConPresso';
        $release        = 0;
        $release_email  = 0;
        $system_email   = 'MAILER@example.com';
        $admin_email    = 'ADMIN@example.com';
        $timeout        = '1440';
        $max_image      = '153600';
        $max_file       = '2048000';
        $article_width  = '100%';
        $language       = 'deutsch';
        $base_url       = 'http://www.example.com/conpresso/';
        $lkey           = 'RnJlZSBQdWJsaWMgTGljZW5jZSNmcmVlIzMuNC4wI05vUmVzZWxsZXI=';
        $owner          = 'Free Public Licence';
        $send_pw        = 0;
        $help           = 0;
        $startnews      = 1;
        $ipcheck        = 1;
        $base_target    = 1;

        if ($db->num_rows()>0) { 
            $db->next_record();
            $project        = $db->v("project");
            $release        = $db->v("release");
            $release_email  = $db->v("release_email");
            $system_email   = $db->v("system_email");
            $admin_email    = $db->v("admin_email");
            $timeout        = $db->v("timeout");
            $max_image      = $db->v("max_image");
            $max_file       = $db->v("max_file");
            $article_width  = $db->v("article_width");
            $language       = $db->v("language");
            $base_url       = $db->v("base_url");
            $lkey           = $db->v("lkey");
            $owner          = $db->v("owner");
            $send_pw        = $db->v("send_pw");
            $help           = $db->v("help");
            $startnews      = $db->v("startnews");
            $ipcheck        = $db->v("ipcheck");
            $base_target    = $db->v("target");

            $lkey64 = base64_decode($lkey);
            $a = explode("#",$lkey64);
    
            $name  = $a[0];
            $name2 = base64_decode($System_lkey);

            if ( $name == '' ) {
                $name = 'no_user';
            }

            $name2        = $name;
            $System_owner = $owner;
        } 

        $licence_text = "<font color=\"".$color_orange."\"><b>".$LP_LFreeLicence."</b></font>";
        $business_licence = 0;
        if ( $name2 == $System_owner ) {
            $licence_text = "<b>".$LP_LBusinessLicence." ".$name2."</b>";
            $business_licence = 1;
        } 
        
        $project        = ereg_replace ( '\"', '&quot;', $project );
        $lkey           = ereg_replace ( '\"', '&quot;', $lkey );
        $owner          = ereg_replace ( '\"', '&quot;', $owner );
        $system_email   = ereg_replace ( '\"', '&quot;', $system_email );
        $admin_email    = ereg_replace ( '\"', '&quot;', $admin_email );
        $timeout        = ereg_replace ( '\"', '&quot;', $timeout );
        $max_image      = ereg_replace ( '\"', '&quot;', $max_image );
        $max_file       = ereg_replace ( '\"', '&quot;', $max_file );
        $article_width  = ereg_replace ( '\"', '&quot;', $article_width );
        $base_url       = ereg_replace ( '\"', '&quot;', $base_url );
        $base_target    = ereg_replace ( '\"', '&quot;', $base_target );
    }

?>
        
<br>
<FORM METHOD="POST" ACTION="preference.php" name="newsentry">
    <input type="Hidden" name="go" value="1">
    <input type="Hidden" name="timestamp" value="<?php echo $timestamp; ?>">
    <input type="Hidden" name="directory" value="<?php echo $directory; ?>">
    <table width="<?php echo $WIDTH ?>" border="0" cellpadding="3" cellspacing="2">
        <tr>
            <td colspan="2" bgcolor="<?php echo $color_tbg_dunkel; ?>" align="left" valign="middle" class="text">
                <b><?php echo $LP_Licence ?></b>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                &nbsp;
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <?PHP 
                    // FIXME This query does nothing? No $db->v() anywhere?
                    /*
                    $query = "SELECT <STERN> FROM ".$dbPrefix."_option WHERE id != ''";
                    DEBUG(2, $query, __FILE__, __LINE__);   
                    $db = new DB;
                    $db->query($query);
            
                    if ($db->num_rows()>0)
                    { 
                        while($db->next_record()):
                    */
                            $lkey64     = base64_decode($lkey);
                            $a          = explode("#",$lkey64);
                            $db_licence = $a[1];
                    /*
                        endwhile;
                    }
                    // echo "db_licence: ".$db_licence."<br>";
                    */
                 ?>

                <?PHP 
                    switch ($db_licence) {
                        case 'com':
                 ?>
                    <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
                        <b><?PHP echo $LP_LicenceCom ?></b> &nbsp;
                    </td><td align="left" valign="middle" class="text" class="text"><?PHP help("SE201a"); ?>&nbsp;</td>
                    </tr></table>
                <?PHP 
                        break;
                        case 'ncom':
                 ?>
                    <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
                        <b><?PHP echo $LP_LicenceNCom ?></b> &nbsp;
                    </td><td align="left" valign="middle" class="text" class="text"><?PHP help("SE201b"); ?>&nbsp;</td>
                    </td><td align="left" valign="middle" class="text" class="text">
                        <?PHP 
                            switch ($_SESSION['SID_language']) {
                                case 'deutsch':
                                    echo "&nbsp; <a href=\"http://www.conpresso.de/conpresso/de_buy-it/index.php\" target=\"_blank\">".$LP_BuyIt."!</a>";
                                    break;
                                case 'english':
                                    echo "&nbsp; <a href=\"http://www.conpresso.de/conpresso/en_buy-it/index.php\" target=\"_blank\">".$LP_BuyIt."!</a>";
                                    break;
                                default:
                                    echo "&nbsp; <a href=\"http://www.conpresso.de/conpresso/en_buy-it/index.php\" target=\"_blank\">".$LP_BuyIt."!</a>";
                            }
                        ?>
                    </td>
                    </tr></table>
                <?PHP 
                        break;
                        case 'trial':
                 ?>
                    <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
                        <b><?PHP echo "<font color=\"".$color_orange."\">".$LP_LicenceTrial."</font>" ?></b> &nbsp;
                    </td><td align="left" valign="middle" class="text" class="text"><?PHP help("SE201b"); ?>&nbsp;</td>
                    </td><td align="left" valign="middle" class="text" class="text">
                        <?PHP 
                            switch ($_SESSION['SID_language']) {
                                case 'deutsch':
                                    echo "&nbsp; <a href=\"http://www.conpresso.de/conpresso/de_register/index.php\" target=\"_blank\">".$LP_RegIt."!</a> &nbsp; &nbsp;";
                                    echo "&nbsp; <a href=\"http://www.conpresso.de/conpresso/de_buy-it/index.php\" target=\"_blank\">".$LP_BuyIt."!</a>";
                                    break;
                                case 'english':
                                    echo "&nbsp; <a href=\"http://www.conpresso.de/conpresso/en_register/index.php\" target=\"_blank\">".$LP_RegIt."!</a> &nbsp; &nbsp;";
                                    echo "&nbsp; <a href=\"http://www.conpresso.de/conpresso/en_buy-it/index.php\" target=\"_blank\">".$LP_BuyIt."!</a>";
                                    break;
                                default:
                                    echo "&nbsp; <a href=\"http://www.conpresso.de/conpresso/en_register/index.php\" target=\"_blank\">".$LP_RegIt."!</a> &nbsp; &nbsp;";
                                    echo "&nbsp; <a href=\"http://www.conpresso.de/conpresso/en_buy-it/index.php\" target=\"_blank\">".$LP_BuyIt."!</a>";
                            }
                        ?>
                    </td>
                    </tr></table>
                <?PHP 
                        break;
                        default:
                 ?>
                    <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
                        <b><?PHP echo "<font color=\"".$color_orange."\">".$LP_LicenceFree."</font>" ?></b> &nbsp;
                    </td><td align="left" valign="middle" class="text" class="text"><?PHP help("SE201c"); ?>&nbsp;</td>
                    </td><td align="left" valign="middle" class="text" class="text">
                        <?PHP 
                            switch ($_SESSION['SID_language']) {
                                case 'deutsch':
                                    echo "&nbsp; <a href=\"http://www.conpresso.de/conpresso/de_register/index.php\" target=\"_blank\">".$LP_RegIt."!</a> &nbsp; &nbsp;";
                                    echo "&nbsp; <a href=\"http://www.conpresso.de/conpresso/de_buy-it/index.php\" target=\"_blank\">".$LP_BuyIt."!</a>";
                                    break;
                                case 'english':
                                    echo "&nbsp; <a href=\"http://www.conpresso.de/conpresso/en_register/index.php\" target=\"_blank\">".$LP_RegIt."!</a> &nbsp; &nbsp;";
                                    echo "&nbsp; <a href=\"http://www.conpresso.de/conpresso/en_buy-it/index.php\" target=\"_blank\">".$LP_BuyIt."!</a>";
                                    break;
                                default:
                                    echo "&nbsp; <a href=\"http://www.conpresso.de/conpresso/en_register/index.php\" target=\"_blank\">".$LP_RegIt."!</a> &nbsp; &nbsp;";
                                    echo "&nbsp; <a href=\"http://www.conpresso.de/conpresso/en_buy-it/index.php\" target=\"_blank\">".$LP_BuyIt."!</a>";
                            }
                        ?>
                    </td>
                    </tr></table>
                <?PHP 
                    }
                 ?>

            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_PKeyOwner ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
                    <input type="text" name="owner" value="<?php echo $owner ?>" size="35" maxlength="255" class="i36">
                </td><td align="left" valign="middle" class="text" class="text"><?PHP help("SE101"); ?></td></tr></table>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_PKey ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
                    <input type="text" name="lkey" value="<?php echo $lkey ?>" size="35" maxlength="255" class="i36">
                </td><td align="left" valign="middle" class="text" class="text"><?PHP help("SE102"); ?></td></tr></table>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_PProdVersion ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <?php echo "<b>".$version_nr."</b>" ?> - 
                <?php 
                    switch ($_SESSION['SID_language']) {
                        case 'deutsch':
                            echo "<b><a target=\"_blank\" href=\"http://www.conpresso.de/conpresso/de_conpresso_version_".$version_grp."/index.php\">".$LP_PProdVersionCheck." &raquo;</a></b>";
                            break;
                        case 'english':
                            echo "<b><a target=\"_blank\" href=\"http://www.conpresso.de/conpresso/en_conpresso_version_".$version_grp."/index.php\">".$LP_PProdVersionCheck." &raquo;</a></b>";
                            break;
                        default:
                            echo "<b><a target=\"_blank\" href=\"http://www.conpresso.de/conpresso/en_conpresso_version_".$version_grp."/index.php\">".$LP_PProdVersionCheck." &raquo;</a></b>";
                    }
                ?> 
                   
                <?PHP help("SE104"); ?>
            </td>
        </tr>
        <tr>
            <td height="27" align="left" valign="middle" class="text">
                &nbsp;
            </td>
            <td align="left" valign="middle" class="text">
                <INPUT class="i" TYPE="SUBMIT" name="lizence" VALUE="<?php echo $LP_LSave ?>">
                <br>
                <br>
                <br>
            </td>
        </tr>
        <tr>
            <td colspan="2" bgcolor="<?php echo $color_tbg_dunkel; ?>" align="left" valign="middle" class="text">
                <b><?php echo $LP_Project ?></b>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_PProject ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
                    <input type="text" name="project" value="<?php echo $project ?>" size="35" maxlength="255" class="i36">
                </td><td align="left" valign="middle" class="text" class="text"><?PHP help("SE001"); ?></td></tr></table>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_PRelease ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <select name="release" size="1" class="i0">
				<option value="1" <?php if ( $release == 1 ) { echo "selected"; } ?>><?php echo $LP_PRelease1 ?></option>
				<option value="0" <?php if ( $release == 0 ) { echo "selected"; } ?>><?php echo $LP_PRelease0 ?></option>
                </select><?PHP help("SE002"); ?>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_PReleaseEmail ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <select name="release_email" size="1" class="i0">
				<option value="1" <?php if ( $release_email == 1 ) { echo "selected"; } ?>><?php echo $LP_PReleaseEmail1 ?></option>
				<option value="0" <?php if ( $release_email == 0 ) { echo "selected"; } ?>><?php echo $LP_PReleaseEmail0 ?></option>
                </select><?PHP help("SE003"); ?>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_PSystemEmail ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
                <input type="text" name="system_email" value="<?php echo $system_email ?>" size="35" maxlength="255" class="i36">  
                </td><td align="left" valign="middle" class="text"><?PHP help("SE004"); ?></td></tr></table>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_PAdminEmail ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
                <input type="text" name="admin_email" value="<?php echo $admin_email ?>" size="35" maxlength="255" class="i36">  
                </td><td align="left" valign="middle" class="text"><?PHP help("SE005"); ?></td></tr></table>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_Timeout ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
                <input type="text" name="timeout" value="<?php echo $timeout ?>" size="20" maxlength="5" class="i10">  
                </td><td align="left" valign="middle" class="text"><?PHP help("SE006"); ?></td></tr></table>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_MaxImage ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
                <input type="text" name="max_image" value="<?php echo $max_image ?>" size="20" maxlength="7" class="i10">  
                </td><td align="left" valign="middle" class="text"><?PHP help("SE006a"); ?>  (<?php echo $LP_ServerMax ?>: <?php echo get_cfg_var("upload_max_filesize"); ?><?php echo $LP_Byte ?>)</td></tr></table>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_MaxFile ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
                <input type="text" name="max_file" value="<?php echo $max_file ?>" size="20" maxlength="7" class="i10">  
                </td><td align="left" valign="middle" class="text"><?PHP help("SE006b"); ?> (<?php echo $LP_ServerMax ?>: <?php echo get_cfg_var("upload_max_filesize"); ?><?php echo $LP_Byte ?>)</td></tr></table>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_WidthArticle ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
                <input type="text" name="article_width" value="<?php echo $article_width ?>" size="20" maxlength="5" class="i10">  
                </td><td align="left" valign="middle" class="text"><?PHP help("SE007"); ?></td></tr></table>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_Language ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <select class="i0" name="language" size="1">
                    <?php
                        $d = dir(CPO_BASEDIR."_include/lang");
                        while($file=$d->read()) {
                            $rest = substr ($file, -4);
                            if ( $rest == '.php')
                            {
                                $language_file  = ereg_replace ( ".php", "", $file);
                                $language_name = ucfirst($language_file);

                                if ( $language_file != 'index' ) {
                                    echo "<option value=\"".$language_file."\"";
                                    if ( $language == $language_file ) 
                                    {
                                        echo " selected";
                                    }
                                    echo ">".$language_name."</option>\n";
                                }
                            }
                        }
                        $d->close();
                    ?>
                </select><?PHP help("SE008"); ?>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_PBase_URL ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
                <input type="text" name="base_url" value="<?php echo $base_url ?>" size="35" maxlength="255" class="i36">  
                </td><td align="left" valign="middle" class="text"><?PHP help("SE009"); ?></td></tr></table>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_PSend_PW ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <input class="b" type="checkbox" id="send_pw" name="send_pw" value="1" <?php if ( $send_pw == '1') { echo "checked"; }  ?>> <?php echo $LP_Activate ?>
                <?PHP help("SE010"); ?>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_PHelp ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <input class="b" type="checkbox" id="help" name="help" value="1" <?php if ( $help == '1') { echo "checked"; }  ?>> <?php echo $LP_Activate ?>
                <?PHP help("SE011"); ?>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_PStartNews ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <input class="b" type="checkbox" id="startnews" name="startnews" value="1" <?php if ( $startnews == '1') { echo "checked"; }  ?>> <?php echo $LP_Activate ?>
                <?PHP help("SE012"); ?>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_IPCheck ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <input class="b" type="checkbox" id="ipcheck" name="ipcheck" value="1" <?php if ( $ipcheck == '1') { echo "checked"; }  ?>> <?php echo $LP_Activate ?>
                <?PHP help("SE012a"); ?>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_PBase_Target ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
                <input type="text" name="base_target" value="<?php echo $base_target ?>" size="35" maxlength="255" class="i36">  
                </td><td align="left" valign="middle" class="text"><?PHP help("SE013"); ?></td></tr></table>
            </td>
        </tr>
        <tr>
            <td height="27" align="left" valign="middle" class="text">
                &nbsp;
            </td>
            <td align="left" valign="middle" class="text">
                <INPUT class="i" TYPE="SUBMIT" VALUE="<?php echo $LP_SSave ?>">
            </td>
        </tr>
    </table>
</FORM>


<?php
    require(CPO_BASEDIR."_include/footer.php");
?>
