<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: article_archive.php,v 1.1.1.1.2.6 2004/02/06 09:08:38 balu Exp $
if (!defined('CPO')) exit;

    $query = "SELECT article_nr, auth, auth_backup, commentary, artikel_archiv, kategorie, search, template, titel, titel_link, titel_target, untertitel, untertitel_link, untertitel_target, text_1, text_1_target, html_1, text_2, text_2_target, html_2, text_3, text_3_target, html_3, bild, bild_link, bild_target, datei_name, datei_desc, datei_prolog, link_1, link_text_1, link_target_1, link_2, link_text_2, link_target_2, link_3, link_text_3, link_target_3, datum, verfallsdatum, pub_datum, autor, email, initial, mehr, more_target, idx, freigabe, freigabe_name, freigabe_datum, timestamp, last_modify, c_time, changer, sort_id "
            ."FROM ".$dbPrefix."_news WHERE nr = '".$nr."' ";
    
    DEBUG(2, $query, __FILE__, __LINE__);   
    $db = new DB;
    $db->query($query);

    if ($db->num_rows()<=0) { 
        echo "<span class='nodata'><br><br>".$Rubric_nodata."<br><br></span><br>\n";
        return;
    }

    $db->next_record();

    $archive_article_nr        = $db->v("article_nr");        
    $archive_auth              = $db->v("auth");             
    $archive_auth_backup       = $db->v("auth_backup");       
    $archive_commentary        = $db->v("commentary");       
    $archive_artikel_archiv    = $db->v("artikel_archiv");    
    $archive_kategorie         = $db->v("kategorie");         
    $archive_search            = $db->v("search");            
    $archive_template          = $db->v("template");          
    $archive_titel             = $db->v("titel");             
    $archive_titel_link        = $db->v("titel_link");        
    $archive_titel_target      = $db->v("titel_target");      
    $archive_untertitel        = $db->v("untertitel");        
    $archive_untertitel_link   = $db->v("untertitel_link");   
    $archive_untertitel_target = $db->v("untertitel_target"); 
    $archive_text_1            = $db->v("text_1");            
    $archive_text_1_target     = $db->v("text_1_target");     
    $archive_html_1            = $db->v("html_1");            
    $archive_text_2            = $db->v("text_2");            
    $archive_text_2_target     = $db->v("text_2_target");     
    $archive_html_2            = $db->v("html_2");            
    $archive_text_3            = $db->v("text_3");            
    $archive_text_3_target     = $db->v("text_3_target");     
    $archive_html_3            = $db->v("html_3");            
    $archive_bild              = $db->v("bild");              
    $archive_bild_link         = $db->v("bild_link");         
    $archive_bild_target       = $db->v("bild_target");       
    $archive_datei_name        = $db->v("datei_name");        
    $archive_datei_desc        = $db->v("datei_desc");        
    $archive_datei_prolog      = $db->v("datei_prolog");      
    $archive_link_1            = $db->v("link_1");            
    $archive_link_text_1       = $db->v("link_text_1");       
    $archive_link_target_1     = $db->v("link_target_1");     
    $archive_link_2            = $db->v("link_2");            
    $archive_link_text_2       = $db->v("link_text_2");       
    $archive_link_target_2     = $db->v("link_target_2");     
    $archive_link_3            = $db->v("link_3");            
    $archive_link_text_3       = $db->v("link_text_3");       
    $archive_link_target_3     = $db->v("link_target_3");     
    $archive_datum             = $db->v("datum");             
    $archive_verfallsdatum     = $db->v("verfallsdatum");     
    $archive_pub_datum         = $db->v("pub_datum");         
    $archive_autor             = $db->v("autor");             
    $archive_email             = $db->v("email");             
    $archive_initial           = $db->v("initial");           
    $archive_mehr              = $db->v("mehr");              
    $archive_more_target       = $db->v("more_target");       
    $archive_idx               = $db->v("idx");               
    $archive_freigabe          = $db->v("freigabe");          
    $archive_freigabe_name     = $db->v("freigabe_name");     
    $archive_freigabe_datum    = $db->v("freigabe_datum");    
    $archive_timestamp         = $db->v("timestamp");         
    $archive_last_modify       = $db->v("last_modify");       
    $archive_c_time            = $db->v("c_time");            
    $archive_changer           = $db->v("changer");           
    $archive_sort_id           = $db->v("sort_id");           

    $archive_artikel_archiv = 5;
    if ( $System_release == 1 ) {
        switch ( $archive_freigabe ) {
            case '0':                             # freigegeben
                $archive_artikel_archiv = 1;
                break;
            case '1':                             # warten
                $archive_artikel_archiv = 5;
                break;
            case '2':                             # gesperrt
                $archive_artikel_archiv = 5;
                break;
            case '3':                             # abgewiesen
                $archive_artikel_archiv = 5;
                break;
        }
    } 

    if ( $restore_archiv == 1 ) {
        switch ( $archive_freigabe ) {
            case '0':                             # freigegeben
                $archive_artikel_archiv = 1;
                break;
            case '1':                             # warten
                $archive_artikel_archiv = 5;
                break;
            case '2':                             # gesperrt
                $archive_artikel_archiv = 5;
                break;
            case '3':                             # abgewiesen
                $archive_artikel_archiv = 5;
                break;
        }
    }

    require(CPO_BASEDIR."_include/check_string_archive.php");
    
    $query = "INSERT INTO ".$dbPrefix."_news (nr, artikel_archiv, article_nr, auth, auth_backup, commentary, kategorie, search, template, titel, titel_link, titel_target, untertitel, untertitel_link, untertitel_target, text_1, text_1_target, html_1, text_2, text_2_target, html_2, text_3, text_3_target, html_3, bild, bild_link, bild_target, datei_name, datei_desc, datei_prolog, link_1, link_text_1, link_target_1, link_2, link_text_2, link_target_2, link_3, link_text_3, link_target_3, datum, verfallsdatum, pub_datum, autor, email, initial, mehr, more_target, idx, freigabe, freigabe_name, freigabe_datum, timestamp, last_modify, c_time, changer, sort_id ) "
            ."VALUES ('', '".$archive_artikel_archiv."', '".$archive_article_nr."', '".$archive_auth."', '".$archive_auth_backup."', '".$archive_commentary."', '".$archive_kategorie."', '".$archive_search."', '".$archive_template."', '".$archive_titel."', '".$archive_titel_link."', '".$archive_titel_target."', '".$archive_untertitel."', '".$archive_untertitel_link."', '".$archive_untertitel_target."', '".$archive_text_1."', '".$archive_text_1_target."', '".$archive_html_1."', '".$archive_text_2."', '".$archive_text_2_target."', '".$archive_html_2."', '".$archive_text_3."', '".$archive_text_3_target."', '".$archive_html_3."', '".$archive_bild."', '".$archive_bild_link."', '".$archive_bild_target."', '".$archive_datei_name."', '".$archive_datei_desc."', '".$archive_datei_prolog."', '".$archive_link_1."', '".$archive_link_text_1."', '".$archive_link_target_1."', '".$archive_link_2."', '".$archive_link_text_2."', '".$archive_link_target_2."', '".$archive_link_3."', '".$archive_link_text_3."', '".$archive_link_target_3."', '".$archive_datum."', '".$archive_verfallsdatum."', '".$archive_pub_datum."', '".$archive_autor."', '".$archive_email."', '".$archive_initial."', '".$archive_mehr."', '".$archive_more_target."', '".$archive_idx."', '".$archive_freigabe."', '".$archive_freigabe_name."', '".$archive_freigabe_datum."', '".$archive_timestamp."', '".$archive_last_modify."', '".$archive_c_time."', '".$archive_changer."', '".$archive_sort_id."')";
    DEBUG(1, $query, __FILE__, __LINE__);   
    $db2 = new DB;
    $db2->query($query); 
?>

