<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: category.inc.php,v 1.1.1.1.2.5 2003/10/08 00:10:46 balu Exp $
if (!defined('CPO')) exit;

$dir = dir(CPO_BASEDIR);
$anzahl = 0;

$dir_group = array();
while( $directory=$dir->read() ) {
    if ($directory=="." || $directory=="..") continue;

    if ((is_readable(CPO_BASEDIR.$directory)) && (is_dir(CPO_BASEDIR.$directory))) {
        $file = CPO_BASEDIR.$directory."/news.cpo";

        if ( file_exists($file) && is_file($file) ) {
            $dir_group[] = $directory;
        }
    } 
}
$dir->close();

$counter = count($dir_group);
if ( $counter > 1 ) {
    sort($dir_group);
}
?>
