<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: db_mysql.inc.php,v 1.1.1.1.2.4 2003/10/07 23:31:22 balu Exp $
if (!defined('CPO')) exit;

    class DB_mysql 
    {
        var $Host     = ""; // mysql-server
        var $Database = ""; // database-name
        var $User     = ""; // user and password to log into the DB
        var $Password = "";

        var $Link_ID  = 0;  // result of mysql_connect()
        var $Query_ID = 0;  // result of mysql_query()
        var $Record   = array();  // actual mysql_fetch_array()-result
        var $Row;           // actual row-number

        var $Errno    = 0;  // error-status
        var $Error    = "";

        // functions

        // display an error-message and stop
        function halt($msg) 
        {
            // printf("</td></tr></table>"); 
            printf("<b>Database error:</b> %s<br>\n", $msg);
            printf("<b>MySQL Error</b>: %s (%s)<br>\n",
            $this->Errno,
            $this->Error);
            die("Session halted.");
        }

        // connect to the database
        function connect() 
        {
            if ( 0 == $this->Link_ID ) 
            {
                $this->Link_ID=mysql_connect($this->Host, $this->User, $this->Password);
                if (!$this->Link_ID) 
                {
                    $this->halt("Link-ID == false, connect failed");
                }

                if (!mysql_select_db($this->Database))
                {
                    $this->halt("cannot use database ".$this->Database);
                }
            }
        }

        // perform a query
        function query($Query_String) 
        {
            $this->connect();

            // printf("Debug: query = %s<br>\n", $Query_String);

            $this->Query_ID = mysql_query($Query_String,$this->Link_ID);
            $this->Row   = 0;
            $this->Errno = mysql_errno();
            $this->Error = mysql_error();
            if (!$this->Query_ID) 
            {
                $this->halt("Invalid SQL: ".$Query_String);
            }

            return $this->Query_ID;
        }

        // go to the next Record
        function next_record() 
        {
            $this->Record = mysql_fetch_array($this->Query_ID);
            $this->Row   += 1;
            $this->Errno = mysql_errno();
            $this->Error = mysql_error();

            $stat = is_array($this->Record);
            if (!$stat) 
            {
                mysql_free_result($this->Query_ID);
                $this->Query_ID = 0;
            }
            return $stat;
        }

        // go to the Record at position $pos
        function seek($pos) 
        {
            $status = mysql_data_seek($this->Query_ID, $pos);
            if ($status)
            $this->Row = $pos;
            return;
        }

        function num_rows() 
        {
            return mysql_num_rows($this->Query_ID);
        }

        function affected_rows() 
        {
            return mysql_affected_rows($this->Link_ID);
        }

        function num_fields() 
        {
            return mysql_num_fields($this->Query_ID);
        }

        function v($Name) 
        {
            return $this->Record[$Name];
        }

        function p($Name) 
        {
            print $this->Record[$Name];
        }

    	function table_exists($table)
	    {
            $this->connect();
		    $tables=mysql_list_tables($this->Database);
    		while (list($temp)=mysql_fetch_array($tables)) {
	    		// echo "BALU: $temp<br>";
		    	if($temp == $table) return 1;
    		}
	    	return 0;
    	}
    }
?>
