<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: frame_titel.php,v 1.1.1.1.2.11 2003/10/14 20:23:26 balu Exp $
define('CPO', true);
if (file_exists("../_cfg/const.php")) require("../_cfg/const.php");
else require("../_cfg/const.php.dist");

require(CPO_BASEDIR."_include/check.php");
// FIXME not needed? require(CPO_BASEDIR."_include/category.inc.php");

if ( $directory == '' ) {
    $directory = $_SESSION['SID_Rubrik'];       
} 

// don't get everything from the database if all we need is Rubric_name and Rubric_secure
// require(CPO_BASEDIR."_include/var_category.php");
$query = "SELECT name, secure FROM ".$dbPrefix."_rubric WHERE rubrik = '".$directory."'";
$db = new DB;
$db->query($query);
if ($db->num_rows()>0) { // FIXME display a warning if more than one result is found?
    $db->next_record();
    $Rubric_name   = $db->v("name");
    $Rubric_secure = $db->v("secure");
}

$query = "SELECT COUNT(*) FROM ".$dbPrefix."_log_login";
DEBUG(2, $query, __FILE__, __LINE__);   
$db->query($query);
$db->next_record();
$user_anzahl = $db->v('COUNT(*)');
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
        
<html>
    <head>
        <TITLE><?php echo $title ?></TITLE>
        <META HTTP-EQUIV="pragma"   CONTENT="no-cache">
        
        <link rel=stylesheet type="text/css" href="../_skin/<?php echo $cpoSkin ?>/style_cpo.css">
        <META HTTP-EQUIV="Refresh"  CONTENT="120; URL=frame_titel.php?temp=<?php echo $temp ?>&<?php echo SID ?>">

    </head>
        
    <body background="../_skin/<?PHP echo $cpoSkin ?>/bg_title.gif" bgcolor=<?PHP echo $ns_background ?> class="text" text=<?PHP echo $ns_text ?> link=<?PHP echo $ns_link ?> alink=<?PHP echo $ns_alink ?> vlink=<?PHP echo $ns_vlink ?> leftmargin=<?PHP echo $ns_margin_left ?> topmargin=<?PHP echo $ns_margin_top ?> marginwidth=<?PHP echo $ns_margin_left ?> marginheight=<?PHP echo $ns_margin_top ?>>
        
        <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td width="867" height="72" align="left" valign="top" class="text">
                    <img src="../_images/transparent.gif" width="867" height="22" alt="" border="0"><br>
                    <table border="0" cellpadding="0" cellspacing="0">
                        <tr>
                            <td width="200" height="25" align="left" valign="middle" class="user">
                                &nbsp;
                            </td>
                            <td colspan="2" width="403" align="left" valign="middle" class="user">
                                &nbsp; <b><?PHP echo ucfirst($_SESSION['SID_login']); ?> - <?PHP echo date("d.m.Y",time()); ?> - <?PHP echo date("H:i",time()); ?> <?php echo $LP_oClock ?>

                                <?PHP 
                                    if ( $_SESSION['SID_level'] >= 3 ) {
                                        if ($user_anzahl>0)
                                            echo " | ".$LP_UO_User.": <A HREF=\"../_content/user_online.php\" target=\"cpo_content\">".$user_anzahl."</A>";
                                        else
                                            echo " | ".$LP_UO_User.": ".$user_anzahl;
                                    }
                                ?>
                                
                                </b><br>
                            </td>
                        </tr>
                        <tr>
                            <td align="right" valign="middle" height="25" class="text">
                                <b><?PHP echo $LP_TitleChoose ?>:</b> &nbsp;
                            </td>
                            <td width="350" bgcolor="<?php echo $color_data_dunkel ?>" align="left" valign="middle" height="25" class="white">
                                <?PHP

                                    if ( $_SESSION['SID_Rubrik'] != '' ) {
                                        echo "&nbsp; <b>".$Rubric_name."</b> &nbsp;";
                                        
                                        switch ($Rubric_secure) {
                                            case 1:
                                                if ($is_modul == 1) {
                                                    print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/lock2n.gif" alt="'.$LPM_PSecure2.'" width="14" height="16" border="0">&nbsp;');
                                                } else {
                                                    print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/lock2n.gif" alt="'.$LP_PSecure2.'" width="14" height="16" border="0">&nbsp;');
                                                }
                                                break;
                                            case 2:
                                                if ($is_modul == 1) {
                                                    print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/lock1n.gif" alt="'.$LPM_PSecure3.'" width="14" height="16" border="0">&nbsp;');
                                                } else {
                                                    print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/lock1n.gif" alt="'.$LP_PSecure3.'" width="14" height="16" border="0">&nbsp;');
                                                }
                                                break;
                                        }
                                    } else {
                                        echo "&nbsp; ".$LP_NoRubric." &nbsp;";
                                    }

                               ?>
                            </td>
                            <td align="left" valign="middle" height="25" class="text">
                                &nbsp; <a href="../_content/search_intern.php" target="cpo_content"><?php echo $LP_Search ?></a> | <a href="../_admin/index.php?SID_loggedin=0&logout=<?php echo $_SESSION['SID_login'] ?>" class="content" target="_top"><?php echo $LP_Logout ?> &raquo;</a><br>
                            </td>
                        </tr>
                    </table>
                </td>
                <td width="111" align="right" valign="top" class="text">
                    <img src="../_skin/<?PHP echo $cpoSkin ?>/logo_title.gif" width="111" height="106" alt="" border="0"><br>
                </td>
                <td background="../_skin/<?PHP echo $cpoSkin ?>/bg_title2.gif" width="50%" align="right" valign="top" class="text">
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td colspan="3" bgcolor="<?php echo $color_data_dunkel ?>" height="1" align="left" valign="top" class="text"><img src="../_images/transparent.gif" width="1" height="1" alt="" border="0"><br></td>
            </tr>
        </table>
    </body>
</html>


