<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: function.php,v 1.1.1.1.2.9 2004/01/22 14:21:46 balu Exp $
if (!defined('CPO')) exit;


    function zuordnungsfkt($zuordnung, $zuordnunguebertrag)
    {   
        global $dbPrefix;

        if ( $zuordnung == '0' ) {
            return $zuordnunguebertrag;
        } 
        
        $query = "SELECT description, parent FROM ".$dbPrefix."_tree WHERE id = '".$zuordnung."'";
        DEBUG(2, $query, __FILE__, __LINE__);
        $db = new DB;
        $db->query($query);

        if ($db->num_rows()>0) {
            $db->next_record();
            $description = $db->v("description");
            $parent = $db->v("parent");

            return $pre_kategorie_name = zuordnungsfkt($parent, $description."/".$zuordnunguebertrag);
        }
    }

    function rubrikname($kategorie)
    {
        global $dbPrefix;

        $query = "SELECT name, zuordnung FROM ".$dbPrefix."_rubric  WHERE rubrik = '".$kategorie."'";
        DEBUG(2, $query, __FILE__, __LINE__);
        $db = new DB;
        $db->query($query);

        if ($db->num_rows()>0) {
            while($db->next_record()): // FIXME only one result?
                $kategorie_name = $db->v("name");
                $zuordnung = $db->v("zuordnung");
                $pre_kategorie_name = zuordnungsfkt($zuordnung,"");
            endwhile;
        }
        
        $kategorie_name = $pre_kategorie_name." ".$kategorie_name;
        return $kategorie_name;
    }

    function printHumanReadable($bytes) {
        $unit = ' Byte';
        if ($bytes != 0) {
            $bytes = abs($bytes);
            if ($bytes < 1024 ) {
                $unit = ' Byte';
            } else if ($bytes < 1024 * 1024) {
                $unit = ' KByte';
                $bytes /= 1024;
            } else if ($bytes < 1024 * 1024 * 1024) {
                $unit = ' MByte';
                $bytes /= 1024 * 1024;
            } else if ($bytes < 1024 * 1024 * 1024 * 1024) {
                $unit = ' GByte';
                $bytes /= 1024 * 1024 * 1024;
            } else {
                $unit = ' TByte';
                $bytes /= 1024 * 1024 * 1024 * 1024;
            }
        }
        return (sprintf("%.1f".$unit, $bytes));
    }

    
    function next_page($pos,$max_daten,$anzahl,$found,$zusatz_url,$targetURL) {

        // echo "[".$pos."|".$max_daten."|".$anzahl."|".$found."|".$zusatz_url."|".$targetURL."]";

        global $LP_C_Found;
        global $LP_C_Result;
        global $LP_C_PrePage;
        global $LP_C_NextPage;

        $site      = floor(($max_daten+($anzahl-1))/$anzahl);
        $site_free = floor($pos/$anzahl);

        if ( $pos == '' ) {
           $pos = 0;
        } 

        $alle       = $pos + $anzahl; 
        $start_pos  = $pos + $anzahl; 
        $start_pos2 = $pos - $anzahl; 
        $start_plus = $pos + 1;

        if ( $max_daten < $alle ) {
             $alle  = $max_daten;
        }
        
        if ( $max_daten > $anzahl ) {
            echo "<table border=\"0\" cellpadding=\"2\" cellspacing=\"0\"><tr><td class=\"mini\" align=\"left\" valign=\"top\">";
            if ( $found == 1 ) {
                if ( $max_daten > $Rubric_art_number ) {
                    echo "<b>".$LP_C_Found.":</b> ".$max_daten." | ";
                    if ( $start_plus == $alle )  
                    {
                        echo "<b>".$LP_C_Result.":</b> ".$start_plus."<br>\n";
                    } else {
                        echo "<b>".$LP_C_Result.":</b> ".$start_plus." - ".$alle."<br>\n";
                    }    
                }
            }
            if ( $pos != 0 )  {
                if ($targetURL == '0') {
                    echo "<A HREF=\"".$_SERVER['PHP_SELF']."?pos=".$start_pos2."&".$zusatz_url."\" class=\"copy\">&laquo; ".$LP_C_PrePage."</A>";
                } else {
                    echo "<A HREF=\"".$targetURL."?pos=".$start_pos2."&".$zusatz_url."\" class=\"copy\">&laquo; ".$LP_C_PrePage."</A>";
                }
                $da = 1;
            } else {
                echo "<span class=\"minigrey\"><b>&laquo; ".$LP_C_PrePage."</b></span>";
            }
    
             $i = 1;
             echo " [ ";
    
             while ($i <= $site):
                 $zaehler = abs(($site_free+1)-$i);
    
                 if ( $zaehler <= 5 ) {
                    if ($i==($site_free+1)) {
                       echo "<span class=\"orangemini\"><b>".$i."</b></span> ";
                    } else {
                        if ($targetURL == '0') {
                            echo "<A class=\"more\" HREF='".$_SERVER['PHP_SELF']."?pos=".($anzahl*($i-1))."&".$zusatz_url."'>".$i."</A> ";
                        } else {
                            echo "<A class=\"more\" HREF='".$targetURL."?pos=".($anzahl*($i-1))."&".$zusatz_url."'>".$i."</A> ";
                        }
                    }
                 } else {
                    if ( (($site_free+1)-$i) > 0 && $placeholder_c != 1 ) {
                        echo " ... ";
                        $placeholder_c = 1;
                    }
                    if ( (($site_free+1)-$i) < 0 && $placeholder_d != 1 ) {
                        echo " ... ";
                        $placeholder_d = 1;
                    }
                 }
                 $i++;
             endwhile;
             echo "] ";
    
            if ( ($alle < $max_daten) && ($anzahl < $max_daten) )  
            {
                if ($targetURL == '0') {
                    echo "<A class=\"more\" HREF=\"".$_SERVER['PHP_SELF']."?pos=".$start_pos."&".$zusatz_url."\" class=\"copy\">".$LP_C_NextPage." &raquo;</A><br>";
                } else {
                    echo "<A class=\"more\" HREF=\"".$targetURL."?pos=".$start_pos."&".$zusatz_url."\" class=\"copy\">".$LP_C_NextPage." &raquo;</A><br>";
                }
            } else {
                echo "<span class=\"minigrey\"><b>".$LP_C_NextPage." &raquo;</b></span>";
            }
            echo "</td></tr></table>";
        }

    }


    # tree_del()
    function tree_del($id) 
    {
        global $LP_ST_del;
        global $dbPrefix;
    
        $query = "SELECT COUNT(*) FROM ".$dbPrefix."_tree WHERE parent = ".$id." ";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);
        $db->next_record();

        if ($db->v('COUNT(*)')<=0) { 
            echo "| <A HREF=\"tree.php?id=".$id."&del=1&description=".$description."\">".$LP_ST_del."</A>";
        }
    }

    # tree()
    function tree($parent,$lev) 
    {
        global $LP_ST_add;
        global $dbPrefix;
        
        $query = "SELECT id, description, parent FROM ".$dbPrefix."_tree WHERE parent = ".$parent." ORDER BY description";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);

        $lev++;
        $pre_blank = '';

        if ( $lev > 0 ) {
            for ($i = 1; $i <= ($lev); $i++) {
                $pre_blank .= " &nbsp; &nbsp; &nbsp;";
            }
            $pre_blank .= " ";
        }
        
        if ($db->num_rows()>0) { 
            while($db->next_record()):

                $id             = $db->v("id");
                $description    = $db->v("description");
                $parent         = $db->v("parent");

                echo "<tr><td align=\"left\" valign=\"middle\" class=\"text\"><b>".$pre_blank."</b><A HREF=\"tree_change.php?id=".$id."&description=".$description."\">".$description."</A> &nbsp; </td>";
                echo "<td align=\"left\" valign=\"middle\" class=\"text\"><A HREF=\"tree.php?id=".$id."&new=1\">".$LP_ST_add."</A></td>";
                echo "<td align=\"left\" valign=\"middle\" class=\"text\">";
                tree_del($id);
                echo "</td>";
                echo "<td width=\"15\" align=\"left\" valign=\"middle\" class=\"text\">&nbsp;";
                echo "</td>";
                echo "</tr>";

                tree($id,$lev);
            endwhile;
        } 
    }

    # tree()
    function tree_preference($parent,$lev,$name,$zuordnung_alt) 
    {
        global $LP_ST_add;
        global $dbPrefix;
        
        $query = "SELECT id, description, parent FROM ".$dbPrefix."_tree WHERE parent = ".$parent." ORDER BY description";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);

        $lev++;
        $pre_blank = '';

        if ( $lev > 0 ) {
            for ($i = 1; $i <= ($lev); $i++) {
                $pre_blank .= " ";
            }
            $pre_blank .= " ";
        }
        
        if ($db->num_rows()<=0) return;
        while($db->next_record()):

            $id          = $db->v("id");
            $description = $db->v("description");
            $parent      = $db->v("parent");

            if ( $id == $zuordnung_alt ) {
                echo "<option value=\"".$id."\" selected>".$name.$description."</option>\n";
            } else {
                echo "<option value=\"".$id."\">".$name.$description."</option>\n";
            }
            $name2 = $name.$description."/";
            tree_preference($id,$lev,$name2,$zuordnung_alt);
        endwhile;
    }

    # tree_select()
    function tree_select($parent,$lev,$this_id) 
    {
        global $color_tbg_dunkel;
        global $dbPrefix;

        $query = "SELECT id, description, parent FROM ".$dbPrefix."_tree WHERE parent = ".$parent." ORDER BY description";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);

        $lev++;
        $pre_blank = '';

        if ( $lev > 0 ) {
            for ($i = 1; $i <= ($lev); $i++) {
                $pre_blank .= "<img src=\"../_images/transparent.gif\" width=\"8\" height=\"10\" alt=\"\" border=\"0\">";
            }
        }
        
        if ($db->num_rows()<=0) return;
        while($db->next_record()):

            $id             = $db->v("id");
            $description    = $db->v("description");
            $parent         = $db->v("parent");
            
            tree_free($id);

            if ( tree_check($id) == 0 || tree_check_user($id) == 0 ) { 
                if ( tree_free($id) == 1 ) {
                    echo "<tr><td align=\"left\" valign=\"middle\" class=\"textgrey\"><b>".$pre_blank." ".$description."</b> &nbsp; </td></tr>\n";
                }
            } else {
                if ( $id == $this_id ) {
                    echo "<tr><td bgcolor=\"".$color_tbg_dunkel."\" align=\"left\" valign=\"middle\" class=\"text\"><nobr><b>".$pre_blank."</b><A HREF=\"".$_SERVER['PHP_SELF']."?id=".$id."\"> ".$description."</A> &nbsp; </nobr></td></tr>\n";
                } else {
                    echo "<tr><td align=\"left\" valign=\"middle\" class=\"text\"><nobr><b>".$pre_blank."</b><A HREF=\"".$_SERVER['PHP_SELF']."?id=".$id."\"> ".$description."</A> &nbsp; </nobr></td></tr>\n";
                }
            }
            tree_select($id,$lev,$this_id);
        endwhile;
    }

    # tree_select_rubric()
    function tree_select_rubric($parent,$lev,$this_id,$user,$user_id) 
    {
        global $color_tbg_dunkel;
        global $dbPrefix;

        $query = "SELECT id, description, parent FROM ".$dbPrefix."_tree WHERE parent = ".$parent." ORDER BY description";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);

        $lev++;
        $pre_blank = '';

        if ( $lev > 0 ) {
            for ($i = 1; $i <= ($lev); $i++) {
                $pre_blank .= "<img src=\"../_images/transparent.gif\" width=\"8\" height=\"10\" alt=\"\" border=\"0\">";
            }
        }

        if ($db->num_rows()<=0) return;
        while($db->next_record()):

            $id             = $db->v("id");
            $description    = $db->v("description");
            $parent         = $db->v("parent");

            $query = "SELECT COUNT(*) FROM ".$dbPrefix."_rubric WHERE zuordnung = ".$id;
            DEBUG(2, $query, __FILE__, __LINE__);   
            $db2 = new DB;
            $db2->query($query);
            $db2->next_record();
            
            if ($db2->v('COUNT(*)')>0) {
                if ( $id == $this_id ) {
                    echo "<tr><td bgcolor=\"".$color_tbg_dunkel."\" align=\"left\" valign=\"middle\" class=\"text\"><nobr><b>".$pre_blank."</b><A HREF=\"".$_SERVER['PHP_SELF']."?id=".$id."&user_id=".$user_id."&user=".$user."\"> ".$description."</A> &nbsp; </nobr></td></tr>\n";
                } else {
                    echo "<tr><td align=\"left\" valign=\"middle\" class=\"text\"><nobr><b>".$pre_blank."</b><A HREF=\"".$_SERVER['PHP_SELF']."?id=".$id."&user_id=".$user_id."&user=".$user."\"> ".$description."</A> &nbsp; </nobr></td></tr>\n";
                }
            } else {
                echo "<tr><td align=\"left\" valign=\"middle\" class=\"textgrey\"><nobr><b>".$pre_blank." ".$description."</b> &nbsp; </nobr></td></tr>\n";
            }

            // }

            tree_select_rubric($id,$lev,$this_id,$user,$user_id);
        endwhile;
    }

    # tree_free()
    function tree_free($parent) 
    {
        global $dbPrefix;

        $query = "SELECT id FROM ".$dbPrefix."_tree WHERE parent = ".$parent." ORDER BY description";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);

        if ($db->num_rows()<=0) return;
        while($db->next_record()):
            $id = $db->v("id");
            tree_free($id);

            if ( tree_check_user($id) == 1 ) {
                return 1;
            } 
        endwhile;
    }


    # tree_check()
    function tree_check($id) 
    {
        global $dbPrefix;

        $query = "SELECT COUNT(*) FROM ".$dbPrefix."_rubric WHERE zuordnung = ".$id;
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);
        $db->next_record();

        if ($db->v('COUNT(*)')>0) { 
            return 1;
        } else {
            return 0;
        }
    }

    # tree_check_user()
    function tree_check_user($id) 
    {
        global $dbPrefix;
        
        $query = "SELECT COUNT(*) FROM ".$dbPrefix."_permission WHERE zuordnung = ".$id." && user_id = ".$_SESSION['SID_user_id'];
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);
        $db->next_record();

        if ($db->v('COUNT(*)')>0) { 
            return 1;
        } else {
            return 0;
        }
    }


    # DEBUG()
    function DEBUG($buglevel,$query,$file,$line) 
    {
        global $varDEBUG;
        global $dbPrefix;
        
        if ( $varDEBUG != 0 && ( $buglevel <= $varDEBUG || $varDEBUG > 4 ) ) { 
            $string = "<div align='left' class='debug'>\n"; 
            $string.= "<b><u><font color=\"#aa0000\">DEBUG in ".$file." at line ".$line.":</font></u></b><br>\n"; 
            $string.= "<font color=\"#aa0000\">".$query."</font><br>\n"; 
            $string.= "<font color=\"#aa0000\">&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;&macr;</font><br>\n"; 
            $string.= "</div><br>\n"; 
            echo $string;
        }
        return 0;
    }

    # autor_name()
    function autor_name($autor) 
    {
        global $dbPrefix;

        $query = "SELECT name FROM ".$dbPrefix."_user WHERE user = '".$autor."'";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db2 = new DB;
        $db2->query($query);

        $name = $autor;
        if ($db2->num_rows()>0) {
            $db2->next_record();
            $name = $db2->v("name");
        } 
        return $name;
    }


    # strip_umlaute()
    function strip_umlaute($string) 
    {
        $string = strip_tags($string);
        $string = ereg_replace ( "", "ae", $string);
        $string = ereg_replace ( "", "ue", $string);
        $string = ereg_replace ( "", "oe", $string);
        $string = ereg_replace ( "", "ss", $string);
        $string = ereg_replace ( "", "Oe", $string);
        $string = ereg_replace ( "", "Ue", $string);
        $string = ereg_replace ( "", "Ae", $string);
        $string = preg_replace ("%[^0-9a-zA-Z_-]%", "", $string);
        return $string;
    }

    
    # check_string()
    function check_string($string) 
    {
        global $System_base_url;

        # $string = ereg_replace ( SID, "", $string);
        if ( $string == "<P>&nbsp;</P>" ) {
            $string = '';
        }
        $string = stripslashes($string); 
        $string = ereg_replace ( "'", "\\'", $string);
        $string = ereg_replace ( "\"", "\\\"", $string);
        
        $string = ereg_replace("\"".$System_base_url, "\"../", $string);

        return $string;
    }


    # check_string_strip()
    function check_string_strip($string) 
    {
        global $System_base_url;

        $string = strip_tags($string);
        # $string = ereg_replace ( SID, "", $string);
        $string = stripslashes($string); 
        $string = ereg_replace ( "'", "\\'", $string);
        $string = ereg_replace ( "\"", "\\\"", $string);

        $string = ereg_replace("\"".$System_base_url, "\"../", $string);

        return $string;
    }


    # check_string_template()
    function check_string_template($string) 
    {
        $string = ereg_replace ( "</PRE><PRE>", "\015\012", $string);
        $string = ereg_replace ( "<P>", "", $string);
        $string = ereg_replace ( "</P>", "\015\012\015\012", $string);
        $string = ereg_replace ( "<PRE>", "", $string);
        $string = ereg_replace ( "</PRE>", "", $string);
        $string = ereg_replace ( "&nbsp;", " ", $string);
        $string = ereg_replace ( "<BR>", "\015\012", $string);
        $string = ereg_replace ( "<FONT color=#ff0000>", "", $string);
        $string = ereg_replace ( "</FONT>", "", $string);

        $string = strip_tags($string);

        $string = ereg_replace ( "&gt;", ">", $string);
        $string = ereg_replace ( "&lt;", "<", $string);
        $string = ereg_replace ( "&amp;", "&", $string);
        # $string = ereg_replace ( '"', '\"', $string);
        return $string;
    }


    # check_string_snippet()
    function check_string_snippet($string) 
    {
        $string = ereg_replace ( "</PRE><PRE>", "\015\012", $string);
        $string = ereg_replace ( "<P>", "", $string);
        $string = ereg_replace ( "</P>", "\015\012\015\012", $string);
        $string = ereg_replace ( "<PRE>", "", $string);
        $string = ereg_replace ( "</PRE>", "", $string);
        $string = ereg_replace ( "&nbsp;", " ", $string);
        $string = ereg_replace ( "<BR>", "\015\012", $string);
        $string = ereg_replace ( "<FONT color=#ff0000>", "", $string);
        $string = ereg_replace ( "</FONT>", "", $string);

        $string = strip_tags($string);

        $string = ereg_replace ( "&gt;", ">", $string);
        $string = ereg_replace ( "&lt;", "<", $string);
        $string = ereg_replace ( "&amp;", "&", $string);
        # $string = ereg_replace ( '"', '\"', $string);
        return $string;
    }


    # help()
    function help($id) 
    {
        global $LP_Help;
        global $lang;
        global $System_Help;
        global $cpoSkin;

        if ( $_SESSION['SID_language'] != '' ) {
            $lang = $_SESSION['SID_language'];
        }
        if ( $System_Help == 1 ) 
        {
            echo "<img src=\"../_images/transparent.gif\" align=\"absmiddle\" alt=\"\" width=\"3\" height=\"1\" border=\"0\"><A href=\"javascript:void(0);\" onFocus=\"if (this.blur) this.blur()\" onclick=\"window.open('../_content/help.php?id=".$id."&language=".$lang."','".$id."','width=400,height=300,scrollbars=1');\"><img src=\"../_skin/".$cpoSkin."/help.gif\" align=\"absmiddle\" alt=\"".$LP_Help."\" border=\"0\"></A>";
        }
    }


    # fkt_search(Column, String)
    function fkt_search($sqlColumn,$search) 
    {
        $searchExploded = explode(" ", $search);
        for ($i=0; $i<count($searchExploded); $i++) {
    
            # empty word? e.g. two spaces or "just one letter" (esp. "+" or "-" ;)
            # -> ignore that
            if (strlen($searchExploded[$i]) <= 1) {
                continue;
            }
    
            # check for "-"=not and "+"=and (default is or)
            if (substr($searchExploded[$i], 0, 1) == '-') {
                $sqltmp = " AND ".$sqlColumn." NOT LIKE ";
                $searchExploded[$i] = substr($searchExploded[$i], 1);
    
            } elseif (substr($searchExploded[$i], 0, 1) == '+') {
                $sqltmp = " AND ".$sqlColumn." LIKE ";
                $searchExploded[$i] = substr($searchExploded[$i], 1);
    
            } else {
                # default could be or, but that makes the search display everything
                # the "word" is included in (even if one should NOT ("-") be displayed)
                # -> changed to AND
                $sqltmp = " AND ".$sqlColumn." LIKE "; 
            }
    
            # replace special chars:
            if (!get_magic_quotes_gpc()) $searchExploded[$i] = addslashes($searchExploded[$i]);
            $searchExploded[$i] = str_replace("%", "\%", $searchExploded[$i]);
            # might not be complete!    
        
            $sqlWhere = $sqlWhere.$sqltmp."'%".$searchExploded[$i]."%'";
        }
    
        # remove first AND or OR
        if (substr($sqlWhere, 0, 3) == " OR")
            $sqlWhere = substr($sqlWhere, 3);
        if (substr($sqlWhere, 0, 4) == " AND")
            $sqlWhere = substr($sqlWhere, 4);
    
        # echo "SELECT <STERN> FROM news WHERE ".$sqlWhere.";\n";
        return $sqlWhere;    
    }


    # fkt_browser_check(User, Aktion, Bemerkung)
    function fkt_browser_check($used_agent) 
    {
        if (strpos($used_agent, "MSIE"))
        {
            $ar = explode("MSIE ", $used_agent);
            $ar = explode(" ", $ar[1]);
            $ar = explode(";", $ar[0]);
            if ($ar[0] >= 5)
            {
                if ( strstr($used_agent,"Mac") ) {
                    // MAC
                    $agent = "MAC: MSIE younger than version 5";
                    return 0;
                } else {
                    $agent = "MSIE younger than version 5";
                    return 1;
                }
            } else {
                $agent = "MSIE older than version 5";
                return 0;
            }
        } elseif (strpos("a" . $used_agent, "Mozilla")) {
            # weil 0 und falsch gleich sind
            $ar = explode("Mozilla/", $used_agent);
            $ar = explode(" ", $ar[1]);
            if ($ar[0] < 6)
            {
                $agent = "Netscape younger than version 6";
                return 0;
            } else {
                $agent = "Netscape older than version 6";
                return 0;
            }
        }
    }


    # Eintrag in die Log-Tabelle
    # fkt_log(User, Aktion, Bemerkung)
    function fkt_log($arg_1, $arg_2, $arg_3) 
    {
        global $dbPrefix;

        $jetzt = date(time());
        $now = time();

        $query = "UPDATE ".$dbPrefix."_log_login SET last_action = ".$now." WHERE user = '".$_SESSION['SID_login']."'";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query); 

        $jetzt = date(time());

        $c_datum = date ( "Y-m-d H:i:s" ,time() );
        $t_datum = date ( "YmdHis" ,time() );

        $arg_1 = ereg_replace ( "\"", "\\\"", $arg_1);
        $arg_1 = ereg_replace ( "'", "\\'", $arg_1);

        $arg_2 = ereg_replace ( "\"", "\\\"", $arg_2);
        $arg_2 = ereg_replace ( "'", "\\'", $arg_2);

        $arg_3 = ereg_replace ( "\"", "\\\"", $arg_3);
        $arg_3 = ereg_replace ( "'", "\\'", $arg_3);

        $query = "INSERT INTO ".$dbPrefix."_log (id, user, datum, aktion, bemerkung, timestamp, c_time, changer) VALUES (\"".$id."\", \"".$arg_1."\", \"".$jetzt."\", \"".$arg_2."\", \"".$arg_3."\", \"".$t_datum."\", \"".$c_datum."\", \"".$_SESSION['SID_login']."\")";
        # DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query); 

    }


    # fkt_read_db(ID)
    function fkt_read_db($arg_1) 
    {
        global $dbPrefix;

        $query = "SELECT user, email, initial, name, admin, editor, usergroup, passwd, language "
                ."FROM ".$dbPrefix."_user WHERE id = '".$arg_1."' ORDER BY user";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new db;
        $db->query($query);

        if ($db->num_rows()>0) {
            $db->next_record();
            $user          = $db->v("user");
            $email         = $db->v("email");
            $initial       = $db->v("initial");
            $name          = $db->v("name");
            $admin         = $db->v("admin");
            $editor        = $db->v("editor");
            $usergroup     = $db->v("usergroup");
            $passwd        = $db->v("passwd");
            $user_language = $db->v("language");
            return array ($user, $email, $initial, $name, $admin, $editor, $usergroup, $passwd, $user_language);
        } 

        echo $LP_NoUser;
        return 0;
    }

    # is_email_valid(eMail)
    function is_email_valid($email) 
    {
        if (eregi("^[a-z0-9\._-]+@+[a-z0-9\._-]+\.+[a-z]{2,4}$", $email)) 
            return TRUE; 
        return FALSE; 
    }
?>
