<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: rubric_preference.php,v 1.1.1.1.2.7 2003/11/17 09:28:50 balu Exp $
if (!defined('CPO')) exit;

if ( $conPreferenceHeader != '0') {
?>
<tr>
    <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
        <?php echo $LP_PHeadline ?>:
    </td>
    <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
        <input class="b" type="checkbox" id="header_view" name="header_view" value="1" <?php if ( $header_view == '1') { echo "checked"; }  ?>> 
        <?php 
            echo $LP_Activate2;
            help($HelpPre."005a");
        ?><br>
    </td>
</tr>
<?PHP
}

if ( $conPreferenceNoData != '0') {
?>
<tr>
    <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
        <?php echo $LP_PNodata ?>:
    </td>
    <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
        <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
            <input type="text" name="nodata" value="<?php echo $nodata ?>" size="36" maxlength="255" class="i36">  
        </td><td align="left" valign="middle" class="text"><?PHP help($HelpPre."006"); ?></td></tr></table>
    </td>
</tr>
<?PHP
}

if ( $conPreferenceMaxArticle != '0') {
?>
<tr>
    <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
        <?php echo $LP_PArtNumber ?>:
    </td>
    <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
        <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
            <input type="text" name="art_number" value="<?php echo $art_number ?>" size="5" maxlength="3" class="i4">  
        </td><td align="left" valign="middle" class="text"><?PHP help($HelpPre."007"); ?></td></tr></table>
    </td>
</tr>
<?PHP
}

if ( $conPreferenceArchive != '0') {
?>
<tr>
    <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
        <?php echo $LP_ArchivActiv ?>:
    </td>
    <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
        <input class="b" type="checkbox" id="archiv" name="archiv" value="1" <?php if ( $archiv == '1') { echo "checked"; }  ?>> 
        <?php 
            echo $LP_Activate2;
            help($HelpPre."008");
        ?><br>
    </td>
</tr>
<tr>
    <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
        <?php echo $LP_ArchivName ?>:
    </td>
    <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
        <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
            <input type="text" name="archiv_text" value="<?php echo $archiv_text ?>" size="30" maxlength="100" class="i0">  
        </td><td align="left" valign="middle" class="text"><?PHP help($HelpPre."009"); ?></td></tr></table>
    </td>
</tr>
<tr>
    <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
        <?php echo $LP_ArchivHeader ?>:
    </td>
    <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
        <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
            <input type="text" name="archiv_header" value="<?php echo $archiv_header ?>" size="36" maxlength="255" class="i36">  
        </td><td align="left" valign="middle" class="text"><?PHP help($HelpPre."010"); ?></td></tr></table>
    </td>
</tr>
<?PHP
}

if ( $conPreferenceNavLang != '0') {
?>
<tr>
    <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
        <?php echo $LP_PLanguage ?>:
    </td>
    <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
        <select class="i0" name="rubric_language" size="1">
            <?php
                $d = dir(CPO_BASEDIR."_include/lang/rubric");
                while($file=$d->read()) {
                    $rest = substr ($file, -4);
                    if ( $rest == '.php')
                    {
                        $language_file  = ereg_replace (".php", "", $file);
                        $language_name = ucfirst($language_file);
                        
                        if ( $language_file != 'index' ) {
                            echo "<option value=\"".$language_file."\"";
                            if ( $rubric_language == $language_file ) 
                            {
                                echo " selected";
                            }
                            echo ">".$language_name."</option>\n";
                        }
                    }
                }
                $d->close();
            ?>
        </select><?PHP help($HelpPre."010a"); ?>
    </td>
</tr>
<?PHP
}

    if ( $is_modul != 1 ) {
?>
<tr>
    <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
        <?php echo $LP_PSearch ?>:
    </td>
    <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
        <input class="b" type="checkbox" id="search" name="search" value="1" <?php if ( $search == '1') { echo "checked"; }  ?>> 
        <?php 
            echo $LP_Activate2; 
            help($HelpPre."011");
        ?><br>
    </td>
</tr>
<tr>
    <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
        <?php echo $LP_PSwitch ?>:
    </td>
    <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
        <input class="b" type="checkbox" id="switch" name="switch" value="1" <?php if ( $switch == '1') { echo "checked"; }  ?>> 
        <?php 
            echo $LP_Activate;
            help($HelpPre."012");
        ?><br>
    </td>
</tr>
<?PHP
    }

if ( $conPreferenceSeperator != '0') {
?>
<tr>
    <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="top" class="text">
        <img height="3" width="1" src="../_images/transparent.gif" alt="" border="0"><br>
        <?php echo $LP_PSeparate ?>:
    </td>
    <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
        <input class="b" type="checkbox" id="separate" name="separate" value="1" <?php if ( $separate == '1') { echo "checked"; }  ?>> 
        <?php 
            echo $LP_Activate;
            help($HelpPre."013");
        ?><br>
        <img height="3" width="1" src="../_images/transparent.gif" alt="" border="0"><br>
        <input type="text" name="separate_text" value="<?php echo $separate_text ?>" size="36" maxlength="255" class="i36">
    </td>
</tr>
<?PHP
}

if ( $conPreferenceTarget != '0') {
?>
<tr>
    <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
        <?php echo $LP_PSep_Window ?>:
    </td>
    <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
        <select class="i0" name="sep_window">
            <option value="0"<?php if ( $sep_window == "0" ) { echo " SELECTED"; } ?>><?php echo $LP_PSep_Window3 ?></option>
            <option value="0">--------------------</option>
            <option value="_self"<?php if ( $sep_window == "_self" ) { echo " SELECTED"; } ?>><?php echo $LP_TaSelf ?></option>
            <option value="_blank"<?php if ( $sep_window == "_blank" ) { echo " SELECTED"; } ?>><?php echo $LP_TaBlank ?></option>
            <option value="_top"<?php if ( $sep_window == "_top" ) { echo " SELECTED"; } ?>><?php echo $LP_TaTop ?></option>
            <?PHP
                $i = 0;
                $tar = explode(" ", $System_target);

                while ( $tar[$i] != '' ):
                    echo "<option value=\"".$tar[$i]."\"";
                    if ( $sep_window == $tar[$i] ) { 
                        echo " SELECTED"; 
                    }
                    echo ">'".$tar[$i]."'</option>\n";
                    $i++;
                endwhile;
            ?>          
        </select>
        <?php 
            help($HelpPre."014");
        ?><br>
    </td>
</tr>
<?PHP
}

if ( $conPreferenceTemplate != '0') {
?>
<tr>
    <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
        <?php echo $LP_PTemplate ?>:
    </td>
    <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
        <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
            <select class="i0" name="standard_template" size="1">
            <?php

            $query = "SELECT name, template FROM ".$dbPrefix."_templates WHERE id != ''";
            DEBUG(2, $query, __FILE__, __LINE__);   
            $db = new DB;
            $db->query($query);

            if ($db->num_rows()>0) {
                while($db->next_record()):
                    $tpl_name   = $db->v("name");
                    $template   = $db->v("template");

                    echo "<option value=\"".$template."\"";
                    if ( $standard_template == $template ) {
                        echo " selected";
                    }
                    echo ">".$tpl_name."</option>\n";
                    $counter++;
                endwhile;
            }

            ?>
            </select>
        </td><td align="left" valign="middle" class="text"><?PHP help($HelpPre."015"); ?></td></tr></table>
    </td>
</tr>
<tr>
    <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="top" class="text">
        <img height="3" width="1" src="../_images/transparent.gif" alt="" border="0"><br>
        <?php echo $LP_PTemplateSelect ?>:
    </td>
    <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
        <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
            <?php
            
                echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n";                    
                echo "<tr>\n";                    
                
                $query = "SELECT name, template FROM ".$dbPrefix."_templates WHERE id != '' ORDER BY name";
                DEBUG(1, $query, __FILE__, __LINE__);   
                $db = new DB;
                $db->query($query);

                if ($db->num_rows()>0) {
                    while($db->next_record()):
                        $anzahl++;
                        $tpl_name   = $db->v("name");
                        $template   = $db->v("template");

                        switch ($action) {
                            case 'standard':
                                $query2 = "SELECT COUNT(*) FROM ".$dbPrefix."_tpl_assignment WHERE rubrik = '#STANDARD#' && template = '".$template."' ";
                                break;
                            case 'entwurf':
                                $query2 = "SELECT COUNT(*) FROM ".$dbPrefix."_tpl_assignment WHERE rubrik = '#ENTWURF#' && template = '".$template."' ";
                                break;
                            default:
                                $query2 = "SELECT COUNT(*) FROM ".$dbPrefix."_tpl_assignment WHERE rubrik = '".$_SESSION['SID_Rubrik']."' && template = '".$template."' ";
                        }

                        DEBUG(1, $query2, __FILE__, __LINE__);   
                        $db2 = new DB;
                        $db2->query($query2);
                        $db2->next_record();
                        
                        echo "<td width=\"80\" align=\"left\" valign=\"top\" class=\"text\">\n";                    
                        
                        echo "<table border=\"0\"><tr><td height=\"60\" align=\"left\" valign=\"top\" class=\"text\">";
                        
                        $tpl_name2 = urlencode($tpl_name); 
                        # echo "<A href=\"javascript:void(0)\" onclick=\"window.open('../_content/template.php?tpl=".$template."&name=".$tpl_name2."&rub=".$_SESSION['SID_Rubrik']."','x9','width=290,height=450,scrollbars=no');\"><img align=\"top\" src=\"../_images/tpl_".$template.".gif\" width=\"39\" height=\"60\" alt=\"".$tpl_name."\" border=\"0\"></A>\n";
# Show-Template
                        if ( file_exists (CPO_BASEDIR."_images/tpl_".$template.".gif") ) {
                            echo "<A href=\"javascript:void(0)\" onclick=\"window.open('../".$_SESSION['SID_Rubrik']."/show_template.php?showtemplate=1&template=".$template."&name=".$tpl_name2."&rub=".$_SESSION['SID_Rubrik']."','x9','width=800,height=600,scrollbars=yes');\"><img align=\"top\" src=\"../_images/tpl_".$template.".gif\" width=\"39\" height=\"60\" alt=\"".$tpl_name."\" border=\"0\"></A>";
                        } else {
                            echo "<A href=\"javascript:void(0)\" onclick=\"window.open('../".$_SESSION['SID_Rubrik']."/show_template.php?showtemplate=1&template=".$template."&name=".$tpl_name2."&rub=".$_SESSION['SID_Rubrik']."','x9','width=800,height=600,scrollbars=yes');\"><img align=\"top\" src=\"../_images/tpl_default.gif\" width=\"39\" height=\"60\" alt=\"".$tpl_name."\" border=\"0\"></A>";
                        }

                        $checked = '';
                        if ($db2->v('COUNT(*)')>0) {
                            $checked = 'checked';
                        } 
                        echo '<input class="b" type="checkbox" name="'.$template.'" '.$checked.' value="1">';

                        echo "<input type=\"hidden\" name=\"template_name[".$template."]\" value=\"".$tpl_name."\">";                            

                        echo "</td></tr><tr><td align=\"left\" valign=\"top\" class=\"text\">".$tpl_name."<br></td></tr></table>\n";

                        echo "</td>\n";
                        if ( ($anzahl % 6) == 0 ) {
                            echo "</tr><tr><td colspan=\"8\" height=\"5\" colspan=\"5\" class=\"text\">&nbsp;</td></tr><tr>";
                        }

                    endwhile;
                }

                echo "</tr>\n";                    
                echo "</table>\n";

                
            ?>
        </td><td align="left" valign="top" class="text"><img src="../_images/transparent.gif" height="5" width="1" alt="" border="0"><br><?PHP help($HelpPre."016"); ?></td></tr></table>
        <br>
    </td>
</tr>
<?PHP
}

if ( $conPreferenceForm != '0') {
?>
<tr>
    <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="top" class="text">
        <img height="3" width="1" src="../_images/transparent.gif" alt="" border="0"><br>
        <?php echo $LP_InOutput ?>:<br>
    </td>
    <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="top" class="text">
        <table width="460" border="0" cellpadding="1" cellspacing="0">
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_dunkel ?>" align="center" class="text"><?php echo $LP_Field ?></b></td>
                <td bgcolor="<?PHP echo $color_tbg_dunkel ?>" align="center" class="text">
                    <?php 
                        echo $LP_FieldEdit;
                        help($HelpPre."020");
                    ?>
                    </b>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_dunkel ?>" align="center" class="text">
                    <?php 
                        echo $LP_FieldOutput; 
                        help($HelpPre."021");
                    ?>
                    </b>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_dunkel ?>" align="center" class="text">
                    <?php 
                        echo $LP_FieldDetails; 
                        help($HelpPre."022");
                    ?>
                    </b>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_Index; 
                        help($HelpPre."030");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_index" value="1" <?php if ( $feld_edit_index == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_index" value="1" <?php if ( $feld_index == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_index" value="1" <?php if ( $feld_detail_index == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td align="center" class="text"><img src="../_images/transparent.gif" border="0" height="1" alt=""></td>
                <td colspan="4" align="left" class="text"><img src="../_images/transparent.gif" border="0" height="1" alt=""></td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_Title;
                        help($HelpPre."031");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_title" value="1" <?php if ( $feld_edit_title == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_title" value="1" <?php if ( $feld_title == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_title" value="1" <?php if ( $feld_detail_title == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_TitleLink;
                        help($HelpPre."032");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_title_link" value="1" <?php if ( $feld_edit_title_link == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_title_link" value="1" <?php if ( $feld_title_link == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_title_link" value="1" <?php if ( $feld_detail_title_link == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_TitleTarget;
                        help($HelpPre."033");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_title_target" value="1" <?php if ( $feld_edit_title_target == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <!-- <input class="b" type="checkbox" name="feld_title_target" value="1" <?php if ( $feld_title_target == '1') { echo "checked"; } ?>><br> -->&nbsp;
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <!-- <input class="b" type="checkbox" name="feld_detail_title_target" value="1" <?php if ( $feld_detail_title_target == '1') { echo "checked"; } ?>><br> -->&nbsp;
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_Title." = ".$LPR_More;
                        help($HelpPre."033a");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <!-- <input class="b" type="checkbox" name="feld_edit_title_target" value="1" <?php if ( $feld_edit_title_target == '1') { echo "checked"; } ?>><br> -->&nbsp;
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_title_more" value="1" <?php if ( $feld_title_more == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <!-- <input class="b" type="checkbox" name="feld_detail_title_target" value="1" <?php if ( $feld_detail_title_target == '1') { echo "checked"; } ?>><br> -->&nbsp;
                </td>
            </tr>
            <tr>
                <td align="center" class="text"><img src="../_images/transparent.gif" border="0" height="1" alt=""></td>
                <td colspan="4" align="left" class="text"><img src="../_images/transparent.gif" border="0" height="1" alt=""></td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_Subtitle;
                        help($HelpPre."034");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_utitle" value="1" <?php if ( $feld_edit_utitle == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_utitle" value="1" <?php if ( $feld_utitle == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_utitle" value="1" <?php if ( $feld_detail_utitle == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_SubtitleLink;
                        help($HelpPre."035");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_utitle_link" value="1" <?php if ( $feld_edit_utitle_link == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_utitle_link" value="1" <?php if ( $feld_utitle_link == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_utitle_link" value="1" <?php if ( $feld_detail_utitle_link == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_SubtitleTarget;
                        help($HelpPre."036");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_utitle_target" value="1" <?php if ( $feld_edit_utitle_target == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <!-- <input class="b" type="checkbox" name="feld_utitle_target" value="1" <?php if ( $feld_utitle_target == '1') { echo "checked"; } ?>><br> -->&nbsp;
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <!-- <input class="b" type="checkbox" name="feld_detail_utitle_target" value="1" <?php if ( $feld_detail_utitle_target == '1') { echo "checked"; } ?>><br> -->&nbsp;
                </td>
            </tr>
            <tr>
                <td align="center" class="text"><img src="../_images/transparent.gif" border="0" height="1" alt=""></td>
                <td colspan="4" align="left" class="text"><img src="../_images/transparent.gif" border="0" height="1" alt=""></td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_Text1;
                        help($HelpPre."037");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_text_1" value="1" <?php if ( $feld_edit_text_1 == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_text_1" value="1" <?php if ( $feld_text_1 == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_text_1" value="1" <?php if ( $feld_detail_text_1 == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_More;
                        help($HelpPre."038");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_weiter" value="1" <?php if ( $feld_edit_weiter == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_weiter" value="1" <?php if ( $feld_weiter == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_More_Target;
                        help($HelpPre."038a");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_more_target" value="1" <?php if ( $feld_more_target == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_Text2;
                        help($HelpPre."039");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_text_2" value="1" <?php if ( $feld_edit_text_2 == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_text_2" value="1" <?php if ( $feld_text_2 == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_text_2" value="1" <?php if ( $feld_detail_text_2 == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_Text3;
                        help($HelpPre."040");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_text_3" value="1" <?php if ( $feld_edit_text_3 == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_text_3" value="1" <?php if ( $feld_text_3 == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_text_3" value="1" <?php if ( $feld_detail_text_3 == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text"><img src="../_images/transparent.gif" border="0" height="1" alt=""></td>
                <td colspan="4" bgcolor="<?PHP echo $color_data_hell ?>" align="left" class="text"><img src="../_images/transparent.gif" border="0" height="1" alt=""></td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_Pic;
                        help($HelpPre."041");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_bild" value="1" <?php if ( $feld_edit_bild == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_bild" value="1" <?php if ( $feld_bild == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_bild" value="1" <?php if ( $feld_detail_bild == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_PicLink;
                        help($HelpPre."042");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_bild_link" value="1" <?php if ( $feld_edit_bild_link == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_bild_link" value="1" <?php if ( $feld_bild_link == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_bild_link" value="1" <?php if ( $feld_detail_bild_link == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_PicDesc;
                        help($HelpPre."043");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_bild_desc" value="1" <?php if ( $feld_edit_bild_desc == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_bild_desc" value="1" <?php if ( $feld_bild_desc == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_bild_desc" value="1" <?php if ( $feld_detail_bild_desc == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text"><img src="../_images/transparent.gif" border="0" height="1" alt=""></td>
                <td colspan="4" bgcolor="<?PHP echo $color_data_hell ?>" align="left" class="text"><img src="../_images/transparent.gif" border="0" height="1" alt=""></td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_File;
                        help($HelpPre."044");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_file" value="1" <?php if ( $feld_edit_file == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_file" value="1" <?php if ( $feld_file == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_file" value="1" <?php if ( $feld_detail_file == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_FileDesc;
                        help($HelpPre."045");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_file_desc" value="1" <?php if ( $feld_edit_file_desc == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_file_desc" value="1" <?php if ( $feld_file_desc == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_file_desc" value="1" <?php if ( $feld_detail_file_desc == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_FileProlog;
                        help($HelpPre."046");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_file_prolog" value="1" <?php if ( $feld_file_prolog == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    &nbsp;
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text"><img src="../_images/transparent.gif" border="0" height="1" alt=""></td>
                <td colspan="4" bgcolor="<?PHP echo $color_data_hell ?>" align="left" class="text"><img src="../_images/transparent.gif" border="0" height="1" alt=""></td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_Link1;
                        help($HelpPre."047");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_link_1" value="1" <?php if ( $feld_edit_link_1 == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_link_1" value="1" <?php if ( $feld_link_1 == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_link_1" value="1" <?php if ( $feld_detail_link_1 == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_LinkText1;
                        help($HelpPre."048");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_link_text_1" value="1" <?php if ( $feld_edit_link_text_1 == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_link_text_1" value="1" <?php if ( $feld_link_text_1 == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_link_text_1" value="1" <?php if ( $feld_detail_link_text_1 == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_Link2;
                        help($HelpPre."049");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_link_2" value="1" <?php if ( $feld_edit_link_2 == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_link_2" value="1" <?php if ( $feld_link_2 == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_link_2" value="1" <?php if ( $feld_detail_link_2 == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_LinkText2;
                        help($HelpPre."050");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_link_text_2" value="1" <?php if ( $feld_edit_link_text_2 == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_link_text_2" value="1" <?php if ( $feld_link_text_2 == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_link_text_2" value="1" <?php if ( $feld_detail_link_text_2 == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_Link3;
                        help($HelpPre."051");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_link_3" value="1" <?php if ( $feld_edit_link_3 == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_link_3" value="1" <?php if ( $feld_link_3 == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_link_3" value="1" <?php if ( $feld_detail_link_3 == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_LinkText3;
                        help($HelpPre."052");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_link_text_3" value="1" <?php if ( $feld_edit_link_text_3 == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_link_text_3" value="1" <?php if ( $feld_link_text_3 == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_link_text_3" value="1" <?php if ( $feld_detail_link_text_3 == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td colspan="5" align="left" class="text"><img src="../_images/transparent.gif" border="0" height="1" alt=""></td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_dunkel ?>" align="center" class="text"><?php echo $LP_Field ?></b></td>
                <td bgcolor="<?PHP echo $color_tbg_dunkel ?>" align="center" class="text">
                    <?php 
                        echo $LP_FieldChange;
                        help($HelpPre."060");
                    ?>
                    </b>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_dunkel ?>" align="center" class="text">
                    <?php 
                        echo $LP_FieldOutput;
                        help($HelpPre."061");
                    ?>
                    </b>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_dunkel ?>" align="center" class="text">
                    <?php 
                        echo $LP_FieldDetails; 
                        help($HelpPre."062");
                    ?>
                    </b>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_Author;
                        help($HelpPre."070");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_autor" value="1" <?php if ( $feld_edit_autor == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_autor" value="1" <?php if ( $feld_autor == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_autor" value="1" <?php if ( $feld_detail_autor == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_Email;
                        help($HelpPre."071");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_email" value="1" <?php if ( $feld_edit_email == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_email" value="1" <?php if ( $feld_email == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_email" value="1" <?php if ( $feld_detail_email == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LPR_Init;
                        help($HelpPre."072");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input class="b" type="checkbox" name="feld_edit_initial" value="1" <?php if ( $feld_edit_initial == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_initial" value="1" <?php if ( $feld_initial == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_initial" value="1" <?php if ( $feld_detail_initial == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
            <tr>
                <td colspan="5" align="left" class="text"><img src="../_images/transparent.gif" border="0" height="1" alt=""></td>
            </tr>
            <tr>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text">
                    <?php 
                        echo $LP_FieldDateForm;
                        help($HelpPre."073");
                    ?><br>
                </td>
                <td align="center" class="text">
                    <input type="text" name="feld_formdatum" size="10" maxlength="50" value="<?php echo $feld_formdatum; ?>"><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_datum" value="1" <?php if ( $feld_datum == '1') { echo "checked"; } ?>><br>
                </td>
                <td bgcolor="<?PHP echo $color_tbg_hell ?>" align="center" class="text">
                    <input class="b" type="checkbox" name="feld_detail_datum" value="1" <?php if ( $feld_detail_datum == '1') { echo "checked"; } ?>><br>
                </td>
            </tr>
        </table>   

    </td>
</tr>
<?PHP
}

if ( $conPreferenceEditor != '0') {
?>
<tr>
    <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="top" class="text">
        <img height="3" width="1" src="../_images/transparent.gif" alt="" border="0"><br>
        <?php echo $LP_PEditor ?>:
    </td>
    <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="top" class="text">
        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
              	<td width="150" align="left" valign="top" class="text">
                    <input class="b" type="checkbox" id="editor" name="editor" value="1" <?php if ( $editor == '1') { echo "checked"; }  ?>> 
                    <?php 
                        echo $LP_PEditorOn;
                        help($HelpPre."080");
                    ?><br>
                </td>
              	<td width="150" align="left" valign="top" class="text">
                    &nbsp;
                </td>
              	<td width="150" align="right" valign="middle" class="text">
                    <?php 
                        help($HelpPre."081");
                    ?>
                </td>
            </tr>
            <tr>
              	<td align="left" valign="top" class="text">
                    &nbsp;
                </td>
              	<td align="left" valign="top" class="text">
                    <input class="b" type="checkbox" id="edit_bold" name="edit_bold" value="1" <?php if ( $edit_bold == '1') { echo "checked"; }  ?>> <?php echo $LP_PBold ?><br>
                    <input class="b" type="checkbox" id="edit_italic" name="edit_italic" value="1" <?php if ( $edit_italic == '1') { echo "checked"; }  ?>> <?php echo $LP_PItalic ?><br>
                    <input class="b" type="checkbox" id="edit_underline" name="edit_underline" value="1" <?php if ( $edit_underline == '1') { echo "checked"; }  ?>> <?php echo $LP_PUnderline ?><br>
                    <input class="b" type="checkbox" id="edit_hr" name="edit_hr" value="1" <?php if ( $edit_hr == '1') { echo "checked"; }  ?>> <?php echo $LP_PHR ?><br>
                    <input class="b" type="checkbox" id="edit_justify" name="edit_justify" value="1" <?php if ( $edit_justify == '1') { echo "checked"; }  ?>> <?php echo $LP_PJustify ?><br>
                    <input class="b" type="checkbox" id="edit_indent" name="edit_indent" value="1" <?php if ( $edit_indent == '1') { echo "checked"; }  ?>> <?php echo $LP_PIndent ?><br>
                    <input class="b" type="checkbox" id="edit_list" name="edit_list" value="1" <?php if ( $edit_list == '1') { echo "checked"; }  ?>> <?php echo $LP_PList ?><br>
                </td>
              	<td align="left" valign="top" class="text">
                    <input class="b" type="checkbox" id="edit_color" name="edit_color" value="1" <?php if ( $edit_color == '1') { echo "checked"; }  ?>> <?php echo $LP_PColor ?><br>
                    <input class="b" type="checkbox" id="edit_fontface" name="edit_fontface" value="1" <?php if ( $edit_fontface == '1') { echo "checked"; }  ?>> <?php echo $LP_PFontFace ?><br>
                    <input class="b" type="checkbox" id="edit_pic" name="edit_pic" value="1" <?php if ( $edit_pic == '1') { echo "checked"; }  ?>> <?php echo $LP_PPic ?><br>
                    <input class="b" type="checkbox" id="edit_specialchars" name="edit_specialchars" value="1" <?php if ( $edit_specialchars == '1') { echo "checked"; }  ?>> <?php echo $LP_Pspecialchars ?><br>
                    <input class="b" type="checkbox" id="edit_snippet" name="edit_snippet" value="1" <?php if ( $edit_snippet == '1') { echo "checked"; }  ?>> <?php echo $LP_Psnippet ?><br>
                    <input class="b" type="checkbox" id="edit_htmlmode" name="edit_htmlmode" value="1" <?php if ( $edit_htmlmode == '1') { echo "checked"; }  ?>> <?php echo $LP_Phtmlmode ?><br>
                </td>
            </tr>
        </table>
    </td>
</tr>
<?PHP
}
?>
