<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: secure.php,v 1.1.1.1.2.5 2003/10/14 20:23:26 balu Exp $
if (!defined('CPO')) exit;

    $jetzt = time();
    $time_counter = $jetzt - $System_timeout; 

    // remove logged in users that were inactive too long
    $query = "DELETE FROM ".$dbPrefix."_log_login WHERE last_action < ".$time_counter." ";
    DEBUG(2, $query, __FILE__, __LINE__);   
    $db = new DB;
    $db->query($query);

    // update last_action time if the user is logged in
    if ( $_SESSION['SID_login'] != '' ) {
        $query = "UPDATE ".$dbPrefix."_log_login SET last_action = ".$jetzt." WHERE user = '".$_SESSION['SID_login']."'";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query); 
    }

    // if the rubric is closed, fetch the groups that are allowed to view the content
    // and check if the user is in one of those groups
    // if not closed, return to file that required this
    if ($Rubric_secure != 2) return;
    $query = "SELECT usergroup FROM ".$dbPrefix."_rubric_permission WHERE kategorie = '".$directory."'";
    DEBUG(2, $query, __FILE__, __LINE__);   
    $db = new DB;
    $db->query($query);

    $usergroup_OK = FALSE;

    if ( $db->num_rows() > 0 ) {
        while($db->next_record()):
            $usergroup = $db->v("usergroup");
            if ( $usergroup != '' AND $usergroup == $_SESSION['SID_Group'] ) {
                $usergroup_OK = TRUE;
                $_SESSION['SID_loggedin'] = 1;
            }
        endwhile;
    }

    // if the user is not allowed to view the content redirect him
    if ( $_SESSION['SID_loggedin'] == 1 AND ( $usergroup_OK == TRUE OR $_SESSION['SID_level'] > 2 ) )
    {
        // echo "<!-- Login: OK -->";
    } else {
        $site = "login.php?".SID;
        Header("Location: $site");
        exit;
    }
?>
