<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: select_template_js.php,v 1.1.1.1.2.9 2003/11/08 17:42:20 balu Exp $
if (!defined('CPO')) exit;

    // choose a template
    $template = $db_template;
    if ( $template == '' )  {
        // if no template is defined yet, use the Rubric standard one
        if ( $Rubric_standard_template != '' ) {
            $template = $Rubric_standard_template;

        } else {
            // or get the first template in the database
            $query = "SELECT template FROM ".$dbPrefix."_templates WHERE id != '' LIMIT 0,1";
            DEBUG(2, $query, __FILE__, __LINE__);   
            $db_2 = new DB;
            $db_2->query($query);

            if ($db_2->num_rows()>0) {
                $db_2->next_record();
                $template = $db_2->v("template");
            }
        }            
    }
    
    $query = "SELECT tpl_javascript FROM ".$dbPrefix."_templates WHERE template = \"".$template."\"";
    DEBUG(2, $query, __FILE__, __LINE__);   
    $db_2 = new DB;
    $db_2->query($query);

    if ($db_2->num_rows()>0) {
        $db_2->next_record();
        $template_datei = $db_2->v("tpl_javascript");
    }

    require(CPO_BASEDIR."_include/template_js_header.php");
    // require(CPO_BASEDIR."_include/temp_header.php");
    require(CPO_BASEDIR."_include/parser.php");

    $string = explode("\n", $template_datei);

    for ( $i=0; $i <= sizeof($string); $i++ ) {
        $space = ereg_replace ( " ", "", $string[$i]);                     // FIXME why are spaces removed?
        $space = ereg_replace ( "/(\015\012)|(\015)|(\012)/", "", $space); // FIXME why are returns removed?
        if ( $space != '' ) {
            $output = $string[$i];
            $output = preg_replace("/(\015\012)|(\015)|(\012)/", "", $output);
            $output = ereg_replace ( "\\\\", "\\\\", $output);
            $output = ereg_replace ( "\'", "\\'", $output);

            $output = "document.write ('".$output."');\n";
            
            $output = ereg_replace("\.\./_data/", $System_base_url."_data/", $output); // make absolute links for images and files
            echo $output;
        }
    }

    // require(CPO_BASEDIR."_include/temp_footer.php");
?>
