<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: tab_snippets.php,v 1.1.1.1.2.4 2003/10/07 23:31:23 balu Exp $
if (!defined('CPO')) exit;

$jetzt = time();
$query = "SELECT id, name, snippet, rubrik, changer, lastmodify "
        ."FROM ".$dbPrefix."_snippet WHERE rubrik = '".$directory."' || rubrik = '_snippets_' ORDER BY name";
DEBUG(1, $query, __FILE__, __LINE__);       
$db = new DB;
$db->query($query);
    
if ($db->num_rows()<=0) {

    $message = $PicDatei." ".$LP_NoDataText;
    require(CPO_BASEDIR."_include/message.php");       
    
    echo "<A HREF='snippet_change.php?new=1&directory=".$directory."'>".$LPSN_SnippetNew2." &raquo;</A><br>\n"; 
    return;
} 

echo "<table width=\"".$WIDTH."\" border='0' cellpadding='3' cellspacing='2'>\n";
echo "<tr bgcolor='".$color_tbg_dunkel."'>";
echo "<td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LPTL_Nr."</b></td><td align='left' class='text'>";
echo "</td></tr></table></td><td width=\"50%\" align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LPTL_Name."</b></td><td align='left' class='text'>";
help("SN011");
echo "</td></tr></table></td><td width=\"50%\" align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LPTL_Author."</b></td><td align='left' class='text'>";
help("SN012");
echo "</td></tr></table></td><td width=\"50%\" align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LPTL_Date."</b></td><td align='left' class='text'>";
help("SN013");
echo "</td></tr></table></td><td width=\"50%\" align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LPTL_Snippet0."</b></td><td align='left' class='text'>";
help("SN014");
echo "</td></tr></table></td></tr>";

while($db->next_record()):

    if ($color == 1) {
        echo "<tr bgcolor=\"".$color_data_hell."\">";
        $color = 0;
    } else {
        echo "<tr>";
        $color = 1;
    }

    echo "<td valign=\"top\" align='right' class='text'>";
    $nr++;
    echo $nr."";
    echo "</td>";

    echo "<td valign=\"top\" align='left' class='text'>";
    $id             = $db->v("id");
    $name           = $db->v("name");
    $snippet        = $db->v("snippet");
    $rubrik         = $db->v("rubrik");
    $user           = $db->v("changer");
    $lastmodify     = $db->v("lastmodify");

    echo "<A HREF='snippet_show.php?id=".$id."&directory=".$directory."' target=\"_blank\">".$name."</A>\n";
    if ( $rubrik == '_snippets_' ) {
        echo "<br>[".$LPSN_AllRubric."]";
    }
    
    echo "</td>";

    echo "<td valign=\"top\" align='left' class='text'>";

    $query = "SELECT name FROM ".$dbPrefix."_user WHERE user = \"".$user."\"";
    DEBUG(2, $query, __FILE__, __LINE__);       
    $db_2 = new DB;
    $db_2->query($query);
        
    if ($db_2->num_rows()>0) {
        $db_2->next_record();
        echo $db_2->v("name");
    } 
    
    echo "&nbsp;</td>";

    echo "<td valign=\"top\" align='left' class='text'>";
    $datum = date( $feld_formdatum, $lastmodify);
    echo $datum;
    echo "</td>";

    echo "<td valign=\"top\" align='left' class='text'>";
    echo "<A HREF='snippet_change.php?id=".$id."&change=1&directory=".$directory."'><img src=\"../_skin/".$cpoSkin."/pic_edit.gif\" width=\"18\" height=\"21\" alt=\"".$LP_Modify."\" border=\"0\"></A>";
    
    // FIXME: there is no field template in the snippet-table? I don't see a reason why to block snippets anyway?
    /*
    $template       = $db->v("template");
    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE template = \"".$template."\"";
    DEBUG(1, $query, __FILE__, __LINE__);       
    $db_2 = new DB;
    $db_2->query($query);
    $db_2->next_record();
    */
        
    echo "<A HREF='snippet_change.php?id=".$id."&new=1&directory=".$directory."' onClick=\"return confirm('".$LPSN_CopySnippet_1." [".$db->v("name")."] ".$LPSN_CopySnippet_2."')\"><img src=\"../_skin/".$cpoSkin."/pic_copy.gif\" width=\"18\" height=\"21\" alt=\"".$LP_Copy."\" border=\"0\"></A>";

    //if ($db_2->v('COUNT(*)')<=0) {
    if ( $rubrik == '_snippets_' ) {
        echo "<A HREF='snippet_delete.php?id=".$id."&directory=".$directory."' onClick=\"return confirm('".$LPSN_DeleteSnippetAll_1." [".$db->v("name")."] ".$LPSN_DeleteSnippetAll_2."')\"><img src=\"../_skin/".$cpoSkin."/pic_del.gif\" width=\"18\" height=\"21\" alt=\"".$LP_Delete."\" border=\"0\"></A>";
    } else {
        echo "<A HREF='snippet_delete.php?id=".$id."&directory=".$directory."' onClick=\"return confirm('".$LPSN_DeleteSnippet_1." [".$db->v("name")."] ".$LPSN_DeleteSnippet_2."')\"><img src=\"../_skin/".$cpoSkin."/pic_del.gif\" width=\"18\" height=\"21\" alt=\"".$LP_Delete."\" border=\"0\"></A>";
    }
    //} 

    echo "</td></tr>\n";
endwhile;

echo "</table>";
?>
