<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: tab_version.php,v 1.1.1.1.2.5 2003/10/14 20:23:26 balu Exp $
if (!defined('CPO')) exit;

$jetzt = time();
$query = "SELECT nr, template, sort_id, auth, auth_backup, commentary, freigabe, titel, untertitel, text_1, autor, changer, last_modify, pub_datum, verfallsdatum, article_nr "
        ."FROM ".$dbPrefix."_news WHERE artikel_archiv = 0 AND kategorie = '".$directory."' ORDER BY ".$sort."";
DEBUG(1, $query, __FILE__, __LINE__);       
$db = new DB;
$db->query($query);

$msg1 = 0;

echo "<table width=\"".$WIDTH."\" border='0' cellpadding='3' cellspacing='2'>\n";

if ($db->num_rows()<=0) {
    $msg1 = 1;
} else {
    echo "<tr><td colspan=\"4\" align='left' class='text'><b>".$LP_InArtVerMan."</b><br></td></tr>";
    
    echo "<tr bgcolor='".$color_tbg_dunkel."'>";
    echo "<td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LP_Status."</b></td><td align='left' class='text'>";
    help("AB071");
    echo "</td></tr></table></td><td width=\"50%\" align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LPR_Title."/".$LPR_Author."/".$LPR_ArtVersion."</b></td><td align='left' class='text'>";
    help("AB072");
    echo "</td></tr></table></td><td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LPR_Info."</b></td><td align='left' class='text'>";
    help("AB073a");
    echo "</td></tr></table></td><td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LPR_Publication."</b></td><td align='left' class='text'>";
    help("AB073");
    echo "</td></tr></table></td><td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LP_TModify."</b></td><td align='left' class='text'>";
    help("AB074");
    echo "</td></tr></table></td></tr>";

    while($db->next_record()):
        $nr             = $db->v("nr");
        $template       = $db->v("template");
        $sort_id        = $db->v("sort_id");
        $auth           = $db->v("auth");
        $auth_backup    = $db->v("auth_backup");
        $commentary     = $db->v("commentary");
        $freigabe       = $db->v("freigabe") ;

        if ($color == 1) {
            echo "<tr bgcolor=\"".$color_data_hell."\">";
            $color = 0;
        } else {
            echo "<tr>";
            $color = 1;
        }

        # --- BEGIN --- Status --------------------------------------------
        echo "<td valign=\"top\" width='95' align='center' class='text'>";

        switch ($freigabe) {
            case 0: // freigegeben
                echo "<b>".$LP_R_free."</b><br>";
                echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                echo "<img src=\"../_skin/".$cpoSkin."/c_free.gif\" alt=\"".$LP_R_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                break;
            case 1: // warten
                if ( $System_release == 1 ) {
                    echo "<b>".$LP_R_wait."</b><br>";
                    echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                    echo "<img src=\"../_skin/".$cpoSkin."/c_wait.gif\" alt=\"".$LP_R_wait."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                } else {
                    echo "<b>".$LP_R_free."</b><br>";
                    echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                    echo "<img src=\"../_skin/".$cpoSkin."/c_free.gif\" alt=\"".$LP_R_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                }
                break;
            case 2: // gesperrt
                echo "<b>".$LP_R_blocked."</b><br>";
                echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                echo "<img src=\"../_skin/".$cpoSkin."/c_block.gif\" alt=\"".$LP_R_blocked."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                break;
            case 3: // abgewiesen
                if ( $System_release == 1 ) {
                    echo "<b>".$LP_R_cancel."</b><br>";
                    echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                    echo "<img src=\"../_skin/".$cpoSkin."/c_reject.gif\" alt=\"".$LP_R_cancel."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                } else {
                    echo "<b>".$LP_R_free."</b><br>";
                    echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                    echo "<img src=\"../_skin/".$cpoSkin."/c_free.gif\" alt=\"".$LP_R_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                }
                break;
        }

        echo "</td>";
        # --- END --- Status --------------------------------------------

        # --- BEGIN --- Autor --------------------------------------------
        echo "<td nowrap valign=\"top\" align='left' class='text'>";

        echo "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"top\">";

        if ( $db->v("titel") != '' ) {
            echo "<A HREF='../_content/show_index.php?nr=".$db->v("nr")."&directory=".$directory."&flag=archiv' target='_blank'>";
            $xtitel = substr($db->v("titel"), 0, 35);
            if ( strlen($db->v("titel")) > 35 ) {
                $xtitel.= "...";
            } 
            echo $xtitel."</A>\n";
        } else {
            if ( $db->v("untertitel") != '' ) {
                echo "<A HREF='../_content/show_index.php?nr=".$db->v("nr")."&directory=".$directory."&flag=archiv' target='_blank'>";
                $xuntertitel = substr($db->v("untertitel"), 0, 35);
                if ( strlen($db->v("untertitel")) > 35 ) {
                    $xuntertitel.= "...";
                } 
                echo $xuntertitel."</A>\n";
            } else {
                echo "<A class=\"agrey\" HREF='../_content/show_index.php?nr=".$db->v("nr")."&directory=".$directory."&flag=archiv' target='_blank'>";
                echo "<i>".$LP_WithoutTitle."</i></A> \n";
                
                $text = ereg_replace ( "<[b|B][r|R]>", " ", $db->v("text_1"));
                $text = strip_tags($text);

                $text = substr($text, 0, 30);
                if ( strlen($db->v("text_1")) > 30 ) {
                    $text.= "...";
                } 
                if ( $text != '' ) {
                    echo "<b>".$text."</b>\n";
                }
            }
        }

        echo "<br>\n";

        if ( $db->v("autor") != '' OR $db->v("changer") != '' ) {
            echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">";
            echo "<tr>";
            echo "<td class=\"text\" align=\"left\" valign=\"top\">";
            if ( $db->v("autor") != '' ) {
                echo $LP_ModAuthor.":&nbsp;";
                echo "</td>";
                echo "<td class=\"text\" align=\"left\" valign=\"top\">";
                $db->p("autor");
                echo " ";
            }

            echo "</td>";
            echo "</tr>";

            echo "<tr>";
            echo "<td class=\"text\" align=\"left\" valign=\"top\">";
            echo $LP_ModChanger.":&nbsp;";
            echo "</td>";
            echo "<td class=\"text\" align=\"left\" valign=\"top\">";

            $query = "SELECT name FROM ".$dbPrefix."_user WHERE user = '".$db->v("changer")."'";
            DEBUG(2, $query, __FILE__, __LINE__);
            $db2 = new db;
            $db2->query($query);
        
            if ($db2->num_rows()>0) {
                $db2->next_record();
                $changer = $db2->v("name");
            }
            if ( $db->v("last_modify") != '' ) {
                echo $changer." ";
            } else {
                echo "- ";
            }
            echo "</td>";
            echo "</tr>";
            echo "</table>";
        }

        echo "</td><td width=\"13\" align=\"right\" valign=\"top\">";

        if ( $_SESSION['SID_level'] > 1 ) {
            echo "<A href=\"info.php?nr=".$db->v("nr")."\">";
            echo "<img src=\"../_skin/".$cpoSkin."/info.gif\" alt=\"".$LP_VersionArchiv."\" align=\"absmiddle\" border=\"0\"></A>";
        }

        echo "</td></tr></table>";

        echo "</td>";
        # --- END --- Autor --------------------------------------------

        # --- BEGIN --- Info --------------------------------------------
        echo "<td nowrap valign=\"top\" align='left' class='text'>";

        $query = "SELECT name FROM ".$dbPrefix."_templates WHERE template = '".$template."'";
        DEBUG(2, $query, __FILE__, __LINE__);       
        $db_2 = new DB;
        $db_2->query($query);
        if ($db_2->num_rows()>0) {
            $db_2->next_record();
            $template_name = $db_2->v("name");
        }
        print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/template.gif" alt="'.$LPTL_Template.': '.$template_name.'" width="13" height="13" border="0">&nbsp;');

        if ( $commentary != '' ) {
            $commentary_text = ereg_replace ( '"', '&quot;', $commentary);
            print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/commentary2.gif" alt="'.$commentary_text.'" width="13" height="13" border="0">&nbsp;');
        } else {
            print ('<img align="absmiddle" src="../_images/transparent.gif" alt="" width="13" height="13" border="0">&nbsp;');
        }

        if ( $auth != '' ) {
            $auth_text = $auth;
            $auth_text = ereg_replace ( "#", ", ", $auth_text);
            $auth_text = substr($auth_text, 2);
            $auth_text = substr($auth_text, 0, -2);
            
            print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/lock_icon.gif" alt="'.$LP_SecureArticle.': '.$auth_text.'" width="13" height="13" border="0">');
        } else {
            print ('<img align="absmiddle" src="../_images/transparent.gif" alt="" width="13" height="13" border="0">');
        }

        echo "</td>";
        # --- END --- Info --------------------------------------------

        # --- BEGIN --- Publikations- und Verfallsdatum --------------------------------------------
        echo "<td valign=\"top\" width='225' align='left' class='courier'>";

        if ( $db->v("pub_datum") != '' ) {
            $pdatum = date( "d.m.Y - H:i", $db->v("pub_datum") );
            echo "<nobr>".$pdatum."</nobr><br>";
        }

        if ( $db->v("verfallsdatum") != '' ) {
            $vdatum = '-';
            if ( $db->v("verfallsdatum") < '2023066800'  ) {
                $vdatum = date( "d.m.Y - H:i", $db->v("verfallsdatum") );
            } 
            echo "<nobr>".$vdatum."</nobr><br>";
        }

        if ( $jetzt > $db->v("pub_datum") ) {
            if ( $jetzt > $db->v("verfallsdatum") ) {
                echo "<nobr><img src=\"../_skin/".$cpoSkin."/s_archive.gif\" alt=\"".$LP_Expired."\" border=\"0\"> <b>".$LP_Expired."</b></nobr><br>";
            } else {
                echo "<nobr><img src=\"../_skin/".$cpoSkin."/s_online.gif\" alt=\"".$LP_Online."\" border=\"0\"> <b>".$LP_Online."</b></nobr><br>";
            } 
        } else {
             echo "<nobr><img src=\"../_skin/".$cpoSkin."/s_offline.gif\" alt=\"".$LP_Offline."\" border=\"0\"> <b>".$LP_Offline."</b></nobr><br>";
        }

        echo "</td>";
        # --- END --- Publikations- und Verfallsdatum --------------------------------------------

        if ( $_SESSION['SID_stufe2'] == 1 ) {
            echo "<td width='80' valign=\"top\" align='left' class='courier'>";

            $article_nr = $db->v("article_nr");

            $query = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE article_nr = '".$article_nr."'";
            DEBUG(2, $query, __FILE__, __LINE__);       
            $db_2 = new DB;
            $db_2->query($query);
            $db_2->next_record();
            if ($db_2->v('COUNT(*)')> 1) {
                echo "<A href=\"info.php?nr=".$db->v("nr")."\"><nobr><img src=\"../_skin/".$cpoSkin."/pic_archive.gif\" width=\"18\" height=\"21\" alt=\"".$LP_VersionArchiv."\" border=\"0\"></nobr></A>";
            }
            echo "</td>";
        }
        echo "</tr>\n";
    endwhile;
}

if ( $msg1 == 0) {
    echo "<tr><td colspan=\"4\" align='left' class='text'><br><br><br></td></tr>";
}

$jetzt = time();
$query = "SELECT nr, template, sort_id, auth, auth_backup, commentary, freigabe, titel, untertitel, text_1, autor, changer, last_modify, pub_datum, verfallsdatum "
        ."FROM ".$dbPrefix."_news WHERE artikel_archiv = 9 AND kategorie = '".$directory."' ORDER BY ".$sort."";
DEBUG(1, $query, __FILE__, __LINE__);       
$db = new DB;
$db->query($query);
    
if ($db->num_rows()<=0) {
    echo "</table>";
    if ( $msg1 == 1 ) {
        $message = $LP_NoArticle;
        require(CPO_BASEDIR."_include/message.php");
    } 
    return;
} 
echo "<tr><td colspan=\"4\" align='left' class='text'><b>".$LP_InDelArticle."</b><br></td></tr>";

echo "<tr bgcolor='".$color_tbg_dunkel."'>";
echo "<td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LP_Status."</b></td><td align='left' class='text'>";
help("AB071");
echo "</td></tr></table></td><td width=\"50%\" align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LPR_Title."/".$LPR_Author."/".$LPR_ArtVersion."</b></td><td align='left' class='text'>";
help("AB072");
echo "</td></tr></table></td><td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LPR_Info."</b></td><td align='left' class='text'>";
help("AB073a");
echo "</td></tr></table></td><td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LPR_Publication."</b></td><td align='left' class='text'>";
help("AB073");
if ( $_SESSION['SID_stufe2'] == 1 ) {
    echo "</td></tr></table></td><td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LP_TModify."</b></td><td align='left' class='text'>";
    help("AB075");
}
echo "</td></tr></table></td></tr>";

while($db->next_record()):
    $nr             = $db->v("nr");
    $template       = $db->v("template");
    $sort_id        = $db->v("sort_id");
    $auth           = $db->v("auth");
    $auth_backup    = $db->v("auth_backup");
    $commentary     = $db->v("commentary");
    $freigabe       = $db->v("freigabe") ;

    echo "<tr bgcolor=\"".$color_grey2."\">";

    # --- BEGIN --- Status --------------------------------------------
    echo "<td valign=\"top\" width='95' align='center' class='text'>";

    switch ($freigabe) {
        case 0: // freigegeben
            echo "<b>".$LP_R_free."</b><br>";
            echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
            echo "<img src=\"../_skin/".$cpoSkin."/c_free.gif\" alt=\"".$LP_R_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
            break;
        case 1: // warten
            if ( $System_release == 1 )
            {
                echo "<b>".$LP_R_wait."</b><br>";
                echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                echo "<img src=\"../_skin/".$cpoSkin."/c_wait.gif\" alt=\"".$LP_R_wait."\" width=\"95\" height=\"7\" border=\"0\"><br>";
            } else {
                echo "<b>".$LP_R_free."</b><br>";
                echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                echo "<img src=\"../_skin/".$cpoSkin."/c_free.gif\" alt=\"".$LP_R_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
            }
            break;
        case 2: // gesperrt
            echo "<b>".$LP_R_blocked."</b><br>";
            echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
            echo "<img src=\"../_skin/".$cpoSkin."/c_block.gif\" alt=\"".$LP_R_blocked."\" width=\"95\" height=\"7\" border=\"0\"><br>";
            break;
        case 3: // abgewiesen
            if ( $System_release == 1 )
            {
                echo "<b>".$LP_R_cancel."</b><br>";
                echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                echo "<img src=\"../_skin/".$cpoSkin."/c_reject.gif\" alt=\"".$LP_R_cancel."\" width=\"95\" height=\"7\" border=\"0\"><br>";
            } else {
                echo "<b>".$LP_R_free."</b><br>";
                echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                echo "<img src=\"../_skin/".$cpoSkin."/c_free.gif\" alt=\"".$LP_R_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
            }
            break;
    }

    echo "</td>";
    # --- END --- Status --------------------------------------------

    # --- BEGIN --- Autor --------------------------------------------
    echo "<td nowrap valign=\"top\" align='left' class='text'>";

    echo "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"top\">";

    if ( $db->v("titel") != '' ) {
        echo "<A HREF='../_content/show_index.php?nr=".$db->v("nr")."&directory=".$directory."&flag=archiv' target='_blank'>";
        $xtitel = substr($db->v("titel"), 0, 35);
        if ( strlen($db->v("titel")) > 35 ) {
            $xtitel.= "...";
        } 
        echo $xtitel."</A>\n";
    } else {
        if ( $db->v("untertitel") != '' ) {
            echo "<A HREF='../_content/show_index.php?nr=".$db->v("nr")."&directory=".$directory."&flag=archiv' target='_blank'>";
            $xuntertitel = substr($db->v("untertitel"), 0, 35);
            if ( strlen($db->v("untertitel")) > 35 ) {
                $xuntertitel.= "...";
            } 
            echo $xuntertitel."</A>\n";
        } else {
            echo "<A class=\"agrey\" HREF='../_content/show_index.php?nr=".$db->v("nr")."&directory=".$directory."&flag=archiv' target='_blank'>";
            echo "<i>".$LP_WithoutTitle."</i></A> \n";

            $text = ereg_replace ( "<[b|B][r|R]>", " ", $db->v("text_1"));
            $text = strip_tags($text);

            $text = substr($text, 0, 30);
            if ( strlen($db->v("text_1")) > 30 ) {
                $text.= "...";
            } 
            if ( $text != '' ) {
                echo "<b>".$text."</b>\n";
            }
        }
    }

    echo "<br>\n";

    if ( $db->v("autor") != '' OR $db->v("changer") != '' ) {
        echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">";
        echo "<tr>";
        echo "<td class=\"text\" align=\"left\" valign=\"top\">";
        if ( $db->v("autor") != '' ) {
            echo $LP_ModAuthor.":&nbsp;";
            echo "</td>";
            echo "<td class=\"text\" align=\"left\" valign=\"top\">";
            $db->p("autor");
            echo " ";
        }

        echo "</td>";
        echo "</tr>";

        echo "<tr>";
        echo "<td class=\"text\" align=\"left\" valign=\"top\">";
        echo $LP_ModChanger.":&nbsp;";
        echo "</td>";
        echo "<td class=\"text\" align=\"left\" valign=\"top\">";

        $query = "SELECT name FROM ".$dbPrefix."_user WHERE user = '".$db->v("changer")."'";
        DEBUG(2, $query, __FILE__, __LINE__);
        $db2 = new db;
        $db2->query($query);
    
        if ($db2->num_rows()>0) {
            $db2->next_record();
            $changer = $db2->v("name");
        }

        if ( $db->v("last_modify") != '' ) {
            echo $changer." ";
        } else {
            echo "- ";
        }

        echo "</td>";
        echo "</tr>";

        echo "</table>";
    }

    echo "</td><td width=\"13\" align=\"right\" valign=\"top\">";

    if ( $_SESSION['SID_level'] > 1 ) {
        echo "<A href=\"info.php?nr=".$db->v("nr")."\">";
        echo "<img src=\"../_skin/".$cpoSkin."/info.gif\" alt=\"".$LP_VersionArchiv."\" align=\"absmiddle\" border=\"0\"></A>";
    }

    echo "</td></tr></table>";

    echo "</td>";
    # --- END --- Autor --------------------------------------------

    # --- BEGIN --- Info --------------------------------------------
    echo "<td nowrap valign=\"top\" align='left' class='text'>";

    $query = "SELECT name FROM ".$dbPrefix."_templates WHERE template = '".$template."'";
    DEBUG(2, $query, __FILE__, __LINE__);       
    $db_2 = new DB;
    $db_2->query($query);
    if ($db_2->num_rows()>0) {
        $db_2->next_record();
        $template_name = $db_2->v("name");
    }
    print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/template.gif" alt="'.$LPTL_Template.': '.$template_name.'" width="13" height="13" border="0">&nbsp;');

    if ( $commentary != '' ) {
        $commentary_text = ereg_replace ( '"', '&quot;', $commentary);
        print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/commentary2.gif" alt="'.$commentary_text.'" width="13" height="13" border="0">&nbsp;');
    } else {
        print ('<img align="absmiddle" src="../_images/transparent.gif" alt="" width="13" height="13" border="0">&nbsp;');
    }

    if ( $auth != '' ) {
        $auth_text = $auth;
        $auth_text = ereg_replace ( "#", ", ", $auth_text);
        $auth_text = substr($auth_text, 2);
        $auth_text = substr($auth_text, 0, -2);
        
        print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/lock_icon.gif" alt="'.$LP_SecureArticle.': '.$auth_text.'" width="13" height="13" border="0">');
    } else {
        print ('<img align="absmiddle" src="../_images/transparent.gif" alt="" width="13" height="13" border="0">');
    }

    echo "</td>";
    # --- END --- Info --------------------------------------------

    # --- BEGIN --- Publikations- und Verfallsdatum --------------------------------------------
    echo "<td valign=\"top\" width='225' align='left' class='courier'>";

    if ( $db->v("pub_datum") != '' ) {
        $pdatum = date( "d.m.Y - H:i", $db->v("pub_datum") );
        echo "<nobr>".$pdatum."</nobr><br>";
    }

    if ( $db->v("verfallsdatum") != '' ) {
        $vdatum = "-";
        if ( $db->v("verfallsdatum") < '2023066800'  ) {
            $vdatum = date( "d.m.Y - H:i", $db->v("verfallsdatum") );
        } 
        echo "<nobr>".$vdatum."</nobr><br>";
    }

    if ( $jetzt > $db->v("pub_datum") ) {
        if ( $jetzt > $db->v("verfallsdatum") ) {
            echo "<nobr><img src=\"../_skin/".$cpoSkin."/s_archive.gif\" alt=\"".$LP_Expired."\" border=\"0\"> <b>".$LP_Expired."</b></nobr><br>";
        } else {
            echo "<nobr><img src=\"../_skin/".$cpoSkin."/s_online.gif\" alt=\"".$LP_Online."\" border=\"0\"> <b>".$LP_Online."</b></nobr><br>";
        } 
    } else {
         echo "<nobr><img src=\"../_skin/".$cpoSkin."/s_offline.gif\" alt=\"".$LP_Offline."\" border=\"0\"> <b>".$LP_Offline."</b></nobr><br>";
    }

    echo "</td>";
    # --- END --- Publikations- und Verfallsdatum --------------------------------------------

    if ( $_SESSION['SID_stufe2'] == 1 ) {
        echo "<td width='80' valign=\"top\" align='left' class='courier'>";

        $datum = time();
        $datum_timeout = $datum - $System_timeout;
        
        $query = "SELECT creator FROM ".$dbPrefix."_block WHERE article_id = '".$nr."' && create_date > '".$datum_timeout."'";
        DEBUG(2, $query, __FILE__, __LINE__);       
        $db_2 = new DB;
        $db_2->query($query);
        
        if ($db_2->num_rows()>0) {
            $db_2->next_record();
            $creator = $db_2->v("creator");
            echo "<span class=\"orange\"><nobr>".$LP_InUseShort."<a href=\"#\"><img src=\"../_images/transparent.gif\" height=\"8\" width=\"8\" alt=\"".autor_name($creator)."\" border=\"0\"></a></nobr></span>";
        } else { 
            echo "<A HREF='restore.php?action=restore&katego=".$directory."&nr=".$db->v("nr")."'><img src=\"../_skin/".$cpoSkin."/pic_restore.gif\" width=\"18\" height=\"21\" alt=\"".$LP_Restore."\" border=\"0\"></A>";
            echo "<A HREF='restore.php?action=delete&katego=".$directory."&nr=".$db->v("nr")."' onClick=\"return confirm('".$LP_DeleteReally_3." [".$db->v("nr")."] ".$LP_DeleteReally_4."')\"><img src=\"../_skin/".$cpoSkin."/pic_del.gif\" width=\"18\" height=\"21\" alt=\"".$LP_Delete."\" border=\"0\"></A>";
        }
        
        echo "</td>";
    }

    echo "</tr>\n";

endwhile;
echo "</table>";
?>
