<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: template_js_header.php,v 1.1.1.1.2.6 2003/10/28 09:46:09 balu Exp $
if (!defined('CPO')) exit;

    // ------------------------------------------------------------------------------------------------
    // ID 
    $cpContent["ID"] = '';
    if ( $db_nr != '' )  {
        $cpContent["ID"] .= $db_nr;
    }


    // ------------------------------------------------------------------------------------------------
    // Index 
    $cpContent["Index"] = '';
    if ( $db_idx != '' && ( $feld_index == 1 ))  {
        $idx = $db_idx;
        if ( $idx != 'zzzzzz' ) {
            $cpContent["Index"] .= "<span class=\"idx\">";
            $cpContent["Index"] .= $idx;
            $cpContent["Index"] .= "</span>";
        } 
    }


    // ------------------------------------------------------------------------------------------------
    // Titel
    $cpContent["Title"] = '';
    if ( $db_titel != '' && ( $feld_title == 1 ) )  {
        if ( $db_titel_link != '' && $feld_title_link == 1 ) {
            $cpContent["Title"] .= "<span class=\"htitel\">";
            if ( $Rubric_sep_window == '0' ) {
                $cpContent["Title"] .= "<A target=\"".$db_titel_target."\" class=\"ahtitel\" HREF=\"";
            } else {
                $cpContent["Title"] .= "<A target=\"".$Rubric_sep_window."\" class=\"ahtitel\" HREF=\"";
            }
            $cpContent["Title"] .= $db_titel_link;
            $cpContent["Title"] .= "\">";
            $cpContent["Title"] .= $db_titel;
            $cpContent["Title"] .= "</a></span>";
        } else {
            if ( $feld_title_more == 1 && ( ( $db_text_1 != '' && $feld_detail_text_1 == 1 ) || ( $db_text_2 != '' && $feld_detail_text_2 == 1 ) || ( $db_text_3 != '' && $feld_detail_text_3 == 1 ) ) ) {
                if ( $Rubric_sep_window == '0' ) {
                    $cpContent["Title"] .= "<span class=\"htitel\"><A target=\"".$db_more_target."\" HREF=\"".$System_base_url.$directory."/detail.php?nr=".$db_nr."&kategorie=".$directory."\" class=\"ahtitel\">";
                } else {
                    $cpContent["Title"] .= "<span class=\"htitel\"><A target=\"".$Rubric_sep_window."\" HREF=\"".$System_base_url.$directory."/detail.php?nr=".$db_nr."&kategorie=".$directory."\" class=\"ahtitel\">";
                }
                $cpContent["Title"] .= $db_titel;
                $cpContent["Title"] .= "</a></span>";
            } else {
                $cpContent["Title"] .= "<span class=\"htitel\">";
                $cpContent["Title"] .= $db_titel;
                $cpContent["Title"] .= "</span>";
            }
        }
    }


    // ------------------------------------------------------------------------------------------------
    // Untertitel
    $cpContent["Subtitle"] = '';
    if ( $db_untertitel != '' && ( $feld_utitle == 1 ))  {
        if ( $db_untertitel_link != '' && ( $feld_utitle_link == 1 ) ) {
            $cpContent["Subtitle"] .= "<span class=\"utitel\">";
            if ( $Rubric_sep_window == '0' ) {
                $cpContent["Subtitle"] .= "<A target=\"".$db_untertitel_target."\" class=\"autitel\" HREF=\"";
            } else {
                $cpContent["Subtitle"] .= "<A target=\"".$Rubric_sep_window."\" class=\"autitel\" HREF=\"";
            }
            $cpContent["Subtitle"] .= $db_untertitel_link;
            $cpContent["Subtitle"] .= "\">";
            $cpContent["Subtitle"] .= $db_untertitel;
            $cpContent["Subtitle"] .= "</a></span>";
        } else {
            $cpContent["Subtitle"] .= "<span class=\"utitel\">";
            $cpContent["Subtitle"] .= $db_untertitel;
            $cpContent["Subtitle"] .= "</span>";
        }
    }


    // ------------------------------------------------------------------------------------------------
    // Bild
    $cpContent["Image"] = '';        
    if ( $db_bild != '' && ( $feld_bild == 1 ))  {
        $datei_nr = $db_bild;

        if ( $showtemplate == 1 ) {
            $cpContent["Image"] = $db_bild;
        } else {
            $query = "SELECT datei, alttext, beschreibung FROM ".$dbPrefix."_data WHERE id = '$datei_nr'";
            DEBUG(2, $query, __FILE__, __LINE__);   
            $db_2 = new DB;
            $db_2->query($query); 
    
            if ($db_2->num_rows()>0){ 
                $db_2->next_record();
    
                if ( $db_bild_link != '' && ( $feld_bild_link == 1 ))  {
                    if ( $Rubric_sep_window == '0' ) {
                        $cpContent["Image"] .= "<A target=\"".$db_bild_target."\" HREF=\"";
                    } else {
                        $cpContent["Image"] .= "<A target=\"".$Rubric_sep_window."\" HREF=\"";
                    }
                    $cpContent["Image"] .= $db_bild_link;
                    $cpContent["Image"] .= "\"><img border=\"0\" src=\"".$System_base_url."_data/";
                    $cpContent["Image"] .= $db_2->v("datei");
                    $cpContent["Image"] .= "\" alt=\"";
                    $cpContent["Image"] .= $db_2->v("alttext");
                    $cpContent["Image"] .= "\"></a>";
                    if ( $db_2->v("beschreibung") != '' && ( $feld_bild_desc == 1 ))  {
                        $cpContent["Image"] .= "<br><span class=\"bild\">";
                        $cpContent["Image"] .= $db_2->v("beschreibung");
                        $cpContent["Image"] .= "</span>";
                    }
                } else {
                    $cpContent["Image"] .= "<img src=\"".$System_base_url."_data/";
                    $cpContent["Image"] .= $db_2->v("datei");
                    $cpContent["Image"] .= "\" alt=\"";
                    $cpContent["Image"] .= $db_2->v("alttext");
                    $cpContent["Image"] .= "\">";
                    if ( $db_2->v("beschreibung") != '' && ( $feld_bild_desc == 1 ))  
                    {
                        $cpContent["Image"] .= "<br><span class=\"bild\">";
                        $cpContent["Image"] .= $db_2->v("beschreibung");
                        $cpContent["Image"] .= "</span>";
                    }
                }
                
                $img = $db_2->v("datei");
                if ( is_file(CPO_BASEDIR."_data/".$img) ) {
                    $size=getimagesize(CPO_BASEDIR."_data/".$img);
                    $cpContent["ImageWidth"] = $size[0];
                }
            }
        }
    }


    // ------------------------------------------------------------------------------------------------
    // Datei        
    $cpContent["File"] = '';
    if ( $db_datei_name != '' && ( $feld_file == 1 ))  {
        $datei_nr = $db_datei_name;
        
        if ( $showtemplate == 1 ) {
            $cpContent["File"] = $db_datei_name;
        } else {
            $query = "SELECT datei FROM ".$dbPrefix."_data WHERE id = '$datei_nr'";
            DEBUG(2, $query, __FILE__, __LINE__);   
            $db_2 = new DB;
            $db_2->query($query); 
            if ($db_2->num_rows()>0){ 
                $db_2->next_record();
                $file = $db_2->v("datei");
            }
            
            if ( $db_datei_prolog != '' ) {
                $datei_prolog = $db_datei_prolog;
                $cpContent["File"] .= "<span class=\"link\">".$datei_prolog." <A HREF=\"../_data/";
            } else {
                $cpContent["File"] .= "<span class=\"link\"><A HREF=\"".$System_base_url."_data/";
            }
            $cpContent["File"] .= $file;
            $cpContent["File"] .= "\" target=\"_blank\">";
            
            if ( $db_datei_desc != '' && ( $feld_file_desc == 1 )) {
                $cpContent["File"] .= $db_datei_desc;
            } else {
                $cpContent["File"] .= $file;
            }  
            $cpContent["File"] .= "</a></span>";
        }
    }


    // ------------------------------------------------------------------------------------------------
    // Text 1        
    $cpContent["Text1"] = '';
    if ( $output_text_1 != '' && $feld_text_1 == 1 )  {
        // $output_text_1 = nl2br( $output_text_1 );
        $cpContent["Text1"] .= "<span class=\"text\">";
        $cpContent["Text1"] .= $output_text_1;
        $cpContent["Text1"] .= "</span>";
        $cpContent["Text1"] = ereg_replace ( "<P class=VERS>", "<P class=\"text\">", $cpContent["Text1"]);
        $cpContent["Text1"] = ereg_replace ( "</P>", "", $cpContent["Text1"]);
    }


    // ------------------------------------------------------------------------------------------------
    // Text 2
    $cpContent["Text2"] = '';        
    if ( $output_text_2 != '' && $feld_text_2 == 1 )  {
        $cpContent["Text2"] .= "<span class=\"text\">";
        $cpContent["Text2"] .= $output_text_2;
        $cpContent["Text2"] .= "</span>";
        $cpContent["Text2"] = ereg_replace ( "<P class=VERS>", "<P class=\"text\">", $cpContent["Text2"]);
        $cpContent["Text2"] = ereg_replace ( "</P>", "", $cpContent["Text2"]);
    }


    // ------------------------------------------------------------------------------------------------
    // Text 3
    $cpContent["Text3"] = '';        
    if ( $output_text_3 != '' && $feld_text_3 == 1 )  {
        $cpContent["Text3"] .= "<span class=\"text\">";
        $cpContent["Text3"] .= $output_text_3;
        $cpContent["Text3"] .= "</span>";
        $cpContent["Text3"] = ereg_replace ( "<P class=VERS>", "<P class=\"text\">", $cpContent["Text3"]);
        $cpContent["Text3"] = ereg_replace ( "</P>", "", $cpContent["Text3"]);
    }


    // ------------------------------------------------------------------------------------------------
    // Mehr    
    $cpContent["More"] = '';     
    // if (( ( $db_text_1 != '' && $feld_detail_text_1 == 1 ) || ( $db_text_2 != '' && $feld_detail_text_2 == 1 ) || ( $db_text_3 != '' && $feld_detail_text_3 == 1 ) ) && ( $feld_weiter == 1 ))  
    // {
    if ( ( ( $output_text_1 != '' && $feld_detail_text_1 == 1 && ( ($output_text_2 != '' && $feld_detail_text_2 == 1) || ($output_text_3 != '' && $feld_detail_text_3 == 1) ) ) ||
        ( $output_text_2 != '' && $feld_detail_text_2 == 1 && ( ($output_text_1 != '' && $feld_detail_text_1 == 1) || ($output_text_3 != '' && $feld_detail_text_3 == 1) ) ) ||
        ( $output_text_3 != '' && $feld_detail_text_3 == 1 && ( ($output_text_1 != '' && $feld_detail_text_1 == 1) || ($output_text_2 != '' && $feld_detail_text_2 == 1) ) ) ||
        ( $output_text_1 == '' && $feld_text_1 == 1 && ( ($output_text_2 != '' && $feld_detail_text_2 == 1) || ($output_text_3 != '' && $feld_detail_text_3 == 1) ) ) ||
        ( $output_text_2 == '' && $feld_text_2 == 1 && ( ($output_text_1 != '' && $feld_detail_text_1 == 1) || ($output_text_3 != '' && $feld_detail_text_3 == 1) ) ) ||
        ( $output_text_3 == '' && $feld_text_3 == 1 && ( ($output_text_1 != '' && $feld_detail_text_1 == 1) || ($output_text_2 != '' && $feld_detail_text_2 == 1) ) ) ||
        ( $output_text_1 != '' && $feld_text_1 == 1 && ( ($output_text_2 != '' && $feld_detail_text_2 == 1) || ($output_text_3 != '' && $feld_detail_text_3 == 1) ) ) ||
        ( $output_text_2 != '' && $feld_text_2 == 1 && ( ($output_text_1 != '' && $feld_detail_text_1 == 1) || ($output_text_3 != '' && $feld_detail_text_3 == 1) ) ) ||
        ( $output_text_3 != '' && $feld_text_3 == 1 && ( ($output_text_1 != '' && $feld_detail_text_1 == 1) || ($output_text_2 != '' && $feld_detail_text_2 == 1) ) )
    ) 
        && ( $feld_weiter == 1 ) 
        && ( ($output_text_1 != '' && $feld_detail_text_1 == 1) || ($output_text_2 != '' && $feld_detail_text_2 == 1) || ($output_text_3 != '' && $feld_detail_text_3 == 1) ) 
    ) {
        $cpContent["More"] .= "<span class=\"text\">";

#        if ( $thisfile != 'show_index.php' && $thisfile != 'index.html' && $thisfile != 'index2.html' && $thisfile != 'index.php' && $thisfile != 'archiv.php' && $thisfile != 'preview.php' && $_SESSION['SID_stufe2'] == 1 )
#        {
            if ( $db_mehr != '' )  {
                $cpContent["More"] .= "<A HREF=\"".$System_base_url.$directory."/detail.php?nr=".$db_nr."&kategorie=".$directory."\" target=\"_self\" class=\"more\">";
                // $cpContent["More"] .= "<A HREF=\"".$System_base_url.$directory."/detail.php/".$db_nr."/".$directory."/\" target=\"_self\" class=\"more\">";
                $cpContent["More"] .= $db_mehr;
                $cpContent["More"] .= "</A>";
            } else {
                $cpContent["More"] .= "<A HREF=\"".$System_base_url.$directory."/detail.php?nr=".$db_nr."&kategorie=".$directory."\" target=\"_self\" class=\"more\">";
                // $cpContent["More"] .= "<A HREF=\"".$System_base_url.$directory."/detail.php/".$db_nr."/".$directory."/\" target=\"_self\" class=\"more\">";
                $cpContent["More"] .= $LP_Rubic_More;
                $cpContent["More"] .= "</A>";
            }
#        } else {
#            if ( $db_mehr != '' )  
#            {
#                $cpContent["More"] .= "<A HREF=\"".$System_base_url.$directory."/detail.php/".$db_nr."/".$directory."/\" class=\"more\">";
#                $cpContent["More"] .= $db_mehr;
#                $cpContent["More"] .= "</A>";
#            } else {
#                $cpContent["More"] .= "<A HREF=\"".$System_base_url.$directory."/detail.php/".$db_nr."/".$directory."/\" class=\"more\">";
#                $cpContent["More"] .= $LP_Rubic_More;
#                $cpContent["More"] .= "</A>";
#            }
#        }

        $cpContent["More"] .= "</span>";
    } 


    // ------------------------------------------------------------------------------------------------
    // Link 1    
    $cpContent["Link1"] = '';
    if ( $db_link_1 != '' && ( $feld_link_1 == 1 ))  {
        if ( $showtemplate == 1 ) {
            $cpContent["Link1"] = $db_link_1;
        } else {
            if ( $db_link_text_1 != '' && ( $feld_link_text_1 == 1 ))  {
                $cpContent["Link1"] .= "<span class=\"text\">";
                if ( $Rubric_sep_window == '0' ) {
                    $cpContent["Link1"] .= "<A target=\"".$db_link_target_1."\" HREF=\"";
                } else {
                    $cpContent["Link1"] .= "<A target=\"".$Rubric_sep_window."\" HREF=\"";
                }
                $cpContent["Link1"] .= $db_link_1;
                $cpContent["Link1"] .= "\" class=\"link\">";
                $cpContent["Link1"] .= $db_link_text_1;
                $cpContent["Link1"] .= "</A></span>";
            } else {
                $cpContent["Link1"] .= "<span class=\"text\">";
                if ( $Rubric_sep_window == '0' ) {
                    $cpContent["Link1"] .= "<A target=\"".$db_link_target_1."\" HREF=\"";
                } else {
                    $cpContent["Link1"] .= "<A target=\"".$Rubric_sep_window."\" HREF=\"";
                }
                $cpContent["Link1"] .= $db_link_1;
                $cpContent["Link1"] .= "\" class=\"link\">";
                $cpContent["Link1"] .= $db_link_1;
                $cpContent["Link1"] .= "</A></span>";
            }
        }
    }


    // ------------------------------------------------------------------------------------------------
    // Link 2
    $cpContent["Link2"] = '';
    if ( $db_link_2 != '' && ( $feld_link_2 == 1 ))  {
        if ( $showtemplate == 1 ) {
            $cpContent["Link2"] = $db_link_2;
        } else {
            if ( $db_link_text_2 != '' && ( $feld_link_text_2 == 1 ))  {
                $cpContent["Link2"] .= "<span class=\"text\">";
                if ( $Rubric_sep_window == '0' ) {
                    $cpContent["Link2"] .= "<A target=\"".$db_link_target_2."\" HREF=\"";
                } else {
                    $cpContent["Link2"] .= "<A target=\"".$Rubric_sep_window."\" HREF=\"";
                }
                $cpContent["Link2"] .= $db_link_2;
                $cpContent["Link2"] .= "\" class=\"link\">";
                $cpContent["Link2"] .= $db_link_text_2;
                $cpContent["Link2"] .= "</A></span>";
            } else {
                $cpContent["Link2"] .= "<span class=\"text\">";
                if ( $Rubric_sep_window == '0' ) {
                    $cpContent["Link2"] .= "<A target=\"".$db_link_target_2."\" HREF=\"";
                } else {
                    $cpContent["Link2"] .= "<A target=\"".$Rubric_sep_window."\" HREF=\"";
                }
                $cpContent["Link2"] .= $db_link_2;
                $cpContent["Link2"] .= "\" class=\"link\">";
                $cpContent["Link2"] .= $db_link_2;
                $cpContent["Link2"] .= "</A></span>";
            }
        }
    }


    // ------------------------------------------------------------------------------------------------
    // Link 3
    $cpContent["Link3"] = '';
    if ( $db_link_3 != '' && ( $feld_link_3 == 1 ))  {
        if ( $showtemplate == 1 ) {
            $cpContent["Link3"] = $db_link_3;
        } else {
            if ( $db_link_text_3 != '' && ( $feld_link_text_3 == 1 ))  {
                $cpContent["Link3"] .= "<span class=\"text\">";
                if ( $Rubric_sep_window == '0' ) {
                    $cpContent["Link3"] .= "<A target=\"".$db_link_target_3."\" HREF=\"";
                } else {
                    $cpContent["Link3"] .= "<A target=\"".$Rubric_sep_window."\" HREF=\"";
                }
                $cpContent["Link3"] .= $db_link_3;
                $cpContent["Link3"] .= "\" class=\"link\">";
                $cpContent["Link3"] .= $db_link_text_3;
                $cpContent["Link3"] .= "</A></span>";
            } else {
                $cpContent["Link3"] .= "<span class=\"text\">";
                if ( $Rubric_sep_window == '0' ) {
                    $cpContent["Link3"] .= "<A target=\"".$db_link_target_3."\" HREF=\"";
                } else {
                    $cpContent["Link3"] .= "<A target=\"".$Rubric_sep_window."\" HREF=\"";
                }
                $cpContent["Link3"] .= $db_link_3;
                $cpContent["Link3"] .= "\" class=\"link\">";
                $cpContent["Link3"] .= $db_link_3;
                $cpContent["Link3"] .= "</A></span>";
            }
        }
    }


    // ------------------------------------------------------------------------------------------------
    // Autor
    $cpContent["Author"] = '';
    if ( $feld_autor == 1 )  {
        if ( $db_email != '' && ( $feld_email == 1 ))  {
            $cpContent["Author"] .= "<span class=\"datum\">[<A HREF=\"mailto:";
            $cpContent["Author"] .= $db_email;
            $cpContent["Author"] .= "\" class=\"al\">";
            $cpContent["Author"] .= $db_autor;
            $cpContent["Author"] .= "</A>]</span>";
        } else {
            $cpContent["Author"] .= "<span class=\"datum\">[";
            $cpContent["Author"] .= $db_autor;
            $cpContent["Author"] .= "]</span>";
        }
    }


    // ------------------------------------------------------------------------------------------------
    // Initial
    $cpContent["Initial"] = '';
    if ( $db_initial != '' && ( $feld_initial == 1 ))  {
        if ( $feld_autor == 0 && $feld_email == 1 && $db_email != '' )  {
            $cpContent["Initial"] .= "<span class=\"datum\">[<A HREF=\"mailto:";
            $cpContent["Initial"] .= $db_email;
            $cpContent["Initial"] .= "\" class=\"al\">";
            $cpContent["Initial"] .= $db_initial;
            $cpContent["Initial"] .= "</A>]</span>";
        } else {
            $cpContent["Initial"] .= "<span class=\"datum\">[";
            $cpContent["Initial"] .= $db_initial;
            $cpContent["Initial"] .= "]</span>";
        }
    }


    // ------------------------------------------------------------------------------------------------
    // Datum
    $cpContent["Date"] = '';
    if ( $db_pub_datum != '' && ( $feld_datum == 1 ))  {
        $datum = date( $feld_formdatum, $db_pub_datum );
        $cpContent["Date"] .= "<span class=\"datum\"><nobr>".$datum."</nobr></span>";
    }


?>
