<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: var_category.php,v 1.1.1.1.2.6 2004/01/20 10:56:30 balu Exp $
if (!defined('CPO')) exit;

// the following array does not include the values id, rubrik, header, name, zuordnung, standard, secure
// as they are specific to a rubric wether it uses individual or standard settings
$rubric_defaults = array(
     
 /* 'id'                => -1,
    'rubrik'            => $directory, 
    'header'            => $directory, 
    'name'              => $directory, 
    'zuordnung'         => 0, 
    'standard'          => 1, 
    'secure'            => 0, 
  */
    'header_view'       => 1, 
    'nodata'            => $LP_NoDataText, 
    'language'          => 'deutsch', 
    'art_number'        => 5, 
    'standard_template' => '',
    'editor'            => 1, 
    'edit_bold'         => 1, 'edit_italic'       => 1, 'edit_underline'    => 1, 'edit_hr'           => 1, 
    'edit_justify'      => 1, 'edit_indent'       => 1, 'edit_list'         => 1, 'edit_color'        => 1, 
    'edit_fontface'     => 1, 'edit_fontsize'     => 1, 'edit_pic'          => 1, 'edit_specialchars' => 1, 
    'edit_snippet'      => 1, 'edit_htmlmode'     => 1, 
    'switch'            => 1, 
    'separate'          => 0, 
    'separate_text'     => '', 
    'sep_window'        => 0, 
    'archiv'            => 1, 
    'archiv_text'       => $LP_Archiv, 
    'archiv_header'     => $LP_Archiv, 
    'search'            => 1, 

    'feld_edit_index'           => 0, 'feld_edit_title'           => 1, 'feld_edit_title_link'      => 1, 
    'feld_edit_title_target'    => 1, 'feld_edit_utitle'          => 1, 'feld_edit_utitle_link'     => 1, 
    'feld_edit_utitle_target'   => 1, 'feld_edit_text_1'          => 1, 'feld_edit_weiter'          => 1, 
    'feld_edit_text_2'          => 1, 'feld_edit_text_3'          => 0, 'feld_edit_bild'            => 1, 
    'feld_edit_bild_link'       => 1, 'feld_edit_bild_desc'       => 1, 
    'feld_edit_link_1'          => 1, 'feld_edit_link_text_1'     => 1, 
    'feld_edit_link_2'          => 1, 'feld_edit_link_text_2'     => 1, 
    'feld_edit_link_3'          => 1, 'feld_edit_link_text_3'     => 1, 
    'feld_edit_autor'           => 0, 'feld_edit_email'           => 0, 'feld_edit_initial'         => 0, 
    'feld_index'                => 0, 'feld_title'                => 1, 
    'feld_title_link'           => 1, 'feld_title_target'         => 1, 'feld_title_more'           => 0, 
    'feld_utitle'               => 1, 'feld_utitle_link'          => 1, 'feld_utitle_target'        => 1, 
    'feld_text_1'               => 1, 'feld_weiter'               => 1, 'feld_more_target'          => 0, 
    'feld_text_2'               => 0, 'feld_text_3'               => 0, 'feld_bild'                 => 0, 
    'feld_bild_link'            => 0, 'feld_bild_desc'            => 0, 
    'feld_link_1'               => 0, 'feld_link_text_1'          => 0, 
    'feld_link_2'               => 0, 'feld_link_text_2'          => 0, 
    'feld_link_3'               => 0, 'feld_link_text_3'          => 0, 
    'feld_autor'                => 0, 'feld_email'                => 0, 'feld_initial'              => 0, 
    'feld_datum'                => 1, 'feld_detail_index'         => 0, 'feld_detail_title'         => 1, 
    'feld_detail_title_link'    => 1, 'feld_detail_title_target'  => 1, 'feld_detail_utitle'        => 1, 
    'feld_detail_utitle_link'   => 1, 'feld_detail_utitle_target' => 1, 'feld_detail_text_1'        => 0, 
    'feld_detail_text_2'        => 1, 'feld_detail_text_3'        => 0, 'feld_detail_bild'          => 1, 
    'feld_detail_bild_link'     => 1, 'feld_detail_bild_desc'     => 1, 
    'feld_detail_link_1'        => 1, 'feld_detail_link_text_1'   => 1, 
    'feld_detail_link_2'        => 1, 'feld_detail_link_text_2'   => 1, 
    'feld_detail_link_3'        => 1, 'feld_detail_link_text_3'   => 1, 
    'feld_detail_autor'         => 0, 'feld_detail_email'         => 0, 'feld_detail_initial'       => 0, 
    'feld_detail_datum'         => 1, 'feld_edit_file'            => 1, 'feld_file'                 => 1, 
    'feld_detail_file'          => 1, 'feld_edit_file_desc'       => 1, 'feld_file_desc'            => 1, 
    'feld_detail_file_desc'     => 1, 'feld_file_prolog'          => 1, 'feld_formdatum'            => "d.m.Y H:i"
);

    // fetch rubric settings
    $query = "SELECT id, rubrik, header, name, zuordnung, standard, secure, ".implode(array_keys($rubric_defaults), ', ')." "
            ."FROM ".$dbPrefix."_rubric "
            ."WHERE rubrik = '".$directory."'";
    DEBUG(2, 'Fetching rubric settings:<br>'.$query, __FILE__, __LINE__);   
    $db = new DB;
    $db->query($query);

    if ($db->num_rows()>0) { // FIXME display a warning if more than one result is found?
        $db->next_record();

        $Rubric_id                  = $db->v("id");
        $Rubric_rubrik              = $db->v("rubrik");
        $Rubric_header              = $db->v("header");
        $Rubric_name                = $db->v("name");
        $Rubric_zuordnung           = $db->v("zuordnung");
        $Rubric_standard            = $db->v("standard");
        $Rubric_secure              = $db->v("secure");
        
        // do we have a rubric here that uses the shared standard settings?
        if ( $Rubric_standard == 1 ) {
            $query = "SELECT ".implode(array_keys($rubric_defaults), ', ')." FROM ".$dbPrefix."_rubric WHERE rubrik = '#STANDARD#'";
            DEBUG(2, 'Fetching settings from standard rubric:<br>'.$query, __FILE__, __LINE__);   
            $db->query($query);

            if ($db->num_rows()>0) {
                $db->next_record();
            } // FIXME display a warning if no or more than one standard settings were found?
        }
        
        // loop through all possible values and set variables based on the sql query
        while (list($key, $value) = each($rubric_defaults)) {
            $varname = $key;
            if (substr($key, 0, 5)!='feld_') {
                $varname = "Rubric_".$key;
            } 
            $$varname = $db->v($key);
        }
    } else {
        DEBUG(2, 'No rubric found in database, using default settings!', __FILE__, __LINE__);   
        $Rubric_id        = -1;
        $Rubric_rubrik    = $directory;
        $Rubric_header    = $directory;
        $Rubric_name      = $directory;
        $Rubric_zuordnung = "0";
        $Rubric_standard  = "1";
        $Rubric_secure    = "0";
        
        // loop through all possible values and set variables based on the defaults
        while (list($key, $value) = each($rubric_defaults)) {
            $varname = $key;
            if (substr($key, 0, 5)!='feld_') {
                $varname = "Rubric_".$key;
            } 
            $$varname = $value;
        }
    }

    if (trim($Rubric_header) == '') {
        $Rubric_header = $Rubric_rubrik;
    } 

    if (trim($Rubric_language) == '') {
        $Rubric_language = 'deutsch';
    } 

    if (trim($Rubric_name) == '') {
        $Rubric_name = $Rubric_rubrik;
    } 

    if (trim($Rubric_header) == '') {
        $Rubric_header = $directory;
    } 

    if ($Rubric_switch == 1) { 
        $sort = "sort_id desc";
    } else {
        $sort = "idx, pub_datum desc";
    }
    
    require(CPO_BASEDIR."_include/lang/rubric/".$Rubric_language.".php");
    
?>
