<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: i_delete.php,v 1.1.1.1.2.5 2003/10/28 09:46:10 balu Exp $
if (!defined('CPO')) exit;

    if ( $nr == '') {
        require(CPO_BASEDIR."_include/tab_modify.php");
        echo "<br>";
        return;
    }

    $query = "SELECT titel, article_nr, auth, auth_backup, commentary, untertitel, bild, verfallsdatum, pub_datum, email, autor "
            ."FROM ".$dbPrefix."_news WHERE nr = '".$nr."'";
    DEBUG(2, $query, __FILE__, __LINE__);   
    $db = new DB;
    $db->query($query);

    if ($db->num_rows()>0){ 
        $db->next_record();
        $artikel_titel         = $db->v("titel");          
        $article_nr            = $db->v("article_nr");     
        $auth                  = $db->v("auth");           
        $auth_backup           = $db->v("auth_backup");    
        $commentary            = $db->v("commentary");     
        $artikel_untertitel    = $db->v("untertitel");     
        $bild                  = $db->v("bild");           
        $artikel_verfallsdatum = $db->v("verfallsdatum");  
        $artikel_pub_datum     = $db->v("pub_datum");      
        $artikel_email         = $db->v("email");          
        $artikel_autor         = $db->v("autor");          
    } 

    if ( $System_release == 1 && $System_release_email == 1 ) {
        $date_verfallsdatum = '-';
        if ( $artikel_verfallsdatum < 2023066800 ) {
            $date_verfallsdatum = date( "d.m.Y H:i", $artikel_verfallsdatum);
        } 
        $date_pub_datum = date( "d.m.Y H:i", $artikel_pub_datum);
    
        $directory_name = rubrikname($directory);
        require(CPO_BASEDIR."_include/email_delete.php");
    }

    # Artikel wird herausgenommen, aber nicht gelscht
    $query_del = "UPDATE ".$dbPrefix."_news "
                ."SET artikel_archiv = 5 WHERE artikel_archiv = 1 AND article_nr = '".$article_nr."'";
    DEBUG(1, $query_del, __FILE__, __LINE__);   
    $db->query($query_del); 

    $query_del = "UPDATE ".$dbPrefix."_news "
                ."SET artikel_archiv = 9 WHERE nr = '".$nr."'";
    DEBUG(1, $query_del, __FILE__, __LINE__);   
    $db->query($query_del); 

    $message = $LP_MessageSucDel_1." <b>".$nr."</b> ".$LP_MessageSucDel_2;

    require(CPO_BASEDIR."_include/message.php");        

    echo "<br>";
    
    $zeile1 = "<b>".$katego."</b><br>".$nr." | ".$artikel_titel." | ".$artikel_untertitel." | ".$bild."\n";
    fkt_log($_SESSION['SID_login'], $LOG_ArticleDelete, $zeile1);

    require(CPO_BASEDIR."_include/tab_modify.php");
    echo "<br>";
?>
