<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: i_index_js.php,v 1.1.1.1.2.7 2003/10/14 20:23:27 balu Exp $
if (!defined('CPO')) exit;

    // echo "<div class=\"text\">\n";

    $jetzt = time();
    
    // set starting article if not defined already
    if ( $start == '' || $start < '0')  {
        $start = "0";
    }

    // if this is a personalized rubric, set the string that only fetches
    // articles corresponding to the group of the logged in user 
    if ( $Rubric_secure == 1 ) {
        if ( $_SESSION['SID_Group'] != '' ) {
            $auth_string = "auth = '' OR auth LIKE '%".$_SESSION['SID_Group']."%'";  // FIXME what happens if we have two groups - one named "group" and the other"groupmembers"?
        } else {
            $auth_string = "auth = ''";
        }
    } else {
        $auth_string = "1";
    }

    // Statistics [BEGIN]
    $datum = time();
    $c_datum = date ("Y-m-d H:i:s", time());
    $query  = "UPDATE ".$dbPrefix."_statistics SET index_site = index_site+1, last_hit = '".$datum."', c_time = '".$c_datum."' "
             ."WHERE kategorie = '".$directory."'";
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query);

    // if there was no entry updated, add an entry with a starting value of 1
    if ($db->affected_rows()==0) { 
        $query  = "INSERT INTO ".$dbPrefix."_statistics ( id, kategorie, index_site, detail_site, archive_site, last_hit, c_time ) "
                 ."VALUES ('', '".$directory."', 1, 0, 0,'".$datum."' , '".$c_datum."')";
        DEBUG(1, $query, __FILE__, __LINE__);
        $db->query($query);
    }
    // Statistics [END]


    if ( $System_release == 1 ) {
        $query_count = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE artikel_archiv < 2 AND freigabe  = 0 AND pub_datum < '".$jetzt."' AND verfallsdatum > '".$jetzt."' AND kategorie = '".$directory."' AND ( ".$auth_string." )";
        $query       = "SELECT html_1, html_2, html_3, template, nr, idx, mehr, more_target, email, autor, pub_datum, titel, titel_link, titel_target, titel_link, untertitel, untertitel_link, untertitel_target, untertitel_link, initial, bild, bild_link, bild_target, datei_name, datei_prolog, datei_desc, text_1_target, text_1, text_2_target, text_2, text_3_target, text_3, link_1, link_text_1, link_target_1, link_2, link_text_2, link_target_2, link_3, link_text_3, link_target_3, freigabe "
                      ."FROM ".$dbPrefix."_news WHERE artikel_archiv < 2 AND freigabe  = 0 AND pub_datum < '".$jetzt."' AND verfallsdatum > '".$jetzt."' AND kategorie = '".$directory."' AND ( ".$auth_string." ) ORDER BY ".$sort." LIMIT ".$start.",".$Rubric_art_number." ";
    } else {
        $query_count = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE artikel_archiv < 1 AND freigabe != 2 AND pub_datum < '".$jetzt."' AND verfallsdatum > '".$jetzt."' AND kategorie = '".$directory."' AND ( ".$auth_string." )";
        $query       = "SELECT html_1, html_2, html_3, template, nr, idx, mehr, more_target, email, autor, pub_datum, titel, titel_link, titel_target, titel_link, untertitel, untertitel_link, untertitel_target, untertitel_link, initial, bild, bild_link, bild_target, datei_name, datei_prolog, datei_desc, text_1_target, text_1, text_2_target, text_2, text_3_target, text_3, link_1, link_text_1, link_target_1, link_2, link_text_2, link_target_2, link_3, link_text_3, link_target_3, freigabe "
                      ."FROM ".$dbPrefix."_news WHERE artikel_archiv < 1 AND freigabe != 2 AND pub_datum < '".$jetzt."' AND verfallsdatum > '".$jetzt."' AND kategorie = '".$directory."' AND ( ".$auth_string." ) ORDER BY ".$sort." LIMIT ".$start.",".$Rubric_art_number." ";
    }

    DEBUG(1, $query_count, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query_count);
    $db->next_record();
    $max_anzahl = $db->v('COUNT(*)');
    
    DEBUG(1, $query, __FILE__, __LINE__);   
    $db->query($query);
    $anzahl = $db->num_rows();

    if ($db->num_rows()>0) {
        while($db->next_record()):

            // echo "\n<!-- --------------------------------------------------------------------------------------------- -->\n";

            if ( $separate_show == 1 ) {
                if ( $Rubric_separate_text == '' ) {
                    echo "document.write('<hr size=\"1\" align=\"left\" width=\"".$System_article_width."\"><br>');";
                } else {
                    echo "document.write('".$Rubric_separate_text."');";
                }
            }

            require(CPO_BASEDIR."_include/select_db.php");
            require(CPO_BASEDIR."_include/select_template_js.php");

            if ( $Rubric_separate == 1 ) {
                $separate_show = 1;
            }

        endwhile;
        //echo "\n<!-- --------------------------------------------------------------------------------------------- -->\n";

    } else { 
        echo "document.write('<span class=\'nodata\'><br><br>".$Rubric_nodata."<br><br></span><br>');\n";
    }

    // require(CPO_BASEDIR."_include/next_index.php");

    // echo "</div>\n";
?>
