<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: i_modify.php,v 1.1.1.1.2.10 2004/02/06 09:08:39 balu Exp $
if (!defined('CPO')) exit;

    if ( $send != 1 ) {
    
        $query = "SELECT nr, idx, kategorie, article_nr, auth, auth_backup, commentary, titel, template, titel_link, titel_target, untertitel, untertitel_link, untertitel_target, text_1, text_1_target, html_1, text_2, text_2_target, html_2, text_3, text_3_target, html_3, bild, bild_link, bild_target, datei_name, datei_desc, datei_prolog, link_1, link_text_1, link_target_1, link_2, link_text_2, link_target_2, link_3, link_text_3, link_target_3, datum, verfallsdatum, pub_datum, autor, email, initial, c_time, mehr, more_target, freigabe, sort_id "
                ."FROM ".$dbPrefix."_news WHERE nr = '".$nr."' ";

        DEBUG(1, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);
    
        if ($db->num_rows()<=0) { 
            echo "<span class='nodata'><br><br>".$Rubric_nodata."<br><br></span><br>\n";
        } else {
            $db->next_record();
                
            $nr = $db->v("nr");
            $idx = $db->v("idx");
            if ( $idx == 'zzzzzz' ) {
                $idx = '';
            }
            $kategorie            = $db->v("kategorie");          
            $article_nr           = $db->v("article_nr");         
            $auth                 = $db->v("auth");               
            $auth_backup          = $db->v("auth_backup");        
            $commentary           = $db->v("commentary");         
            $titel                = ereg_replace ( '\"', '&quot;', $db->v("titel") );         
            $template             = $db->v("template");           
            $titel_link           = $db->v("titel_link");         
            $titel_target         = $db->v("titel_target");       
            $untertitel           = ereg_replace ( '\"', '&quot;', $db->v("untertitel") );    
            $untertitel_link      = $db->v("untertitel_link");    
            $untertitel_target    = $db->v("untertitel_target");  
            $text_1               = $db->v("text_1");             
            $text_1_target        = $db->v("text_1_target");      
            $html_1               = $db->v("html_1");             
            $text_2               = $db->v("text_2");             
            $text_2_target        = $db->v("text_2_target");      
            $html_2               = $db->v("html_2");             
            $text_3               = $db->v("text_3");             
            $text_3_target        = $db->v("text_3_target");      
            $html_3               = $db->v("html_3");             
            $bild                 = $db->v("bild");               
            $bild_link            = $db->v("bild_link");          
            $bild_target          = $db->v("bild_target");        
            $datei_name           = $db->v("datei_name");         
            $datei_desc           = ereg_replace ( '\"', '&quot;', $db->v("datei_desc") );    
            $datei_prolog         = ereg_replace ( '\"', '&quot;', $db->v("datei_prolog") );  
            $link_1               = ereg_replace ( '\"', '&quot;', $db->v("link_1") );        
            $link_text_1          = ereg_replace ( '\"', '&quot;', $db->v("link_text_1") );   
            $link_target_1        = $db->v("link_target_1");      
            $link_2               = ereg_replace ( '\"', '&quot;', $db->v("link_2") );       
            $link_text_2          = ereg_replace ( '\"', '&quot;', $db->v("link_text_2") ); 
            $link_target_2        = $db->v("link_target_2");      
            $link_3               = ereg_replace ( '\"', '&quot;', $db->v("link_3") );        
            $link_text_3          = ereg_replace ( '\"', '&quot;', $db->v("link_text_3") );  
            $link_target_3        = $db->v("link_target_3");      
            $datum                = $db->v("datum");              
            $verfallsdatum        = $db->v("verfallsdatum");      
            $pub_datum            = $db->v("pub_datum");          
            $autor                = ereg_replace ( '\"', '&quot;', $db->v("autor") );         
            $email                = $db->v("email");              
            $initial              = $db->v("initial");           
            $c_time               = $db->v("c_time");             
            $mehr                 = ereg_replace ( '\"', '&quot;', $db->v("mehr") );          
            $more_target          = $db->v("more_target");        
            $freigabe             = $db->v("freigabe");           
            $sort_id              = $db->v("sort_id");            
        } 

        $datum = time();
        $c_datum = date ("Y-m-d H:i:s" ,time());
        $datum_timeout = $datum - $System_timeout;
        
        # Prfung ob der Artikel bereits gesperrt ist
        $query = "SELECT COUNT(*) FROM ".$dbPrefix."_block WHERE article_id = '".$nr."' && create_date > '".$datum_timeout."'";
        DEBUG(1, $query, __FILE__, __LINE__);       
        $db_2 = new DB;
        $db_2->query($query);
        $db_2->next_record();
        
        if ($db_2->v('COUNT(*)')>0) {
            $message = $LP_InUse;
            require(CPO_BASEDIR."_include/message.php");

            require(CPO_BASEDIR."_include/tab_modify.php");
            exit;
        } 

        $query = "INSERT INTO ".$dbPrefix."_block VALUES (\"\", \"".$nr."\", \"".$article_nr."\", \"".$datum."\", \"".$_SESSION['SID_login']."\", \"".$c_datum."\");";
        DEBUG(1, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query); 

    ?>

        <!-- JavaScript to get the innerFrame into a hidden Field -->
        <script language="JavaScript" type="text/javascript">
            <!--
                function innerToHidden()
                {
                    <?php 
                    if ($feld_edit_text_1==1 && $Rubric_editor==1) { ?>
                        window.document.newsentry.text_1.value = document.frames.text_1IFrame.document.body.innerHTML;
                    <?php }
                    if ($feld_edit_text_2==1 && $Rubric_editor==1) { ?>
                        window.document.newsentry.text_2.value = document.frames.text_2IFrame.document.body.innerHTML;
                    <?php }
                    if ($feld_edit_text_3==1 && $Rubric_editor==1) { ?>
                        window.document.newsentry.text_3.value = document.frames.text_3IFrame.document.body.innerHTML;
                    <?php } ?>
                    return true;
                }
            //-->
        </script>
        
    <FORM METHOD=POST ACTION=modify.php name="newsentry" id="newsentry" onsubmit="return innerToHidden();">
        <input type="hidden" name="send" value="1">
        <input type="Hidden" name="nr" value="<?php echo $nr; ?>">
        <input type="Hidden" name="pos" value="<?php echo $pos; ?>">
        <input type="Hidden" name="article_nr" value="<?php echo $article_nr; ?>">
        <input type="Hidden" name="auth" value="<?php echo $auth; ?>">
        <input type="Hidden" name="auth_backup" value="<?php echo $auth_backup; ?>">
        <input type="Hidden" name="c_time" value="<?php echo $c_time; ?>">
        <input type="Hidden" name="sort_id" value="<?php echo $sort_id; ?>">
        <input type="Hidden" name="create_datum" value="<?php echo $datum; ?>">
        <input type="Hidden" name="freigabe_status" value="<?php echo $freigabe; ?>">
            
        <?php
            require(CPO_BASEDIR."_include/form.php");
        ?>                  
        
        </form>
        
        <br>

   <?php
            
   } else {

        require(CPO_BASEDIR."_include/check_edit.php");    
    
        if ( isset($fehler) ) 
        {
    
            require(CPO_BASEDIR."_include/message.php");
    
            ?>
                <!-- JavaScript to get the innerFrame into a hidden Field -->
                <script language="JavaScript" type="text/javascript">
                    <!--
                        function innerToHidden()
                        {
                            window.document.newsentry.text_1.value = document.frames.text_1IFrame.document.body.innerHTML;
                            window.document.newsentry.text_2.value = document.frames.text_2IFrame.document.body.innerHTML;
                            window.document.newsentry.text_3.value = document.frames.text_3IFrame.document.body.innerHTML;
                            return true;
                        }
                    //-->
                </script>

                <FORM METHOD=POST ACTION=modify.php name="newsentry" id="newsentry" onsubmit="return innerToHidden();">
                <input type="hidden" name="send" value="1">
                <input type="Hidden" name="nr" value="<?php echo $nr; ?>">
                <input type="Hidden" name="article_nr" value="<?php echo $article_nr; ?>">
                <input type="Hidden" name="auth" value="<?php echo $auth; ?>">
                <input type="Hidden" name="auth_backup" value="<?php echo $auth_backup; ?>">
                <input type="Hidden" name="c_time" value="<?php echo $c_time; ?>">
                <input type="Hidden" name="sort_id" value="<?php echo $sort_id; ?>">
                <input type="Hidden" name="create_datum" value="<?php echo $datum; ?>">
                <input type="Hidden" name="freigabe_status" value="<?php echo $freigabe; ?>">


                <?php
                    require(CPO_BASEDIR."_include/form.php");
                ?>                  
    
                </form>
                <br>
    
            <?php
    
        } else {

            require(CPO_BASEDIR."_include/check_string.php");

            if ( $idx == '' ) 
            {
                $idx = zzzzzz;
            }

                // insert into DB
                $jetzt = time();

                $c_datum = date ("Y-m-d H:i:s" ,time());
                $t_datum = date ("YmdHis" ,time());
                
                require(CPO_BASEDIR."_include/article_archive.php");
                
                if ( $freigabe_status != 2 ) {
                    $freigabe_status = $System_release;
                }

                if ( $System_release == 1 && isset($article_free) ) {
                    $freigabe_status = 0;
                    # echo "".$article_nr."<br>";

                    $free_name  = $_SESSION['SID_login'];
                    $free_date  = $datum;

                    $query = "UPDATE ".$dbPrefix."_news SET artikel_archiv = 5 WHERE artikel_archiv = 1 AND article_nr = '".$article_nr."'";
                    DEBUG(1, $query, __FILE__, __LINE__);   
                    $db = new DB;
                    $db->query($query);
                } else {
                    $free_name  = "";
                    $free_date  = "";
                }


                // --- Gruppenberechtigung ---
                $usergroup_string = "#";
                for ($i = 1; $i <= $groupcounter; $i++) {
                    if ( $usergroup[$i] != '' ) {
                        // echo "usergroup[".$i."]: ".$usergroup[$i]."<br>\n";
                        $usergroup_string .= $usergroup[$i]."#";
                    }
                }

                if ( $usergroup_string == '#' ) {
                    $usergroup_string = '';
                }

                $auth = $usergroup_string;
                // --- Gruppenberechtigung ---


                $query = "REPLACE INTO ".$dbPrefix."_news (nr, artikel_archiv, article_nr, auth, auth_backup, commentary, kategorie, search, template, titel, titel_link, titel_target, untertitel, untertitel_link, untertitel_target, text_1, text_1_target, html_1, text_2, text_2_target, html_2, text_3, text_3_target, html_3, bild, bild_link, bild_target, datei_name, datei_desc, datei_prolog, link_1, link_text_1, link_target_1, link_2, link_text_2, link_target_2, link_3, link_text_3, link_target_3, datum, verfallsdatum, pub_datum, autor, email, initial, mehr, more_target, idx, freigabe, freigabe_name, freigabe_datum, timestamp, last_modify, c_time, changer, sort_id ) VALUES (\"".$nr."\", \"0\", \"".$article_nr."\", \"".$auth."\", \"".$auth."\", \"".$commentary."\", \"".$kategorie."\", \"".$Rubric_search."\", \"".$template."\", \"".$titel."\", \"".$titel_link."\", \"".$titel_target."\", \"".$untertitel."\", \"".$untertitel_link."\", \"".$untertitel_target."\", \"".$text_1."\", \"".$text_1_target."\", \"".$html_1."\", \"".$text_2."\", \"".$text_2_target."\", \"".$html_2."\", \"".$text_3."\", \"".$text_3_target."\", \"".$html_3."\", \"".$bild."\", \"".$bild_link."\", \"".$bild_target."\", \"".$datei_name."\", \"".$datei_desc."\", \"".$datei_prolog."\", \"".$link_1."\", \"".$link_text_1."\", \"".$link_target_1."\", \"".$link_2."\", \"".$link_text_2."\", \"".$link_target_2."\", \"".$link_3."\", \"".$link_text_3."\", \"".$link_target_3."\", \"".$create_datum."\", \"".$verfallsdatum."\", \"".$pub_datum."\", \"".$autor."\", \"".$email."\", \"".$initial."\", \"".$mehr."\", \"".$more_target."\", \"".$idx."\", \"".$freigabe_status."\", \"".$free_name."\", \"".$free_date."\", \"".$t_time."\", \"".$jetzt."\", \"".$c_datum."\", \"".$_SESSION['SID_login']."\", \"".$sort_id."\")";
                DEBUG(1, $query, __FILE__, __LINE__);   
                $db = new DB;
                $db->query($query); 

                # Hebt die Dateisperre wieder auf
                $query_del = "DELETE FROM ".$dbPrefix."_block WHERE article_id=\"".$nr."\"";
                DEBUG(1, $query_del, __FILE__, __LINE__);   
                $db = new DB;
                $db->query($query_del); 

                // eMail-Generierung f. die Freigabe von Artikeln  
                $query = "SELECT user_id FROM ".$dbPrefix."_permission WHERE stufe4 = 1 && kategorie = '".$kategorie."'";
                DEBUG(1, $query, __FILE__, __LINE__);   
                $db = new DB;
                $db->query($query);

                if ($db->num_rows()>0) {
                    while($db->next_record()):
                        if ( $db->v("user_id") != '' ) {
                            $get_user_id = $db->v("user_id");
                        }

                        $query = "SELECT email, name FROM ".$dbPrefix."_user WHERE id = '".$get_user_id."'";
                        DEBUG(1, $query, __FILE__, __LINE__);   
                        $db_2 = new DB;
                        $db_2->query($query);

                        if ($db_2->num_rows()>0) {

                            while($db_2->next_record()):
                            
                                $freigabe_email = $db_2->v("email");
                                $freigabe_name = $db_2->v("name");
                                $date_verfallsdatum = '-';
                                if ( $verfallsdatum < 2023066800 ) {
                                    $date_verfallsdatum = date( "d.m.Y H:i", $verfallsdatum);
                                } 
                                $date_pub_datum = date( "d.m.Y H:i", $pub_datum);
                                
                                if ( $send == 1 && $System_release == 1 && $System_release_email == 1 ) {
                                    $kategorie_name = rubrikname($kategorie);
                                    require(CPO_BASEDIR."_include/email_change.php");
                                }

                            endwhile;
                        } 

                    endwhile;
                } 
                
                $titel      = ereg_replace ( '\\\"', '"', $titel);
                $untertitel = ereg_replace ( '\\\"', '"', $untertitel);

                $titel = substr($titel, 0, 20);
                $untertitel = substr($untertitel, 0, 20);

                $zeile1 = $nr." | ".$titel." | ".$untertitel." \n";
                fkt_log($_SESSION['SID_login'], $LOG_ArticleChange, "<b>".$_SESSION['SID_Rubrik']."</b><br>".$zeile1);

                $message = $LP_ChangeSuccess1." [<b>".$nr."</b>] ".$LP_ChangeSuccess2;
                require(CPO_BASEDIR."_include/message.php");

                echo "<br>";

                require(CPO_BASEDIR."_include/tab_modify.php");
        }
   }
?>
