<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: i_preference.php,v 1.1.1.1.2.9 2004/02/25 12:00:00 balu Exp $
if (!defined('CPO')) exit;

    if (is_file(CPO_BASEDIR.$directory."/const_preference_show.php")) {
        require(CPO_BASEDIR.$directory."/const_preference_show.php");
    }
    
    $HelpPre                = "RE";
    if ( $is_modul == 1 ) {
        $LP_Rubric_Header       = $LPM_Rubric_Header;
        $LP_PName               = $LPM_PName;
        $LP_PSecure1            = $LPM_PSecure1;
        $LP_PSecure2            = $LPM_PSecure2;
        $LP_PSecure3            = $LPM_PSecure3;
        $LP_PSave               = $LPM_PSave;
        $LP_PHeadline           = $LPM_PHeadline;
        $LP_Rubric_HeaderErw    = $LPM_Rubric_HeaderErw;
        $LP_PLanguage           = $LPM_PLanguage;
        $HelpPre                = "ME";
    } 

    if ( isset($go) ) {
        $query = "SELECT id FROM ".$dbPrefix."_rubric WHERE rubrik = '".$_SESSION['SID_Rubrik']."'";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);

        if ($db->num_rows()>0) {
            $db->next_record();
            $id = $db->v("id");
        }

        if ( $search != 1 ) {
           $search = 0;
        }
         
        $c_datum = date ("Y-m-d H:i:s" ,time());
        $t_datum = date ("YmdHis" ,time());

        if ( isset($send_standard) OR isset($send_entwurf) ) {
            # Rubrik-Einstellungen [Standard]
            $Rubrik_standard = "#ENTWURF#";
            if ( isset($send_standard) ) {
                $Rubrik_standard = "#STANDARD#";
            } 

            $query = "SELECT id FROM ".$dbPrefix."_rubric WHERE rubrik = '".$Rubrik_standard."'";
            DEBUG(1, $query, __FILE__, __LINE__);   
            $db = new DB;
            $db->query($query);
    
            if ($db->num_rows()>0) {
                $db->next_record();
                $standard_id = $db->v("id");
            }
            
            // echo "Zuordnung: ".$zuordnung."<br>";
            // echo "Zuordnung (Ursprung): ".$zuordnung_ursprung."<br>";
            if ( $zuordnung_ursprung != $zuordnung ) {
                $_SESSION['SID_Menu'] = 1;
            }
            $zuordnung_ursprung = $zuordnung;
            
            require(CPO_BASEDIR."_include/rubric_preference_db.php");
        } else {

            if ( $standard_preference == 1 ) {

                // echo "Zuordnung: ".$zuordnung."<br>";
                // echo "Zuordnung (Ursprung): ".$zuordnung_ursprung."<br>";
                if ( $zuordnung_ursprung != $zuordnung ) {
                    $_SESSION['SID_Menu'] = 1;
                }
                $zuordnung_ursprung = $zuordnung;


                if ( $secure == '1' ) {
                    // -- Personalisiert --
                    $query = "SELECT nr, auth_backup "
                            ."FROM ".$dbPrefix."_news WHERE kategorie = '".$directory."' AND auth_backup != ''";
                    DEBUG(2, $query, __FILE__, __LINE__);   
                    $db = new DB;
                    $db->query($query);
                    if ($db->num_rows()>0) {
                        while($db->next_record()):
                            $nr             = $db->v("nr");
                            $auth_backup    = $db->v("auth_backup");
                            $query2 = "UPDATE ".$dbPrefix."_news SET auth = '".$auth_backup."' WHERE nr = '".$nr."'";
                            DEBUG(2, $query2, __FILE__, __LINE__);   
                            $db2 = new DB;
                            $db2->query($query2); 
                        endwhile;
                    }
                } else {
                    // -- nicht Personalisiert --
                    $query = "UPDATE ".$dbPrefix."_news SET auth = '' WHERE kategorie = '".$directory."'";
                    DEBUG(2, $query, __FILE__, __LINE__);   
                    $db = new DB;
                    $db->query($query); 
                }

                $query = "INSERT INTO ".$dbPrefix."_rubric ( id, rubrik, header, header_view, name, zuordnung, standard, secure, nodata, language, art_number, standard_template, feld_edit_index, feld_index, feld_detail_index, feld_edit_title, feld_title, feld_detail_title, feld_edit_title_link, feld_title_link, feld_detail_title_link, feld_edit_title_target, feld_title_target, feld_detail_title_target, feld_title_more, feld_edit_utitle, feld_utitle, feld_detail_utitle, feld_edit_utitle_link, feld_utitle_link, feld_detail_utitle_link, feld_edit_utitle_target, feld_utitle_target, feld_detail_utitle_target, feld_edit_text_1, feld_text_1, feld_detail_text_1, feld_edit_weiter, feld_weiter, feld_more_target, feld_edit_text_2, feld_text_2, feld_detail_text_2, feld_edit_text_3, feld_text_3, feld_detail_text_3, feld_edit_bild, feld_bild, feld_detail_bild, feld_edit_bild_link, feld_bild_link, feld_detail_bild_link, feld_edit_bild_desc, feld_bild_desc, feld_detail_bild_desc, feld_edit_file, feld_file, feld_detail_file, feld_edit_file_desc, feld_file_desc, feld_detail_file_desc, feld_file_prolog, feld_edit_link_1, feld_link_1, feld_detail_link_1, feld_edit_link_text_1, feld_link_text_1, feld_detail_link_text_1, feld_edit_link_2, feld_link_2, feld_detail_link_2, feld_edit_link_text_2, feld_link_text_2, feld_detail_link_text_2, feld_edit_link_3, feld_link_3, feld_detail_link_3, feld_edit_link_text_3, feld_link_text_3, feld_detail_link_text_3, feld_edit_autor, feld_autor, feld_detail_autor, feld_edit_email, feld_email, feld_detail_email, feld_edit_initial, feld_initial, feld_detail_initial, feld_datum, feld_detail_datum, feld_formdatum, editor, edit_bold, edit_italic, edit_underline, edit_hr, edit_justify, edit_indent, edit_list, edit_color, edit_fontface, edit_fontsize, edit_pic, edit_link, edit_specialchars, edit_snippet, edit_htmlmode, switch, separate, separate_text, sep_window, archiv, archiv_text, archiv_header, search, timestamp, c_time, changer ) VALUES (\"".$id."\", \"".$_SESSION['SID_Rubrik']."\", \"".$header."\", \"".$header_view."\", \"".$name."\", \"".$zuordnung."\", \"".$standard."\", \"".$secure."\", \"".$nodata."\", \"".$rubric_language."\", \"".$art_number."\", \"".$standard_template."\", \"".$feld_edit_index."\", \"".$feld_index."\", \"".$feld_detail_index."\", \"".$feld_edit_title."\", \"".$feld_title."\", \"".$feld_detail_title."\", \"".$feld_edit_title_link."\", \"".$feld_title_link."\", \"".$feld_detail_title_link."\", \"".$feld_edit_title_target."\", \"".$feld_title_target."\", \"".$feld_detail_title_target."\", \"".$feld_title_more."\", \"".$feld_edit_utitle."\", \"".$feld_utitle."\", \"".$feld_detail_utitle."\", \"".$feld_edit_utitle_link."\", \"".$feld_utitle_link."\", \"".$feld_detail_utitle_link."\", \"".$feld_edit_utitle_target."\", \"".$feld_utitle_target."\", \"".$feld_detail_utitle_target."\", \"".$feld_edit_text_1."\", \"".$feld_text_1."\", \"".$feld_detail_text_1."\", \"".$feld_edit_weiter."\", \"".$feld_weiter."\", \"".$feld_more_target."\", \"".$feld_edit_text_2."\", \"".$feld_text_2."\", \"".$feld_detail_text_2."\", \"".$feld_edit_text_3."\", \"".$feld_text_3."\", \"".$feld_detail_text_3."\", \"".$feld_edit_bild."\", \"".$feld_bild."\", \"".$feld_detail_bild."\", \"".$feld_edit_bild_link."\", \"".$feld_bild_link."\", \"".$feld_detail_bild_link."\", \"".$feld_edit_bild_desc."\", \"".$feld_bild_desc."\", \"".$feld_detail_bild_desc."\", \"".$feld_edit_file."\", \"".$feld_file."\", \"".$feld_detail_file."\", \"".$feld_edit_file_desc."\", \"".$feld_file_desc."\", \"".$feld_detail_file_desc."\", \"".$feld_file_prolog."\", \"".$feld_edit_link_1."\", \"".$feld_link_1."\", \"".$feld_detail_link_1."\", \"".$feld_edit_link_text_1."\", \"".$feld_link_text_1."\", \"".$feld_detail_link_text_1."\", \"".$feld_edit_link_2."\", \"".$feld_link_2."\", \"".$feld_detail_link_2."\", \"".$feld_edit_link_text_2."\", \"".$feld_link_text_2."\", \"".$feld_detail_link_text_2."\", \"".$feld_edit_link_3."\", \"".$feld_link_3."\", \"".$feld_detail_link_3."\", \"".$feld_edit_link_text_3."\", \"".$feld_link_text_3."\", \"".$feld_detail_link_text_3."\", \"".$feld_edit_autor."\", \"".$feld_autor."\", \"".$feld_detail_autor."\", \"".$feld_edit_email."\", \"".$feld_email."\", \"".$feld_detail_email."\", \"".$feld_edit_initial."\", \"".$feld_initial."\", \"".$feld_detail_initial."\", \"".$feld_datum."\", \"".$feld_detail_datum."\", \"".$feld_formdatum."\", \"".$editor."\", \"".$edit_bold."\", \"".$edit_italic."\", \"".$edit_underline."\", \"".$edit_hr."\", \"".$edit_justify."\", \"".$edit_indent."\", \"".$edit_list."\", \"".$edit_color."\", \"".$edit_fontface."\", \"".$edit_fontsize."\", \"".$edit_pic."\", \"".$edit_link."\", \"".$edit_specialchars."\", \"".$edit_snippet."\", \"".$edit_htmlmode."\", \"".$switch."\", \"".$separate."\", \"".$separate_text."\", \"".$sep_window."\", \"".$archiv."\", \"".$archiv_text."\", \"".$archiv_header."\", \"".$search."\", \"".$t_datum."\", \"".$c_datum."\", \"".$_SESSION['SID_login']."\")";
                if ( $id != '' ) {
                    $query = "UPDATE ".$dbPrefix."_rubric SET standard = \"".$standard."\", name = \"".$name."\",  header = \"".$header."\", zuordnung = \"".$zuordnung."\", secure = \"".$secure."\", timestamp = \"".$t_datum."\" WHERE id = '".$id."'";
                } 
                DEBUG(1, $query, __FILE__, __LINE__);   
                $db = new DB;
                $db->query($query); 

                // Suchflag bei indiv. Rubrik
                $query = "SELECT search FROM ".$dbPrefix."_rubric WHERE rubrik = '".$directory."'";
                DEBUG(1, $query, __FILE__, __LINE__);   
                $db = new DB;
                $db->query($query);
                if ($db->num_rows()>0) {
                    while($db->next_record()):
                        $search_id = $db->v("search");
                        $query2 = "UPDATE ".$dbPrefix."_news SET search = '".$search_id."' WHERE kategorie = '".$directory."'";
                        DEBUG(1, $query2, __FILE__, __LINE__);   
                        $db2 = new DB;
                        $db2->query($query2); 
                    endwhile;
                }

                // Suchflag bei indiv. Rubrik // FIXME FIXME FIXME the same as above?!?!?
                $query = "SELECT search FROM ".$dbPrefix."_rubric WHERE rubrik = '".$directory."'";
                DEBUG(1, $query, __FILE__, __LINE__);   
                $db = new DB;
                $db->query($query);
                if ($db->num_rows()>0) {
                    while($db->next_record()):
                        $search_id = $db->v("search");
                        $query2 = "UPDATE ".$dbPrefix."_news SET search = '".$search_id."' WHERE kategorie = '".$directory."'";
                        DEBUG(1, $query2, __FILE__, __LINE__);   
                        $db2 = new DB;
                        $db2->query($query2); 
                    endwhile;
                }

                // FIXME Here search gets set AGAIN?
                $query = "UPDATE ".$dbPrefix."_news SET search = ".$search." WHERE kategorie = '".$_SESSION['SID_Rubrik']."'";
                DEBUG(2, $query, __FILE__, __LINE__);   
                $db = new DB;
                $db->query($query);
        
                $query = "UPDATE ".$dbPrefix."_permission SET name = '".$name."', zuordnung = '".$zuordnung."' WHERE kategorie = '".$_SESSION['SID_Rubrik']."'";
                DEBUG(2, $query, __FILE__, __LINE__);   
                $db = new DB;
                $db->query($query);
    
                fkt_log($_SESSION['SID_login'], $LOG_Rubric, "<b>".$_SESSION['SID_Rubrik']."</b>");

                if ( $standard == $standard_preference ) {
                    $message = $LP_RubricDataUpdate;
                    require(CPO_BASEDIR."_include/message.php");
                }

                require(CPO_BASEDIR."_include/load_rubric_preference.php");

                if ( $header == '' ) {
                    $header = $_SESSION['SID_Rubrik'];
                } 

                if ( $name == '' || $Rubric_name == ' ' ) {
                    $name = $_SESSION['SID_Rubrik'];
                }     

            } else {
                # Rubrik-Einstellungen

                // echo "Zuordnung: ".$zuordnung."<br>";
                // echo "Zuordnung (Ursprung): ".$zuordnung_ursprung."<br>";
                if ( $zuordnung_ursprung != $zuordnung ) {
                    $_SESSION['SID_Menu'] = 1;
                }
                $zuordnung_ursprung = $zuordnung;


                if ( $secure == '1' ) {
                    // -- Personalisiert --
                    $query = "SELECT nr, auth_backup FROM ".$dbPrefix."_news WHERE kategorie = '".$directory."' AND auth_backup != ''";
                    DEBUG(2, $query, __FILE__, __LINE__);   
                    $db = new DB;
                    $db->query($query);
                    if ($db->num_rows()>0) {
                        while($db->next_record()):
                            $nr             = $db->v("nr");
                            $auth_backup    = $db->v("auth_backup");
                            $query2 = "UPDATE ".$dbPrefix."_news SET auth = '".$auth_backup."' WHERE nr = '".$nr."'";
                            DEBUG(2, $query2, __FILE__, __LINE__);   
                            $db2 = new DB;
                            $db2->query($query2); 
                        endwhile;
                    }
                } else {
                    // -- nicht Personalisiert --
                    $query = "UPDATE ".$dbPrefix."_news SET auth = '' WHERE kategorie = '".$directory."'";
                    DEBUG(2, $query, __FILE__, __LINE__);   
                    $db = new DB;
                    $db->query($query); 
                }

                $query = "REPLACE INTO ".$dbPrefix."_rubric ( id, rubrik, header, header_view, name, zuordnung, standard, secure, nodata, language, art_number, standard_template, feld_edit_index, feld_index, feld_detail_index, feld_edit_title, feld_title, feld_detail_title, feld_edit_title_link, feld_title_link, feld_detail_title_link, feld_edit_title_target, feld_title_target, feld_detail_title_target, feld_title_more, feld_edit_utitle, feld_utitle, feld_detail_utitle, feld_edit_utitle_link, feld_utitle_link, feld_detail_utitle_link, feld_edit_utitle_target, feld_utitle_target, feld_detail_utitle_target, feld_edit_text_1, feld_text_1, feld_detail_text_1, feld_edit_weiter, feld_weiter, feld_more_target, feld_edit_text_2, feld_text_2, feld_detail_text_2, feld_edit_text_3, feld_text_3, feld_detail_text_3, feld_edit_bild, feld_bild, feld_detail_bild, feld_edit_bild_link, feld_bild_link, feld_detail_bild_link, feld_edit_bild_desc, feld_bild_desc, feld_detail_bild_desc, feld_edit_file, feld_file, feld_detail_file, feld_edit_file_desc, feld_file_desc, feld_detail_file_desc, feld_file_prolog, feld_edit_link_1, feld_link_1, feld_detail_link_1, feld_edit_link_text_1, feld_link_text_1, feld_detail_link_text_1, feld_edit_link_2, feld_link_2, feld_detail_link_2, feld_edit_link_text_2, feld_link_text_2, feld_detail_link_text_2, feld_edit_link_3, feld_link_3, feld_detail_link_3, feld_edit_link_text_3, feld_link_text_3, feld_detail_link_text_3, feld_edit_autor, feld_autor, feld_detail_autor, feld_edit_email, feld_email, feld_detail_email, feld_edit_initial, feld_initial, feld_detail_initial, feld_datum, feld_detail_datum, feld_formdatum, editor, edit_bold, edit_italic, edit_underline, edit_hr, edit_justify, edit_indent, edit_list, edit_color, edit_fontface, edit_fontsize, edit_pic, edit_link, edit_specialchars, edit_snippet, edit_htmlmode, switch, separate, separate_text, sep_window, archiv, archiv_text, archiv_header, search, timestamp, c_time, changer ) VALUES (\"".$id."\", \"".$_SESSION['SID_Rubrik']."\", \"".$header."\", \"".$header_view."\", \"".$name."\", \"".$zuordnung."\", \"".$standard."\", \"".$secure."\", \"".$nodata."\", \"".$rubric_language."\", \"".$art_number."\", \"".$standard_template."\", \"".$feld_edit_index."\", \"".$feld_index."\", \"".$feld_detail_index."\", \"".$feld_edit_title."\", \"".$feld_title."\", \"".$feld_detail_title."\", \"".$feld_edit_title_link."\", \"".$feld_title_link."\", \"".$feld_detail_title_link."\", \"".$feld_edit_title_target."\", \"".$feld_title_target."\", \"".$feld_detail_title_target."\", \"".$feld_title_more."\", \"".$feld_edit_utitle."\", \"".$feld_utitle."\", \"".$feld_detail_utitle."\", \"".$feld_edit_utitle_link."\", \"".$feld_utitle_link."\", \"".$feld_detail_utitle_link."\", \"".$feld_edit_utitle_target."\", \"".$feld_utitle_target."\", \"".$feld_detail_utitle_target."\", \"".$feld_edit_text_1."\", \"".$feld_text_1."\", \"".$feld_detail_text_1."\", \"".$feld_edit_weiter."\", \"".$feld_weiter."\", \"".$feld_more_target."\", \"".$feld_edit_text_2."\", \"".$feld_text_2."\", \"".$feld_detail_text_2."\", \"".$feld_edit_text_3."\", \"".$feld_text_3."\", \"".$feld_detail_text_3."\", \"".$feld_edit_bild."\", \"".$feld_bild."\", \"".$feld_detail_bild."\", \"".$feld_edit_bild_link."\", \"".$feld_bild_link."\", \"".$feld_detail_bild_link."\", \"".$feld_edit_bild_desc."\", \"".$feld_bild_desc."\", \"".$feld_detail_bild_desc."\", \"".$feld_edit_file."\", \"".$feld_file."\", \"".$feld_detail_file."\", \"".$feld_edit_file_desc."\", \"".$feld_file_desc."\", \"".$feld_detail_file_desc."\", \"".$feld_file_prolog."\", \"".$feld_edit_link_1."\", \"".$feld_link_1."\", \"".$feld_detail_link_1."\", \"".$feld_edit_link_text_1."\", \"".$feld_link_text_1."\", \"".$feld_detail_link_text_1."\", \"".$feld_edit_link_2."\", \"".$feld_link_2."\", \"".$feld_detail_link_2."\", \"".$feld_edit_link_text_2."\", \"".$feld_link_text_2."\", \"".$feld_detail_link_text_2."\", \"".$feld_edit_link_3."\", \"".$feld_link_3."\", \"".$feld_detail_link_3."\", \"".$feld_edit_link_text_3."\", \"".$feld_link_text_3."\", \"".$feld_detail_link_text_3."\", \"".$feld_edit_autor."\", \"".$feld_autor."\", \"".$feld_detail_autor."\", \"".$feld_edit_email."\", \"".$feld_email."\", \"".$feld_detail_email."\", \"".$feld_edit_initial."\", \"".$feld_initial."\", \"".$feld_detail_initial."\", \"".$feld_datum."\", \"".$feld_detail_datum."\", \"".$feld_formdatum."\", \"".$editor."\", \"".$edit_bold."\", \"".$edit_italic."\", \"".$edit_underline."\", \"".$edit_hr."\", \"".$edit_justify."\", \"".$edit_indent."\", \"".$edit_list."\", \"".$edit_color."\", \"".$edit_fontface."\", \"".$edit_fontsize."\", \"".$edit_pic."\", \"".$edit_link."\", \"".$edit_specialchars."\", \"".$edit_snippet."\", \"".$edit_htmlmode."\", \"".$switch."\", \"".$separate."\", \"".$separate_text."\", \"".$sep_window."\", \"".$archiv."\", \"".$archiv_text."\", \"".$archiv_header."\", \"".$search."\", \"".$t_datum."\", \"".$c_datum."\", \"".$_SESSION['SID_login']."\")";
                DEBUG(1, $query, __FILE__, __LINE__);   
                $db = new DB;
                $db->query($query); 

                // Suchflag bei Standardrubrik
                $query = "SELECT search FROM ".$dbPrefix."_rubric WHERE rubrik = '#STANDARD#'";
                DEBUG(2, $query, __FILE__, __LINE__);   
                $db = new DB;
                $db->query($query);
                if ($db->num_rows()>0) {
                    while($db->next_record()):
                        $search_id = $db->v("search");
                        $query2 = "UPDATE ".$dbPrefix."_news SET search = '".$search_id."' WHERE kategorie = '".$directory."'";
                        DEBUG(2, $query2, __FILE__, __LINE__);   
                        $db2 = new DB;
                        $db2->query($query2); 
                    endwhile;
                }

                $query = "UPDATE ".$dbPrefix."_news SET search = ".$search." WHERE kategorie = '".$_SESSION['SID_Rubrik']."'";
                DEBUG(2, $query, __FILE__, __LINE__);   
                $db = new DB;
                $db->query($query);
        
                $query = "UPDATE ".$dbPrefix."_permission SET name = '".$name."', zuordnung = '".$zuordnung."' WHERE kategorie = '".$_SESSION['SID_Rubrik']."'";
                DEBUG(2, $query, __FILE__, __LINE__);   
                $db = new DB;
                $db->query($query);
    
                fkt_log($_SESSION['SID_login'], $LOG_Rubric, "<b>".$_SESSION['SID_Rubrik']."</b>");
    
                if ( $standard == $standard_preference ) {
                    $message = $LP_RubricDataUpdate;
                    require(CPO_BASEDIR."_include/message.php");
                }
                
                // echo "standard_template: ".$standard_template."<br>";
                
                // erlaubte Templates
        
                $query = "SELECT name, template FROM ".$dbPrefix."_templates WHERE id != ''";
                DEBUG(1, $query, __FILE__, __LINE__);   
                $db = new DB;
                $db->query($query);
        
                if ($db->num_rows()>0) {
                    while($db->next_record()):
                        $tpl_name   = $db->v("name");
                        $template   = $db->v("template");
                        // echo ucfirst($directory)." ".$$directory."<br>\n";
                        if ( $$template == 1 || $template == $standard_template ) {
                            // echo "NEW!!!<br>";
                            $query = "SELECT COUNT(*) FROM ".$dbPrefix."_tpl_assignment WHERE rubrik = \"".$_SESSION['SID_Rubrik']."\" AND template = \"".$template."\"";
                            DEBUG(1, $query, __FILE__, __LINE__);   
                            
                            $db_2 = new DB;
                            $db_2->query($query);
                            $db_2->next_record();
                            // echo "DEBUG: ".$query."<br>\n";
                            if ($db_2->v('COUNT(*)')<=0) {
                                $c_datum = date ("Y-m-d H:i:s" ,time());
                                $t_datum = date ("YmdHis" ,time());
            
                                $query = "INSERT INTO ".$dbPrefix."_tpl_assignment (id, rubrik, template, tmp_name, timestamp, c_time, changer) VALUES (\"\", \"".$_SESSION['SID_Rubrik']."\", \"".$template."\", \"".$template_name[$template]."\", \"".$t_datum."\", \"".$c_datum."\", \"".$_SESSION['SID_login']."\")";
                                DEBUG(1, $query, __FILE__, __LINE__);   
                                $db_4 = new DB;
                                $db_4->query($query); 
                            }
                        } else {
                            // echo "DEL!<br>";
                            $query = "DELETE FROM ".$dbPrefix."_tpl_assignment WHERE rubrik = \"".$_SESSION['SID_Rubrik']."\" AND template = \"".$template."\"";
                            DEBUG(2, $query, __FILE__, __LINE__);   
                            $db_4 = new DB;
                            $db_4->query($query); 
                        }
                    endwhile;
                }
            }
        }
    } else {
        require(CPO_BASEDIR."_include/load_rubric_preference.php");
    }

    $name               = ereg_replace ( '\\\"', '&quot;', $name );
    $separate_text      = ereg_replace ( '\\\"', '&quot;', $separate_text );
    $header             = ereg_replace ( '\\\"', '&quot;', $header );
    $nodata             = ereg_replace ( '\\\"', '&quot;', $nodata );
    $art_number         = ereg_replace ( '\\\"', '&quot;', $art_number );
    $archiv_text        = ereg_replace ( '\\\"', '&quot;', $archiv_text );
    $feld_formdatum     = ereg_replace ( '\\\"', '&quot;', $feld_formdatum );
    
    if ( $header == '' )
    {
        $header = $_SESSION['SID_Rubrik'];
    } 

    if ( $name == '' || $Rubric_name == ' ' )
    {
        $name = $_SESSION['SID_Rubrik'];
    }     
    
    if ( isset($send_standard) OR isset($send_entwurf) ) {
        ?>
            <table width="<?php echo $WIDTH ?>" border="0" cellpadding="3" cellspacing="2">
                <tr>
                    <td colspan="2" bgcolor="<?php echo $color_tbg_dunkel; ?>" align="left" valign="middle" class="text">
                        <b> <br></b>
                    </td>
                </tr>
                <tr>
                    <td width="15%" bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                        <br>
                    </td>
                    <td width="85%" bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                        <?php echo "<A href=\"preference.php?directory=".$directory."\">&laquo; ".$LP_Preference_Back."</A>"; ?>
                    </td>
                </tr>
                <tr>
                    <td align="left" valign="middle" class="text"><img height="1" width="180" src="../_images/transparent.gif" alt="" border="0"></td>
                    <td align="left" valign="middle" class="text"><img height="1" width="568" src="../_images/transparent.gif" alt="" border="0"></td>
                </tr>
            </table>
        <?php 
    } else {

    # echo "STD.:".$standard."<br>";

?>

<br>

<FORM METHOD="POST" ACTION="preference.php" name="rubric">
    <input type="Hidden" name="go" value="1">
    <input type="Hidden" name="id" value="<?php echo $id; ?>">
    <input type="Hidden" name="directory" value="<?php echo $directory; ?>">
    <input type="Hidden" name="standard_preference" value="<?php echo $standard; ?>">
    <input type="Hidden" name="zuordnung_ursprung" value="<?php if ( $zuordnung_ursprung != '' ) { echo $zuordnung_ursprung; } else { echo $zuordnung; }?>">

    <table width="<?php echo $WIDTH ?>" border="0" cellpadding="3" cellspacing="2">
        <tr>
            <td colspan="2" bgcolor="<?php echo $color_tbg_dunkel; ?>" align="left" valign="middle" class="text">
                <b><?php echo $LP_Rubric_Header ?></b>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_PDir ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <?php 

                    echo $directory;
                    help($HelpPre."001");
                ?>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_POutput ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <?php 
                    echo '<A href="javascript:void(0);" onFocus="if (this.blur) this.blur()" onclick="window.open(\'../_content/variante.php?System_base_url='.$System_base_url.'&language=deutsch&'.SID.'\', \'var\', \'width=650, height=350, scrollbars=1\');">'.$LP_PShowVar.' &raquo;</A>';
                    help($HelpPre."001a");
                    echo "<br>";
                ?>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_PName ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
                    <input type="text" name="name" value="<?php echo $name ?>" size="36" maxlength="30" class="i36">  
                </td><td align="left" valign="middle" class="text"><?PHP help($HelpPre."004"); ?></td></tr></table>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_PZuordnung ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
                    <select class="i0" name="zuordnung" size="1">
                        <option value="0"<?php if ( $zuordnung == 0 ) { echo " selected"; } ?>><?php echo $LP_MainTree  ?></option>
                        <?php
                            tree_preference(0,0,"/",$zuordnung);
                        ?>
                    </select>
                </td><td align="left" valign="middle" class="text"><?PHP help($HelpPre."004a"); ?></td></tr></table>
            </td>
        </tr>

        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_PZugriff ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
                    <select class="i0" name="secure" size="1">
                        <option value="0"<?php if ( $secure == 0 ) { echo " selected"; } ?>><?php echo $LP_PSecure1  ?></option>
                        <option value="1"<?php if ( $secure == 1 ) { echo " selected"; } ?>><?php echo $LP_PSecure2  ?></option>
                        <option value="2"<?php if ( $secure == 2 ) { echo " selected"; } ?>><?php echo $LP_PSecure3  ?></option>
                    </select>
                </td><td align="left" valign="middle" class="text"><?PHP help($HelpPre."004b"); ?></td></tr></table>
            </td>
        </tr>
    <?PHP 
        if ( $secure == 2 ) {
    ?>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="top" class="text">
                <img height="3" width="1" src="../_images/transparent.gif" alt="" border="0"><br>
                <?php echo $LP_PGroup ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <table border="0" cellpadding="0" cellspacing="0"><tr>
                    <?PHP 

                        $query = "SELECT usergroup FROM ".$dbPrefix."_rubric_permission "
                                ."WHERE kategorie = '".$directory."' ORDER BY usergroup";
                        DEBUG(2, $query, __FILE__, __LINE__);   
                        $db = new DB;
                        $db->query($query);
                
                        if ($db->num_rows()>0) {
                            echo "<td align=\"left\" valign=\"middle\" class=\"text\">";
                            while($db->next_record()):
                                $usergroup = $db->v("usergroup");
                                echo "<li>".$usergroup."<br>\n"; 
                            endwhile;
                            echo "</td><td width=\"10\" align=\"left\" valign=\"middle\" class=\"text\">&nbsp;</td>";
                        }

                    ?>    
                <td align="left" valign="top" class="text">
                    <A HREF="../_content/usergroup.php?dir=<?PHP echo $directory ?>"><?PHP echo $LP_change ?> &raquo;</A>
                </td><td align="left" valign="top" class="text"><?PHP help($HelpPre."004c"); ?></td></tr></table>
            </td>
        </tr>
    <?PHP 
        }
    ?>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_PHeadline ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text">
                    <input type="text" name="header" value="<?php echo $header ?>" size="36" maxlength="255" class="i36">  
                </td><td align="left" valign="middle" class="text"><?PHP help($HelpPre."005"); ?></td></tr></table>
            </td>
        </tr>
        <tr>
            <td height="10" align="left" valign="middle" class="text">
            </td>
            <td align="left" valign="middle" class="text">
                <INPUT class="i" TYPE="SUBMIT" VALUE="<?php echo $LP_PSave ?>">
            </td>
        </tr>
        <?PHP 
            if ( $is_modul != 1 ) {
        ?>
        <tr>
            <td height="27" align="left" valign="middle" class="text">
            </td>
            <td align="left" valign="middle" class="text">
            </td>
        </tr>
        <tr>
            <td colspan="2" bgcolor="<?php echo $color_tbg_dunkel; ?>" align="left" valign="middle" class="text">
                <b><?php echo $LP_RubricChoose ?></b>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="top" class="text">
                <img height="3" width="1" src="../_images/transparent.gif" alt="" border="0"><br>
                <?php echo $LP_PStandard_Pre1 ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="top" class="text">
                <table width="100%" border="0" cellpadding="0" cellspacing="0"><tr><td class="text" align="left" valign="top">
                    <input class="b" type="radio" id="standard" name="standard" value="0" onclick="document.rubric.submit();"<?php if ( $standard == '0' OR $standard == '' ) { echo " checked"; }  ?>> <?php echo $LP_RubricChooseIndividual ?> <?php help($HelpPre."000a"); ?><br>
                    <input class="b" type="radio" id="standard" name="standard" value="1" onclick="document.rubric.submit();"<?php if ( $standard == '1' ) { echo " checked"; }  ?>>  <?php echo $LP_RubricChooseStandard ?><br>
                </td></tr></table>
            </td>
        </tr>   
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_PStandard_Pre2 ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <a href="../_content/std_preference.php?dir=<?PHP echo $directory ?>&action=standard"><?PHP echo $LP_change ?> &raquo;</a>
                <?PHP help($HelpPre."0051"); ?>         
            </td>
        </tr>   
        
        <?PHP 
            }

            if ( $standard == 1 ) {
                
            } else {
                if ( $is_modul != 1 ) {
        ?>

        <tr>
            <td height="27" align="left" valign="middle" class="text">
            </td>
            <td align="left" valign="middle" class="text">
            </td>
        </tr>
        <tr>
            <td colspan="2" bgcolor="<?php echo $color_tbg_dunkel; ?>" align="left" valign="middle" class="text">
                <b><?php echo $LP_RubricLoading ?></b>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_RubricLoadingEntw ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <table width="100%" border="0" cellpadding="0" cellspacing="0"><tr><td class="text" align="left" valign="top">
                    <a href="<?PHP echo $_SERVER['PHP_SELF'] ?>?action=entwurf&directory=<?PHP echo $directory ?>"><?PHP echo $LP_Loading ?> &raquo</a>
                    <?PHP help($HelpPre."0052"); ?>
                </td></tr></table>
            </td>
        </tr>   
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text">
                <?php echo $LP_RubricLoadingStan ?>:
            </td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <table width="100%" border="0" cellpadding="0" cellspacing="0"><tr><td class="text" align="left" valign="top">
                    <a href="<?PHP echo $_SERVER['PHP_SELF'] ?>?action=standard&directory=<?PHP echo $directory ?>"><?PHP echo $LP_Loading ?> &raquo</a>
                    <?PHP help($HelpPre."0053"); ?>
                </td></tr></table>
            </td>
        </tr>   
        <?PHP 
                }
        ?>
        <tr>
            <td height="27" align="left" valign="middle" class="text">
            </td>
            <td align="left" valign="middle" class="text">
            </td>
        </tr>
        <tr>
            <td colspan="2" bgcolor="<?php echo $color_tbg_dunkel; ?>" align="left" valign="middle" class="text">
                <b><?php echo $LP_Rubric_HeaderErw ?></b>
            </td>
        </tr>

        <?php require(CPO_BASEDIR."_include/rubric_preference.php"); ?>

        <?php 
            }
        ?>
        <tr>
            <td height="27" align="left" valign="middle" class="text">
                &nbsp;
            </td>
            <td align="left" valign="middle" class="text">
                <?php 
                    if ( $standard == 0 ) {
                ?>
                <table width="100%" border="0" cellpadding="0" cellspacing="0">
                    <tr>
                    	<td align="left" valign="top">
                            <INPUT class="i" TYPE="SUBMIT" VALUE="<?php echo $LP_PSave ?>">
                        </td>
                    	<td align="right" valign="top">
                <?php 
                        if ( $is_modul != 1 ) {
                ?>
                            <!-- <INPUT onClick="return confirm('<?php echo $LP_PReallyStandard  ?>')" class="i" TYPE="SUBMIT" name="send_standard" VALUE="<?php echo $LP_PSave_Std ?>"><br> -->
                            <INPUT onClick="return confirm('<?php echo $LP_PReallyEntwurf  ?>')" class="i" TYPE="SUBMIT" name="send_entwurf" VALUE="<?php echo $LP_PSave_Entwurf ?>">
                <?php 
                        }
                ?>
                        </td>
                    </tr>
                </table>
                <?php 
                    }
                ?>
            </td>
        </tr>
        <tr>
            <td height="27" align="left" valign="middle" class="text"><img height="1" width="180" src="../_images/transparent.gif" alt="" border="0"></td>
            <td align="left" valign="middle" class="text"><img height="1" width="568" src="../_images/transparent.gif" alt="" border="0"></td>
        </tr>
    </table>
</FORM>

<?php
    }
?>
