<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: i_reject.php,v 1.1.1.1.2.8 2004/01/21 20:42:11 balu Exp $
if (!defined('CPO')) exit;

    $query = "SELECT email, name FROM ".$dbPrefix."_user WHERE id = '".$user."'";
    DEBUG(2, $query, __FILE__, __LINE__);   
    $db = new DB;
    $db->query($query);

    if ( $db->num_rows() > 0 ) {
        $_SESSION['SID_loggedin'] = 1;
        $_SESSION['SID_login'] = $_SESSION['SID_login'];
        $db->next_record();
        $admin_email = $db->v("email");
        $admin_autor = $db->v("name");
    }   

    $query = "SELECT autor, email, titel, untertitel, pub_datum, verfallsdatum "
            ."FROM ".$dbPrefix."_news WHERE nr = '".$nr."'";
    DEBUG(2, $query, __FILE__, __LINE__);   
    $db = new DB;
    $db->query($query);
    $anzahl = $db->num_rows();

    if ($db->num_rows()>0) {
        $db->next_record();

        $artikel_autor = $db->v("autor");
        $artikel_email = $db->v("email");
        $artikel_titel = $db->v("titel");
        $artikel_untertitel = $db->v("untertitel");
        $pub_datum     = $db->v("pub_datum");
        $verfallsdatum = $db->v("verfallsdatum");

        if ( $verfallsdatum < 2023066800 ) {
            $date_verfallsdatum = date( "d.m.Y H:i", $verfallsdatum);
        } else {
            $date_verfallsdatum = '-';
        }

        $date_pub_datum = date( "d.m.Y H:i", $pub_datum);
    }

    if ( $send == 1 && $close == '' ) {
        $kategorie_name = rubrikname($kategorie);
        require(CPO_BASEDIR."_include/email_reject.php");
    }    

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
    
<html>
    <head>
        <title><?php echo $title ?> - <?php echo $LP_R_cancel2 ?></title>
        <link rel=stylesheet type="text/css" href="../_skin/<?php echo $cpoSkin ?>/style_cpo.css">
    </head>
    
    <?php 
        if ( $send == 1 ) 
        {
    ?>
        <body bgcolor="<?php echo $color_white ?>" onLoad="self.close()" class="text">
    <?php 
        } else {
    ?>
        <body bgcolor="<?php echo $color_white ?>" class="text">
    <?php 
        }
    ?>
    
    <div class="header"><b><?php echo $LP_R_Message  ?></b></div><br>
    
    <?php 
        if ( $send == 1 ) 
        {
    ?>
    
    <?php 
    } else {
    ?>
    
        <FORM METHOD=POST ACTION="<?php echo $_SERVER['PHP_SELF'] ?>" name="newsentry">
            <input type="Hidden" name="send" value="1">
            <input type="Hidden" name="enter" value="true">
            <input type="Hidden" name="nr" value="<?php echo $nr ?>">
            <input type="Hidden" name="user" value="<?php echo $user ?>">
            <input type="Hidden" name="kategorie" value="<?php echo $kategorie ?>">
            <input type="Hidden" name="directory" value="<?php echo $directory ?>">
            
            <table border="0" cellpadding="2" cellspacing="0">
                <tr>
                    <td class="text" width="40%"><b><?php echo $LP_R_Title ?></b></td>
                    <td class="text"><?php echo $artikel_titel ?></td>
                </tr>
                <tr>
                    <td class="text"><b><?php echo $LP_R_Subtitle ?>:</b></td>
                    <td class="text"><?php echo $artikel_untertitel ?></td>
                </tr>
                <tr>
                    <td class="text"><b><?php echo $LP_R_Author ?>:</b></td>
                    <td class="text"><?php echo $artikel_autor ?></td>
                </tr>
                <tr>
                    <td class="text"><b><?php echo $LP_R_Email ?>:</b></td>
                    <td class="text"><?php echo $artikel_email ?></td>
                </tr>
                <tr>
                    <td class="text"><br><b><?php echo $LP_R_Reason ?>:</b></td>
                    <td class="text">&nbsp;</td>
                </tr>
                <tr>
                    <td class="text" colspan="2">
                        <textarea cols="36" rows="5" class="i36" name="grund"></textarea>
                        <br>
                    </td>
                </tr>
                <tr>
                    <td class="text" align="left">
                        <input class="i" type="submit" name="abweisung" value="<?php echo $LP_R_Send ?>">
                    </td>
                    <td class="text" align="right">
                        <input class="i" type="submit" name="close" value="<?php echo $LP_R_CloseWindow ?>">
                    </td>
                </tr>
            </table>
        </form>
    
    <?php 
    }
    ?>
 
        <!-- 
            <div align="left"><a href="javascript:self.close()"><?php echo $LP_R_CloseWindow ?></a></div> 
        -->
    
    </body>
</html>
