<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: i_release.php,v 1.1.1.1.2.5 2003/10/28 09:46:10 balu Exp $
if (!defined('CPO')) exit;

    $freigabe_datum = time();

    if ( isset($open) )
    {

        if ( $open == 0 )
        {
            $query = "UPDATE ".$dbPrefix."_news SET freigabe = 0, freigabe_name = '".$_SESSION['SID_login']."', freigabe_datum = ".$freigabe_datum." WHERE nr = '".$nr."'";
            DEBUG(2, $query, __FILE__, __LINE__);   
            $db = new DB;
            $db->query($query);

            $query = "UPDATE ".$dbPrefix."_news SET artikel_archiv = 5 WHERE article_nr = '".$article_nr."' AND artikel_archiv > 0";
            DEBUG(2, $query, __FILE__, __LINE__);   
            $db = new DB;
            $db->query($query);

            $query = "SELECT titel, untertitel, verfallsdatum, pub_datum, email, autor "
                    ."FROM ".$dbPrefix."_news WHERE nr = '".$nr."'";
            DEBUG(2, $query, __FILE__, __LINE__);   
            $db = new DB;
            $db->query($query);
        
            if ($db->num_rows()>0){ 
                $db->next_record();

                $artikel_titel = $db->v("titel");
                $artikel_untertitel = $db->v("untertitel");
                $artikel_verfallsdatum = $db->v("verfallsdatum");
                $artikel_pub_datum = $db->v("pub_datum");
                $artikel_email = $db->v("email");
                $artikel_autor = $db->v("autor");
            } 

            $zeile1 = $nr." | ".$artikel_titel." | ".$artikel_untertitel." \n";
            fkt_log($_SESSION['SID_login'], $LOG_R_free, "<b>".$_SESSION['SID_Rubrik']."</b><br>".$zeile1);

            if ( $System_release == 1 && $System_release_email == 1) 
            {
                if ( $artikel_verfallsdatum < 2023066800 ) {
                    $date_verfallsdatum = date( "d.m.Y H:i", $artikel_verfallsdatum);
                } else {
                    $date_verfallsdatum = '-';
                }
                $date_pub_datum = date( "d.m.Y H:i", $artikel_pub_datum);
                
                $directory_name = rubrikname($directory);
                require(CPO_BASEDIR."_include/email_release.php");
            }

        }

        if ( $open == 2 )
        {
            $query = "UPDATE ".$dbPrefix."_news SET freigabe = 2, freigabe_name = '".$_SESSION['SID_login']."', freigabe_datum = ".$freigabe_datum." WHERE nr = '".$nr."'";
            DEBUG(2, $query, __FILE__, __LINE__);   
            $db = new DB;
            $db->query($query);

            $query = "SELECT titel, untertitel, verfallsdatum, pub_datum, email, autor "
                    ."FROM ".$dbPrefix."_news WHERE nr = '".$nr."'";
            DEBUG(2, $query, __FILE__, __LINE__);   
            $db = new DB;
            $db->query($query);
        
            if ($db->num_rows()>0){ 
                $db->next_record();

                $artikel_titel      = $db->v("titel");
                $artikel_untertitel = $db->v("untertitel");
                $artikel_verfallsdatum = $db->v("verfallsdatum");
                $artikel_pub_datum  = $db->v("pub_datum");
                $artikel_email      = $db->v("email");
                $artikel_autor      = $db->v("autor");
            } 

            $zeile1 = $nr." | ".$artikel_titel." | ".$artikel_untertitel." \n";
            fkt_log($_SESSION['SID_login'], $LOG_R_blocked, "<b>".$_SESSION['SID_Rubrik']."</b><br>".$zeile1);
            
            $date_verfallsdatum = '-';
            if ( $artikel_verfallsdatum < 2023066800 ) {
                $date_verfallsdatum = date( "d.m.Y H:i", $artikel_verfallsdatum);
            }

            $date_pub_datum = date( "d.m.Y H:i", $artikel_pub_datum);
            
            if ( $System_release == 1 && $System_release_email == 1 ) 
            {
                $directory_name = rubrikname($directory);
                require(CPO_BASEDIR."_include/email_block.php");
            }

        }

        if ( $open == 3 )
        {
            $query = "UPDATE ".$dbPrefix."_news SET freigabe = 3, freigabe_name = '".$_SESSION['SID_login']."', freigabe_datum = ".$freigabe_datum." WHERE nr = '".$nr."'";
            DEBUG(2, $query, __FILE__, __LINE__);   
            $db = new DB;
            $db->query($query);
            
            $query = "SELECT titel, untertitel, verfallsdatum, pub_datum, email, autor "
                    ."FROM ".$dbPrefix."_news WHERE nr = '".$nr."'";
            $db = new DB;
            $db->query($query);
        
            if ($db->num_rows()>0){ 
                $db->next_record();
                $artikel_titel         = $db->v("titel");
                $artikel_untertitel    = $db->v("untertitel");
                $artikel_verfallsdatum = $db->v("verfallsdatum");
                $artikel_pub_datum     = $db->v("pub_datum");
                $artikel_email         = $db->v("email");
                $artikel_autor         = $db->v("autor");
            } 

            $zeile1 = $nr." | ".$artikel_titel." | ".$artikel_untertitel." \n";
            fkt_log($_SESSION['SID_login'], $LOG_R_cancel, "<b>".$_SESSION['SID_Rubrik']."</b><br>".$zeile1);
        }
    }

    echo "<div class=\"text\">";

?>
