<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: deutsch.php,v 1.1.1.1.2.11 2004/03/22 12:10:23 balu Exp $
if (!defined('CPO')) exit;

    $LP_prefix                  = 'Bitte stellen Sie sicher, dass Ihr Datenbank-Prefix nur erlaubte Zeichen enthlt. ("a-zA-Z0-9", "-" oder "_").';
    $LP_TblPrefixText           = "Bitte geben Sie einen Prefix f&uuml;r die Datenbank-Tabellen an.<br><b>Hinweis:</b> Wenn es bereits Tabellen mit diesem Prefix gibt, werden diese berschrieben und damit gelscht!";
    $LP_TblPrefix               = "Tabellen-Prefix:";

    $LP_Huh                     = "HILFE! PHP kann die einzelnen Setup-Schritte nicht laden? Haben Sie alle Dateien uebertragen?";
    $LP_OK                      = "OK";
    $LP_Next                    = "Weiter &raquo;";
    $LP_Step                    = "Schritt";
    $LP_Setup                   = "ConPresso Setup";
    $LP_Title                   = "ConPresso  Content Management by Bartels.Sch&ouml;ne";

    $LP_noSetup                 = "<br><br>Sorry, aber ich werde die Setup-Funktionen nicht ausfuehren, solange die Datei conpresso/_cfg/db.inc.php existiert.";

    $LP_Header1                 = "Servereinstellungen.";
    $LP_Header2                 = "Datenbankeinstellungen.";
    $LP_Header3                 = "Datenbankeinstellungen.";
    $LP_Header4                 = "Benutzer/Daten.";
    $LP_Header5                 = "Ende.";

    $LP_Text1                   = "<ol><li>Einstellungen &uuml;berpr&uuml;fen</li></ol>";
    $LP_Text2                   = "<ol><li>Eingabe der Datenbankeinstellungen</li><li>&Uuml;berpr&uuml;fung der Datenbankeinstellungen</li></ol>";
    $LP_Text3                   = "<ol><li>Anlegen der Datei _cfg/db.inc.php</li><li>Anlegen der Datenbanktabellen</li></ol>";
    $LP_Text4                   = "<ol><li>Anlegen des ersten Users</li><li>Anlegen von Datens&auml;tzen</li></ol>";
    $LP_Text5                   = "<ol><li>Installation abgeschlie&szlig;en</li></ol>";


    # Step 1
    $LP_Checking_PHP            = "&Uuml;berpr&uuml;fe PHP Einstellungen:<br>";

    $LP_PHP_Version             = "Ihre PHP-Version";
    $LP_PHP_Version1            = "wird <font color=\"#ff0000\" style=\"font-weight: bold\"><b>nicht</b></font> unterst&uuml;tzt, bitte aktualisieren Sie Ihre PHP-Version.";
    $LP_PHP_Version2            = "wird unterst&uuml;tzt. <b>OK</b>.";

    $LP_PHP_use_trans_sid2      = "<font color=\"#ff0000\" style=\"font-weight: bold\">'<b>session.use_trans_sid</b>' sollte gesetzt sein. Dieser Fallback wird allerdings nur noetig, wenn die Benutzer keine Cookies in Ihrem Browser erlauben.</font>";
    $LP_PHP_use_trans_sid3      = "'<b>session.use_trans_sid</b>' ist gesetzt. <b>OK</b>.";

    $LP_PHP_magic_quotes_gpc2   = "<font color=\"#ff0000\" style=\"font-weight: bold\">'<b>magic_quotes_gpc</b>' muss in der PHP-Konfiguration aktiviert sein.</font>";
    $LP_PHP_magic_quotes_gpc3   = "<b>magic_quotes_gpc</b>' ist aktiv. <b>OK</b>.";

    $LP_PHP_mysql1              = "<font color=\"#ff0000\" style=\"font-weight: bold\">Ihre PHP_Version unterst&uuml;tzt keine MySQL-Funktionen.</font>";
    $LP_PHP_mysql2              = "Ihre PHP_Version unterst&uuml;tzt MySQL-Funktionen. <b>OK</b>.";

    $LP_PHP_datadir1            = "<font color=\"#ff0000\" style=\"font-weight: bold\">ConPresso ben&ouml;tigt Schreibrechte auf das Verzeichnis <i>conpresso/_data/</i>.</font>";
    $LP_PHP_datadir2            = "ConPresso kann Dateien in <i>conpresso/_data/</i> anlegen. <b>OK</b>.";

    $LP_PHP_mail1               = "[ConPresso:] Test-eMail";
    $LP_PHP_mail2               = "Diese Nachricht wurde waehrend der ConPresso-Installation verschickt.\n\nWenn Sie diese eMail erhalten haben unterstuetzt Ihr System den eMail-Versandt.\nWenn nicht, dann duerften Sie diese eMail nicht erhalten haben. ;-)\n\nMfG\nIhr ConPresso";
    $LP_PHP_mail3               = "<br><b>eMail-Test:</b><br><br>Sende email an";

    $LP_PHP_mail4               = "Wenn Sie &uuml;berpr&uuml;fen wollen, ob ConPresso auf Ihrem System eMail versenden kann, tragen Sie bitte Ihre eMail-Adresse ein und klicken Sie auf absenden.";
    $LP_send                    = "abschicken";


    # Step 2
    $LP_enter1                  = "<font color=\"#ff0000\" style=\"font-weight: bold\">Die Verbindung zum Datenbankserver ist gescheitet. Bitte &uuml;berpr&uuml;fen Sie Ihre Einstellungen!";
    $LP_enter2                  = "<font color=\"#ff0000\" style=\"font-weight: bold\">Die Datenbank konnte nicht ausgew&auml;hlt werden.</font>";
    $LP_enter3                  = "Die Verbindung zur Datenbank hat funktioniert. <b>OK</b>.<br>";
    $LP_enter4                  = "Bitte geben Sie den Hostnamen an, auf dem die Datenbank l&auml;uft (in der Regel 'localhost'):";
    $LP_enter5                  = "Hostname:";
    $LP_enter6                  = "<br>Bitte geben Sie das Datenbank-Login an:";
    $LP_enter7                  = "Login:";
    $LP_enter8                  = "<br>Bitte geben Sie den Datenbank-Passwort an:";
    $LP_enter9                  = "Passwort:";
    $LP_enter10                 = "******** (Wird nicht angezeigt)";
    $LP_enter11                 = "<br>Bitte geben Sie den Datenbanknamen an:";
    $LP_enter12                 = "Datenbanknamen:";


    # Step 3
    $LP_db1                     = "<font color=\"#ff0000\" style=\"font-weight: bold\">Konnte";
    $LP_db2                     = "zum schreiben nicht &ouml;ffnen.</font><br><br>Dies kann viele Gr&uuml;nde haben, evtl. hat der User unter dem der Webserver und das PHP l&auml;uft keine Schreibrechte auf die Verzeichnisse oder Dateien hat.<br><br>Sie haben zwei M&ouml;glichkeiten: <br><ol><li>Setzen Sie Schreibrechte auf die entsprechenden Dateien und Verzeichnisse<br><li>Erstellen Sie die Datei <i>conpresso/_cfg/db.inc.php</i> mit folgenden Inhalt von Hand<br />Achten Sie bitte darauf, keine Leerzeichen oder leere Zeilen vor '&lt;?php' oder nach '?&gt;' einzuf&uuml;gen):";

    $LP_db2a                    = "HINWEIS: Achten Sie bitte darauf, keine Leerzeichen oder leere Zeilen vor '< ?php' oder nach '? >' einzufuegen!";

    $LP_db10                    = "Schreibe Datenbankkonfigurationsdatei... ";
    $LP_db11                    = "<font color=\"#ff0000\" style=\"font-weight: bold\">Fehler beim Schreiben in die Datei <i>conpresso/_cfg/db.inc.php</i>!</font>";
    $LP_db12                    = "Pr&uuml;fen die Datenbankkonfigurationsdatei.";

    $LP_db20                    = "<font color=\"#ff0000\" style=\"font-weight: bold\">Der Hostname in Ihrer <i>conpresso/_cfg/db.inc.php</i> weicht von Ihrer Eingabe ab.</font> Der Wert muss wie folgt lauten";
    $LP_db21                    = "<font color=\"#ff0000\" style=\"font-weight: bold\">Der Username in Ihrer <i>conpresso/_cfg/db.inc.php</i> weicht von Ihrer Eingabe ab.</font> Der Wert muss wie folgt lauten";
    $LP_db22                    = "<font color=\"#ff0000\" style=\"font-weight: bold\">Das Passwort in Ihrer <i>conpresso/_cfg/db.inc.php</i> weicht von Ihrer Eingabe ab.</font> Der Wert muss wie folgt lauten";
    $LP_db23                    = "<font color=\"#ff0000\" style=\"font-weight: bold\">Der Batenbankname in Ihrer <i>conpresso/_cfg/db.inc.php</i> weicht von Ihrer Eingabe ab.</font> Der Wert m&uuml;sste wie folgt lauten";
    $LP_db25                    = "ist aber";

    $LP_db30                    = "Die Datei m&uuml;sste wie folgt aussehen:";
    $LP_db31                    = "Die Datenbank-Konfiguration ist <b>OK</b>.";
    $LP_db32                    = "Erstelle Datenbanktabellen... ";

    # Step 4
    $LP_user1                   = "Bitte geben Sie den Usernamen f&uuml;r den Administrator an.";
    $LP_user2                   = "Username:";
    $LP_user3                   = "<br>Bitte geben Sie das Passwort f&uuml;r den Administrator an.";
    $LP_user4                   = "Bitte stellen Sie sicher, dass die Passw&ouml;rter gleich sind.";
    $LP_user5                   = "Passwort:";
    $LP_user6                   = "Passwort &Uuml;berpr&uuml;fung:";
    $LP_user7                   = "******** (Wird nicht angezeigt)";
    $LP_user8                   = "<br>Bitte stellen Sie sicher, dass Sie eine korrekte eMail-Adresse f&uuml;r den Administrator angeben.";
    $LP_user9                   = "eMail:";
    $LP_user10                  = "<br>Bitte stellen Sie sicher, dass Sie eine korrekte eMail-Adresse f&uuml;r das ConPresso-Benachrichtigungs-System angeben.";
    $LP_user11                  = "Absender-Adresse:";
    $LP_user12                  = "<br>ConPresso ben&ouml;tigt die Basis-URL Ihres Projektes. Bitte stellen Sie sicher, das der Wert korrekt ist.";
    $LP_user13                  = "Basis-URL:";

    $LP_db_admin                = "<br>Lege Administrator in Datenbank an... ";
    $LP_settings                = "Erstelle System-Einstellung, erste Rubriken und Tempates... ";


    # Step 5
    $LP_Ready1                  = "<b>Ihr ConPresso ist nun installiert.</b>";
    $LP_Ready2                  = "<br><b>ACHTUNG!</b><br><br>Der Zugriff auf die Setup-Funktion ist noch mglich. Durch das erneute Ausfhren der Setup-Funktion wird die bestehende Datenbank berschrieben und alte Datenstze werden dadurch gelscht. Dies kann auch durch unberechtige Personen geschehen.<br>Bitte lschen Sie das Setup-Verzeichnis (_setup), entziehen die Zugriffsrechte darauf oder benennen es um.";
    
    $LP_FirstSteps              = "<br><hr /><b>DIE ERSTEN SCHRITTE</b><ul><li>Lesen Sie die Datei <a target=\"_blank\" href=\"../README_DE.txt\">README_DE.txt</A></li><li>Neue Benutzer unter 'User anlegen' anlegen.</li><li>Unter 'User &auml;ndern' den Usern entsprechende Rechte auf Rubriken zuweisen.</li><li>Anlegen neuer Rubriken (siehe <a target=\"_blank\" href=\"../README_DE.txt\">README_DE.txt</A>)</li><li>Durchf&auml;hrung der grafischen Anpassung</li></ul><a href=\"../\" target=\"_blank\">ConPresso in einem neuen Fenster &ouml;ffnen.</a><hr />";
?>
