<?php 
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: step2.inc.php,v 1.1.1.1.2.8 2004/03/22 12:02:50 balu Exp $
if (!defined('CPO')) exit;
?>
<h5><?php echo $LP_Step ?> 2</h5>
<?php
$stepOK = true;
$connOK = true;
$selectOK = true;

if (!isset($dbPrefix)) $dbPrefix='cpo';

if (!preg_match('=^[-a-z0-9_]+$=i', $dbPrefix)) {
    $stepOK = false;
    print($LP_prefix.'<br />');
}

// check database settings
$check = ($dbHost!="" && $dbName!="");
if ($check) {
    // check database connection
    $check = @mysql_connect($dbHost, $dbLogin, $dbPassword);
    if (!$check) {
        $stepOK = false;
        $connOK = false;
        print($LP_enter1."<br />");    
    } 

    // check database-select
    $check = ($connOK && @mysql_select_db($dbName));
    if (!$check) {
        $stepOK = false;
        $selectOK = false;
        print($LP_enter2."<br />");
    }

    if ($connOK && $selectOK)
        print($LP_enter3."<br />");
}


print("<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">");

// enter database hostname
if ($dbHost=="" || $connOK==false) {
    $stepOK = false;
    print("<tr><td height=\"20\" colspan=\"2\" class=\"text\">".$LP_enter4."<br /></td></tr>");
    print("<tr><td height=\"20\" class=\"text\">".$LP_enter5."&nbsp;</td><td class=\"text\"><input class=\"i25\" type=\"text\" name=\"dbHost\" value=\"".$dbHost."\"/><br /></td></tr>");
} else {
    print("<input type=\"hidden\" name=\"dbHost\" value=\"".$dbHost."\"/>");
    if ($verbose==true) print("<tr><td height=\"20\" class=\"text\">".$LP_enter5."&nbsp;</td><td class=\"text\"><b>".$dbHost."</b><br /></td></tr>");
}

// enter database login
if ($dbLogin=='' || $connOK==false) {
    $stepOK = false;
    print("<tr><td height=\"20\" colspan=\"2\" class=\"text\">".$LP_enter6."<br /></td></tr>");
    print("<tr><td height=\"20\" class=\"text\">".$LP_enter7."&nbsp;</td><td class=\"text\"><input class=\"i25\" type=\"text\" name=\"dbLogin\" value=\"".$dbLogin."\"/><br /></td></tr>");
} else {
    print("<input type=\"hidden\" name=\"dbLogin\" value=\"".$dbLogin."\"/>");
    if ($verbose==true) print("<tr><td height=\"20\" class=\"text\">".$LP_enter7."&nbsp;</td><td class=\"text\"><b>".$dbLogin."</b><br /></td></tr>");
}

// enter database password
if ($connOK==false) {
    $stepOK = false;
    print("<tr><td height=\"20\" colspan=\"2\" class=\"text\">".$LP_enter8."<br /></td></tr>");
    print("<tr><td height=\"20\" class=\"text\">".$LP_enter9."&nbsp;</td><td class=\"text\"><input class=\"i25\" type=\"password\" name=\"dbPassword\" value=\"".$dbPassword."\"/><br /></td></tr>");
} else {
    if ($stepOK) {
        print("<input type=\"hidden\" name=\"dbPassword\" value=\"".$dbPassword."\"/>");
        if ($verbose==true) print("<tr><td height=\"20\" class=\"text\">".$LP_enter9."&nbsp;</td><td class=\"text\"><b>".$LP_enter10."</b><br /></td></tr>");
    } else {
        print("<tr><td height=\"20\" colspan=\"2\" class=\"text\">".$LP_enter8."<br /></td></tr>");
        print("<tr><td height=\"20\" class=\"text\">".$LP_enter9."&nbsp;</td><td class=\"text\"><input class=\"i25\" type=\"password\" name=\"dbPassword\" value=\"".$dbPassword."\"/><br /></td></tr>");
    }
}

// enter database name
if ($dbName=="" || $selectOK==false) {
    $stepOK = false;
    print("<tr><td height=\"20\" colspan=\"2\" class=\"text\">".$LP_enter11."<br /></td></tr>");
    print("<tr><td height=\"20\" class=\"text\">".$LP_enter12."&nbsp;</td><td class=\"text\"><input class=\"i25\" type=\"text\" name=\"dbName\" value=\"".$dbName."\"/><br /></td></tr>");
} else {
    print("<input type=\"hidden\" name=\"dbName\" value=\"".$dbName."\"/>");
    if ($verbose==true) print("<tr><td height=\"20\" class=\"text\">".$LP_enter12."&nbsp;</td><td class=\"text\"><b>".$dbName."</b><br /></td></tr>");
}

if ($stepOK == false) {
    print("<tr><td height=\"20\" colspan=\"2\" class=\"text\">".'<br>'.$LP_TblPrefixText.':'."<br /></td></tr>");
    print("<tr><td height=\"20\" class=\"text\">".$LP_TblPrefix."&nbsp;</td><td class=\"text\"><input class=\"i25\" type=\"text\" name=\"dbPrefix\" value=\"".$dbPrefix."\"/><br /></td></tr>");
} else {
    print("<input type=\"hidden\" name=\"dbPrefix\" value=\"".$dbPrefix."\"/>");
    if ($verbose==true) print("<tr><td height=\"20\" class=\"text\">".$LP_TblPrefix."&nbsp;</td><td class=\"text\"><b>".$dbPrefix."</b><br /></td></tr>");
}

print("</table>");



print("<br />");
?>

