<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: show.php,v 1.1.1.1.2.7 2003/10/28 09:46:10 balu Exp $
define('CPO', true);
if (file_exists("../_cfg/const.php")) require("../_cfg/const.php");
else require("../_cfg/const.php.dist");

    require(CPO_BASEDIR."_include/check.php");

    $Artikel_header = $LPTL_Template;

    # --- HEADER ---
    # globaler Header fuer das gesamte System
    if (file_exists(CPO_BASEDIR."_cfg/global_header.php")) require(CPO_BASEDIR."_cfg/global_header.php");
    else require(CPO_BASEDIR."_cfg/global_header.php.dist");
    require(CPO_BASEDIR."_templates/_category_header.php");             # lokaler Header nur fuer die Rubrik

    echo "<div class=\"text\">\n";


    $cpContent["ID"]                   = "ID";
    $cpContent["Index"]                = $LPT_Index;
    $cpContent["Title"]                = $LPT_Title;
    $cpContent["Subtitle"]             = $LPT_Subtitle;
    $cpContent["Image"]                = "<img src=\"../_images/test.gif\">";
    $cpContent["File"]                 = $LPT_FileProlog.": <A HREF=\"#\">".$LPT_File."</a>";
    $cpContent["Text1"]                = "<u>".$LPT_Text1.":</u> Gallia est omnis divisa in partes tres, quarum unam incolunt Belgae, aliam Aquitani, tertiam qui ipsorum lingua Celtae, nostra Galli appellantur. Hi omnes lingua, institutis, legibus inter se differunt. Gallos ab Aquitanis Garumna flumen, a Belgis Matrona et Sequana dividit.";
    $cpContent["Text2"]                = "<u>".$LPT_Text2.":</u> Gallia est omnis divisa in partes tres, quarum unam incolunt Belgae, aliam Aquitani, tertiam qui ipsorum lingua Celtae, nostra Galli appellantur. Hi omnes lingua, institutis, legibus inter se differunt. Gallos ab Aquitanis Garumna flumen, a Belgis Matrona et Sequana dividit. Horum omnium fortissimi sunt Belgae, propterea quod a cultu atque humanitate provinciae longissime absunt, minimeque ad eos mercatores saepe commeant atque ea quae ad effeminandos animos pertinent important, proximique sunt Germanis, qui trans Rhenum incolunt, quibuscum continenter bellum gerunt. Qua de causa Helvetii quoque reliquos Gallos virtute praecedunt, quod fere cotidianis proeliis cum Germanis contendunt, cum aut suis finibus eos prohibent aut ipsi in eorum finibus bellum gerunt. Eorum una, pars, quam Gallos obtinere dictum est, initium capit a flumine Rhodano, continetur Garumna flumine, Oceano, finibus Belgarum, attingit etiam ab Sequanis et Helvetiis flumen Rhenum, vergit ad septentriones. Belgae ab extremis Galliae finibus oriuntur, pertinent ad inferiorem partem fluminis Rheni, spectant in septentrionem et orientem solem. Aquitania a Garumna flumine ad Pyrenaeos montes et eam partem Oceani quae est ad Hispaniam pertinet; spectat inter occasum solis et septentriones. ";
    $cpContent["Text3"]                = "<u>".$LPT_Text3.":</u> Apud Helvetios longe nobilissimus fuit et ditissimus Orgetorix. Is M. Messala, [et P.] M. Pisone consulibus regni cupiditate inductus coniurationem nobilitatis fecit et civitati persuasit ut de finibus suis cum omnibus copiis exirent: perfacile esse, cum virtute omnibus praestarent, totius Galliae imperio potiri. Id hoc facilius iis persuasit, quod undique loci natura Helvetii continentur: una ex parte flumine Rheno latissimo atque altissimo, qui agrum Helvetium a Germanis dividit; altera ex parte monte Iura altissimo, qui est inter Sequanos et Helvetios; tertia lacu Lemanno et flumine Rhodano, qui provinciam nostram ab Helvetiis dividit. His rebus fiebat ut et minus late vagarentur et minus facile finitimis bellum inferre possent; qua ex parte homines bellandi cupidi magno dolore adficiebantur. Pro multitudine autem hominum et pro gloria belli atque fortitudinis angustos se fines habere arbitrabantur, qui in longitudinem milia passuum CCXL, in latitudinem CLXXX patebant.";
    $cpContent["More"]                 = "<A HREF=\"#\">".$LPT_More." &raquo;</a>";
    $cpContent["Back"]                 = "<A HREF=\"#\">&laquo; ".$LP_Back."</a>";
    $cpContent["Link1"]                = "<A HREF=\"#\">".$LPT_LinkText1."</a>";
    $cpContent["Link2"]                = "<A HREF=\"#\">".$LPT_LinkText2."</a>";
    $cpContent["Link3"]                = "<A HREF=\"#\">".$LPT_LinkText3."</a>";
    $cpContent["Author"]               = $LPT_Author;
    $cpContent["Initial"]              = "[".$LPT_Init."]";
    $cpContent["Date"]                 = $LPT_PublicationDate;


    # echo "TEMPLATE: ".$template."<br>";
    echo "<b>".$LP_FieldOutput.":</b><br>";
    
    echo "<table bgcolor=\"".$color_data_hell."\" width='".$System_article_width."' border='0' cellpadding='0' cellspacing='0'>\n";
    echo "<tr><td align=\"left\" valign=\"top\">";
    
    $query = "SELECT tpl_first FROM ".$dbPrefix."_templates WHERE template = '".$template."'";
    DEBUG(2, $query, __FILE__, __LINE__);   
    $db_2 = new DB;
    $db_2->query($query);

    if ($db_2->num_rows()>0) {
        $db_2->next_record();
        $template_datei = $db_2->v("tpl_first");
    }

    require(CPO_BASEDIR."_include/parser.php");
    
    echo $template_datei;

    echo "</td></tr></table>";
    echo "<div align=\"center\">[<a href=\"javascript:window.close();\">".$LP_R_CloseWindow."</a>]</div><br>";
    echo "<BR>";
    echo "<b>".$LP_FieldDetails.":</b><br>";
    echo "<table bgcolor=\"".$color_data_hell."\" width='".$System_article_width."' border='0' cellpadding='0' cellspacing='0'>\n";
    echo "<tr><td align=\"left\" valign=\"top\">";
    
    $query = "SELECT tpl_detail FROM ".$dbPrefix."_templates WHERE template = '".$template."'";
    DEBUG(2, $query, __FILE__, __LINE__);   
    $db_2 = new DB;
    $db_2->query($query);

    if ($db_2->num_rows()>0) {
        $db_2->next_record();
        $template_datei = $db_2->v("tpl_detail");
    }

    require(CPO_BASEDIR."_include/parser.php");

    echo $template_datei;
    
    echo "</td></tr></table>";
    echo "<div align=\"center\">[<a href=\"javascript:window.close();\">".$LP_R_CloseWindow."</a>]</div><br>";
    echo "<BR>";
    echo "<b>".$LP_FieldJavascript.":</b><br>";
    echo "<table bgcolor=\"".$color_data_hell."\" width='".$System_article_width."' border='0' cellpadding='0' cellspacing='0'>\n";
    echo "<tr><td align=\"left\" valign=\"top\">";
    
    $query = "SELECT tpl_javascript FROM ".$dbPrefix."_templates WHERE template = \"".$template."\"";
    DEBUG(2, $query, __FILE__, __LINE__);   
    $db_2 = new DB;
    $db_2->query($query);

    if ($db_2->num_rows()>0) {
        $db_2->next_record();
        $template_datei = $db_2->v("tpl_javascript");
    }

    require(CPO_BASEDIR."_include/parser.php");

    echo $template_datei;
    
    echo "</td></tr></table>";
    echo "<div align=\"center\">[<a href=\"javascript:window.close();\">".$LP_R_CloseWindow."</a>]</div><br>";
    echo "<BR>";
    

    echo "</div>";

    
    # --- FOOTER ---
    require(CPO_BASEDIR."_templates/_category_footer.php");             # lokaler Footer nur fuer die Rubrik
    if (file_exists(CPO_BASEDIR."_cfg/global_footer.php")) require(CPO_BASEDIR."_cfg/global_footer.php");
    else require(CPO_BASEDIR."_cfg/global_footer.php.dist");
?>
