<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: form_user_edit.php,v 1.1.1.1.2.7 2003/10/28 09:46:10 balu Exp $
if (!defined('CPO')) exit;

if ( $enter == false ) {
    $editor = 1;
}

if ( $editor == '' ) {
    $editor = 0;
}

?>
<FORM METHOD=POST ACTION="<?php echo $_SERVER['PHP_SELF'] ?>" name="newsentry">
    <input type="Hidden" name="enter" value="true">
    <input type="Hidden" name="id" value="<?php echo $id ?>">
    <table width="<?php echo $WIDTH; ?>" border="0" cellpadding="3" cellspacing="2">
        <tr bgcolor="<?php echo $color_tbg_dunkel; ?>"><td align="left" class="text" colspan="2"><b><?php echo $LP_User; ?></b></td></tr>
        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" class="text"><?php echo $user_text; ?></td> <td width="80%" bgcolor="<?PHP echo $color_data_hell ?>" class="text"><table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text"><input tabindex="1" class="i10" type=text name="user" value="<?php echo $user ?>" size=30 maxlength=255></td><td align="left" valign="middle" class="text"><?PHP help("US001"); ?><br></td></tr></table></td></tr>
        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text"><?php echo $name_text; ?></td><td bgcolor="<?PHP echo $color_data_hell ?>" class="text"><table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text"><input tabindex="2" class="i30" type=text name="name" value="<?php echo $name ?>" size=30 maxlength=255></td><td align="left" valign="middle" class="text"><?PHP help("US002"); ?><br></td></tr></table></td></tr>

<?php 
    $query = "SELECT id, usergroup FROM ".$dbPrefix."_usergroups";
    DEBUG(1, $query, __FILE__, __LINE__);   
    $db = new DB;
    $db->query($query);

    if ($db->num_rows()>0) { 
?>
        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text"><?php echo $LP_Usergroup; ?>:</td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" class="text">
                <select tabindex="2" class="i0" name="usergroup" size="1">
                    <option value=""<?php if ( $usergroup == '' ) { echo " selected"; } ?>><?php echo $LP_UG_No; ?></option>
                    <option value="">------------------------</option>
                    <?php
                       while($db->next_record()):
                
                            $id           = $db->v("id");
                            $db_usergroup = $db->v("usergroup");
                
                            echo "<option value=\"".$db_usergroup."\"";
                            if ( $usergroup == $db_usergroup ) { 
                                echo " selected"; 
                            }
                            echo ">".$db_usergroup."</option>";

                        endwhile;
                    ?> 
                </select><?php help("UE003a"); ?>
            </td>
        </tr>
<?php 
    }
?>
        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text"><?php echo $LP_Level; ?>:</td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" class="text">
                <select tabindex="3" class="i0" name="admin" size="1">
                    <option value="0"<?php if ( $admin == 0 ) { echo "selected"; } ?>><?php echo $LP_Admin_0; ?></option>
                    <option value="1"<?php if ( $admin == 1 ) { echo "selected"; } ?>><?php echo $LP_Admin_1; ?></option>
                    <option value="2"<?php if ( $admin == 2 ) { echo "selected"; } ?>><?php echo $LP_Admin_2; ?></option>
                    <option value="3"<?php if ( $admin == 3 ) { echo "selected"; } ?>><?php echo $LP_Admin_3; ?></option>
                    <?php 
                        if ( $_SESSION['SID_level'] >= 4 ) {
                    ?> 
                            <option value="4"<?php if ( $admin == 4 ) { echo "selected"; } ?>><?php echo $LP_Admin_4; ?></option>
                    <?php 
                        }
                    ?> 
                </select><?PHP help("US003"); ?>
            </td>
        </tr>

        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text"><?php echo $LP_UserEditor; ?>:</td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" class="text">
                <input type="checkbox" name="editor" value="1"<?php if ( $editor == 1 ) { echo " checked"; } ?>>
                <?PHP 
                     echo $LP_Allow." ";
                     help("US003b"); 
                ?>
            </td>
        </tr>

        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text"><?php echo $LP_Language; ?>:</td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" class="text">
                <select tabindex="3" class="i0" name="user_language" size="1">
                    <?php
                        $d = dir(CPO_BASEDIR."_include/lang");
                        while($file=$d->read()) {
                            $rest = substr ($file, -4);
                            if ( $rest == '.php') {
                                $language_file = ereg_replace ( ".php", "", $file);
                                $language_name = ucfirst($language_file);
                                
                                if ( $language_file != 'index' ) {
                                    echo "<option value=\"".$language_file."\"";
                                    if ( $lang == $language_file ) 
                                    {
                                        echo " selected";
                                    }
                                    echo ">".$language_name."</option>\n";
                                }
                            }
                        }
                        $d->close();
                    ?>
                </select><?PHP help("US003a"); ?>
            </td>
        </tr>
        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text"><?php echo $LP_UserInit; ?>:</td><td bgcolor="<?PHP echo $color_data_hell ?>" class="text"><table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text"><input tabindex="4" class="i0" type="text" name="edit_initial" value="<?php echo $edit_initial ?>" size="4" maxlength="4"></td><td align="left" valign="middle" class="text"><?PHP help("US004"); ?><br></td></tr></table></td></tr>
        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text"><?php echo $email_text; ?></td><td bgcolor="<?PHP echo $color_data_hell ?>" class="text"><table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text"><input tabindex="5" class="i30" type="text" name="edit_email" value="<?php echo $edit_email ?>" size="30" maxlength="255"></td><td align="left" valign="middle" class="text"><?PHP help("US005"); ?><br></td></tr></table></td></tr>
        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text"><?php echo $passwd_1_text; ?></td><td bgcolor="<?PHP echo $color_data_hell ?>" class="text"><table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text"><input tabindex="6" class="i20" type="password" name="passwd" value="<?php echo $passwd ?>" size="8" maxlength="16"></td><td align="left" valign="middle" class="text"><?PHP help("US006"); ?><br></td></tr></table></td></tr>
        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text"><?php echo $passwd_2_text; ?></td><td bgcolor="<?PHP echo $color_data_hell ?>" class="text"><table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" valign="middle" class="text"><input tabindex="7" class="i20" type="password" name="passwd2" value="<?php echo $passwd ?>" size="8" maxlength="16"></td><td align="left" valign="middle" class="text"><?PHP help("US006"); ?><br></td></tr></table></td></tr>
        <tr><td align="left"></td><td class="text"><INPUT tabindex="(" class="i" TYPE="SUBMIT" VALUE="<?php echo $LP_UserNewEnter; ?>"> <INPUT tabindex=")" class="i" TYPE="RESET" VALUE="<?php echo $LP_Reset ?>"></td>
        </tr> 
    </table>
</form>
