<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: index.php,v 1.1.1.1.2.26 2004/01/15 09:59:45 balu Exp $
define('CPO', true);
if (file_exists("../_cfg/const.php")) require("../_cfg/const.php");
else require("../_cfg/const.php.dist");

    $ip1 = $_SERVER["REMOTE_ADDR"];
    $hostaddr = gethostbyaddr($ip1);
    $hostname = gethostbyname($ip1);

    if ( $start == '1' ) {
        $cpo_login      = '';
        $cpo_passwd_md5 = '';
    	setcookie("cpo_login",      "", time()-7200, "/");
	    setcookie("cpo_passwd_md5", "", time()-7200, "/");
    }

    if ( isset($logout) ) {
        // FIXME FIXME better use $_SESSION['SID_user_id'] instead of logout?
        // FIXME clean up this and the things around that do the same...
        $query = "DELETE FROM ".$dbPrefix."_log_login WHERE user = '".$logout."' ";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);

        fkt_log($logout, $LOG_Logout,"");
        $cpo_login      = '';
        $cpo_passwd_md5 = '';
    	setcookie("cpo_login",      "", time()-7200, "/");
	    setcookie("cpo_passwd_md5", "", time()-7200, "/");

        $time_counter = $jetzt - $System_timeout; 
    }

    if ( isset($go_timeout) ) {
        $query = "DELETE FROM ".$dbPrefix."_log_login WHERE user_id = '".$_SESSION['SID_user_id']."' ";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);

        fkt_log($go_timeout, $LOG_Timeout,"");
        $cpo_login      = '';
        $cpo_passwd_md5 = '';
    	setcookie("cpo_login",      "", time()-7200, "/");
	    setcookie("cpo_passwd_md5", "", time()-7200, "/");

        $time_counter = $jetzt - $System_timeout; 
    }

    session_start();
    //session_register("SID_loggedin","SID_login","SID_email","SID_language","SID_autor","SID_initial","SID_user_id","SID_level","SID_editor","SID_Group","SID_Rubrik","SID_RubrikDesc","SID_stufe1","SID_stufe2","SID_stufe3","SID_stufe4","SID_Menu","SID_IP","SID_Butch");
    if (!isset($_SESSION['SID_loggedin'])) {
        $_SESSION['SID_loggedin'] = '';
        $_SESSION['SID_login'] = '';
        $_SESSION['SID_email'] = '';
        $_SESSION['SID_language'] = '';
        $_SESSION['SID_autor'] = '';
        $_SESSION['SID_initial'] = '';
        $_SESSION['SID_user_id'] = '';
        $_SESSION['SID_level'] = '';
        $_SESSION['SID_editor'] = '';
        $_SESSION['SID_Group'] = '';
        $_SESSION['SID_Rubrik'] = '';
        $_SESSION['SID_RubrikDesc'] = '';
        $_SESSION['SID_stufe1'] = '';
        $_SESSION['SID_stufe2'] = '';
        $_SESSION['SID_stufe3'] = '';
        $_SESSION['SID_stufe4'] = '';
        $_SESSION['SID_Menu'] = '';
        $_SESSION['SID_IP'] = '';
        $_SESSION['SID_Butch'] = '';
    }

    if ( $cpo_passwd_md5 != '' && $cpo_login != '' ) {
        // still logged in
        $form_userlogin = $cpo_login;
        $_SESSION['SID_login']      = $cpo_login;
        $passwd_md5     = $cpo_passwd_md5;
    } else {
        $_SESSION['SID_login']      = $form_userlogin;
        $passwd_md5     = md5($form_passwort);
    }
    
    $query = "SELECT id, admin, usergroup, email, editor, language, name, initial FROM ".$dbPrefix."_user "
            ."WHERE admin > 0 && user = '".$form_userlogin."' && passwd = '".$passwd_md5."'";
    DEBUG(2, $query, __FILE__, __LINE__);   
    $db = new DB;
    $db->query($query);

    if ( $db->num_rows() > 0 ) {
        $db->next_record();
        $_SESSION['SID_loggedin'] = 1;
        $_SESSION['SID_user_id']  = $db->v("id");
        $_SESSION['SID_level']    = $db->v("admin");
        $_SESSION['SID_Group']    = $db->v("usergroup");
        $_SESSION['SID_email']    = $db->v("email");
        $_SESSION['SID_editor']   = $db->v("editor");
        $_SESSION['SID_language'] = $db->v("language");
        $_SESSION['SID_autor']    = $db->v("name");
        $_SESSION['SID_initial']  = $db->v("initial");
        
        if ( isset($kategorie) ) {
            $query = "SELECT COUNT(*) FROM ".$dbPrefix."_permission "
                    ."WHERE kategorie = '".$kategorie."' && user_id = '".$_SESSION['SID_user_id']."'";
            DEBUG(4, $query, __FILE__, __LINE__);   
            $db = new DB;
            $db->query($query);
            $db->next_record();
    
            if ( $db->v('COUNT(*)')>0 ) { 
                $rubrik = 1;
            }
        }        
        
        if ( $rubrik == 1 ) {
            fkt_log($_SESSION['SID_login'], $LOG_Login, "[<b>".$kategorie."</b>]");
            $site = "../".$kategorie."/index_frame.php?kategorie=".$kategorie."&".SID;    
        } else {
            fkt_log($_SESSION['SID_login'], $LOG_Login, "");
            $site = "../_content/index.php?first=1&".SID;
        }

    	setcookie("cpo_login",      $_SESSION['SID_login'],  0, "/");
	    setcookie("cpo_passwd_md5", $passwd_md5, 0, "/");

        $jetzt = time();

        $query = "SELECT datum FROM ".$dbPrefix."_log ORDER BY datum LIMIT 0,1";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);

        if (file_exists(CPO_BASEDIR."_cfg/db.inc.php.dist")) {
            $time_check[0] = filectime (CPO_BASEDIR."_cfg/db.inc.php.dist");
        } else {
            $time_check[0] = time();
        }
        
        if ( $db->num_rows() > 0 ) {
            $db->next_record();
            $time_check[1] = $db->v("datum");
        }
        
        if (file_exists(CPO_BASEDIR."_cfg/db.inc.php")) {
            $time_check[2] = filectime (CPO_BASEDIR."_cfg/db.inc.php");
        } else {
            $time_check[2] = time();
        }

        if ( count($time_check) > 1 ) {
            sort($time_check);
        }

        // $time_check[0] = date ( "Y-m-d H:i:s" ,$time_check[0] );
        $b = date ( "Y-m-d H:i:s" ,$time_check[1] );
        $c = date ( "Y-m-d H:i:s" ,$time_check[2] );

        $time_eval = $jetzt - $time_check[0];
        $_SESSION['SID_Butch'] = $time_eval-$butch;

        $c_datum = date ( "Y-m-d H:i:s" ,time() );
        $t_datum = date ( "YmdHis" ,time() );

        $time_counter = $jetzt - $System_timeout; 

        $query = "DELETE FROM ".$dbPrefix."_log_login "
                ."WHERE last_action < ".$time_counter." OR user_id = ".$_SESSION['SID_user_id']." ";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);

        $query = "INSERT INTO ".$dbPrefix."_log_login (id, user_id, user, login, last_action, ip, ip_name, browser, timestamp, c_time, changer) VALUES ('', '".$_SESSION['SID_user_id']."', '".$_SESSION['SID_login']."', '".$jetzt."', '".$jetzt."', '".$hostname."', '".$hostaddr."', '".$_SERVER['HTTP_USER_AGENT']."', '".$t_datum."', '".$c_datum."', '".$_SESSION['SID_login']."')";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db->query($query);

        $_SESSION['SID_IP'] = $hostname;
        
        header("Location: $site");
        exit;
    }
    $_SESSION['SID_loggedin'] = 0;
    $user         = '';
    $_SESSION['SID_user_id']  = '';
    $_SESSION['SID_level']    = '';
    $_SESSION['SID_email']    = '';
    $_SESSION['SID_language'] = '';
    $_SESSION['SID_autor']    = '';
    $_SESSION['SID_initial']  = '';
    $_SESSION['SID_Group']    = '';
    $_SESSION['SID_editor']   = '';
    
    $form_userlogin = '';
    $form_passwort  = '';

    $business_licence = 0;
    if ( $name2 == $System_owner ) {
        $business_licence = 1;
    } 

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!-- <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"> -->
    
<html>
    <head>
        <title><?php echo $title ?></title>
        <link rel=stylesheet type="text/css" href="../_skin/<?php echo $cpoSkin ?>/style_cpo.css">
        <META NAME="BS.config"  CONTENT="5CF0EDCE4675F193202620748F9CB04DB46755">
        <META NAME="BS.project" CONTENT="<?php echo $System_project ?>">

        <script>
        <!--
            function init() 
            {
                if (parent != null && parent != self) {
                    top.location.href=self.location.href;
                }
            }
        //-->
        </script>
        
    </head>
            
    <body bgcolor="<?php echo $ns_background ?>" class="text" text="<?php echo $ns_text ?>" link="<?php echo $ns_link ?>" alink="<?php echo $ns_alink ?>" vlink="<?php echo $ns_vlink ?>" leftmargin="<?php echo $ns_margin_left ?>" topmargin="<?php echo $ns_margin_top ?>" marginwidth="<?php echo $ns_margin_left ?>" marginheight="<?php echo $ns_margin_top ?>" onLoad="document.login.form_userlogin.focus(); init();">
            
        <center>
        <div align="center">
        <table width="770" height="100%" border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td align="center" valign="top" class="text">
                    <table width="770" border="0" cellpadding="0" cellspacing="0">
                        <tr>
                            <td colspan="3" height="116" background="../_skin/<?PHP echo $cpoSkin ?>/bg_title.gif" align="right" valign="top" class="text">
                                <img src="../_skin/<?PHP echo $cpoSkin ?>/logo_title.gif" width="111" height="106" alt="" border="0"><br>
                            </td>
                        </tr>
                        <tr>
                            <td bgcolor="<?php echo $color_data_dunkel ?>" colspan="3" height="1"><img src="../_images/transparent.gif" width="1" height="1" alt="" border="0"><br></td>
                        </tr>
                        <tr>
                            <td bgcolor="<?php echo $color_data_dunkel ?>" height="155" width="10" align="center" valign="top" class="text">
                                <img src="../_images/transparent.gif" width="1" height="1" alt="" border="0">
                                <FORM METHOD=POST ACTION=<?php echo $_SERVER['PHP_SELF'] ?> name="login" id="login">
                                <input type="Hidden" name="start" value="1">
                                <input type="Hidden" name="kategorie" value="<?php echo $kategorie ?>">
                            </td>
                            <td bgcolor="<?php echo $color_tbg_hell ?>" width="462" align="left" valign="middle" class="text">
                            <?php 
                                if ( $start == '1' ) {
                                    $text_login    = "<font color=\"".$color_orange."\"><b>".$LP_Login.":</b></font>";
                                    $text_password = "<font color=\"".$color_orange."\"><b>".$LP_Password.":</b></font>";
                                } else {
                                    if ( $go_timeout != '' ) {
                                        echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<font color=\"".$color_orange."\">".$LP_EnterTimeout."</font><br>";
                                    } 
                                    $text_login    = "<b>".$LP_Login.":</b>";
                                    $text_password = "<b>".$LP_Password.":</b>";
                                }
                            ?>                        

                                <table width="400" border="0" cellpadding="2" cellspacing="0">
                                    <tr>
                                        <td height="27" align="right" valign="middle" class="text">
                                            <b><?php echo $LP_Project ?>:</b> &nbsp;<br>
                                        </td>
                                        <td colspan="3" align="left" valign="middle" class="text">
                                            <b><?php echo $System_project ?></b>
                                        </td>
                                    </tr>
               
                                    <tr>
                                        <td width="100" height="27" align="right" valign="middle" class="text">
                                            <br>
                                        </td>
                                        <td colspan="3" width="270" align="left" valign="middle" class="text">
                                        <?php
                                            switch ($system_licence) {
                                                case 'com':
                                                    print ('<span class="pwd">'.$LP_LCommercial.'</span>');
                                                    break;
                                                case 'ncom':
                                                    print ('<span class="pwd">'.$LP_LNonCommercial.'</span> ');
                                                    switch ($lang) {
                                                        case 'deutsch':
                                                            print ('<A href="http://www.conpresso.de/conpresso/de_buy-it/index.php" class="pw" target="_blank"><img src="../_images/edit.gif" align="absmiddle" width="20" height="18" alt="" border="0">'.$LP_BuyIt.'!</A>');
                                                            break;
                                                        case 'english':
                                                            print ('<A href="http://www.conpresso.de/conpresso/en_buy-it/index.php" class="pw" target="_blank"><img src="../_images/edit.gif" align="absmiddle" width="20" height="18" alt="" border="0">'.$LP_BuyIt.'!</A>');
                                                            break;
                                                        default:
                                                            print ('<A href="http://www.conpresso.de/conpresso/en_buy-it/index.php" class="pw" target="_blank"><img src="../_images/edit.gif" align="absmiddle" width="20" height="18" alt="" border="0">'.$LP_BuyIt.'!</A>');
                                                    }
                                                    break;
                                                case 'trial':
                                                    print ('<span class="pwd">'.$LP_LTrialVersion.'</span> ');
                                                    switch ($lang) {
                                                        case 'deutsch':
                                                            print ('<A href="http://www.conpresso.de/conpresso/de_register/index.php" class="pw" target="_blank"><img src="../_images/edit.gif" align="absmiddle" width="20" height="18" alt="" border="0">'.$LP_LRegister.'!</A>');
                                                            break;
                                                        case 'english':
                                                            print ('<A href="http://www.conpresso.de/conpresso/en_register/index.php" class="pw" target="_blank"><img src="../_images/edit.gif" align="absmiddle" width="20" height="18" alt="" border="0">'.$LP_LRegister.'!</A>');
                                                            break;
                                                        default:
                                                            print ('<A href="http://www.conpresso.de/conpresso/en_register/index.php" class="pw" target="_blank"><img src="../_images/edit.gif" align="absmiddle" width="20" height="18" alt="" border="0">'.$LP_LRegister.'!</A>');
                                                    }
                                                    break;
                                                default:
                                                    print ('<span class="pwd">'.$LP_LFreeCommercial.'</span> ');
                                                    switch ($lang) {
                                                        case 'deutsch':
                                                            print ('<A href="http://www.conpresso.de/conpresso/de_register/index.php" class="pw" target="_blank"><img src="../_images/edit.gif" align="absmiddle" width="20" height="18" alt="" border="0">'.$LP_LRegister.'!</A>');
                                                            break;
                                                        case 'english':
                                                            print ('<A href="http://www.conpresso.de/conpresso/en_register/index.php" class="pw" target="_blank"><img src="../_images/edit.gif" align="absmiddle" width="20" height="18" alt="" border="0">'.$LP_LRegister.'!</A>');
                                                            break;
                                                        default:
                                                            print ('<A href="http://www.conpresso.de/conpresso/en_register/index.php" class="pw" target="_blank"><img src="../_images/edit.gif" align="absmiddle" width="20" height="18" alt="" border="0">'.$LP_LRegister.'!</A>');
                                                    }
                                            }
                                        ?>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td height="27" align="right" valign="middle" class="text">
                                            <?php echo $text_login ?> &nbsp;<br>
                                        </td>
                                        <td colspan="3" width="270" align="left" valign="middle" class="text">
                                            <input tabindex="1" class="i0" type="Text" name="form_userlogin" id="form_userlogin">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td height="27" align="right" valign="middle" class="text">
                                            <?php echo $text_password ?> &nbsp;<br>
                                        </td>
                                        <td align="left" valign="middle" class="text">
                                            <input tabindex="2" class="i0" type="password" name="form_passwort" id="form_passwort" maxlength="16">
                                        </td>
                                        <td width="80" align="left" valign="middle" class="text">
                                            <input tabindex="3" class="i" type="Submit" value="<?php echo $LP_BLogin ?>">
                                        </td>
                                        <td width="80" align="left" valign="middle" class="text">
                                            &nbsp;
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="left" valign="middle" class="text">
                                            &nbsp;
                                        </td>
                                        <td colspan="3" height="20" align="cleft" valign="middle" class="pwd">
                                            <?php 
                                                if ( $System_send_pw == '1' ) {
                                                    echo $LP_FPwd_1." <a href=\"index.php?pw=1\" class=\"pw\">".$LP_FPwd_2."</a>.<b><br>\n";
                                                } 
                                            ?>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                            <td bgcolor="<?php echo $color_tbg_hell ?>" align="right" width="298" valign="top" class="text">
                                <?php
                                    if ($System_Startnews==1 && @fsockopen("www.conpresso.de", 80, $errno, $errstr, 1)==FALSE) {
                                        $System_Startnews=0;
                                        print('<!-- No connection to http://www.conpresso.de, perhaps blocked by firewall? -->'."\n");
                                    }
                                    if ( $System_Startnews == 1 ) {
                                        switch ($system_licence) {
                                            case 'com':
                                                $bildlink = "http://www.conpresso.de/images/login_com.gif";
                                                break;
                                            case 'ncom':
                                                $bildlink = "http://www.conpresso.de/images/login_ncom.gif";
                                                break;
                                            case 'trial':
                                                $bildlink = "http://www.conpresso.de/images/login_trial.gif";
                                                break;
                                            default:
                                                $bildlink = "http://www.conpresso.de/images/login_free.gif";
                                        }
                                        $checkURL = @fopen($bildlink, "r");
                                        if ( $checkURL == FALSE ) {
                                            print ('<img src="../_images/transparent.gif" width="298" height="155" alt="" border="0">');
                                        } else {
                                            print ('<img src="'.$bildlink.'" width="298" height="155" alt="" border="0">');
                                        }
                                    } else {
                                        print ('<img src="../_images/transparent.gif" width="298" height="155" alt="" border="0">');
                                    }
                                ?>
                            </td>
                            </FORM>
                        </tr>
                    <?php
                        if ( $pw == 1 )
                        {
                    ?>
                        <tr>
                            <td width="10" align="center" valign="top" class="text">
                                <FORM METHOD=POST ACTION=<?php echo $_SERVER['PHP_SELF'] ?> name="login2" id="login2">
                                <input type="Hidden" name="sendpw" value="1">
                                <input type="Hidden" name="pw" value="1">
                            </td>
                            <td colspan="2" align="left" valign="middle" class="text">
                    <?php
                            if ( $sendpw != 1 || $search_string == '' )
                            {
                                print('<br><br>');
                                print('<table width="600" border="0" cellpadding="2" cellspacing="0">');
                                print('<tr>');
                                print('<td height="27" width="97" align="right" valign="middle" class="text">');

                                if ( $sendpw != 1 && $search_string == '' )
                                {
                                    print('<b>'.$LP_Login.':</b> &nbsp;<br>');
                                } else {
                                    print('<font color="'.$color_orange.'"><b>'.$LP_Login.':</b></font> &nbsp;<br>');
                                }
                                print('</td>');
                                print('<td colspan="3" align="left" valign="middle" class="text">');
                                print('<input class="i0" type="Text" name="search_string" id="search_string"> ');
                                print('<input class="i" type="Submit" value="'.$LP_BPasswd.'">');

                                help("LO001");

                                print('</td>');
                                print('</tr>');
                                print('</table>');
                                
                            } else {
                            
                            
                                $query = "SELECT user, passwd, name, email, id FROM ".$dbPrefix."_user "
                                        ."WHERE user = '".$search_string."' || email = '".$search_string."' LIMIT 0,1";
                                DEBUG(2, $query, __FILE__, __LINE__);   
                                $db = new DB;
                                $db->query($query);
                            
                                if ( $db->num_rows() > 0 ) {
                                    $db->next_record();
                                    if ( $db->v("user") != '' )  { $user   = $db->v("user"); } 
                                    if ( $db->v("passwd") != '') { $passwd = $db->v("passwd"); } 
                                    if ( $db->v("name") != '' )  { $name   = $db->v("name"); } 
                                    if ( $db->v("email") != '' ) { $email  = $db->v("email"); } 
                                    if ( $db->v("id") != '' )    { $id     = $db->v("id"); } 

                                    print('<br><br>');
                                    print('<table width="600" border="0" cellpadding="2" cellspacing="0">');
                                    print('<tr>');
                                    print('<td height="27" width="97" align="right" valign="middle" class="text">');
                                    print('<br>');
                                    print('</td>');
                                    print('<td colspan="3" width="503" align="left" valign="middle" class="text">');
                                    print($LP_FPwd_Send.' (<b>'.$email.'</b>)!<br><br>');
                                    print('</td>');
                                    print('</tr>');
                                    print('</table>');

                                    $new_passwd = time().$email;
                                    $new_passwd = md5 ($new_passwd);
                                    $new_passwd = substr($new_passwd, 0, 5);
                                    
                                    $new_passwd_md5 = md5 ($new_passwd);
                                    
                                    $t_datum = date ("YmdHis" ,time());

                                    $query = "UPDATE ".$dbPrefix."_user SET passwd = '".$new_passwd_md5."', timestamp = '".$t_datum."', changer = 'SYSTEM' WHERE id = '".$id."'";
                                    DEBUG(2, $query, __FILE__, __LINE__);   
                                    $db_2 = new DB;
                                    $db_2->query($query); 
                                    
                                    require(CPO_BASEDIR."_include/email_passwd.php");
                                    
                                    $_SESSION['SID_loggedin'] = 0;
                                    fkt_log($user,$LOG_Password,$email);
                                    $user = '';
                                    
                                } else {

                                    print('<br><br>');
                                    print('<table width="600" border="0" cellpadding="2" cellspacing="0">');
                                    print('<tr>');
                                    print('<td height="27" width="97" align="right" valign="middle" class="text">');
                                    print('<br>');
                                    print('</td>');
                                    print('<td colspan="3" width="503" align="left" valign="middle" class="text">');
                                    print('<font color="'.$color_orange.'"><b>'.$LP_FPwd_NoUser.'!</b></font><br>');
                                    print('</td>');
                                    print('</tr>');
                                    print('<tr>');
                                    print('<td height="27" align="right" valign="middle" class="text">');
    
                                    if ( $sendpw != 1 && $search_string == '' ) {
                                        print('<b>'.$LP_Login.':</b> &nbsp;<br>');
                                    } else {
                                        print('<font color="'.$color_orange.'"><b>'.$LP_Login.':</b></font> &nbsp;<br>');
                                    }
                                    print('</td>');
                                    print('<td colspan="3" align="left" valign="middle" class="text">');
                                    print('<input class="i0" type="Text" name="search_string" id="search_string"> ');
                                    print('<input class="i" type="Submit" value="'.$LP_BPasswd.'">');
    
                                    help("LO001");
    
                                    print('</td>');
                                    print('</tr>');
                                    print('</table>');
                                }
                            }
                            echo "</FORM>";
                            echo "</td>";
                            echo "</tr>";
                        }
                    ?>

                    </table>
                    <?php

                        if ( $pw != 1 AND $System_Startnews == 1 )
                        {
                    ?>
                    <table width="770" border="0" cellpadding="15" cellspacing="0">
                        <tr>
                            <td align="left" valign="top" class="text">
                                <SCRIPT language="JavaScript" type="text/javascript" src="http://www.conpresso.de/conpresso/de_news/index_js1.php"></SCRIPT>
                            </td>
                            <td align="left" valign="top" class="text">
                                <SCRIPT language="JavaScript" type="text/javascript" src="http://www.conpresso.de/conpresso/de_news/index_js2.php"></SCRIPT>
                            </td>
                        </tr>
                    </table>
                    <?php
                        }
                    ?>
                    <br>
                </td>
            </tr>
            <tr>
                <td align="center" valign="bottom" class="copyright">
                    <br><?php echo $copyright ?> &#149; <a href="http://www.ConPresso.de" class="copy" target="_top"><?php echo $titlename." ".$version_nr ?></a> <?php echo $LP_By ?></b> <a href="http://www.bartels-schoene.de" class="copy" target="_top"><?php echo $webpubishing ?></a><span class="copyright"> &#149; <?php echo $LP_IRight ?><br>
                    <br>
                </td>
            </tr>
        </table>
        </div>
        </center>
    </body>
</html>
