<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: specialchars.php,v 1.1.1.1.2.6 2003/10/14 16:53:29 balu Exp $
define('CPO', true);
if (file_exists("../../_cfg/const.php")) require("../../_cfg/const.php");
else require("../../_cfg/const.php.dist");

    require(CPO_BASEDIR."_include/check.php");
?>
<html>
<head>
<title><?php print($LPE_SpecialChars); ?></title>
<link rel=stylesheet type="text/css" href="../../_skin/<?php echo $cpoSkin ?>/style_cpo.css">

<script type="text/javascript"><!--
// this file has to call window.opener.createLink(tag)
// tag has to be the complete opening <a>-tag

function init(){
    for (i=0; i<document.all.length; i++)
        document.all(i).unselectable = 'on';
    // magic buttons
    with (document) {
        onmouseover = mouseOver;
        onmouseout  = mouseOut;
        //onmousedown = mouseDown;
        //onmouseup   = mouseUp;
    }
}

function ok(char){
    window.opener.encloseSelection(char);
    window.close();
    return;
}

function mouseOver()
{
    if (window.event.toElement.className.substr(0, 6) == 'header'){
        window.event.toElement.bgColor = "<?php print($color_tbg_dunkel); ?>";
        window.event.toElement.style.fontWeight = "bold";
    }
    return;
}

function mouseOut()
{
    if (window.event.fromElement.className.substr(0, 6) == 'header') {
        window.event.fromElement.bgColor = "<?php print($color_tbg_hell); ?>";
        window.event.fromElement.style.fontWeight = "normal";
    }
    return;
}
//--> </script>
</head>


<body onLoad="init();" bgcolor="<?php print($color_tbg_dunkel); ?>">
<script type="text/javascript"><!--
    var specialChars = new Array('&Aacute;', '&Atilde;', '&Aring;', '&Agrave;', '&Acirc;', '&Auml;', '&AElig;', '&Ccedil;', '&Eacute;', '&Euml;', '&Egrave;', '&Ecirc;', '&ETH;', '&Igrave;', '&Icirc;', '&Iacute;', '&Iuml;', '&Ntilde;', '&Ograve;', '&Ocirc;', '&Ouml;', '&Oacute;', '&Ugrave;', '&Ucirc;', '&Uacute;', '&Uuml;', '&Yacute;', '&szlig;', '&agrave;', '&acirc;', '&auml;', '&aelig;', '&aacute;', '&atilde;', '&aring;', '&ccedil;', '&egrave;', '&ecirc;', '&eacute;', '&euml;', '&eth;', '&igrave;', '&icirc;', '&iacute;', '&iuml;', '&ntilde;', '&oacute;', '&otilde;', '&ograve;', '&ocirc;', '&ouml;', '&uacute;', '&uuml;', '&ugrave;', '&ucirc;', '&yacute;', '&yuml;', '&quot;', '&lsquo;', '&ldquo;', '&laquo;', '&raquo;', '&rdquo;', '&rsquo;', '&gt;', '&lt;', '&cedil;', '&acute;', '&amp;', '&sect;', '&Oslash;', '&oslash;', '&copy;', '&reg;', '&pound;', '&yen;', '&euro;', '&cent;', '&deg;', '&sup1;', '&sup2;', '&sup3;', '&frac12;', '&frac14;', '&frac34;', '&ordm;', '&ordf;', '&THORN;', '&thorn;', '&micro;', '&macr;', '&middot;', '&times;', '&divide;', '&plusmn;', '&ndash;', '&mdash;', '&curren;', '&brvbar;', '&uml;', '&not;', '&para;', '&iquest;', '&iexcl;', '&nbsp;');
    document.write('<table border="0" cellspacing="0" cellpadding="0"><tr><td bgcolor="<?php print($ns_background); ?>">');
    document.write('<table border="0" cellspacing="1" cellpadding="1">');
    for (i=0; i<specialChars.length; i++) {
	if ((i%21)==0) document.write('<tr>');
        document.write('<td bgcolor="<?php print($color_tbg_hell); ?>" class="header" style="cursor: hand;" width="22" height="22" align="center" valign="center" onClick="ok(\''+specialChars[i]+'\');">'+specialChars[i]+'</td>\n');
	if (((i+1)%21)==0) document.write('</tr>');
    }
    document.write('</tr></table>');
    document.write('</td></tr></table>');
//--> </SCRIPT>

<!-- OK / Cancel 
<input type="button" value="OK" onClick="ok();"><br>
<input type="button" value="cancel" onClick="window.close()"><br>
-->
</body>
</html>
