<?php 
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: editor.php,v 1.1.1.1.2.12 2004/03/11 22:54:05 balu Exp $
define('CPO', true);
if (file_exists("../_cfg/const.php")) require("../_cfg/const.php");
else require("../_cfg/const.php.dist");

    require(CPO_BASEDIR."_include/check.php");
?>
<html>
<head>
<title><?php echo $LPE_BSEditEditor ?></title>
<link rel=stylesheet type="text/css" href="../_skin/<?php echo $cpoSkin ?>/style_editor.css">
<script src="bsedit.js" type="text/JScript.Encode"></script>
<script type="text/javascript"><!--
    // config = 'cpoedit/';
    contentStorage = 'window.opener.<?php echo $saveto; ?>';
    foreColorStorage = "foreColor.bgColor";
    backColorStorage = "backColor.bgColor";
    notAllowedOnSelection = '<?php echo $LPE_NoAllowed; ?>';
    
    insertTableDialog       = "openDialog(config+'inserttable.php?<?php echo SID; ?>', 'x', 475, 270, '')";
    modifyTableDialog       = "openDialog(config+'modifytable.php?<?php echo SID; ?>', 'x', 475, 270, '')";
    modifyTableCellDialog   = "openDialog(config+'modifytablecell.php?<?php echo SID; ?>', 'x', 475, 270, '')";
    specialCharsDialog      = "openDialog(config+'specialchars.php?<?php echo SID; ?>', 'x', 546, 141, '')";

    insertImageDialog       = "openDialog(config+'insertimage.php?directory=<?php echo $kategorie.'&'.SID; ?>', 'x', 550, 435, '')";
    modifyImageDialog       = "openDialog(config+'modifyimage.php?directory=<?php echo $kategorie.'&'.SID; ?>', 'x', 550, 270, '')";
    createLinkDialog        = "openDialog(config+'createlink.php?<?php echo SID; ?>', 'x', 550, 150, '')";
    modifyLinkDialog        = "openDialog(config+'modifylink.php?<?php echo SID; ?>', 'x', 550, 150, '')";

    colorPickerDialog       = "openDialog(config+'colorpicker.php?<?php echo SID; ?>')";

    <?php if ($TemplateEditor==1 || $SnippetEditor == 1)
        print('contentPrefix = ""; contentSuffix = ""');
    ?>

//--></script>
</head>

<body onLoad="init();" marginwidth="0" marginheight="0" leftmargin="0" topmargin="0">

<center>
<table border="0" cellspacing="3" height="99%" width="99%">
<tr><td valign="bottom">
    <table border="0" cellpadding="0" cellspacing="0"><tr>
<!-- new/save -->
        <td><img src="cpoedit/images/btn_new.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_clear_document ?>" class="button" onClick="if (confirm('<?PHP echo $LPE_ALT_clear_documentQu ?>')) newText();"></td>
        <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
        <td><img src="cpoedit/images/btn_save.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_save_document ?>" class="button" onClick="saveText();"></td>
        <td><img src="cpoedit/images/divider.gif" alt=""></td>
<!-- cut/copy/paste -->
        <td><img src="cpoedit/images/btn_cut.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_cut ?>" class="button" onClick="doExecCommand('Cut');"></td>
        <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
        <td><img src="cpoedit/images/btn_copy.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_copy ?>" class="button" onClick="doExecCommand('Copy');"></td>
        <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
        <td><img src="cpoedit/images/btn_paste.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_paste ?>" class="button" onClick="doExecCommand('Paste');"></td>
        <td><img src="cpoedit/images/divider.gif" alt=""></td>
<!-- undo/redo -->
        <td><img src="cpoedit/images/btn_undo.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_undo ?>" class="button" onClick="undo();"></td>
        <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
        <td><img src="cpoedit/images/btn_redo.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_redo ?>" class="button" onClick="redo();"></td>
        <td><img src="cpoedit/images/divider.gif" alt=""></td>
<!-- tables -->
        <?php if (!isset($noTables)) { ?>
            <td><img src="cpoedit/images/btn_insert_table.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_insert_table ?>" class="button" onClick="eval(insertTableDialog);"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_edit_table.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_edit_table ?>" class="button" onClick="modifyTable();"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_edit_table_cell.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_edit_cell ?>" class="button" onClick="modifyTableCell();"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_show_tables.gif" id="tableMode" width="21" height="20" alt="<?PHP echo $LPE_TBL_ShowTables ?>" class="button" onClick="toggleTableMode()"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_insert_col_0.gif" width="21" height="20" alt="<?PHP echo $LPE_TBL_InsColumnBefore ?>" class="button" onClick="insertTableColumn(0);"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_insert_col_1.gif" width="21" height="20" alt="<?PHP echo $LPE_TBL_InsColumnAfter ?>" class="button" onClick="insertTableColumn(1);"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_delete_col.gif" width="21" height="20" alt="<?PHP echo $LPE_TBL_DelColumn ?>" class="button" onClick="deleteTableColumn();"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_insert_row_0.gif" width="21" height="20" alt="<?PHP echo $LPE_TBL_InsRowBefore ?>" class="button" onClick="insertTableRow(0);"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_insert_row_1.gif" width="21" height="20" alt="<?PHP echo $LPE_TBL_InsRowAfter ?>" class="button" onClick="insertTableRow(1);"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_delete_row.gif" width="21" height="20" alt="<?PHP echo $LPE_TBL_DelRow ?>" class="button" onClick="deleteTableRow();"></td>
            <td><img src="cpoedit/images/divider.gif" alt=""></td>
    <!-- hr -->
        <?php } if (!isset($noHR)) { ?>
            <td><img src="cpoedit/images/btn_hr.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_HR ?>" class="button" onClick="doExecCommand('insertHorizontalRule');"></td>
            <td><img src="cpoedit/images/divider.gif" alt=""></td>
    <!-- special chars -->
        <?php } if (!isset($noSpecialChars)) { ?>
            <td><img src="cpoedit/images/btn_special_chars.gif" width="21" height="20" alt="<?PHP echo $LPE_SpecialChars ?>" class="button" onClick="eval(specialCharsDialog);"></td>
            <td><img src="cpoedit/images/divider.gif" alt=""></td>
    <!-- linking -->
        <?php } if (!isset($noAnchor)) { ?>
            <td><img src="cpoedit/images/btn_url.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_Create_Link ?>" class="button" onClick="handleLink();"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_no_url.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_Remove_Link ?>" class="button" onClick="doExecCommand('Unlink');"></td>
            <td><img src="cpoedit/images/divider.gif" alt=""></td>
    <!-- change mode -->
        <?php } if (!isset($noChangeMode)) { ?>
            <td><img src="cpoedit/images/btn_change_mode.gif" id="HTML" width="34" height="20" alt="<?PHP echo $LPE_ToggleModeWysiwyg ?>" class="button" onClick="setEditMode();"></td>
            <td><img src="cpoedit/images/divider.gif" alt=""></td>
        <?php } ?>
        <?php if (!isset($noHelp)) { ?>
            <td><?php if ( $TemplateEditor == 1 ) { help("TP101"); } else if ( $SnippetEditor == 1 ) { help("SN101"); } else { help("EH001"); } ?></td>
        <?php } ?>
        </tr></table>
        <table border="0" cellpadding="0" cellspacing="0"><tr><td><img src="cpoedit/images/transparent.gif" height="3" alt=""></td></tr></table>
        <table border="0" cellpadding="0" cellspacing="0"><tr>
    <!-- justify -->
        <?php if (!isset($noJustify)) { ?>
            <td><img src="cpoedit/images/btn_justify_left.gif" id="justifyLeft" width="21" height="20" alt="<?PHP echo $LPE_ALT_justify_left ?>" class="button" onClick="justify('Left');"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_justify_center.gif" id="justifyCenter" width="21" height="20" alt="<?PHP echo $LPE_ALT_justify_center ?>" class="button" onClick="justify('Center');"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_justify_right.gif" id="justifyRight" width="21" height="20" alt="<?PHP echo $LPE_ALT_justify_right ?>" class="button" onClick="justify('Right');"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_justify_full.gif" id="justifyFull" width="21" height="20" alt="<?PHP echo $LPE_ALT_justify_full ?>" class="button" onClick="justify('Full');"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_justify_none.gif" id="justifyNone" width="21" height="20" alt="<?PHP echo $LPE_ALT_justify_none ?>" class="button" onClick="justify('None');"></td>
            <td><img src="cpoedit/images/divider.gif" alt=""></td>
    <!-- indent/outdent -->
        <?php } if (!isset($noIndent)) { ?>
            <td><img src="cpoedit/images/btn_indent.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_indent ?>" class="button" onClick="doExecCommand('indent');"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_outdent.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_outdent ?>" class="button" onClick="doExecCommand('outdent');"></td>
            <td><img src="cpoedit/images/divider.gif" alt=""></td>
    <!-- lists -->
        <?php } if (!isset($noLists)) { ?>
            <td><img src="cpoedit/images/btn_ordered_list.gif" id="insertOrderedList" width="21" height="20" alt="<?PHP echo $LPE_ALT_ordered_list ?>" class="button" onClick="doExecCommand('insertOrderedList');"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_unordered_list.gif" id="insertUnorderedList" width="21" height="20" alt="<?PHP echo $LPE_ALT_unordered_list ?>" class="button" onClick="doExecCommand('insertUnorderedList');"></td>
            <td><img src="cpoedit/images/divider.gif" alt=""></td>
    <!-- bold/italic/underline/... -->
        <?php } if (!isset($noFormat)) { ?>
            <td><img src="cpoedit/images/btn_bold.gif" id="bold" width="21" height="20" alt="<?PHP echo $LPE_ALT_bold ?>" class="button" onClick="doExecCommand('bold');"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_italic.gif" id="italic" width="21" height="20" alt="<?PHP echo $LPE_ALT_italic ?>" class="button" onClick="doExecCommand('italic');"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_underline.gif" id="underline" width="21" height="20" alt="<?PHP echo $LPE_ALT_underline ?>" class="button" onClick="doExecCommand('underline');"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_strikethrough.gif" id="strikeThrough" width="21" height="20" alt="<?PHP echo $LPE_ALT_strikethrough ?>" class="button" onClick="doExecCommand('strikeThrough');"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_subscript.gif" id="subScript" width="21" height="20" alt="<?PHP echo $LPE_ALT_subscript ?>" class="button" onClick="doExecCommand('subScript');"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_superscript.gif" id="superScript" width="21" height="20" alt="<?PHP echo $LPE_ALT_superscript ?>" class="button" onClick="doExecCommand('superScript');"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_remove_format.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_remove_format ?>" class="button" onClick="doExecCommand('removeFormat');"></td>
            <td><img src="cpoedit/images/divider.gif" alt=""></td>
    <!-- colors -->
        <?php } if (!isset($noColors)) { ?>
            <td bgColor="#0000F0" id="foreColor"><img src="cpoedit/images/btn_color1.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_set_foreground_color ?>" class="button" onClick="setForeColor();"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_fore_color.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_change_foreground_color ?>" class="button" onClick="whichColor='setForeColor'; eval(colorPickerDialog);"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td bgColor="#ffff00" id="backColor"><img src="cpoedit/images/btn_color2.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_set_background_color ?>" class="button" onClick="setBackColor();"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
            <td><img src="cpoedit/images/btn_back_color.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_change_background_color ?>" class="button" onClick="whichColor='setBackColor'; eval(colorPickerDialog);"></td>
            <td><img src="cpoedit/images/divider.gif" alt=""></td>
    <!-- images -->
        <?php } if (!isset($noImage)) { ?>
            <td><img src="cpoedit/images/btn_handle_image.gif" width="21" height="20" alt="<?PHP echo $LPE_ALT_insert_image ?>" class="button" onClick="handleImage();"></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" alt=""></td>
        <?php } ?>
    </tr></table>
    
    <img src="cpoedit/images/transparent.gif" width="1" height="5" alt=""><br>

    <?php if (!isset($noFonts)) { ?>
        <table border="0" cellpadding="1" cellspacing="0">
            <tr>
        <!-- format block -->
                <td class="mini" align="left">
                    <?PHP echo $LPE_Sel_Format ?>:
                </td>
        <!-- font size/name -->
                <td class="mini" align="left">
                    <?PHP echo $LPE_Sel_Size ?>:
                </td>
                <td class="mini" align="left">
                    <?PHP echo $LPE_Sel_Font ?>:
                </td>
            </tr>
            <tr>
        <!-- format block -->
                <td align="left">
                    <select id="formatBlock" onChange="doExecCommand('formatBlock', this.value); this.selectedIndex = 0;" class="i0" style="border: black 1px solid;">
                        <option value="" selected></option>
                        <option value="<P>"><?PHP echo $LPE_Sel_Format_normal ?></option>
                        <option value="<H1>"><?PHP echo $LPE_Sel_Format_h1 ?></option>
                        <option value="<H2>"><?PHP echo $LPE_Sel_Format_h2 ?></option>
                        <option value="<H3>"><?PHP echo $LPE_Sel_Format_h3 ?></option>
                        <option value="<H4>"><?PHP echo $LPE_Sel_Format_h4 ?></option>
                        <option value="<H5>"><?PHP echo $LPE_Sel_Format_h5 ?></option>
                        <option value="<H6>"><?PHP echo $LPE_Sel_Format_h6 ?></option>
                        <option value="<PRE>"><?PHP echo $LPE_Sel_Format_pre ?></option>
                        <option value="<ADDRESS>"><?PHP echo $LPE_Sel_Format_address ?></option>
                    </select>
                 </td>
        <!-- font size/name -->
                 <td align="left">
                    <select id="fontSize" onChange="doExecCommand('fontSize', this.value);" class="i0" style="border: black 1px solid;">
                        <option value="" selected>&nbsp; &nbsp; &nbsp;</option>
                        <option value="1">1</option>
                        <option value="2">2</option>
                        <option value="3">3</option>
                        <option value="4">4</option>
                        <option value="5">5</option>
                        <option value="6">6</option>
                        <option value="7">7</option>
                    </select>
                 </td>
                 <td align="left">
                    <select id="fontName" onChange="doExecCommand('fontName', this.value);" class="i0" style="border: black 1px solid;">
                    <option value="" selected><?PHP echo $LPE_Sel_FontName ?></option>
                    <option value="Times New Roman, Georgia, Times, serif">Times New Roman, Georgia, Times, serif</option>
                    <option value="Arial, Helvetica, Geneva, Swiss, SunSans-Regular, sans-serif">Arial, Helvetica, Geneva, Swiss, SunSans-Regular, sans-serif</option>
                    <option value="Courier New, Courier, Monaco, monospace">Courier New, Courier, Monaco, monospace</option>
                    <option value="Verdana, Arial, Helvetica, Geneva, Swiss">Verdana, Arial, Helvetica, Geneva, Swiss</option>
                    </select>
                </td>
            </tr>
            <tr><td class="mini" colspan="3" align="left"><img src="cpoedit/images/transparent.gif" width="1" height="1" alt=""><br></td></tr>
        </table>
    <?php } ?>
    <table border="0" cellpadding="1" cellspacing="0">
        <tr>
    <!-- format block -->
            <td class="mini" align="left">
    <?php if (!isset($noSnippets)) { ?>
        <table border="0" cellpadding="1" cellspacing="0">
            <tr>
                <td class="mini" colspan="3" align="left">
                    <?PHP echo $LPE_Sel_Snippet ?>:
                </td>
            </tr>
            <tr>
                <td colspan="3" align="left">
                    <?php
                        $query = "SELECT snippet, name FROM ".$dbPrefix."_snippet "
                                ."WHERE rubrik = '".$kategorie."' || rubrik = '_snippets_' ORDER BY name";
                        DEBUG(2, $query, __FILE__, __LINE__);   
                        $db = new DB;
                        $db->query($query);
        
                        if ($db->num_rows()>0) { ?>
                            <select class="i0" style="border: black 1px solid;" name="snippets" onChange="encloseSelection(document.all.snippets.value); document.all.snippets.selectedIndex = 0;">
                            <option value="" selected><?php print($LPE_Snippet); ?>...</option>
                            <option value="">--------------------------</option>
                            <?php 
                                while($db->next_record()):
                                    $snippet = ereg_replace ( '"', '&quot;', $db->v("snippet"));
                                    echo '<option value="'.$snippet.'">'.$db->v('name').'</option>';
                                endwhile;
                           ?> </select> <?php
                        }
                    ?>
                </td>
            </tr>
        </table>
    <?php } ?>
    </td><td class="mini" align="left">
    <!-- -->
    <?php if (!isset($noFile)) { 
        $query = "SELECT id, datei, beschreibung, size FROM ".$dbPrefix."_data "
                ."WHERE ( kategorie = '".$kategorie."' OR kategorie = '#ALL#' ) and format = 'FILE' ORDER BY datei";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);

        if ($db->num_rows()>0) {?>
            <table border="0" cellpadding="1" cellspacing="0">
            <tr>
                <td class="mini" colspan="3" align="left">
                    <?PHP echo $LPT_File ?>:
                </td>
            </tr>
            <tr>
                <td colspan="3" align="left">
                    <select class="ip" style="border: black 1px solid;" name="files" onChange="encloseSelection(document.all.files.value); document.all.files.selectedIndex = 0;">
                    <option value="" selected><?php print($LPT_File); ?>...</option>
                    <option value="">--------------------------</option>
                    <?php while($db->next_record()):
                        echo "                        <option ";

                        if ( $datei_name == $db->v("id") ) echo "selected ";
                        
                        echo "value=\"";

                        echo "<A HREF=&quot;../_data/"; $db->p("datei");
                        echo "&quot; target=&quot;_blank&quot;>"; $db->p("beschreibung");
                        echo " ["; $file_size = floor($db->v("size")/1024); echo $file_size." KB]</A>";
                        echo "\">";
    
                        $id = "####".$db->v("id");
                        $id = substr($id, -4);
                        $id = ereg_replace ( "#", "0", $id);
    
                        echo $id.") ";

                        if ( $db->v("beschreibung") != '' )
                        {
                            $k_beschreibung = $db->v("beschreibung")."##############################";
                            $k_beschreibung = substr($k_beschreibung, 0, 30);
                            $k_beschreibung = ereg_replace ( "#", "&nbsp;", $k_beschreibung);
    
                            echo $k_beschreibung." ";
                        }
    
                        if ( $db->v("datei") != '' )
                        {
                            $k_datei = $db->v("datei");
                            $k_datei = substr($k_datei, 0, 50);
                            echo "[".$k_datei."]";
                        }
    
                        echo "</option>\n";
                        
                    endwhile; ?> 
                    </select> 
                </td>
            </tr>
            </table>
        <?php 
        }
    } ?>
    </td>
    </tr></table>

    <!-- -->
    <?php if ($TemplateEditor == 1) { ?>
    <img src="cpoedit/images/transparent.gif" alt="" border="0" width=1 height=5><br>
    <table border=0 cellspacing=0 cellpadding=0>
        <tr><td colspan=5><img src="cpoedit/images/transparent.gif" alt="" width="1" height="4"></td></tr>
        <tr>
            <td colspan=5 class="mini" align="left" valign="top"><?php require(CPO_BASEDIR."_bsedit/cpoedit/select_tp_image.php"); ?></td>
        <tr>
        <tr><td colspan=8><img src="cpoedit/images/transparent.gif" alt="" width="1" height="4"></td></tr>
        <tr>
            <td colspan=5 class="mini" align="left" valign="top"><?php require(CPO_BASEDIR."_bsedit/cpoedit/select_tp_file.php"); ?></td>
        <tr>
        <tr><td colspan=8><img src="cpoedit/images/transparent.gif" alt="" width="1" height="4"></td></tr>
        <tr>
            <td class="mini" align="left" valign="top"><?php require(CPO_BASEDIR."_bsedit/cpoedit/select_tp1.php"); ?></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" height="1" alt=""></td>
            <td class="mini" align="left" valign="top"><?php require(CPO_BASEDIR."_bsedit/cpoedit/select_tp2.php"); ?></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" height="1" alt=""></td>
            <td class="mini" align="left" valign="top"><?php require(CPO_BASEDIR."_bsedit/cpoedit/select_tp3.php"); ?></td>
        </tr>
    </table>
    <?php } ?>
    
    <?php if ($SnippetEditor == 1) { ?>
    <img src="cpoedit/images/transparent.gif" alt="" border="0" width=1 height=5><br>
    <table width="400" border=0 cellspacing=0 cellpadding=0>
        <tr><td colspan=2><img src="cpoedit/images/transparent.gif" alt="" width="1" height="4"></td></tr>
        <tr>
            <td class="mini" align="left" valign="top"><?php require(CPO_BASEDIR."_bsedit/cpoedit/select_sn_image.php"); ?></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" height="1" alt=""></td>
        </tr>
        <tr><td colspan=2><img src="cpoedit/images/transparent.gif" alt="" width="1" height="4"></td></tr>
        <tr>
            <td class="mini" align="left" valign="top"><?php require(CPO_BASEDIR."_bsedit/cpoedit/select_sn_file.php"); ?></td>
            <td><img src="cpoedit/images/transparent.gif" width="4" height="1" alt=""></td>
        </tr>
    </table>
    <?php } ?>


</td><td align="right">
    <img src="cpoedit/images/logo.gif" width="105" height="100" alt="<?php print($version_title); ?>">
</td>
</tr><tr><td colspan=2 valign="top" height="100%">
    <iframe class="iframe" marginheight="5" marginwidth="5" frameborder="0" width="100%" height="100%" name="editArea"></iframe>
</td></tr>


<tr>
    <td align="left" valign="middle" height="15" class="mini">
        <img src="../_images/transparent.gif" alt="" border="0" height="1" width="20"><?php echo $copyright ?> &#149; <a href="http://www.conpresso.de" class="copy" target="_blank"><?php echo $titlename." ".$version_nr ?></a> <?php echo $LP_By ?></b> <a href="http://www.bartels-schoene.de" class="copy" target="_blank"><?php echo $webpubishing ?></a><span class="copyright"> &#149; <?php echo $LP_IRight ?></span><br>
    </td>
    <td align="right" valign="middle" class="mini">
        <a href="javascript:void()" onClick="saveText();"><?php echo $LPE_Save ?></a><img src="cpoedit/images/btn_save.gif" align="absmiddle" width="21" height="20" alt="<?PHP echo $LPE_ALT_save_document ?>" class="button" onClick="saveText();">&nbsp;<br>
    </td>
</tr>

</table>
</center>
</body>
</html>
