<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: clean.php,v 1.1.1.1.2.10 2004/03/18 10:40:41 balu Exp $
define('CPO', true);
if (file_exists("../_cfg/const.php")) require("../_cfg/const.php");
else require("../_cfg/const.php.dist");

require(CPO_BASEDIR."_include/check.php");

    require(CPO_BASEDIR."_include/header.php");
    require(CPO_BASEDIR."_include/category.inc.php");
    
    echo "<table width=\"".$WIDTH."\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n";
    echo "<tr>\n";
    echo "<td class=\"header\">\n";
    echo "<b>".$LP_DB."</b>\n";
    echo "</td>\n";
    echo "</tr>\n";
    echo "<tr>\n";
    echo "<td class=\"text\"><br>\n";
    echo $LP_CleanText."<br><br>\n";
    echo "</td>\n";
    echo "</tr>\n";
    echo "</table><br>\n";

    if ( $id == 1 ) {
        $query = "SELECT kategorie FROM ".$dbPrefix."_permission WHERE kategorie != '' ORDER BY kategorie";
        DEBUG(1, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);
    
        if ( $db->num_rows()>0 )
        { 
            while($db->next_record()):
                $kategorie = $db->v("kategorie");
                $verzeichnis = is_dir (CPO_BASEDIR.$kategorie);
                
                if ( $verzeichnis != 1 )
                {
                    $message .= $kategorie." ... delete<br>";

                    $query = "DELETE FROM ".$dbPrefix."_permission WHERE kategorie=\"".$kategorie."\"";
                    DEBUG(1, $query, __FILE__, __LINE__);   
                    $db_2 = new DB;
                    $db_2->query($query); 

                    $query = "DELETE FROM ".$dbPrefix."_data WHERE kategorie=\"".$kategorie."\"";
                    DEBUG(1, $query, __FILE__, __LINE__);   
                    $db_2 = new DB;
                    $db_2->query($query); 

                    $query = "DELETE FROM ".$dbPrefix."_news WHERE kategorie=\"".$kategorie."\"";
                    DEBUG(1, $query, __FILE__, __LINE__);   
                    $db_2 = new DB;
                    $db_2->query($query); 

                    $query = "DELETE FROM ".$dbPrefix."_snippet WHERE rubrik=\"".$kategorie."\"";
                    DEBUG(1, $query, __FILE__, __LINE__);   
                    $db_2 = new DB;
                    $db_2->query($query); 

                    $query = "DELETE FROM ".$dbPrefix."_rubric WHERE rubrik=\"".$kategorie."\"";
                    DEBUG(1, $query, __FILE__, __LINE__);   
                    $db_2 = new DB;
                    $db_2->query($query); 

                    $query = "DELETE FROM ".$dbPrefix."_rubric_permission WHERE kategorie=\"".$kategorie."\"";
                    DEBUG(1, $query, __FILE__, __LINE__);   
                    $db_2 = new DB;
                    $db_2->query($query); 

                    $query = "DELETE FROM ".$dbPrefix."_tpl_assignment WHERE rubrik=\"".$kategorie."\"";
                    DEBUG(1, $query, __FILE__, __LINE__);   
                    $db_2 = new DB;
                    $db_2->query($query); 
                }
            endwhile;
        } 

        $message = $LP_DB.": ".$LP_CleanLog;
        require(CPO_BASEDIR."_include/message.php");

        fkt_log($_SESSION['SID_login'], $LOG_DB, $LP_CleanLog);

    }

    if ( $id == 2 ) {
        $query = "DELETE FROM ".$dbPrefix."_block";
        DEBUG(1, $query, __FILE__, __LINE__);   
        $db = new DB;
          $db->query($query); 

        $message = $LP_DB.": ".$LP_CleanLog2;
        require(CPO_BASEDIR."_include/message.php");

        fkt_log($_SESSION['SID_login'], $LOG_DB, $LP_CleanLog2);
    }
    
    if ( $id == 3 ) {

        $query = "SELECT article_nr FROM ".$dbPrefix."_news WHERE artikel_archiv = '9'";
        DEBUG(1, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);
    
        if ( $db->num_rows()>0 )
        { 
            while($db->next_record()):
                $article_nr = $db->v("article_nr");
                $query = "DELETE FROM ".$dbPrefix."_news WHERE article_nr = '".$article_nr."'";
                DEBUG(1, $query, __FILE__, __LINE__);   
                $db_2 = new DB;
                $db_2->query($query); 
            endwhile;
        } 

        $message = $LP_DB.": ".$LP_CleanLog3;
        require(CPO_BASEDIR."_include/message.php");

        fkt_log($_SESSION['SID_login'], $LOG_DB, $LP_CleanLog3);
    }

        
    if ( $id == 4 ) {

        $query = "DELETE FROM ".$dbPrefix."_news WHERE artikel_archiv = '5' OR artikel_archiv = '1'";
        DEBUG(1, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);

        $message = $LP_DB.": ".$LP_CleanLog4;
        require(CPO_BASEDIR."_include/message.php");

        fkt_log($_SESSION['SID_login'], $LOG_DB, $LP_CleanLog4);
    }

    if ( $id == 5 ) {

        $datum = time()-($LogDeleteDay*24*60*60);
        
        $query = "DELETE FROM ".$dbPrefix."_log WHERE datum < '".$datum."' AND id != '1'";
        DEBUG(1, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);

        $message = $LP_DB.": ".$LP_CleanLog5;
        require(CPO_BASEDIR."_include/message.php");

        fkt_log($_SESSION['SID_login'], $LOG_DB, $LP_CleanLog5);
    }

    if ( $id == 6 ) {

        $query = "DELETE FROM ".$dbPrefix."_statistics";
        DEBUG(1, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);

        $message = $LP_DB.": ".$LP_CleanLog6;
        require(CPO_BASEDIR."_include/message.php");

        fkt_log($_SESSION['SID_login'], $LOG_DB, $LP_CleanLog6);
    }

?>

    <table width="<?php echo $WIDTH ?>" border="0" cellpadding="3" cellspacing="2">
        <tr>
            <td colspan="2" bgcolor="<?php echo $color_tbg_dunkel; ?>" align="left" valign="middle" class="text">
                <b><?php echo $LP_DB ?></b>&nbsp;
            </td>
        </tr>
        <tr>
            <td width="30%" bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text"><?php echo $LP_Clean ?><br><img height="1" src="../_images/transparent.gif" alt="" border="0"><br></td>
            <td width="70%" bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <a href="clean.php?id=1" onClick="return confirm('<?php echo $LP_CleanOK_1 ?>')">&raquo; <?php echo $LP_Run ?></a><?PHP help("SE020"); ?>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text"><?php echo $LP_Clean2 ?><br><img height="1" src="../_images/transparent.gif" alt="" border="0"><br></td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <a href="clean.php?id=2" onClick="return confirm('<?php echo $LP_CleanOK_2 ?>')">&raquo; <?php echo $LP_Run ?></a><?PHP help("SE021"); ?>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text"><?php echo $LP_Clean3 ?><br><img height="1" src="../_images/transparent.gif" alt="" border="0"><br></td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <a href="clean.php?id=3" onClick="return confirm('<?php echo $LP_CleanOK_3 ?>')">&raquo; <?php echo $LP_Run ?></a><?PHP help("SE022"); ?>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text"><?php echo $LP_Clean4 ?><br><img height="1" src="../_images/transparent.gif" alt="" border="0"><br></td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <a href="clean.php?id=4" onClick="return confirm('<?php echo $LP_CleanOK_4 ?>')">&raquo; <?php echo $LP_Run ?></a><?PHP help("SE023"); ?>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text"><?php echo $LP_Clean5 ?><br><img height="1" src="../_images/transparent.gif" alt="" border="0"><br></td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <a href="clean.php?id=5" onClick="return confirm('<?php echo $LP_CleanOK_5 ?>')">&raquo; <?php echo $LP_Run ?></a><?PHP help("SE024"); ?>
            </td>
        </tr>
        <tr>
            <td bgcolor="<?PHP echo $color_tbg_hell ?>" height="27" align="left" valign="middle" class="text"><?php echo $LP_Clean6 ?><br><img height="1" src="../_images/transparent.gif" alt="" border="0"><br></td>
            <td bgcolor="<?PHP echo $color_data_hell ?>" align="left" valign="middle" class="text">
                <a href="clean.php?id=6" onClick="return confirm('<?php echo $LP_CleanOK_6 ?>')">&raquo; <?php echo $LP_Run ?></a><?PHP help("SE025"); ?>
            </td>
        </tr>
    </table>    
<?php    
    
           
    // Untere Navigation
    require(CPO_BASEDIR."_include/footer.php");
?>
