<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: release.php,v 1.1.1.1.2.7 2003/10/28 09:46:09 balu Exp $
define('CPO', true);
if (file_exists("../_cfg/const.php")) require("../_cfg/const.php");
else require("../_cfg/const.php.dist");

    require(CPO_BASEDIR."_include/check.php");
    require(CPO_BASEDIR."_include/header.php");

    $freigabe_datum = time();

    if ( isset($open) && ($open==0 || $open==2 || $open==3) ) {

        $query = "UPDATE ".$dbPrefix."_news "
                ."SET freigabe = ".$open.", freigabe_name = '".$_SESSION['SID_login']."', freigabe_datum = ".$freigabe_datum." "
                ."WHERE nr = '".$nr."'";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);

        $query = "SELECT titel, untertitel, verfallsdatum, pub_datum, email, autor "
                ."FROM ".$dbPrefix."_news WHERE nr = '".$nr."'";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db->query($query);
    
        if ($db->num_rows()>0){ 
            $db->next_record();
            $artikel_titel         = $db->v("titel");
            $artikel_untertitel    = $db->v("untertitel");
            $artikel_verfallsdatum = $db->v("verfallsdatum");
            $artikel_pub_datum     = $db->v("pub_datum");
            $artikel_email         = $db->v("email");
            $artikel_autor         = $db->v("autor");
        } 

        $tlog = '';
        switch ($open) {
            case 1: 
                $tlog = $LOG_R_free;
                if ( $System_release == 1 && $System_release_email == 1) {
                    $directory_name = rubrikname($directory);
                    require(CPO_BASEDIR."_include/email_release.php");
                }
                break;
            case 2:
                $tlog = $LOG_R_blocked;
                break;
            case 3:
                $tlog = $LOG_R_cancel;
                break;
        }
        $zeile1 = $nr." | ".$artikel_titel." | ".$artikel_untertitel." \n";
        fkt_log($_SESSION['SID_login'], $tlog, "<b>".$_SESSION['SID_Rubrik']."</b><br>".$zeile1);
    }

    echo "<div class=\"text\">";

    echo "<table width=\"".$WIDTH."\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n";
    echo "<tr>\n";
    echo "<td class=\"header\">\n";
    echo "<b>".$LP_CentralArticleRelease."</b>\n";
    echo "</td>\n";
    echo "</tr>\n";
    echo "<tr>\n";
    echo "<td class=\"text\"><br>\n";
    echo $LP_ArticleReleaseText."<br><br>\n";
    echo "</td>\n";
    echo "</tr>\n";
    echo "</table><br>\n";

    require(CPO_BASEDIR."_include/tab_release.php");

    echo "<br>";
    echo "</div>";

    require(CPO_BASEDIR."_include/footer.php");
?>
