<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: start.php,v 1.1.1.1.2.9 2003/10/28 09:46:09 balu Exp $
define('CPO', true);
if (file_exists("../_cfg/const.php")) require("../_cfg/const.php");
else require("../_cfg/const.php.dist");

    require(CPO_BASEDIR."_include/check.php");
    $thisfile = basename($_SERVER['PHP_SELF']);
    require(CPO_BASEDIR."_include/header.php");
    require(CPO_BASEDIR."_include/category_user.inc.php");

    if ( @is_readable(CPO_BASEDIR."_setup") == TRUE ) {
        $read1 = is_readable(CPO_BASEDIR."_setup/index.php");
        $read2 = is_readable(CPO_BASEDIR."_setup/index2.php");
    }

    if ( ( $read1 == TRUE OR $read2 == TRUE ) AND $_SESSION['SID_level'] == 4 ) {
        $message = $LP_SETUP_Warning;
        require(CPO_BASEDIR."_include/warning.php");
    }

    if ( $_SESSION['SID_level'] == 4 && $first == 1) {
        for ($i=0; $i<=$counter; $i++) {
    
            $query = "SELECT COUNT(*) FROM ".$dbPrefix."_rubric WHERE rubrik = '".$dir_group[$i]."'";
            DEBUG(2, $query, __FILE__, __LINE__);   
            $db = new DB;
            $db->query($query);
            $db->next_record();
        
            if ($db->v('COUNT(*)')<=0){ 
                $query = "SELECT COUNT(*) FROM ".$dbPrefix."_permission "
                        ."WHERE user_id = '".$_SESSION['SID_user_id']."' AND kategorie = '".$dir_group[$i]."'";
                DEBUG(2, $query, __FILE__, __LINE__);   
                $db2 = new DB;
                $db2->query($query);
                $db2->next_record();
                if ($db2->v('COUNT(*)')<=0){ 
                    $c_datum = date ("Y-m-d H:i:s", time());
                    $t_datum = date ("YmdHis", time());

                    $files_mod = CPO_BASEDIR.$dir_group[$i]."/modul.cpo";
                    $exist_mod = file_exists($files_mod);

                    if ( $exist_mod == TRUE ) {
                        $query = "INSERT INTO ".$dbPrefix."_permission (id, user_id, kategorie, name, zuordnung, stufe1, stufe2, stufe3, stufe4, timestamp, c_time, changer) VALUES (\"\", \"".$_SESSION['SID_user_id']."\", \"".$dir_group[$i]."\", \"".$dir_group[$i]."\", \"".$zuordnung_rubrik."\", \"9\", \"9\", \"9\", \"9\", \"".$t_datum."\", \"".$c_datum."\", \"".$_SESSION['SID_login']."\")";
                    } else {
                        $query = "INSERT INTO ".$dbPrefix."_permission (id, user_id, kategorie, name, zuordnung, stufe1, stufe2, stufe3, stufe4, timestamp, c_time, changer) VALUES (\"\", \"".$_SESSION['SID_user_id']."\", \"".$dir_group[$i]."\", \"".$dir_group[$i]."\", \"".$zuordnung_rubrik."\", \"1\", \"1\", \"1\", \"1\", \"".$t_datum."\", \"".$c_datum."\", \"".$_SESSION['SID_login']."\")";
                    }

                    DEBUG(2, $query, __FILE__, __LINE__);   
                    $db3 = new DB;
                    $db3->query($query);
                }

                // echo $dir_group[$i]."<br>";
            }
        }
    }

    $hour = date ("H", time()); 
    // echo "H:".$hour."<br>";
    switch ($hour) {
        case 0:
        case 1:
        case 2:
        case 3:
        case 4:
        case 5:
        case 6:
        case 7:
        case 8:
        case 9:
        case 10:
        case 11:
            $welcome = $LP_First_Morning;
            break;
        case 17:
        case 18:
        case 19:
        case 20:
        case 21:
        case 22:
        case 23:
            $welcome = $LP_First_Night;
            break;
        default:
            $welcome = $LP_First_Afternoon;
    }
    
    if ( $first != 1 ) {
        echo "<table width=\"".$WIDTH."\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n";
        echo "<tr>\n";
        echo "<td class=\"header\">\n";
        echo "<b>".$LP_MainMenue."</b>\n";
        echo "</td>\n";
        echo "</tr>\n";
        echo "<tr>\n";
        echo "<td class=\"text\"><br>\n";
        echo $LP_MainMenueText."<br><br>\n";
        echo "</td>\n";
        echo "</tr>\n";
        echo "</table>\n";
    } else {
        echo "<table width=\"".$WIDTH."\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n";
        echo "<tr>\n";
        echo "<td class=\"header\">\n";
        echo "<b>".$welcome.", ".$_SESSION['SID_autor']."!</b>\n";
        echo "</td>\n";
        echo "</tr>\n";
        echo "<tr>\n";
        echo "<td class=\"text\"><br>\n";
        echo $LP_First."<br><br>\n";
        echo "</td>\n";
        echo "</tr>\n";
        echo "</table>\n";
    }
    echo "<br>\n";

    echo "<table border=\"0\" cellpadding=\"1\" cellspacing=\"2\">\n";
    echo "<tr>";
    echo "<td align=\"left\" valign=\"top\" class=\"text\">";
    
    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_rubric WHERE zuordnung != 0 ";
    DEBUG(2, $query, __FILE__, __LINE__);   
    $db = new DB;
    $db->query($query);
    $db->next_record();

    $tree_on = 0;
    if ($db->v('COUNT(*)')>0) {
        $tree_on = 1;
        echo "<img src=\"../_images/transparent.gif\" alt=\"\" width=\"1\" height=\"2\" border=\"0\"><br>\n";
        echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n";
        echo "<tr bgcolor=\"".$color_tbg_dunkel."\">\n";
        echo "<td height=\"21\" align='left' valign=\"middle\" class='text'>\n";
        echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>&nbsp;".$LP_Navigation."</b>\n";
        help("RA101");
        echo "</td></tr></table>\n";

        echo "</td></tr>\n";
        echo "<tr bgcolor=\"".$color_data_hell."\">\n";
        echo "<td align='left' valign=\"middle\" class='text'>\n";

        echo "<img src=\"../_images/transparent.gif\" alt=\"\" width=\"160\" height=\"7\" border=\"0\"><br>\n";

        echo "<table width=\"100%\" border=\"0\" cellpadding=\"3\" cellspacing=\"0\">\n";
        if ( $id == 0 ) {
            echo "<tr><td bgcolor=\"".$color_tbg_dunkel."\" align=\"left\" valign=\"middle\" class=\"text\"><b>".$pre_blank."</b><A HREF=\"".$_SERVER['PHP_SELF']."?id=0\">&nbsp;".$LP_MainTree."</A>&nbsp;</td>";
        } else {
            echo "<tr><td align=\"left\" valign=\"middle\" class=\"text\"><b>".$pre_blank."</b><A HREF=\"".$_SERVER['PHP_SELF']."?id=0\">&nbsp;".$LP_MainTree."</A>&nbsp;</td>";
        }
        echo "</tr>";
        tree_select(0,0,$id);
        echo "</table>\n";

        echo "<br></td></tr>\n";
        echo "</table>\n";

        echo "</td>\n";
        echo "<td align=\"left\" valign=\"top\" class=\"text\">";
    } 

    $tree_selection = $id;
    require(CPO_BASEDIR."_include/category_selection.php");

    echo "</td>\n";
    echo "</tr>\n";
    echo "</table>\n";

    // Untere Navigation
    require(CPO_BASEDIR."_include/footer.php");
?>
