<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: user_online.php,v 1.1.1.1.2.8 2003/10/28 09:46:09 balu Exp $
define('CPO', true);
if (file_exists("../_cfg/const.php")) require("../_cfg/const.php");
else require("../_cfg/const.php.dist");

require(CPO_BASEDIR."_include/check.php");


    require(CPO_BASEDIR."_include/header.php");
    require(CPO_BASEDIR."_include/category.inc.php");
    
    echo "<table width=\"".$WIDTH."\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n";
    echo "<tr>\n";
    echo "<td class=\"header\">\n";
    echo "<b>".$LP_UserOnline."</b>\n";
    echo "</td>\n";
    echo "</tr>\n";
    echo "<tr>\n";
    echo "<td class=\"text\"><br>\n";
    echo $LP_UserOnlineText."<br><br>\n";
    echo "</td>\n";
    echo "</tr>\n";
    echo "</table><br>\n";


    $query = "SELECT id, user_id, user, login, last_action, ip, ip_name, browser "
            ."FROM ".$dbPrefix."_log_login ORDER BY last_action";
    DEBUG(2, $query, __FILE__, __LINE__);       
    $db = new DB;
    $db->query($query);
        
    if ($db->num_rows()<=0) {
        $message = $PicDatei." ".$LP_NoDataText;
        require(CPO_BASEDIR."_include/message.php");
        require(CPO_BASEDIR."_include/footer.php");
        return;
    }

    echo "<table width=\"".$WIDTH."\" border='0' cellpadding='3' cellspacing='2'>\n";
    echo "<tr bgcolor='".$color_tbg_dunkel."'>";
    echo "<td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td nowrap align='left' class='text'><b>".$LP_UO_ID."</b></td><td align='left' class='text'>";
    help("UOL000");
    echo "</td></tr></table></td><td width=\"20%\" align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td nowrap align='left' class='text'><b>".$LP_UO_Login."</b></td><td align='left' class='text'>";
    help("UOL001");
    echo "</td></tr></table></td><td width=\"20%\" align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td nowrap align='left' class='text'><b>".$LP_UO_Name."</b></td><td align='left' class='text'>";
    help("UOL002");
    echo "</td></tr></table></td><td width=\"20%\" align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td nowrap align='left' class='text'><b>".$LP_UO_Level."</b></td><td align='left' class='text'>";
    help("UOL002a");
    echo "</td></tr></table></td><td width=\"20%\" align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td nowrap align='left' class='text'><b>".$LP_UO_LoginTime."</b></td><td align='left' class='text'>";
    help("UOL003");
    echo "</td></tr></table></td><td width=\"10%\" align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td nowrap align='left' class='text'><b>".$LP_UO_Idle."</b></td><td align='left' class='text'>";
    help("UOL004");
    echo "</td></tr></table></td><td width=\"20%\" align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td nowrap align='left' class='text'><b>".$LP_UO_IP."</b></td><td align='left' class='text'>";
    help("UOL005");
    echo "</td></tr></table></td></tr>";

    while($db->next_record()):

        $id          = $db->v("id");
        $user_id     = $db->v("user_id");
        $user        = $db->v("user");
        $login       = $db->v("login");
        $last_action = $db->v("last_action");
        $ip          = $db->v("ip");
        $ip_name     = $db->v("ip_name");
        $browser     = $db->v("browser");

        echo "<tr>";

        // User-ID
        echo "<td nowrap valign=\"top\" align='center' class='text'>";
        echo $user_id."";
        echo "</td>";

        $query = "SELECT name, email, admin "
                ."FROM ".$dbPrefix."_user WHERE id = ".$user_id."";
        DEBUG(2, $query, __FILE__, __LINE__);       
        $db2 = new DB;
        $db2->query($query);
            
        if ($db2->num_rows()>0) {
            $db2->next_record();
            $user_name  = $db2->v("name");
            $user_email = $db2->v("email");
            $user_level = $db2->v("admin");
        }

        // User
        echo "<td nowrap valign=\"top\" align='left' class='text'>";
        echo ucfirst($user);
        echo "</td>";

        // Name
        echo "<td nowrap valign=\"top\" align='left' class='text'>";
        echo "<b>".ucfirst($user_name)."</b>\n";
        if ( $user_email != '' ) 
        {
            echo "<a href=\"mailto:".$user_email."\"><img src=\"../_images/mail.gif\" width=\"15\" height=\"7\" alt=\"".$user_email."\" border=\"0\"></a><br>";
        }
        echo "</td>";

        // Browser
        echo "<td nowrap valign=\"top\" align='left' class='text'>";
        switch ($user_level) {
            case 1:
                echo $LP_Admin_1cut."\n";
                break;  /* Beendet nur switch. */
            case 2:
                echo $LP_Admin_2cut."\n";
                break;  /* Beendet switch und while. */ // FIXME Wieso beendet das auch while?
            case 3:
                echo $LP_Admin_3cut."\n";
                break;  /* Beendet switch und while. */
            case 4:
                echo $LP_Admin_4cut."\n";
                break;  /* Beendet switch und while. */
            default:
                echo "<span class=\"textgrey\">".$LP_Admin_0cut."</span>\n";
                break;
        }
        echo "</td>";

        // Login-Zeit
        echo "<td nowrap valign=\"top\" align='left' class='text'>";
        echo date("d.m.Y - H:i",$login)."";
        echo "</td>";

        // Idle
        echo "<td nowrap valign=\"top\" align='left' class='text'>";
        $jetzt = time();
        $zeit = $jetzt-$last_action;

        $idle_min = floor($zeit/60);
        $idle_sec = $zeit-$idle_min*60;
        $idle_sec = substr("00".$idle_sec, -2);
        echo $idle_min."m ".$idle_sec."s";
        echo "</td>";

        // IP
        echo "<td nowrap valign=\"top\" align='left' class='text'>";
        echo $ip." ";
        echo "<img src=\"../_images/pc.gif\" align=\"absmiddle\" width=\"11\" height=\"13\" alt=\"".$ip_name."\" border=\"0\"> ";
        echo "<img src=\"../_images/browser.gif\" align=\"absmiddle\" width=\"10\" height=\"11\" alt=\"".$browser."\" border=\"0\">";
        echo "</td>";

        echo "</tr>\n";

    endwhile;

    echo "</table>";
           
    // Untere Navigation
    require(CPO_BASEDIR."_include/footer.php");
?>
