<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: category_user.inc.php,v 1.1.1.1.2.5 2003/10/28 09:46:09 balu Exp $
if (!defined('CPO')) exit;
    
    if ( $id == '' ) {
        $id = 0;
    } 

    $d = dir("..");
    $anzahl = 0;

    while( $directory=$d->read() ) {
        if ($directory=="." || $directory=="..") continue;
        if (!is_readable(CPO_BASEDIR.$directory) || !is_dir(CPO_BASEDIR.$directory)) continue;

        $files_rub = CPO_BASEDIR.$directory."/news.cpo";
        $files_mod = CPO_BASEDIR.$directory."/modul.cpo";
        $exist_rub = file_exists($files_rub);
        $exist_mod = file_exists($files_mod);
        if ( !$exist_rub &&  !$exist_mod ) continue;

        $file_rub_exist = is_file($files_rub);
        $file_mod_exist = @is_file($files_mod);
        if ( !$file_rub_exist && !$file_mod_exist ) continue;

        $query = "SELECT zuordnung FROM ".$dbPrefix."_rubric WHERE rubrik = '".$directory."'";
        DEBUG(2, $query, __FILE__, __LINE__);
        $db = new DB;
        $db->query($query);

        if ($db->num_rows()>0) { 
            while($db->next_record()):
                $zuordnung = $db->v("zuordnung");
                if ( $zuordnung != $id ) continue;

                $dir_group[$anzahl] = $directory;
                $anzahl++;
            endwhile;
        } else {
            if ( $id == 0) {
                $dir_group[$anzahl] = $directory;
                $anzahl++;
            }
        } 
    }

    $counter = $anzahl - 1;
    $d->close();
    if ( count($dir_group) > 1 ) {
        sort($dir_group);
    }
?>
