<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: load_rubric_preference.php,v 1.1.1.1.2.6 2003/10/28 09:46:09 balu Exp $
if (!defined('CPO')) exit;

        if ( $name_STANDARD == "#STANDARD#" ) {
            $query = "SELECT id, rubrik, header, header_view, name, zuordnung, standard, secure, nodata, language, art_number, standard_template, feld_edit_index, feld_index, feld_detail_index, feld_edit_title, feld_title, feld_detail_title, feld_edit_title_link, feld_title_link, feld_detail_title_link, feld_edit_title_target, feld_title_target, feld_detail_title_target, feld_title_more, feld_edit_utitle, feld_utitle, feld_detail_utitle, feld_edit_utitle_link, feld_utitle_link, feld_detail_utitle_link, feld_edit_utitle_target, feld_utitle_target, feld_detail_utitle_target, feld_edit_text_1, feld_text_1, feld_detail_text_1, feld_edit_weiter, feld_weiter, feld_more_target, feld_edit_text_2, feld_text_2, feld_detail_text_2, feld_edit_text_3, feld_text_3, feld_detail_text_3, feld_edit_bild, feld_bild, feld_detail_bild, feld_edit_bild_link, feld_bild_link, feld_detail_bild_link, feld_edit_bild_desc, feld_bild_desc, feld_detail_bild_desc, feld_edit_file, feld_file, feld_detail_file, feld_edit_file_desc, feld_file_desc, feld_detail_file_desc, feld_file_prolog, feld_edit_link_1, feld_link_1, feld_detail_link_1, feld_edit_link_text_1, feld_link_text_1, feld_detail_link_text_1, feld_edit_link_2, feld_link_2, feld_detail_link_2, feld_edit_link_text_2, feld_link_text_2, feld_detail_link_text_2, feld_edit_link_3, feld_link_3, feld_detail_link_3, feld_edit_link_text_3, feld_link_text_3, feld_detail_link_text_3, feld_edit_autor, feld_autor, feld_detail_autor, feld_edit_email, feld_email, feld_detail_email, feld_edit_initial, feld_initial, feld_detail_initial, feld_datum, feld_detail_datum, feld_formdatum, editor, edit_bold, edit_italic, edit_underline, edit_hr, edit_justify, edit_indent, edit_list, edit_color, edit_fontface, edit_fontsize, edit_pic, edit_link, edit_specialchars, edit_snippet, edit_htmlmode, switch, separate, separate_text, sep_window, archiv, archiv_text, archiv_header, search "
                    ."FROM ".$dbPrefix."_rubric WHERE rubrik = '#STANDARD#'";
        } else {
            $query = "SELECT id, rubrik, header, header_view, name, zuordnung, standard, secure, nodata, language, art_number, standard_template, feld_edit_index, feld_index, feld_detail_index, feld_edit_title, feld_title, feld_detail_title, feld_edit_title_link, feld_title_link, feld_detail_title_link, feld_edit_title_target, feld_title_target, feld_detail_title_target, feld_title_more, feld_edit_utitle, feld_utitle, feld_detail_utitle, feld_edit_utitle_link, feld_utitle_link, feld_detail_utitle_link, feld_edit_utitle_target, feld_utitle_target, feld_detail_utitle_target, feld_edit_text_1, feld_text_1, feld_detail_text_1, feld_edit_weiter, feld_weiter, feld_more_target, feld_edit_text_2, feld_text_2, feld_detail_text_2, feld_edit_text_3, feld_text_3, feld_detail_text_3, feld_edit_bild, feld_bild, feld_detail_bild, feld_edit_bild_link, feld_bild_link, feld_detail_bild_link, feld_edit_bild_desc, feld_bild_desc, feld_detail_bild_desc, feld_edit_file, feld_file, feld_detail_file, feld_edit_file_desc, feld_file_desc, feld_detail_file_desc, feld_file_prolog, feld_edit_link_1, feld_link_1, feld_detail_link_1, feld_edit_link_text_1, feld_link_text_1, feld_detail_link_text_1, feld_edit_link_2, feld_link_2, feld_detail_link_2, feld_edit_link_text_2, feld_link_text_2, feld_detail_link_text_2, feld_edit_link_3, feld_link_3, feld_detail_link_3, feld_edit_link_text_3, feld_link_text_3, feld_detail_link_text_3, feld_edit_autor, feld_autor, feld_detail_autor, feld_edit_email, feld_email, feld_detail_email, feld_edit_initial, feld_initial, feld_detail_initial, feld_datum, feld_detail_datum, feld_formdatum, editor, edit_bold, edit_italic, edit_underline, edit_hr, edit_justify, edit_indent, edit_list, edit_color, edit_fontface, edit_fontsize, edit_pic, edit_link, edit_specialchars, edit_snippet, edit_htmlmode, switch, separate, separate_text, sep_window, archiv, archiv_text, archiv_header, search "
                    ."FROM ".$dbPrefix."_rubric WHERE rubrik = '".$_SESSION['SID_Rubrik']."'";
        }

        DEBUG(1, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);

        if ($db->num_rows()>0) {
            while($db->next_record()):

                $id                         = $db->v("id");
                $rubrik                     = $db->v("rubrik");
                $header                     = $db->v("header");
                $header_view                = $db->v("header_view");
                $name                       = $db->v("name");
                $zuordnung                  = $db->v("zuordnung");
                $standard                   = $db->v("standard");
                $secure                     = $db->v("secure");
                $nodata                     = $db->v("nodata");
                $rubric_language            = $db->v("language");
                $art_number                 = $db->v("art_number");
                $standard_template          = $db->v("standard_template");
                $feld_edit_index            = $db->v("feld_edit_index");
                $feld_index                 = $db->v("feld_index");
                $feld_detail_index          = $db->v("feld_detail_index");
                $feld_edit_title            = $db->v("feld_edit_title");
                $feld_title                 = $db->v("feld_title");
                $feld_detail_title          = $db->v("feld_detail_title");
                $feld_edit_title_link       = $db->v("feld_edit_title_link");
                $feld_title_link            = $db->v("feld_title_link");
                $feld_detail_title_link     = $db->v("feld_detail_title_link");
                $feld_edit_title_target     = $db->v("feld_edit_title_target");
                $feld_title_target          = $db->v("feld_title_target");
                $feld_detail_title_target   = $db->v("feld_detail_title_target");
                $feld_title_more            = $db->v("feld_title_more");
                $feld_edit_utitle           = $db->v("feld_edit_utitle");
                $feld_utitle                = $db->v("feld_utitle");
                $feld_detail_utitle         = $db->v("feld_detail_utitle");
                $feld_edit_utitle_link      = $db->v("feld_edit_utitle_link");
                $feld_utitle_link           = $db->v("feld_utitle_link");
                $feld_detail_utitle_link    = $db->v("feld_detail_utitle_link");
                $feld_edit_utitle_target    = $db->v("feld_edit_utitle_target");
                $feld_utitle_target         = $db->v("feld_utitle_target");
                $feld_detail_utitle_target  = $db->v("feld_detail_utitle_target");
                $feld_edit_text_1           = $db->v("feld_edit_text_1");
                $feld_text_1                = $db->v("feld_text_1");
                $feld_detail_text_1         = $db->v("feld_detail_text_1");
                $feld_edit_weiter           = $db->v("feld_edit_weiter");
                $feld_weiter                = $db->v("feld_weiter");
                $feld_more_target           = $db->v("feld_more_target");
                $feld_edit_text_2           = $db->v("feld_edit_text_2");
                $feld_text_2                = $db->v("feld_text_2");
                $feld_detail_text_2         = $db->v("feld_detail_text_2");
                $feld_edit_text_3           = $db->v("feld_edit_text_3");
                $feld_text_3                = $db->v("feld_text_3");
                $feld_detail_text_3         = $db->v("feld_detail_text_3");
                $feld_edit_bild             = $db->v("feld_edit_bild");
                $feld_bild                  = $db->v("feld_bild");
                $feld_detail_bild           = $db->v("feld_detail_bild");
                $feld_edit_bild_link        = $db->v("feld_edit_bild_link");
                $feld_bild_link             = $db->v("feld_bild_link");
                $feld_detail_bild_link      = $db->v("feld_detail_bild_link");
                $feld_edit_bild_desc        = $db->v("feld_edit_bild_desc");
                $feld_bild_desc             = $db->v("feld_bild_desc");
                $feld_detail_bild_desc      = $db->v("feld_detail_bild_desc");
                $feld_edit_file             = $db->v("feld_edit_file");
                $feld_file                  = $db->v("feld_file");
                $feld_detail_file           = $db->v("feld_detail_file");
                $feld_edit_file_desc        = $db->v("feld_edit_file_desc");
                $feld_file_desc             = $db->v("feld_file_desc");
                $feld_detail_file_desc      = $db->v("feld_detail_file_desc");
                $feld_file_prolog           = $db->v("feld_file_prolog");
                $feld_edit_link_1           = $db->v("feld_edit_link_1");
                $feld_link_1                = $db->v("feld_link_1");
                $feld_detail_link_1         = $db->v("feld_detail_link_1");
                $feld_edit_link_text_1      = $db->v("feld_edit_link_text_1");
                $feld_link_text_1           = $db->v("feld_link_text_1");
                $feld_detail_link_text_1    = $db->v("feld_detail_link_text_1");
                $feld_edit_link_2           = $db->v("feld_edit_link_2");
                $feld_link_2                = $db->v("feld_link_2");
                $feld_detail_link_2         = $db->v("feld_detail_link_2");
                $feld_edit_link_text_2      = $db->v("feld_edit_link_text_2");
                $feld_link_text_2           = $db->v("feld_link_text_2");
                $feld_detail_link_text_2    = $db->v("feld_detail_link_text_2");
                $feld_edit_link_3           = $db->v("feld_edit_link_3");
                $feld_link_3                = $db->v("feld_link_3");
                $feld_detail_link_3         = $db->v("feld_detail_link_3");
                $feld_edit_link_text_3      = $db->v("feld_edit_link_text_3");
                $feld_link_text_3           = $db->v("feld_link_text_3");
                $feld_detail_link_text_3    = $db->v("feld_detail_link_text_3");
                $feld_edit_autor            = $db->v("feld_edit_autor");
                $feld_autor                 = $db->v("feld_autor");
                $feld_detail_autor          = $db->v("feld_detail_autor");
                $feld_edit_email            = $db->v("feld_edit_email");
                $feld_email                 = $db->v("feld_email");
                $feld_detail_email          = $db->v("feld_detail_email");
                $feld_edit_initial          = $db->v("feld_edit_initial");
                $feld_initial               = $db->v("feld_initial");
                $feld_detail_initial        = $db->v("feld_detail_initial");
                $feld_datum                 = $db->v("feld_datum");
                $feld_detail_datum          = $db->v("feld_detail_datum");
                $feld_formdatum             = $db->v("feld_formdatum");
                $editor                     = $db->v("editor");
                $edit_bold                  = $db->v("edit_bold");
                $edit_italic                = $db->v("edit_italic");
                $edit_underline             = $db->v("edit_underline"); 
                $edit_hr                    = $db->v("edit_hr");
                $edit_justify               = $db->v("edit_justify"); 
                $edit_indent                = $db->v("edit_indent");
                $edit_list                  = $db->v("edit_list");
                $edit_color                 = $db->v("edit_color");
                $edit_fontface              = $db->v("edit_fontface"); 
                $edit_fontsize              = $db->v("edit_fontsize");
                $edit_pic                   = $db->v("edit_pic");
                $edit_link                  = $db->v("edit_link");
                $edit_specialchars          = $db->v("edit_specialchars");
                $edit_snippet               = $db->v("edit_snippet");
                $edit_htmlmode              = $db->v("edit_htmlmode");
                $switch                     = $db->v("switch");
                $separate                   = $db->v("separate");
                $separate_text              = $db->v("separate_text");
                $sep_window                 = $db->v("sep_window");
                $archiv                     = $db->v("archiv");
                $archiv_text                = $db->v("archiv_text");
                $archiv_header              = $db->v("archiv_header");
                $search                     = $db->v("search");
                
                $target                     = $sep_window;
                
            endwhile;
            
            // Laden der Rubrikeinstellungen fuer ENTWURF
            if ( $action == "entwurf" || $action == "standard" ) {

                switch ($action) {
                    case 'entwurf':
                        $query = "SELECT header_view, nodata, language, art_number, standard_template, feld_edit_index, feld_index, feld_detail_index, feld_edit_title, feld_title, feld_detail_title, feld_edit_title_link, feld_title_link, feld_detail_title_link, feld_edit_title_target, feld_title_target, feld_detail_title_target, feld_title_more, feld_edit_utitle, feld_utitle, feld_detail_utitle, feld_edit_utitle_link, feld_utitle_link, feld_detail_utitle_link, feld_edit_utitle_target, feld_utitle_target, feld_detail_utitle_target, feld_edit_text_1, feld_text_1, feld_detail_text_1, feld_edit_weiter, feld_weiter, feld_more_target, feld_edit_text_2, feld_text_2, feld_detail_text_2, feld_edit_text_3, feld_text_3, feld_detail_text_3, feld_edit_bild, feld_bild, feld_detail_bild, feld_edit_bild_link, feld_bild_link, feld_detail_bild_link, feld_edit_bild_desc, feld_bild_desc, feld_detail_bild_desc, feld_edit_file, feld_file, feld_detail_file, feld_edit_file_desc, feld_file_desc, feld_detail_file_desc, feld_file_prolog, feld_edit_link_1, feld_link_1, feld_detail_link_1, feld_edit_link_text_1, feld_link_text_1, feld_detail_link_text_1, feld_edit_link_2, feld_link_2, feld_detail_link_2, feld_edit_link_text_2, feld_link_text_2, feld_detail_link_text_2, feld_edit_link_3, feld_link_3, feld_detail_link_3, feld_edit_link_text_3, feld_link_text_3, feld_detail_link_text_3, feld_edit_autor, feld_autor, feld_detail_autor, feld_edit_email, feld_email, feld_detail_email, feld_edit_initial, feld_initial, feld_detail_initial, feld_datum, feld_detail_datum, feld_formdatum, editor, edit_bold, edit_italic, edit_underline, edit_hr, edit_justify, edit_indent, edit_list, edit_color, edit_fontface, edit_fontsize, edit_pic, edit_link, edit_specialchars, edit_snippet, edit_htmlmode, switch, separate, separate_text, sep_window, archiv, archiv_text, archiv_header, search "
                                ."FROM ".$dbPrefix."_rubric WHERE rubrik = '#ENTWURF#'";

                        $message = $LP_RubricLoadingEntwOK;
                        require(CPO_BASEDIR."_include/message.php");        
                        break;
                    case 'standard':
                        $query = "SELECT header_view, nodata, language, art_number, standard_template, feld_edit_index, feld_index, feld_detail_index, feld_edit_title, feld_title, feld_detail_title, feld_edit_title_link, feld_title_link, feld_detail_title_link, feld_edit_title_target, feld_title_target, feld_detail_title_target, feld_title_more, feld_edit_utitle, feld_utitle, feld_detail_utitle, feld_edit_utitle_link, feld_utitle_link, feld_detail_utitle_link, feld_edit_utitle_target, feld_utitle_target, feld_detail_utitle_target, feld_edit_text_1, feld_text_1, feld_detail_text_1, feld_edit_weiter, feld_weiter, feld_more_target, feld_edit_text_2, feld_text_2, feld_detail_text_2, feld_edit_text_3, feld_text_3, feld_detail_text_3, feld_edit_bild, feld_bild, feld_detail_bild, feld_edit_bild_link, feld_bild_link, feld_detail_bild_link, feld_edit_bild_desc, feld_bild_desc, feld_detail_bild_desc, feld_edit_file, feld_file, feld_detail_file, feld_edit_file_desc, feld_file_desc, feld_detail_file_desc, feld_file_prolog, feld_edit_link_1, feld_link_1, feld_detail_link_1, feld_edit_link_text_1, feld_link_text_1, feld_detail_link_text_1, feld_edit_link_2, feld_link_2, feld_detail_link_2, feld_edit_link_text_2, feld_link_text_2, feld_detail_link_text_2, feld_edit_link_3, feld_link_3, feld_detail_link_3, feld_edit_link_text_3, feld_link_text_3, feld_detail_link_text_3, feld_edit_autor, feld_autor, feld_detail_autor, feld_edit_email, feld_email, feld_detail_email, feld_edit_initial, feld_initial, feld_detail_initial, feld_datum, feld_detail_datum, feld_formdatum, editor, edit_bold, edit_italic, edit_underline, edit_hr, edit_justify, edit_indent, edit_list, edit_color, edit_fontface, edit_fontsize, edit_pic, edit_link, edit_specialchars, edit_snippet, edit_htmlmode, switch, separate, separate_text, sep_window, archiv, archiv_text, archiv_header, search "
                                ."FROM ".$dbPrefix."_rubric WHERE rubrik = '#STANDARD#'";
                        $message = $LP_RubricLoadingStanOK;
                        require(CPO_BASEDIR."_include/message.php");        
                        break;
                }

                DEBUG(1, $query, __FILE__, __LINE__);   
                $db = new DB;
                $db->query($query);
        
                if ($db->num_rows()>0) {
                    while($db->next_record()):

                        $header_view                = $db->v("header_view");
                        $nodata                     = $db->v("nodata");
                        $rubric_language            = $db->v("language");
                        $art_number                 = $db->v("art_number");
                        $standard_template          = $db->v("standard_template");
                        $feld_edit_index            = $db->v("feld_edit_index");
                        $feld_index                 = $db->v("feld_index");
                        $feld_detail_index          = $db->v("feld_detail_index");
                        $feld_edit_title            = $db->v("feld_edit_title");
                        $feld_title                 = $db->v("feld_title");
                        $feld_detail_title          = $db->v("feld_detail_title");
                        $feld_edit_title_link       = $db->v("feld_edit_title_link");
                        $feld_title_link            = $db->v("feld_title_link");
                        $feld_detail_title_link     = $db->v("feld_detail_title_link");
                        $feld_edit_title_target     = $db->v("feld_edit_title_target");
                        $feld_title_target          = $db->v("feld_title_target");
                        $feld_detail_title_target   = $db->v("feld_detail_title_target");
                        $feld_title_more            = $db->v("feld_title_more");
                        $feld_edit_utitle           = $db->v("feld_edit_utitle");
                        $feld_utitle                = $db->v("feld_utitle");
                        $feld_detail_utitle         = $db->v("feld_detail_utitle");
                        $feld_edit_utitle_link      = $db->v("feld_edit_utitle_link");
                        $feld_utitle_link           = $db->v("feld_utitle_link");
                        $feld_detail_utitle_link    = $db->v("feld_detail_utitle_link");
                        $feld_edit_utitle_target    = $db->v("feld_edit_utitle_target");
                        $feld_utitle_target         = $db->v("feld_utitle_target");
                        $feld_detail_utitle_target  = $db->v("feld_detail_utitle_target");
                        $feld_edit_text_1           = $db->v("feld_edit_text_1");
                        $feld_text_1                = $db->v("feld_text_1");
                        $feld_detail_text_1         = $db->v("feld_detail_text_1");
                        $feld_edit_weiter           = $db->v("feld_edit_weiter");
                        $feld_weiter                = $db->v("feld_weiter");
                        $feld_more_target           = $db->v("feld_more_target");
                        $feld_edit_text_2           = $db->v("feld_edit_text_2");
                        $feld_text_2                = $db->v("feld_text_2");
                        $feld_detail_text_2         = $db->v("feld_detail_text_2");
                        $feld_edit_text_3           = $db->v("feld_edit_text_3");
                        $feld_text_3                = $db->v("feld_text_3");
                        $feld_detail_text_3         = $db->v("feld_detail_text_3");
                        $feld_edit_bild             = $db->v("feld_edit_bild");
                        $feld_bild                  = $db->v("feld_bild");
                        $feld_detail_bild           = $db->v("feld_detail_bild");
                        $feld_edit_bild_link        = $db->v("feld_edit_bild_link");
                        $feld_bild_link             = $db->v("feld_bild_link");
                        $feld_detail_bild_link      = $db->v("feld_detail_bild_link");
                        $feld_edit_bild_desc        = $db->v("feld_edit_bild_desc");
                        $feld_bild_desc             = $db->v("feld_bild_desc");
                        $feld_detail_bild_desc      = $db->v("feld_detail_bild_desc");
                        $feld_edit_file             = $db->v("feld_edit_file");
                        $feld_file                  = $db->v("feld_file");
                        $feld_detail_file           = $db->v("feld_detail_file");
                        $feld_edit_file_desc        = $db->v("feld_edit_file_desc");
                        $feld_file_desc             = $db->v("feld_file_desc");
                        $feld_detail_file_desc      = $db->v("feld_detail_file_desc");
                        $feld_file_prolog           = $db->v("feld_file_prolog");
                        $feld_edit_link_1           = $db->v("feld_edit_link_1");
                        $feld_link_1                = $db->v("feld_link_1");
                        $feld_detail_link_1         = $db->v("feld_detail_link_1");
                        $feld_edit_link_text_1      = $db->v("feld_edit_link_text_1");
                        $feld_link_text_1           = $db->v("feld_link_text_1");
                        $feld_detail_link_text_1    = $db->v("feld_detail_link_text_1");
                        $feld_edit_link_2           = $db->v("feld_edit_link_2");
                        $feld_link_2                = $db->v("feld_link_2");
                        $feld_detail_link_2         = $db->v("feld_detail_link_2");
                        $feld_edit_link_text_2      = $db->v("feld_edit_link_text_2");
                        $feld_link_text_2           = $db->v("feld_link_text_2");
                        $feld_detail_link_text_2    = $db->v("feld_detail_link_text_2");
                        $feld_edit_link_3           = $db->v("feld_edit_link_3");
                        $feld_link_3                = $db->v("feld_link_3");
                        $feld_detail_link_3         = $db->v("feld_detail_link_3");
                        $feld_edit_link_text_3      = $db->v("feld_edit_link_text_3");
                        $feld_link_text_3           = $db->v("feld_link_text_3");
                        $feld_detail_link_text_3    = $db->v("feld_detail_link_text_3");
                        $feld_edit_autor            = $db->v("feld_edit_autor");
                        $feld_autor                 = $db->v("feld_autor");
                        $feld_detail_autor          = $db->v("feld_detail_autor");
                        $feld_edit_email            = $db->v("feld_edit_email");
                        $feld_email                 = $db->v("feld_email");
                        $feld_detail_email          = $db->v("feld_detail_email");
                        $feld_edit_initial          = $db->v("feld_edit_initial");
                        $feld_initial               = $db->v("feld_initial");
                        $feld_detail_initial        = $db->v("feld_detail_initial");
                        $feld_datum                 = $db->v("feld_datum");
                        $feld_detail_datum          = $db->v("feld_detail_datum");
                        $feld_formdatum             = $db->v("feld_formdatum");
                        $editor                     = $db->v("editor");
                        $edit_bold                  = $db->v("edit_bold");
                        $edit_italic                = $db->v("edit_italic");
                        $edit_underline             = $db->v("edit_underline"); 
                        $edit_hr                    = $db->v("edit_hr");
                        $edit_justify               = $db->v("edit_justify"); 
                        $edit_indent                = $db->v("edit_indent");
                        $edit_list                  = $db->v("edit_list");
                        $edit_color                 = $db->v("edit_color");
                        $edit_fontface              = $db->v("edit_fontface"); 
                        $edit_fontsize              = $db->v("edit_fontsize");
                        $edit_pic                   = $db->v("edit_pic");
                        $edit_link                  = $db->v("edit_link");
                        $edit_specialchars          = $db->v("edit_specialchars");
                        $edit_snippet               = $db->v("edit_snippet");
                        $edit_htmlmode              = $db->v("edit_htmlmode");
                        $switch                     = $db->v("switch");
                        $separate                   = $db->v("separate");
                        $separate_text              = $db->v("separate_text");
                        $sep_window                 = $db->v("sep_window");
                        $archiv                     = $db->v("archiv");
                        $archiv_text                = $db->v("archiv_text");
                        $archiv_header              = $db->v("archiv_header");
                        $search                     = $db->v("search");
                        
                        $target                     = $sep_window;
                        
                    endwhile;
                }
            }

            

        } else {

            //$id                 = $db->v("id"); // won't work if no entry is returned...
            $id                 = '';
            $header             = $_SESSION['SID_Rubrik'];
            $header_view        = 1;
            $name               = $_SESSION['SID_Rubrik'];
            $nodata             = $LP_NoDataText;
            $rubric_language    = $lang;
            $art_number         = 5;
            $standard           = 1;
            
            $d = dir("./");
            $anzahl = 0;
            while( $directory2=$d->read() ) {
                if ($directory=="." || $directory=="..") continue;

                if ( !is_dir(CPO_BASEDIR.$directory2) ) continue;

                $files = $directory2."/.template"; // FIXME FIXME looking for a .template-file???
                $exist = is_file($files);
                if ( $exist == '1' ) {
                    $anzahl++;
                    $temp[$anzahl] = $directory2;
                }
            }
            $d->close();            

            $standard_template                  = $temp[1];
            $feld_edit_index                    = 0;
            $feld_edit_title                    = 1;
            $feld_edit_title_link               = 1;
            $feld_edit_title_target             = 1;
            $feld_title_more                    = 0;
            $feld_edit_utitle                   = 1;
            $feld_edit_utitle_link              = 1;
            $feld_edit_utitle_target            = 1;
            $feld_edit_text_1                   = 1;
            $feld_edit_weiter                   = 1;
            $feld_edit_text_2                   = 1;
            $feld_edit_text_3                   = 0;
            $feld_edit_bild                     = 1;
            $feld_edit_bild_link                = 1;
            $feld_edit_bild_target              = 1;
            $feld_edit_bild_desc                = 1;
            $feld_edit_link_1                   = 1;
            $feld_edit_link_target_1            = 1;
            $feld_edit_link_text_1              = 1;
            $feld_edit_link_2                   = 1;
            $feld_edit_link_target_2            = 1;
            $feld_edit_link_text_2              = 1;
            $feld_edit_link_3                   = 1;
            $feld_edit_link_target_3            = 1;
            $feld_edit_link_text_3              = 1;
            $feld_edit_autor                    = 0;
            $feld_edit_email                    = 0;
            $feld_edit_initial                  = 0;
            $feld_edit_datum                    = 0;
            $feld_index                         = 0;
            $feld_title                         = 1;
            $feld_title_link                    = 1;
            $feld_title_target                  = 1;
            $feld_utitle                        = 1;
            $feld_utitle_link                   = 1;
            $feld_utitle_target                 = 1;
            $feld_text_1                        = 1;
            $feld_weiter                        = 1;
            $feld_more_target                   = 0;
            $feld_text_2                        = 0;
            $feld_text_3                        = 0;
            $feld_bild                          = 0;
            $feld_bild_link                     = 0;
            $feld_bild_target                   = 0;
            $feld_bild_desc                     = 0;
            $feld_link_1                        = 0;
            $feld_link_target_1                 = 0;
            $feld_link_text_1                   = 0;
            $feld_link_2                        = 0;
            $feld_link_target_2                 = 0;
            $feld_link_text_2                   = 0;
            $feld_link_3                        = 0;
            $feld_link_target_3                 = 0;
            $feld_link_text_3                   = 0;
            $feld_autor                         = 0;
            $feld_email                         = 0;
            $feld_initial                       = 0;
            $feld_datum                         = 1;
            $feld_detail_index                  = 0;
            $feld_detail_title                  = 1;
            $feld_detail_title_link             = 1;
            $feld_detail_title_target           = 1;
            $feld_detail_utitle                 = 1;
            $feld_detail_utitle_link            = 1;
            $feld_detail_utitle_target          = 1;
            $feld_detail_text_1                 = 0;
            $feld_detail_text_2                 = 1;
            $feld_detail_text_3                 = 0;
            $feld_detail_bild                   = 1;
            $feld_detail_bild_link              = 1;
            $feld_detail_bild_target            = 1;
            $feld_detail_bild_desc              = 1;
            $feld_detail_link_1                 = 1;
            $feld_detail_link_target_1          = 1;
            $feld_detail_link_text_1            = 1;
            $feld_detail_link_2                 = 1;
            $feld_detail_link_target_2          = 1;
            $feld_detail_link_text_2            = 1;
            $feld_detail_link_3                 = 1;
            $feld_detail_link_target_3          = 1;
            $feld_detail_link_text_3            = 1;
            $feld_detail_autor                  = 0;
            $feld_detail_email                  = 0;
            $feld_detail_initial                = 0;
            $feld_detail_datum                  = 1;
            $feld_edit_file                     = 1;
            $feld_file                          = 1;
            $feld_detail_file                   = 1;
            $feld_edit_file_desc                = 1;
            $feld_file_desc                     = 1;
            $feld_detail_file_desc              = 1;
            $feld_file_prolog                   = 1;
            $feld_formdatum                     = "d.m.Y H:i";
            $editor                             = 1;
            $edit_bold                          = 1;
            $edit_italic                        = 1;
            $edit_underline                     = 1;
            $edit_hr                            = 1;
            $edit_justify                       = 1;
            $edit_indent                        = 1;
            $edit_list                          = 1;
            $edit_color                         = 1;
            $edit_fontface                      = 1;
            $edit_fontsize                      = 1;
            $edit_pic                           = 1;
            $edit_link                          = 1;
            $edit_specialchars                  = 1;
            $edit_snippet                       = 1;
            $edit_htmlmode                      = 1;
            $switch                             = 1;
            $separate                           = 0;
            $separate_text                      = "";
            $sep_window                         = 0;
            $archiv                             = 1;
            $archiv_text                        = $LP_Archiv;
            $archiv_header                      = $LP_Archiv;
            $search                             = 1;

        }

    $name               = ereg_replace ( '\"', '&quot;', $name );
    $separate_text      = ereg_replace ( '\"', '&quot;', $separate_text );
    $header             = ereg_replace ( '\"', '&quot;', $header );
    $nodata             = ereg_replace ( '\"', '&quot;', $nodata );
    $art_number         = ereg_replace ( '\"', '&quot;', $art_number );
    $archiv_text        = ereg_replace ( '\"', '&quot;', $archiv_text );
    $feld_formdatum     = ereg_replace ( '\"', '&quot;', $feld_formdatum );
?>
