<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: parser.php,v 1.1.1.1.2.8 2004/01/19 16:45:13 balu Exp $
if (!defined('CPO')) exit;

    $placeholder = array("ID", "Index", "Title", "Subtitle", "Image",
                         "ImageWidth", "File", "Text1", "Text2", "Text3",
                         "More", "Back", "Link1", "Link2", "Link3", "Author",
                         "Initial", "Date");

    $patterns = array();
    $replaces = array();

    $patterns["img"] = "'<%IMG (.*?)%>'si";
    $replaces["img"] = "<IMG $1>";
    $patterns["a"] = "'<%A (.*?)%>'si";
    $replaces["a"] = "<A $1>";
    
    // add patterns & replaces for tags: cpXXXX
    foreach ($placeholder as $i){
        $patterns["cp".$i] = "'<%cp$i%>'si";
        $replaces["cp".$i] = $cpContent[$i];
        $patterns["cp".$i."_"] = "'<%cp$i_%>'si";
        $replaces["cp".$i."_"] = $cpContent[$i]."<br>";
        $patterns["cp".$i."__"] = "'<%cp$i__%>'si";
        $replaces["cp".$i."__"] = $cpContent[$i]."<br><br>";
    }

    // replace $ with \$ in replaces-Array to avoid backreferences...
    $replaces = preg_replace('/\$/', '\\\$', $replaces);

    // add patterns & replaces for tags: ifXXXX and /ifXXXX
    foreach ($placeholder as $i){
        $patterns["if".$i] = "'<%if".$i."%>(.*?)<%/if".$i."%>'si";
        if (empty($cpContent[$i])) // empty: remove tags and content
            $replaces["if".$i] = "";
        else                       // value set: remove tags, but not content
            $replaces["if".$i] = "$1";
    }

    // do the magic pattern matching
    $template_datei = preg_replace($patterns, $replaces, $template_datei);
    
    // Entfernt alle 'target=0' aus dem Output-String 
    // FIXME Why?
    $template_datei = ereg_replace ( "target=\"0\"", "", $template_datei);
    $template_datei = ereg_replace ( "target=0", "", $template_datei);
?>
