<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: select_db.php,v 1.1.1.1.2.8 2004/02/06 09:08:39 balu Exp $
if (!defined('CPO')) exit;

// make sure you also modify the database queries in the files where this file
// is included! (those include:)
// 		./_include/article.php
// 		./_include/.select_db.php.swp
// 		./_includesite/i_archive.php
// 		./_includesite/i_detail.php
// 		./_includesite/i_index.php
// 		./_includesite/i_index_js.php
// 		./_includesite/i_index_php.php
// 		./_includesite/i_preview.php
// 		./_includesite/i_show_index.php

    $db_html_1              = $db->v("html_1");
    $db_html_2              = $db->v("html_2");
    $db_html_3              = $db->v("html_3");
    
    $db_template            = $db->v("template");
    $db_nr                  = $db->v("nr");
    $db_idx                 = $db->v("idx");
    $db_mehr                = $db->v("mehr");
    $db_more_target         = $db->v("more_target");
    $db_email               = $db->v("email");
    $db_autor               = $db->v("autor");
    
    $db_pub_datum           = $db->v("pub_datum");
    
    $db_titel               = $db->v("titel");
    $db_titel_link          = $db->v("titel_link");
    $db_titel_target        = $db->v("titel_target");
    $db_titel_link          = $db->v("titel_link");
    
    $db_untertitel          = $db->v("untertitel");
    $db_untertitel_link     = $db->v("untertitel_link");
    $db_untertitel_target   = $db->v("untertitel_target");
    $db_untertitel_link     = $db->v("untertitel_link");
    
    $db_initial             = $db->v("initial");
    $db_bild                = $db->v("bild");
    $db_bild_link           = $db->v("bild_link");
    $db_bild_target         = $db->v("bild_target");
    
    $db_datei_name          = $db->v("datei_name");
    $db_datei_prolog        = $db->v("datei_prolog");
    $db_datei_desc          = $db->v("datei_desc");
    
    $db_text_1_target       = $db->v("text_1_target");
    $db_text_1              = $db->v("text_1");
    $output_text_1          = $db_text_1;
    
    $db_text_2_target       = $db->v("text_2_target");
    $db_text_2              = $db->v("text_2");
    $output_text_2          = $db_text_2;
    
    $db_text_3_target       = $db->v("text_3_target");
    $db_text_3              = $db->v("text_3");
    $output_text_3          = $db_text_3;
    
    $db_link_1              = $db->v("link_1");
    $db_link_text_1         = $db->v("link_text_1");
    $db_link_target_1       = $db->v("link_target_1");
    
    $db_link_2              = $db->v("link_2");
    $db_link_text_2         = $db->v("link_text_2");
    $db_link_target_2       = $db->v("link_target_2");
    
    $db_link_3              = $db->v("link_3");
    $db_link_text_3         = $db->v("link_text_3");
    $db_link_target_3       = $db->v("link_target_3");
    
    $db_freigabe            = $db->v("freigabe");
    
    // FIXME is this needed?
    if ( $db_html_1 == 1 )  
    {
        $output_text_1 = ereg_replace ( "&gt;", ">", $output_text_1);
        $output_text_1 = ereg_replace ( "&lt;", "<", $output_text_1);
        $output_text_1 = ereg_replace ( "&quot;", "\"", $output_text_1);
    }
    
    if ( $db_html_2 == 1 )  
    {
        $output_text_2 = ereg_replace ( "&gt;", ">", $output_text_2);
        $output_text_2 = ereg_replace ( "&lt;", "<", $output_text_2);
        $output_text_2 = ereg_replace ( "&quot;", "\"", $output_text_2);
    }
    
    if ( $db_html_3 == 1 )  
    {
        $output_text_3 = ereg_replace ( "&gt;", ">", $output_text_3);
        $output_text_3 = ereg_replace ( "&lt;", "<", $output_text_3);
        $output_text_3 = ereg_replace ( "&quot;", "\"", $output_text_3);
    }
    
?>
