<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: statistics.php,v 1.1.1.1.2.6 2003/10/28 09:46:09 balu Exp $
if (!defined('CPO')) exit;

    // -- User
    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_user WHERE admin = 0";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query);
    $db->next_record();
    $cpo_counter_member = $db->v('COUNT(*)');

    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_user WHERE admin = 1";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db->query($query);
    $db->next_record();
    $cpo_counter_redakteur = $db->v('COUNT(*)');

    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_user WHERE admin = 2";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db->query($query);
    $db->next_record();
    $cpo_counter_chefredakteur = $db->v('COUNT(*)');

    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_user WHERE admin = 3";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db->query($query);
    $db->next_record();
    $cpo_counter_superuser = $db->v('COUNT(*)');

    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_user WHERE admin = 4";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db->query($query);
    $db->next_record();
    $cpo_counter_administor = $db->v('COUNT(*)');

    $cpo_counter_gesamt = $cpo_counter_member + $cpo_counter_redakteur + $cpo_counter_chefredakteur + $cpo_counter_superuser + $cpo_counter_administor;

    // -- Usergroup
    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_usergroups";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db->query($query);
    $db->next_record();
    $cpo_counter_usergroups = $db->v('COUNT(*)');

    $counter_free   = 0;
    $counter_block  = 0;
    $counter_wait   = 0;
    $counter_reject = 0;
 
    $query = "SELECT id, rubrik, header, name FROM ".$dbPrefix."_rubric";
    DEBUG(1, $query, __FILE__, __LINE__);   
    $db_2 = new DB;
    $db_2->query($query);

    //$id         = $db_2->v("id"); This is not returned from the query...
    $id         = 0;
    $kategorie  = $kategorie;
    $header     = $kategorie;
    $name       = "<i>".$kategorie."</i> <span class=\"new\">".$LP_Neu."</span>";
    $Rubric_new = 1;
    if ($db_2->num_rows()>0) { 
        $db_2->next_record();
        $id         = $db_2->v("id");
        $kategorie  = $db_2->v("rubrik");
        $header     = $db_2->v("header");
        $name       = $db_2->v("name");
        $Rubric_new = 0;
    } 
    
    if ( $name == '' || $name == ' ' ) {
        $name = $kategorie;
    } 

    $jetzt = time();                          

    $name = ucfirst($name); 

    if ( $System_release == 1 ) {
        $query1 = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE artikel_archiv = 0 AND freigabe = 0";
        DEBUG(1, $query1, __FILE__, __LINE__);
        $db_2 = new DB;
        $db_2->query($query1);
        $db_2->next_record();
        if ( $db_2->v('COUNT(*)') != 0 ) {
            $counter_free = $counter_free + $db_2->v('COUNT(*)');
        } 
    } else {
        $query1 = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE artikel_archiv = 0 AND ( freigabe = 0 OR freigabe = 1 OR freigabe = 3 )";
        DEBUG(1, $query1, __FILE__, __LINE__);
        $db_2 = new DB;
        $db_2->query($query1);
        $db_2->next_record();
        if ( $db_2->v('COUNT(*)') != 0 ) {
            $counter_free = $counter_free + $db_2->v('COUNT(*)');
        } 
    } 
    
    $query1 = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE artikel_archiv = 0 AND freigabe = 2";
    DEBUG(1, $query1, __FILE__, __LINE__);
    $db_2 = new DB;
    $db_2->query($query1);
    $db_2->next_record();
    if ( $db_2->num_rows() != 0 ) {
        $freigabe_OK = 1;
        $counter_block = $counter_block + $db_2->v('COUNT(*)');
    } 

    if ( $System_release == 1 ) {
        $query1 = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE artikel_archiv = 0 AND freigabe = 1";
        DEBUG(1, $query1, __FILE__, __LINE__);
        $db_2 = new DB;
        $db_2->query($query1);
        $db_2->next_record();
        if ( $db_2->v('COUNT(*)') != 0 ) {
            $freigabe_OK = 1;
            $counter_wait = $counter_wait + $db_2->v('COUNT(*)');
        }

        $query1 = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE artikel_archiv = 0 AND freigabe = 3";
        DEBUG(1, $query1, __FILE__, __LINE__);
        $db_2 = new DB;
        $db_2->query($query1);
        $db_2->next_record();
        if ( $db_2->v('COUNT(*)') != 0 ) {
            $freigabe_OK = 1;
            $counter_reject = $counter_reject + $db_2->v('COUNT(*)');
        } 
    }

        
    $d = dir("..");
    $cpo_counter_rubrik = 0;
    while( $directory=$d->read() ) {
        if ($directory=="." || $directory=="..") continue;
        if ((!is_readable(CPO_BASEDIR.$directory)) || (!is_dir(CPO_BASEDIR.$directory))) continue;

        $files = CPO_BASEDIR.$directory."/news.cpo";
        $exist = file_exists($files);
        if (!$exist) continue;

        $file_exist = is_file($files);
        if ( !$file_exist ) continue;

        $dir_group[$cpo_counter_rubrik] = $directory;
        $cpo_counter_rubrik++;
    }


    $d = dir("..");
    $cpo_counter_modul = 0;
    $cpo_string_modul = '';
    while( $directory=$d->read() ) 
    {
        if ($directory=="." || $directory=="..") continue;

        if ((!is_readable(CPO_BASEDIR.$directory)) || (!is_dir(CPO_BASEDIR.$directory))) continue;

        $files = CPO_BASEDIR.$directory."/modul.cpo";
        $exist = file_exists($files);
        if ( !$exist ) continue;

        $file_exist = is_file($files);
        if ( !$file_exist ) continue;

        $dir_group[$cpo_counter_modul] = $directory;
        $cpo_counter_modul++;
        $cpo_string_modul .= $dir_group[$cpo_counter_modul-1]."<br>\n";
    }

    // -- geloeschte Artikel
    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE artikel_archiv = 9";
    DEBUG(1, $query, __FILE__, __LINE__);
    $db->query($query);
    $db->next_record();
    $cpo_counter_delArticle = $db->v('COUNT(*)');

    // --  bearbeitete Artikel
    $jetzt      = time();
    $myear  = date("Y");
    $mmonth = date("m");
    if ( date("m")-1 <= '0') {
        $myear = date("Y")-1;
        $mmonth = '12';
    } 

    $midnight   = mktime(0,0,0,date("m"),date ("d"),date("Y"));
    $month      = mktime(0,0,0,date("m"),1,date("Y"));
    $lastmonth  = mktime(0,0,0,date("m")-1,1,$myear);
    $year       = mktime(0,0,0,1,1,date("Y"));
    $lastyear   = mktime(0,0,0,1,1,date("Y")-1);
    $anzahl_tage_seit_sonntag = date("w");
    $week = $midnight - ($anzahl_tage_seit_sonntag+1)*86400+(86400*2);

    $day = "86400"; // 24 Stunden
    $today = $midnight;             // today
    $yesterday = $midnight-$day;   // yesterday
    $lastweek = $week-(86400*7);
    
    // Today
    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_news "
            ."WHERE artikel_archiv < 2 AND ( ( datum > '".($today)."' AND (last_modify = '0' ) OR ( last_modify > '".($today)."' )) )";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db->query($query);
    $db->next_record();
    $cpo_counter_ArticleWeek = $db->v('COUNT(*)');

    // Month
    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE artikel_archiv < 2 AND ( ( datum > '".($month)."' AND (last_modify = '0' ) OR ( last_modify > '".($month)."' )) )";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db->query($query);
    $db->next_record();
    $cpo_counter_ArticleMonth = $db->v('COUNT(*)');

    // Year
    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE artikel_archiv < 2 AND ( ( datum > '".($year)."' AND (last_modify = '0' ) OR ( last_modify > '".($year)."' )) )";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db->query($query);
    $db->next_record();
    $cpo_counter_ArticleYear = $db->v('COUNT(*)');

    // this Week
    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE artikel_archiv < 2 AND ( ( datum > '".($week)."' AND (last_modify = '0' ) OR ( last_modify > '".($week)."' )) )";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db->query($query);
    $db->next_record();
    $cpo_counter_ArticleToday = $db->v('COUNT(*)');

    // Yesterday
    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE artikel_archiv < 2 AND ( ( datum < '".($today)."' AND datum > '".($yesterday)."' AND (last_modify = '0' ) OR ( last_modify < '".($today)."' AND last_modify > '".($yesterday)."' )) )";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db->query($query);
    $db->next_record();
    $cpo_counter_ArticleYesterday = $db->v('COUNT(*)');

    // last Week
    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE artikel_archiv < 2 AND ( ( datum < '".($week)."' AND datum > '".($lastweek)."' AND (last_modify = '0' ) OR ( last_modify < '".($week)."' AND last_modify > '".($lastweek)."' )) )";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db->query($query);
    $db->next_record();
    $cpo_counter_ArticleLastWeek = $db->v('COUNT(*)');

    // last Week
    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE artikel_archiv < 2 AND ( ( datum < '".($month)."' AND datum > '".($lastmonth)."' AND (last_modify = '0' ) OR ( last_modify < '".($month)."' AND last_modify > '".($lastmonth)."' )) )";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db->query($query);
    $db->next_record();
    $cpo_counter_ArticleLastMonth = $db->v('COUNT(*)');

    // last Year
    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE artikel_archiv < 2 AND ( ( datum < '".($year)."' AND datum > '".($lastyear)."' AND (last_modify = '0' ) OR ( last_modify < '".($year)."' AND last_modify > '".($lastyear)."' )) )";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db->query($query);
    $db->next_record();
    $cpo_counter_ArticleLastYear = $db->v('COUNT(*)');

    // Offline
    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE artikel_archiv < 2 AND pub_datum > '".$jetzt."'";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db->query($query);
    $db->next_record();
    $cpo_counter_ArticleOffline = $db->v('COUNT(*)');

    // Online
    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE artikel_archiv < 2 AND pub_datum < '".$jetzt."' AND verfallsdatum > '".$jetzt."'";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db->query($query);
    $db->next_record();
    $cpo_counter_ArticleOnline = $db->num_rows();

    // Archiv
    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE artikel_archiv < 2 AND verfallsdatum < '".$jetzt."'";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db->query($query);
    $db->next_record();
    $cpo_counter_ArticleArchiv = $db->num_rows();


    // UserArtikel
    $stringUserArtikel = '';
    $query = "SELECT user, name FROM ".$dbPrefix."_user WHERE admin > 0 ORDER BY name";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db->query($query);

    if ($db->num_rows()>0) {
        $stringUserArtikel .= "<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\">";
        while($db->next_record()):
            $user = $db->v("user");
            $name = $db->v("name");

            $query = "SELECT COUNT(*) FROM ".$dbPrefix."_news "
                    ."WHERE artikel_archiv < 2 AND changer = '".$user."' AND ( ( datum > '1' AND (last_modify = '0' ) OR ( last_modify > '1' )) )";
            DEBUG(2, $query, __FILE__, __LINE__);
            $db2 = new DB;
            $db2->query($query);
            $db2->next_record();
            $cpo_counter_ArticleUser = $db2->v('COUNT(*)');
            
            $stringUserArtikel .= "<tr><td nowrap align=\"right\" class=\"text\"><b>".$cpo_counter_ArticleUser."</b></td><td nowrap class=\"text\">&nbsp;- ".$name."<br></td></tr>";
        endwhile;
        $stringUserArtikel .= "</table>";
    }
    
    // TempArtikel
    $stringTempArtikel = '';
    $query = "SELECT template, name FROM ".$dbPrefix."_templates ORDER BY name";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db->query($query);

    if ($db->num_rows()>0) {
        $stringTempArtikel .= "<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\">";
        while($db->next_record()):
            $template = $db->v("template");
            $name = $db->v("name");

            $query = "SELECT COUNT(*) FROM ".$dbPrefix."_news "
                    ."WHERE artikel_archiv < 2 AND template = '".$template."' AND ( ( datum > '1' AND (last_modify = '0' ) OR ( last_modify > '1' )) )";
            DEBUG(2, $query, __FILE__, __LINE__);
            $db2 = new DB;
            $db2->query($query);
            $db2->next_record();
            $cpo_counter_ArticleTemp = $db2->v('COUNT(*)');
            
            $stringTempArtikel .= "<tr><td nowrap align=\"right\" class=\"text\"><b>".$cpo_counter_ArticleTemp."</b></td><td nowrap class=\"text\">&nbsp;- ".$name."<br></td></tr>";

        endwhile;
        $stringTempArtikel .= "</table>";
    }

    // TempArtikel
    $stringRubricArtikel = '';
    $query = "SELECT rubrik, name FROM ".$dbPrefix."_rubric WHERE rubrik NOT LIKE '#%' AND rubrik != '' ORDER BY name";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db->query($query);

    if ($db->num_rows()>0) {
        while($db->next_record()):
            $rubrik = $db->v("rubrik");
            $name = $db->v("name");

            $query = "SELECT index_site, detail_site, archive_site FROM ".$dbPrefix."_statistics "
                    ."WHERE kategorie = '".$rubrik."'";
            DEBUG(2, $query, __FILE__, __LINE__);
            $db2 = new DB;
            $db2->query($query);

            if ($db2->num_rows()<=0) continue;

            $db2->next_record();
            $index_site     = $db2->v("index_site");
            $detail_site    = $db2->v("detail_site");
            $archive_site   = $db2->v("archive_site");

            $stringRubricHits = ""; 

            $stringRubricHits .= "<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\"><tr>\n";
            $stringRubricHits .= "<td nowrap class=\"text\">".$LP_StatisticIndex.":&nbsp;</td><td width=\"50\" align=\"right\" class=\"text\"><b>".$index_site."</b></td>\n";
            $stringRubricHits .= "<td nowrap class=\"text\">&nbsp; &nbsp; &nbsp;".$LP_StatisticArchive.":&nbsp;</td><td width=\"50\" align=\"right\" class=\"text\"><b>".$archive_site."</b></td>\n";
            $stringRubricHits .= "<td nowrap class=\"text\">&nbsp; &nbsp; &nbsp;".$LP_StatisticDetail.":&nbsp;</td><td width=\"50\" align=\"right\" class=\"text\"><b>".$detail_site."</b></td>\n";
            $stringRubricHits .= "</tr></table>\n";

            $stringRubricArtikel .= "<tr><td bgcolor=\"".$color_tbg_hell."\" align=\"left\" class=\"text\" valign=\"middle\">".$name.":</td><td bgcolor=\"".$color_data_hell."\" class=\"text\" valign=\"middle\">".$stringRubricHits."</td></tr>\n";
        endwhile;
    }
    


?>
    <table width="<?php echo $WIDTH; ?>" border="0" cellpadding="3" cellspacing="2">
        <tr bgcolor="<?php echo $color_tbg_dunkel; ?>"><td align="left" class="text" colspan="2"><b><?PHP echo $LP_StatisticRubric ?></b><?PHP help("ST001"); ?></td></tr>
        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text"><?PHP echo $LP_StatisticRubricCount ?>:</td><td width="70%" bgcolor="<?PHP echo $color_data_hell ?>" class="text"><b><?PHP echo $cpo_counter_rubrik ?></b></td></tr>
        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text"><?PHP echo $LP_StatisticModulCount ?>:</td><td bgcolor="<?PHP echo $color_data_hell ?>" class="text"><b><?PHP echo $cpo_counter_modul ?></b></td></tr>
        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text" valign="top"><?PHP echo $LP_StatisticModul ?>:</td><td bgcolor="<?PHP echo $color_data_hell ?>" class="text"><b><?PHP echo $cpo_string_modul ?></b></td></tr>

        <tr><td align="left" class="text" height="27" colspan="2"><br></td></tr>
        
        <tr bgcolor="<?php echo $color_tbg_dunkel; ?>"><td align="left" class="text" colspan="2"><b><?PHP echo $LP_H_UserAdmin ?></b><?PHP help("ST002"); ?></td></tr>
        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text" valign="top"><?PHP echo  $LP_StatisticUser?>:</td><td bgcolor="<?PHP echo $color_data_hell ?>" class="text">
            <table cellpadding="0" cellspacing="0" border="0">
            <?PHP
                echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$cpo_counter_member."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_Admin_0."<br></td></tr>\n";
                echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$cpo_counter_redakteur."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_Admin_1."<br></td></tr>\n";
                echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$cpo_counter_chefredakteur."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_Admin_2."<br></td></tr>\n";
                echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$cpo_counter_superuser."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_Admin_3."<br></td></tr>\n";
                echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$cpo_counter_administor."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_Admin_4."<br></td></tr>\n";
            ?>
            </table>
        </td></tr>
        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text"><?PHP echo $LP_StatisticUserGesamt ?>:</td><td bgcolor="<?PHP echo $color_data_hell ?>" class="text"><b><?PHP echo $cpo_counter_gesamt ?></b></td></tr>
        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text"><?PHP echo $LP_StatisticUsergroups ?>:</td><td bgcolor="<?PHP echo $color_data_hell ?>" class="text"><b><?PHP echo $cpo_counter_usergroups ?></b></td></tr>

        <tr><td align="left" class="text" height="27" colspan="2"><br></td></tr>

        <tr bgcolor="<?php echo $color_tbg_dunkel; ?>"><td align="left" class="text" colspan="2"><b><?PHP echo $LP_StatisticContent ?></b><?PHP help("ST003"); ?></td></tr>
        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text" valign="top"><?PHP echo $LP_StatisticArticle ?>:</td><td bgcolor="<?PHP echo $color_data_hell ?>" class="text">
            <table cellpadding="0" cellspacing="0" border="0">
            <?PHP
                echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$counter_free."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_StatisticArticleFree."<br></td></tr>\n";
                echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$counter_block."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_StatisticArticleBlock."<br></td></tr>\n";
                if ( $System_release == 1 ) 
                {
                    echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$counter_wait."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_StatisticArticleWait."<br></td></tr>\n";
                    echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$counter_reject."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_StatisticArticleReject."<br></td></tr>\n";
                }
                echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$cpo_counter_delArticle."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_StatisticArticleDelete."<br></td></tr>\n";
            ?>
            </table>
        </td></tr>
        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text" valign="top"><?PHP echo $LP_StatisticArticleUserCount ?>:</td><td bgcolor="<?PHP echo $color_data_hell ?>" class="text">
            <table cellpadding="0" cellspacing="0" border="0">
            <?PHP
                echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$cpo_counter_ArticleToday."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_StatisticArticleToday."<br></td></tr>\n";
                echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$cpo_counter_ArticleYesterday."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_StatisticArticleYesterday."<br></td></tr>\n";
                echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$cpo_counter_ArticleWeek."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_StatisticArticleWeek."<br></td></tr>\n";
                echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$cpo_counter_ArticleLastWeek."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_StatisticArticleLastWeek."<br></td></tr>\n";
                echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$cpo_counter_ArticleMonth."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_StatisticArticleMonth."<br></td></tr>\n";
                echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$cpo_counter_ArticleLastMonth."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_StatisticArticleLastMonth."<br></td></tr>\n";
                echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$cpo_counter_ArticleYear."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_StatisticArticleYear."<br></td></tr>\n";
                echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$cpo_counter_ArticleLastYear."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_StatisticArticleLastYear."<br></td></tr>\n";
            ?>
            </table>
        </td></tr>
        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text" valign="top"><?PHP echo $LP_StatisticPeriod ?>:</td><td bgcolor="<?PHP echo $color_data_hell ?>" class="text">
            <table cellpadding="0" cellspacing="0" border="0">
            <?PHP
                echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$cpo_counter_ArticleOffline."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_StatisticArticleOffline."<br></td></tr>\n";
                echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$cpo_counter_ArticleOnline."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_StatisticArticleOnline."<br></td></tr>\n";
                echo "<tr><td nowrap align=\"right\" class=\"text\"><b>".$cpo_counter_ArticleArchiv."</b></td><td nowrap class=\"text\">&nbsp;- ".$LP_StatisticArticleArchiv."<br></td></tr>\n";
            ?>
            </table>
        </td></tr>
        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text" valign="top"><?PHP echo $LP_StatisticArticleUser ?>:</td><td bgcolor="<?PHP echo $color_data_hell ?>" class="text"><?PHP echo $stringUserArtikel; ?></td></tr>

        <tr><td align="left" class="text" height="27" colspan="2"><br></td></tr>

        <tr bgcolor="<?php echo $color_tbg_dunkel; ?>"><td align="left" class="text" colspan="2"><b><?PHP echo $LPTL_Templates; ?></b><?PHP help("ST004"); ?></td></tr>
        <tr><td bgcolor="<?PHP echo $color_tbg_hell ?>" align="left" class="text" valign="top"><?PHP echo $LPTL_Templates; ?>:</td><td bgcolor="<?PHP echo $color_data_hell ?>" class="text"><?PHP echo $stringTempArtikel; ?></td></tr>

        <tr><td align="left" class="text" height="27" colspan="2"><br></td></tr>

        <tr bgcolor="<?php echo $color_tbg_dunkel; ?>"><td align="left" class="text" colspan="2"><b><?PHP echo $LP_StatisticHits ?></b><?PHP help("ST005"); ?></td></tr>
            <?PHP echo $stringRubricArtikel; ?>
    </table>

