<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: system_const.php,v 1.1.1.1.2.7 2004/02/25 12:00:00 balu Exp $
if (!defined('CPO')) exit;

    $query = "SELECT project, release, release_email, system_email, admin_email, timeout, max_image, max_file, article_width, language, base_url, send_pw, help, startnews, ipcheck, lkey, owner, target "
            ."FROM ".$dbPrefix."_option WHERE id != ''";
    DEBUG(2, $query, __FILE__, __LINE__);   
    $db = new DB;
    $db->query($query);

    if ($db->num_rows()>0) { // FIXME display a warning if more than one setting was found?
        $db->next_record();
        $System_project        = $db->v("project");
        $System_release        = $db->v("release");
        $System_release_email  = $db->v("release_email");
        $System_system_email   = $db->v("system_email");
        $System_admin_email    = $db->v("admin_email");
        $System_timeout        = $db->v("timeout");
        $System_max_image      = $db->v("max_image");
        $System_max_file       = $db->v("max_file");
        $System_article_width  = $db->v("article_width");
        $lang                  = $db->v("language");
        $System_base_url       = $db->v("base_url");
        $System_send_pw        = $db->v("send_pw");
        $System_Help           = $db->v("help");
        $System_Startnews      = $db->v("startnews");
        $System_IPCheck        = $db->v("ipcheck");
        $System_lkey           = $db->v("lkey");
        $System_owner          = $db->v("owner");
        $System_target         = $db->v("target");
    } else {
        $System_project         = 'ConPresso';
        $System_release         = 0;
        $System_release_email   = 0;
        $System_system_email    = 'MAILER@example.com';
        $System_admin_email     = 'ADMIN@example.com';
        $System_timeout         = '1440';
        $System_max_image       = '150000';
        $System_max_file        = '2000000';
        $System_article_width   = '100%';
        $lang                   = 'deutsch';
        $System_base_url        = 'NO_BASE-URL';
        $System_send_pw         = 0;
        $System_Help            = 1;
        $System_Startnews       = 1;
        $System_IPCheck         = 1;
        $System_lkey            = '';
        $System_owner           = '';
        $System_target          = '';
    }
    
    if ( $_SESSION['SID_language'] != '' && $logout == '' ) {
        require(CPO_BASEDIR."_include/lang/".$_SESSION['SID_language'].".php");
    } else {
        require(CPO_BASEDIR."_include/lang/".$lang.".php");
    }

    require(CPO_BASEDIR."_include/log_language.php");

    $lkey64 = base64_decode($System_lkey);
    $a = explode("#",$lkey64);

    switch ($a[1]) {
        case 'com':
            $system_licence = "com";
            // print "1";
            break;
        case 'ncom':
            $system_licence = "ncom";
            // print "2";
            break;
        case 'trial':
            $system_licence = "trial";
            // print "2";
            break;
        default:
            $system_licence = "free";
            // print "3";
    }
    
    $conpresso          = $LP_ConPresso;
    $title              = $LP_ConPresso."  Content Management by Bartels.Sch&ouml;ne";
    $titlename          = "Con<i>Presso</i>";
    $copyright          = "Copyright &copy; 2000-2003";
    $webpubishing       = "Bartels.Sch&ouml;ne";
    $WIDTH              = "760";

    $butch              = "7776000";    

    $freigabe_email     = 1;

    $ns_margin_top      = 0;
    $ns_margin_left     = 0;

    // Farben
    $color_black        = "#000000";        # (#000000) Tabellenhintergrund: black

?>
