<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: tab_files.php,v 1.1.1.1.2.5 2003/10/14 20:23:26 balu Exp $
if (!defined('CPO')) exit;

if ( $pos == '' || $pos < '0')  {
    $pos = "0";
}

$query = "SELECT COUNT(*) FROM ".$dbPrefix."_data ";
if ( $directory == '_templates' ) {
    $query .= "WHERE ( kategorie = '".$directory."' ) ";
} else {
    $query .= "WHERE ( kategorie = '".$directory."' OR kategorie = '#ALL#' ) ";
}
$query .= "AND format = 'FILE'";
DEBUG(1, $query, __FILE__, __LINE__);   
$db = new DB;
$db->query($query);
$db->next_record();
$max_data = $db->v('COUNT(*)');

$query = "SELECT id, datei, datum, name, kategorie, beschreibung, TYPE, size FROM ".$dbPrefix."_data ";
if ( $directory == '_templates' ) {
    $query .= "WHERE ( kategorie = '".$directory."' ) ";
} else {
    $query .= "WHERE ( kategorie = '".$directory."' OR kategorie = '#ALL#' ) ";
}
$query .= "AND format = 'FILE' ORDER BY datum desc LIMIT ".$pos.",".$maxFiles."";
DEBUG(1, $query, __FILE__, __LINE__);   
$db->query($query);

if ($db->num_rows()<=0){ 
    $message = $LP_FileDelFailure;
    require(CPO_BASEDIR."_include/message.php");        
    return;
}

next_page($pos, $max_data, $maxFiles, 1, "directory=".$directory,"file_delete.php");

echo "<table width=\"".$WIDTH."\" border='0' cellpadding='3'  cellspacing='2'>\n";
echo "<tr bgcolor='".$color_tbg_dunkel."'><td width='35' align='center' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b>".$LP_FileDelID."</b></td><td align=\"left\" valign=\"middle\" class=\"text\">\n";
help("DA011");
echo "</td></tr></table></td><td width='33%' align='left' valign='top' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b>".$LP_FileDelDate."</b></td><td align=\"left\" valign=\"middle\" class=\"text\">\n";
help("DA012");
echo "</td></tr></table></td><td width='33%' align='left' valign='top' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b>".$LP_FileDelFile."</b></td><td align=\"left\" valign=\"middle\" class=\"text\">\n";
help("DA013");
echo "</td></tr></table></td><td width='34%' align='left' valign='top' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b>".$LP_FileDelAction."</b></td><td align=\"left\" valign=\"middle\" class=\"text\">\n";
help("DA014");
echo "</td></tr></table></td></tr>\n";
while($db->next_record()):

    $query = "SELECT artikel_archiv, titel, untertitel, nr FROM ".$dbPrefix."_news "
            ."WHERE kategorie = '".$directory."' AND ( datei_name = '".$db->v("id")."' OR text_1 LIKE '%".$db->v("datei")."%' OR text_2 LIKE '%".$db->v("datei")."%' OR text_3 LIKE '%".$db->v("datei")."%' ) ORDER BY artikel_archiv";
    DEBUG(2, $query, __FILE__, __LINE__);   
    $db_2 = new DB;
    $db_2->query($query);

    if ( $db_2->num_rows() <= 0 ) {
        echo "<tr bgcolor='".$color_data_hell."'><td bgcolor='".$color_green."' width='35' align='center' valign='top' class='text'>";
    } else {
        echo "<tr bgcolor='".$color_data_hell."'><td bgcolor='".$color_red."' width='35' align='center' valign='top' class='text'>";
    }

    if ( $db->v("id") != '' ) {
        $db->p("id");
    }

    echo "</td>\n<td align='left' valign='top' class='text'>";

    if ( $db->v("datum") != '' ) {
        $datum = date( "d.m.Y H:i", $db->v("datum") );
        echo $datum."<br>\n";  
    }

    if ( $db->v("name") != '' )  {
        echo "[".$db->v("name")."]<br>";
    }

    if ( $db->v("kategorie") != '#ALL#' AND $directory != '_templates' ) {
        echo "<br><b><span class=\"orangemini\">".$LP_FileUsedAllRubic."</span></b><br>";
        echo "<A HREF=\"file_delete.php?action=rubric&directory=".$directory."&pos=".$pos."&id=".$db->v("id")."\" class=\"al\">".$LP_FileUsedAllLink." &raquo;</A><br>";
    }
    
    echo "</td>\n";
    echo "<td nowarp align='left' valign='top' class='text'>";

    if ( $db->v("beschreibung") != '' ) {
        echo $db->v("beschreibung")."<br>";
    }

    if ( $db->v("datei") != '' ) {
       $FileDatei = substr($db->v("datei"), 0, 50);
        echo "<A HREF='../_data/".$db->v("datei")."' target='_blank'>".$FileDatei."</a><br>";
    } else {
        echo $LP_FileDelNoFile."<br>";
    }

    if ( $db->v("TYPE") != '' ) {
        echo $db->v("TYPE")." - ";
    }
    echo printHumanReadable($db->v("size"));

    echo "<br><A HREF='file_change.php?katego=".$directory."&directory=".$directory."&pos=".$pos."&nr=".$db->v("id")."&PicDatei=".$db->v("datei")."'>".$LP_PicDescChange."</A><br>\n";

    echo "</td>\n";
    echo "<td align='left' valign='top' class='text'>";

    if ($db_2->num_rows()<=0) {
        echo "<A HREF='file_delete.php?action=del&pos=".$pos."&katego=".$directory."&directory=".$directory."&nr=".$db->v("id")."&FileDatei=".$db->v("datei")."' onClick=\"return confirm('".$LP_DeleteReallyFile_3." [".$db->v("id")."] ".$LP_DeleteReallyFile_4."')\">".$LP_Delete."</A><br>\n";
    } else { 
        $i = 0;
        $lock = 0;
        $lock_version = 0;
        $lock_article = 0;
        
        echo "<table width=\"100%\" border=\"0\" cellpadding=\"1\" cellspacing=\"0\"><tr><td bgcolor=\"".$color_tbg_hell."\" class=\"text\">";

        while($db_2->next_record()):
            $artikel_archiv = $db_2->v("artikel_archiv");
            $titel          = $db_2->v("titel");
            $xtitel         = substr($titel, 0, 20);
            $untertitel     = $db_2->v("untertitel");
            $xuntertitel    = substr($untertitel, 0, 20);
            
            if ( $lock != '1' )  {
                echo "<span class='mini'>".$LP_FileDelInUse.":</span><br>\n";  
            }
            
            switch ($artikel_archiv) {
                case '1':
                    if ( $lock_version == 0 ) {
                        echo "- ".$LP_InUsed_1."<br>";
                        $lock_version = 1;
                    }
                    $lock = 1;
                    break;
                case '5':
                    if ( $lock_version == 0 ) {
                        echo "- ".$LP_InUsed_1."<br>";
                        $lock_version = 1;
                    }
                    $lock = 1;
                    break;
                case '9':
                    if ( $lock_version == 0 ) {
                        echo "- ".$LP_InUsed_2."<br>";
                        $lock_version = 1;
                    }
                    $lock = 1;
                    break;
                default:
                    if ( $titel == '') {
                        echo "- <A HREF='modify.php?katego=".$directory."&directory=".$directory."&nr=".$db_2->v("nr")."'>".$db_2->v("nr").": ".$xuntertitel."</A><br>\n";
                        $lock = '1';
                    } else {
                        echo "- <A HREF='modify.php?katego=".$directory."&directory=".$directory."&nr=".$db_2->v("nr")."'>".$db_2->v("nr").": ".$xtitel."</A><br>\n";
                        $lock = '1';
                    }
            }
        endwhile;
        
        echo "</td></tr></table>";

        if ( $_SESSION['SID_level'] >= 2 ) {
            echo "<br><nobr><A HREF='file_delete.php?action=del&pos=".$pos."&katego=".$directory."&directory=".$directory."&nr=".$db->v("id")."&FileDatei=".$db->v("datei")."' onClick=\"return confirm('".$LP_DeleteReallyFile_1." [".$db->v("id")."] ".$LP_DeleteReallyFile_2."')\">".$LP_FileDelete2."</A> ";
            help("DA020");
            echo "</nobr><br>\n";
        }
    }
    
    echo "</td></tr>\n";
endwhile;
echo "</table>\n\n";

next_page($pos,$max_data,$maxFiles,1,"directory=".$directory,"file_delete.php");
?>
