<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: tab_images.php,v 1.1.1.1.2.6 2003/10/14 20:23:26 balu Exp $
if (!defined('CPO')) exit;

if ( $pos == '' || $pos < '0')  {
    $pos = "0";
}

$query = "SELECT COUNT(*) FROM ".$dbPrefix."_data ";
if ( $directory == '_templates' ) {
    $query .= "WHERE ( kategorie = '".$directory."' ) ";
} else {
    $query .= "WHERE ( kategorie = '".$directory."' OR kategorie = '#ALL#' ) ";
}
$query .= "AND format = 'IMG'";
DEBUG(1, $query, __FILE__, __LINE__);   
$db = new DB;
$db->query($query);
$db->next_record();
$max_data = $db->v('COUNT(*)');

$query = "SELECT datei, id, datum, name, kategorie, beschreibung, alttext, TYPE, size "
        ."FROM ".$dbPrefix."_data ";
if ( $directory == '_templates' ) {
    $query .= "WHERE ( kategorie = '".$directory."' ) ";
} else {
    $query .= "WHERE ( kategorie = '".$directory."' OR kategorie = '#ALL#' ) ";
}
$query .= "AND format = 'IMG' ORDER BY datum desc LIMIT ".$pos.",".$maxImages."";
DEBUG(1, $query, __FILE__, __LINE__);   
$db->query($query);

if ($db->num_rows()<=0){ 
    $message = $LP_PicDelFailure;
    require(CPO_BASEDIR."_include/message.php");        
    return;
} 

next_page($pos, $max_data, $maxImages, 1, "directory=".$directory,"image_delete.php");

echo "<table width=\"".$WIDTH."\" border='0' cellpadding='3' cellspacing='2'>\n";
echo "<tr bgcolor='".$color_tbg_dunkel."'><td width='35' align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b>".$LP_PicDelID."</b></td><td align=\"left\" valign=\"middle\" class=\"text\">\n";
help("BA011");
echo "</td></tr></table></td><td width='24%' align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b><nobr>".$LP_PicDelDate." / ".$LP_Author."</nobr></b></td><td align=\"left\" valign=\"middle\" class=\"text\">\n";
help("BA012");
echo "</td></tr></table></td><td width='24%' align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b><nobr>".$LP_PicDelPic." / ".$LP_PicDelDesc."</nobr></b></td><td align=\"left\" valign=\"middle\" class=\"text\">\n";
help("BA013");
echo "</td></tr></table></td><td width='24%' align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b><nobr>".$LP_PicSize." / ".$LP_PicDelFile."</nobr></b></td><td align=\"left\" valign=\"middle\" class=\"text\">\n";
help("BA014");
echo "</td></tr></table></td><td width='24%' align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b><nobr>".$LP_PicDelAction."</nobr></b></td><td align=\"left\" valign=\"middle\" class=\"text\">\n";
help("BA015");
echo "</td></tr></table></td></tr>\n";
while($db->next_record()):

    // FIXME these check might give problems if two files like foobar.gif and bar.gif exist
    if ( $directory == '_template' || $katego == '_template' ) {
        $query = "SELECT name FROM ".$dbPrefix."_templates "
                ."WHERE tpl_first LIKE '%".$db->v("datei")."%' OR tpl_detail LIKE '%".$db->v("datei")."%' OR tpl_javascript LIKE '%".$db->v("datei")."%'";
    } else {
        $query = "SELECT artikel_archiv, titel, untertitel, nr FROM ".$dbPrefix."_news "
                ."WHERE kategorie = '".$directory."' AND ( bild = '".$db->v("id")."' OR text_1 LIKE '%".$db->v("datei")."%' OR text_2 LIKE '%".$db->v("datei")."%' OR text_3 LIKE '%".$db->v("datei")."%' ) ";
    }
    DEBUG(2, $query, __FILE__, __LINE__);   
    $db_2 = new DB;
    $db_2->query($query);
    $counter = $db_2->num_rows();

    if ( $counter <= 0 )  {
        echo "<tr bgcolor='".$color_data_hell."'><td bgcolor='".$color_green."' width='35' align='center' valign='top' class='text'>";
    } else {
        echo "<tr bgcolor='".$color_data_hell."'><td bgcolor='".$color_red."' width='35' align='center' valign='top' class='text'>";
    }

    if ( $db->v("id") != '' )  {
        $db->p("id");
    }

    echo "</td>\n<td align='left' valign='top' class='text'>";

    if ( $db->v("datum") != '' )  {
        $datum = date( "d.m.Y H:i", $db->v("datum") );
        echo $datum."<br>";
    }

    if ( $db->v("name") != '' )  {
        echo "[".$db->v("name")."]<br>";
    }

    if ( $db->v("kategorie") != '#ALL#' AND $directory != '_templates' ) {
        echo "<br><b><span class=\"orangemini\">".$LP_FileUsedAllRubic."</span></b><br>";
        echo "<A HREF=\"image_delete.php?action=rubric&pos=".$pos."&directory=".$directory."&id=".$db->v("id")."\" class=\"al\">".$LP_FileUsedAllLink." &raquo;</A><br>";
    }
    
    echo "</td>\n";
    echo "<td width='170' valign='top' align='left' class='text'>";

    if (file_exists(CPO_BASEDIR."_data/".$db->v("datei")) && is_readable(CPO_BASEDIR."_data/".$db->v("datei"))) {
        $size=getimagesize(CPO_BASEDIR."_data/".$db->v("datei"));
    } else {
        print('<font color="#ff0000"><b>'.$LP_FileTabImage.'</b></font><br>');
        $size = array(0, 0, 0, '');
    }

    $img_width   = $size[0];
    $img_height  = $size[1];

    // calculate preview height/width
    $percent = (100/$img_width*150);
    if ((100/$img_height*100) < $percent)
        $percent = (100/$img_height*100);
    if (($img_width < 150) && ($img_height < 100))
        $percent = 100;

    $img_width  = $img_width*$percent/100;
    $img_height = $img_height*$percent/100;

    $img_width = number_format($img_width, 0, "," ,".");
    $img_height = number_format($img_height, 0, "," ,".");
    
    if ( $db->v("beschreibung") != '' )  {
        $besch = substr($db->v("beschreibung"), 0, 35);
        echo $besch."<br>";
        echo '<img src="../_images/transparent.gif" width="1" height="3" alt="" border="0"><br>';
    } 

    if ( $db->v("datei") != '' )  {
        if ( $db->v("alttext") != '' ) {
            echo '<A HREF="../_data/'.htmlspecialchars($db->v('datei')).'" target="_blank"><img border="0" src="../_data/'.htmlspecialchars($db->v('datei')).'" width="'.htmlspecialchars($img_width).'" height="'.htmlspecialchars($img_height).'" alt="'.htmlspecialchars($db->v('alttext')).'"><br></a>';
        } else {
            echo '<A HREF="../_data/'.htmlspecialchars($db->v('datei')).'" target="_blank"><img border="0" src="../_data/'.htmlspecialchars($db->v('datei')).'" width="'.htmlspecialchars($img_width).'" height="'.htmlspecialchars($img_height).'"><br></a>';
        }
    } else {
        echo $LP_PicDelNoPic."<br>";
    }

    echo "<A HREF='image_change.php?katego=".$directory."&directory=".$directory."&pos=".$pos."&nr=".$db->v("id")."&PicDatei=".$db->v("datei")."'>".$LP_PicDescChange."</A><br>\n";

    echo "</td>\n";
    echo "<td width='170' valign='top' align='left' class='text'>";

    if ( $db->v("datei") != '' )  {
        $PicDatei = $db->v("datei");
        echo "<A HREF='../_data/".$db->v("datei")."' target='_blank'>".$PicDatei."</a><br>";
    }

    echo $size[0]."x".$size[1]." - ".$db->v("TYPE")."<br>\n";
    echo printHumanReadable($db->v("size"));

    echo "</td>\n";
    echo "<td width='150' valign='top' align='left' class='text'>";
    
    if ($db_2->num_rows()<=0) {
        echo "<A HREF='image_delete.php?action=del&pos=".$pos."&&katego=".$directory."&directory=".$directory."&nr=".$db->v("id")."&PicDatei=".$db->v("datei")."' onClick=\"return confirm('".$LP_DeleteReallyPic_3." [".$db->v("id")."] ".$LP_DeleteReallyPic_4."')\">".$LP_Delete."</A><br>\n";
    } else { 
        $i = 0;
        $lock = 0;
        $lock_version = 0;
        $lock_article = 0;

        echo "<table width=\"100%\" border=\"0\" cellpadding=\"1\" cellspacing=\"0\"><tr><td bgcolor=\"".$color_tbg_hell."\" class=\"text\">";
        
        while($db_2->next_record()):

            $artikel_archiv = $db_2->v("artikel_archiv");
            $titel          = $db_2->v("titel");
            $xtitel         = substr($titel, 0, 20);
            $untertitel     = $db_2->v("untertitel");
            $xuntertitel    = substr($untertitel, 0, 20);

            if ( $lock != 1 )  {
                echo "<span class='mini'><nobr>".$LP_PicDelInUse.":</nobr></span><br>\n";  
            }

            if ( $directory == '_template' || $katego == '_template' ) {
                    echo $LPTL_Template.": <b>".$db_2->v("name")."</b><br>\n";
                    $lock = 1;
            } else {

                switch ($artikel_archiv) {
                    case '1':
                        if ( $lock_version == 0 ) {
                            echo "- ".$LP_InUsed_1."<br>";
                            $lock_version = 1;
                        }
                        $lock = 1;
                        break;
                    case '5':
                        if ( $lock_version == 0 ) {
                            echo "- ".$LP_InUsed_1."<br>";
                            $lock_version = 1;
                        }
                        $lock = 1;
                        break;
                    case '9':
                        if ( $lock_version == 0 ) {
                            echo "- ".$LP_InUsed_2."<br>";
                            $lock_version = 1;
                        }
                        $lock = 1;
                        break;
                    default:
                        if ( $titel == '')  {
                            echo "- <A HREF='modify.php?katego=".$directory."&directory=".$directory."&nr=".$db_2->v("nr")."'>".$db_2->v("nr").": ".$xuntertitel."</A><br>\n";
                            $lock = '1';
                        } else {
                            echo "- <A HREF='modify.php?katego=".$directory."&directory=".$directory."&nr=".$db_2->v("nr")."'>".$db_2->v("nr").": ".$xtitel."</A><br>\n";
                            $lock = '1';
                        }
                }
            }
        endwhile;

        echo "</td></tr></table>";

        if ( $_SESSION['SID_level'] >= 2 ) {
            echo "<br><nobr><A HREF='image_delete.php?action=del&pos=".$pos."&katego=".$directory."&directory=".$directory."&nr=".$db->v("id")."&PicDatei=".$db->v("datei")."' onClick=\"return confirm('".$LP_DeleteReallyPic_1." [".$db->v("id")."] ".$LP_DeleteReallyPic_2."')\">".$LP_PicDelete2."</A> ";
            help("BA020");
            echo "</nobr><br>\n";
        }
    }
    echo "</td></tr>\n";
endwhile;
echo "</table>\n\n";

next_page($pos,$max_data,$maxImages,1,"directory=".$directory,"image_delete.php");
?>
