<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: tab_info.php,v 1.1.1.1.2.5 2003/10/14 20:23:26 balu Exp $
if (!defined('CPO')) exit;

$jetzt = time();
$query = "SELECT article_nr, auth, auth_backup, commentary, artikel_archiv, kategorie, search, template, titel, untertitel, datum, verfallsdatum, pub_datum, freigabe, freigabe_name, freigabe_datum, last_modify, changer, nr, text_1 "
        ."FROM ".$dbPrefix."_news WHERE nr = '".$nr."'";
DEBUG(2, $query, __FILE__, __LINE__);      
$db = new DB;
$db->query($query);
    
if ($db->num_rows()>0) {
    while($db->next_record()):
        $article_nr     = $db->v("article_nr");
        $auth           = $db->v("auth");
        $auth_backup    = $db->v("auth_backup");
        $commentary     = $db->v("commentary");
        $artikel_archiv = $db->v("artikel_archiv");
        $kategorie      = $db->v("kategorie");
        $search         = $db->v("search");
        $template       = $db->v("template");
        $titel          = $db->v("titel");
        $untertitel     = $db->v("untertitel");
        $datum          = $db->v("datum");
        $verfallsdatum  = $db->v("verfallsdatum");
        $pub_datum      = $db->v("pub_datum");
        $freigabe       = $db->v("freigabe");
        $freigabe_name  = $db->v("freigabe_name");
        $freigabe_datum = $db->v("freigabe_datum");
        $last_modify    = $db->v("last_modify");
        $last_modifyID  = $db->v("last_modify");
        $changer        = $db->v("changer");

        $datum          = date("d.m.Y - H:i:s", $datum);
        $last_modify    = date("d.m.Y - H:i:s", $last_modify);
        $freigabe_datum = date("d.m.Y - H:i:s", $freigabe_datum);
        $verfallsdatum  = date("d.m.Y - H:i", $verfallsdatum);
        $pub_datum      = date("d.m.Y - H:i", $pub_datum);

        echo "<table width=\"".$WIDTH."\" border='0' cellpadding='3' cellspacing='2'>\n";

        echo "<tr>";
        echo "<td colspan=\"5\" align='left' class='text'>";
        echo "<b>".$LP_AktuellerArtikel."</b>";
        echo "</td></tr>";

        echo "<tr bgcolor='".$color_tbg_dunkel."'>";
        echo "<td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LP_Versionsdatum."</b></td><td align='left' class='text'>";
        help("IN001");
        echo "</td></tr></table></td><td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LP_Status."</b></td><td align='left' class='text'>";
        help("IN002");
        echo "</td></tr></table></td><td width=\"50%\" align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LPR_Title."/".$LP_InRedakteur."</b></td><td align='left' class='text'>";
        help("IN003");
        echo "</td></tr></table></td><td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LPR_Info."</b></td><td align='left' class='text'>";
        help("IN003b");
        echo "</td></tr></table></td><td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LPR_Publication."</b></td><td align='left' class='text'>";
        help("IN004");
        echo "</td></tr></table></td><td width='80' align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LP_TModify."</b></td><td align='left' class='text'>";
        help("IN005");
        echo "</td></tr></table></td></tr>";

        if ( $artikel_archiv == 0 && $freigabe == 0 && $ok != 1 ) {
            echo "<tr bgcolor='".$color_green."'>";
            $ok = 1;
        } else {
            echo "<tr>";
        }

        # --- BEGIN --- Change --------------------------------------------
        echo "<td nowrap valign=\"top\" align='left' width=\"140\" class='text'>";
        if ( $db->v("last_modify") <= 0 ) {
            echo $datum;
        } else {
            echo $last_modify;
        }

        if ( $freigabe == 0 ) {
            echo "<br>";
            echo "<font color=\"".$color_green2."\">".$freigabe_datum."<br>";
            
            if ( $freigabe_name != $changer && $freigabe_name != '' ) {
                $freigabe_name = autor_name($freigabe_name);
                echo "[".$freigabe_name."]";
            }
            echo "</font>";
        }

        echo "</td>";
        # --- END --- Change --------------------------------------------

        # --- BEGIN --- Status --------------------------------------------
        echo "<td valign=\"top\" width='95' align='center' class='text'>";

        switch ($freigabe) {
            case 0: // freigegeben
                echo "<b>".$LP_R_free."</b><br>";
                echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                echo "<img src=\"../_skin/".$cpoSkin."/c_free.gif\" alt=\"".$LP_R_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                break;
            case 1: // warten
                if ( $System_release == 1 )
                {
                    echo "<b>".$LP_R_wait."</b><br>";
                    echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                    echo "<img src=\"../_skin/".$cpoSkin."/c_wait.gif\" alt=\"".$LP_R_wait."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                } else {
                    echo "<b>".$LP_R_free."</b><br>";
                    echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                    echo "<img src=\"../_skin/".$cpoSkin."/c_free.gif\" alt=\"".$LP_R_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                }
                break;
            case 2: // gesperrt
                echo "<b>".$LP_R_blocked."</b><br>";
                echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                echo "<img src=\"../_skin/".$cpoSkin."/c_block.gif\" alt=\"".$LP_R_blocked."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                break;
            case 3: // abgewiesen
                if ( $System_release == 1 )
                {
                    echo "<b>".$LP_R_cancel."</b><br>";
                    echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                    echo "<img src=\"../_skin/".$cpoSkin."/c_reject.gif\" alt=\"".$LP_R_cancel."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                } else {
                    echo "<b>".$LP_R_free."</b><br>";
                    echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                    echo "<img src=\"../_skin/".$cpoSkin."/c_free.gif\" alt=\"".$LP_R_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                }
                break;
        }

        echo "</td>";
        # --- END --- Status --------------------------------------------

        # --- BEGIN --- Autor --------------------------------------------
        echo "<td nowrap valign=\"top\" align='left' width=\"250\" class='text'>";

        if ( $db->v("titel") != '' ) {
            echo "<A HREF='../_content/show_index.php?nr=".$db->v("nr")."&directory=".$directory."&flag=archiv' target='_blank'>";
            
            $xtitel = substr($db->v("titel"), 0, 35);
            if ( strlen($db->v("titel")) > 35 ) {
                $xtitel.= "...";
            } 
            echo $xtitel."</A>\n";
        } else {
            if ( $db->v("untertitel") != '' ) {
                echo "<A HREF='../_content/show_index.php?nr=".$db->v("nr")."&directory=".$directory."&flag=archiv' target='_blank'>";
                $xuntertitel = substr($db->v("untertitel"), 0, 35);
                if ( strlen($db->v("untertitel")) > 35 ) {
                    $xuntertitel.= "...";
                } 
                echo $xuntertitel."</A>\n";
            } else {
                echo "<A HREF='../_content/show_index.php?nr=".$db->v("nr")."&directory=".$directory."&flag=archiv' target='_blank'>";
                echo "<i>".$LP_WithoutTitle."</i></A> \n";

                $text = ereg_replace ( "<[b|B][r|R]>", " ", $db->v("text_1"));
                $text = strip_tags($text);

                $text = substr($text, 0, 35);
                if ( strlen($db->v("text_1")) > 35 ) {
                    $text.= "...";
                } 
                if ( $text != '' ) {
                    echo "<b>".$text."</b>\n";
                }
            }
        }
        echo "<br>\n";
        
        if ( $changer != '' ) {
            if ( $changer_name[$changer] == '' ) {
                $changer_name[$changer] = autor_name($changer);
            } 

            if ( $last_modifyID == '' OR $last_modifyID == '0' ) {
                echo $LP_ModAuthor.": ".$changer_name[$changer]."\n";
            } else {
                echo $LP_ModChanger.": ".$changer_name[$changer]."\n";
            }
        }
        
        echo "</td>";
        # --- END --- Autor --------------------------------------------

        # --- BEGIN --- Info --------------------------------------------
        echo "<td nowrap valign=\"top\" align='left' class='text'>";

        $query = "SELECT name FROM ".$dbPrefix."_templates WHERE template = '".$template."'";
        DEBUG(2, $query, __FILE__, __LINE__);       
        $db_2 = new DB;
        $db_2->query($query);
        if ($db_2->num_rows()>0) {
            $db_2->next_record();
            $template_name = $db_2->v("name");
        }

        print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/template.gif" alt="'.$LPTL_Template.': '.$template_name.'" width="13" height="13" border="0">&nbsp;');

        if ( $commentary != '' ) {
            $commentary_text = ereg_replace ( '"', '&quot;', $commentary);
            print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/commentary2.gif" alt="'.$commentary_text.'" width="13" height="13" border="0">&nbsp;');
        } else {
            print ('<img align="absmiddle" src="../_images/transparent.gif" alt="" width="13" height="13" border="0">&nbsp;');
        }

        if ( $auth != '' ) {
            $auth_text = $auth;
            $auth_text = ereg_replace ( "#", ", ", $auth_text);
            $auth_text = substr($auth_text, 2);
            $auth_text = substr($auth_text, 0, -2);
            print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/lock_icon.gif" alt="'.$LP_SecureArticle.': '.$auth_text.'" width="13" height="13" border="0">');
        } else {
            print ('<img align="absmiddle" src="../_images/transparent.gif" alt="" width="13" height="13" border="0">');
        }
        
        echo "</td>";
        # --- END --- Info --------------------------------------------

        # --- BEGIN --- Publikations- und Verfallsdatum --------------------------------------------
        echo "<td valign=\"top\" width='225' align='left' class='courier'>";

        if ( $db->v("pub_datum") != '' ) {
            $pdatum = date( "d.m.Y - H:i", $db->v("pub_datum") );
            echo "<nobr>".$pdatum."</nobr><br>";
        }

        if ( $db->v("verfallsdatum") != '' ) {
            $vdatum = "-";
            if ( $db->v("verfallsdatum") < '2023066800'  ) {
                $vdatum = date( "d.m.Y - H:i", $db->v("verfallsdatum") );
            } 
            echo "<nobr>".$vdatum."</nobr><br>";
        }

        if ( $jetzt > $db->v("pub_datum") ) {
            if ( $jetzt > $db->v("verfallsdatum") ) {
                echo "<nobr><img src=\"../_skin/".$cpoSkin."/s_archive.gif\" alt=\"".$LP_Expired."\" border=\"0\"> <b>".$LP_Expired."</b></nobr><br>";
            } else {
                echo "<nobr><img src=\"../_skin/".$cpoSkin."/s_online.gif\" alt=\"".$LP_Online."\" border=\"0\"> <b>".$LP_Online."</b></nobr><br>";
            } 
        } else {
             echo "<nobr><img src=\"../_skin/".$cpoSkin."/s_offline.gif\" alt=\"".$LP_Offline."\" border=\"0\"> <b>".$LP_Offline."</b></nobr><br>";
        }

        echo "</td>";
        # --- END --- Publikations- und Verfallsdatum --------------------------------------------

        # --- BEGIN --- Artikel --------------------------------------------
        echo "<td valign=\"top\" align='left' class='courier'>";

        if ( $_SESSION['SID_stufe4'] == 1 ) {
            switch ($freigabe) {
                case 0: // freigegeben
                    echo "<img src=\"../_skin/".$cpoSkin."/pic_empty.gif\" width=\"18\" height=\"21\" alt=\"\" border=\"0\">";
                    echo "<A HREF='release.php?info=1&open=2&nr=".$db->v("nr")."&article_nr=".$db->v("article_nr")."' class=\"red\"><img src=\"../_skin/".$cpoSkin."/pic_block.gif\" width=\"18\" height=\"21\" alt=\"".$LP_R_Go_block."\" border=\"0\"></A>";
                    if ( $System_release == 1 ) {
                        echo "<A HREF='release.php?info=1&open=3&nr=".$db->v("nr")."&article_nr=".$db->v("article_nr")."' onclick=\"window.open('../_content/reject.php?nr=".$db->v("nr")."&user=".$_SESSION['SID_user_id']."&kategorie=".$directory."&directory=".$directory."&".SID."','".$db->v("nr")."','width=500,height=300,scrollbars=no,menubar=no');\" class=\"red\"><img src=\"../_skin/".$cpoSkin."/pic_reject.gif\" width=\"18\" height=\"21\" alt=\"".$LP_R_Go_cancel."\" border=\"0\"></A>";
                    }
                    break;
                case 1: // warten
                    if ( $System_release == 1 ) {
                        echo "<A HREF='release.php?info=1&open=0&nr=".$db->v("nr")."&article_nr=".$db->v("article_nr")."' class=\"red\"><img src=\"../_skin/".$cpoSkin."/pic_free.gif\" width=\"18\" height=\"21\" alt=\"".$LP_R_Go_Ok."\" border=\"0\"></A>";
                        echo "<img src=\"../_skin/".$cpoSkin."/pic_empty.gif\" width=\"18\" height=\"21\" alt=\"\" border=\"0\">";
                        echo "<A HREF='release.php?info=1&open=3&nr=".$db->v("nr")."&article_nr=".$db->v("article_nr")."' onclick=\"window.open('../_content/reject.php?nr=".$db->v("nr")."&user=".$_SESSION['SID_user_id']."&kategorie=".$directory."&directory=".$directory."&".SID."','".$db->v("nr")."','width=500,height=300,scrollbars=no,menubar=no');\" class=\"red\"><img src=\"../_skin/".$cpoSkin."/pic_reject.gif\" width=\"18\" height=\"21\" alt=\"".$LP_R_Go_cancel."\" border=\"0\"></A>";
                    } else {
                        echo "<img src=\"../_skin/".$cpoSkin."/pic_empty.gif\" width=\"18\" height=\"21\" alt=\"\" border=\"0\">";
                        echo "<A HREF='release.php?info=1&open=2&nr=".$db->v("nr")."&article_nr=".$db->v("article_nr")."' class=\"red\"><img src=\"../_skin/".$cpoSkin."/pic_block.gif\" width=\"18\" height=\"21\" alt=\"".$LP_R_Go_block."\" border=\"0\"></A>";
                    }
                    break;
                case 2: // gesperrt
                    echo "<A HREF='release.php?info=1&open=0&nr=".$db->v("nr")."&article_nr=".$db->v("article_nr")."' class=\"red\"><img src=\"../_skin/".$cpoSkin."/pic_free.gif\" width=\"18\" height=\"21\" alt=\"".$LP_R_Go_Ok."\" border=\"0\"></A>";
                    if ( $System_release == 1 ) {
                        echo "<A HREF='release.php?info=1&open=3&nr=".$db->v("nr")."&article_nr=".$db->v("article_nr")."' onclick=\"window.open('../_content/reject.php?nr=".$db->v("nr")."&user=".$_SESSION['SID_user_id']."&kategorie=".$directory."&directory=".$directory."&".SID."','".$db->v("nr")."','width=500,height=300,scrollbars=no,menubar=no');\" class=\"red\"><img src=\"../_skin/".$cpoSkin."/pic_reject.gif\" width=\"18\" height=\"21\" alt=\"".$LP_R_Go_cancel."\" border=\"0\"></A>";
                    }
                    break;
                case 3: // abgewiesen
                    if ( $System_release == 1 ) {
                        echo "<A HREF='release.php?info=1&open=0&nr=".$db->v("nr")."&article_nr=".$db->v("article_nr")."' class=\"red\"><img src=\"../_skin/".$cpoSkin."/pic_free.gif\" width=\"18\" height=\"21\" alt=\"".$LP_R_Go_Ok."\" border=\"0\"></A>";
                    } else {
                        echo "<A HREF='release.php?info=1&open=2&nr=".$db->v("nr")."&article_nr=".$db->v("article_nr")."' class=\"red\"><img src=\"../_skin/".$cpoSkin."/pic_block.gif\" width=\"18\" height=\"21\" alt=\"".$LP_R_Go_block."\" border=\"0\"></A>";
                    }
                    break;
            }
        }

        echo "</td>";
        # --- END --- Artikel --------------------------------------------

        echo "</tr>";
   endwhile;
} 

$query = "SELECT nr, artikel_archiv, article_nr, auth, auth_backup, commentary, kategorie, search, template, titel, untertitel, text_1, datum, verfallsdatum, pub_datum, freigabe, freigabe_name, freigabe_datum, autor, last_modify, changer, text_1 "
        ."FROM ".$dbPrefix."_news WHERE artikel_archiv != 0 AND article_nr = '".$article_nr."' ORDER BY last_modify DESC";
DEBUG(2, $query, __FILE__, __LINE__);       
$db = new DB;
$db->query($query);
if ($db->num_rows()<=0) {
    echo "</table>";
    return;
}

echo "<tr>";
echo "<td colspan=\"5\" align='left' class='text'>";
echo "<br><br>";

echo "<b>".$LP_ArtikelVersionen."</b>";

echo "</td></tr>";

echo "<tr bgcolor='".$color_tbg_dunkel."'>";
echo "<td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LP_Versionsdatum."</b></td><td align='left' class='text'>";
help("IN001a");
echo "</td></tr></table></td><td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LP_Status."</b></td><td align='left' class='text'>";
help("IN002a");
echo "</td></tr></table></td><td width=\"50%\" align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LPR_Title."/".$LP_InRedakteur."</b></td><td align='left' class='text'>";
help("IN003a");
echo "</td></tr></table></td><td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LPR_Info."</b></td><td align='left' class='text'>";
help("IN003c");
echo "</td></tr></table></td><td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LPR_Publication."</b></td><td align='left' class='text'>";
help("IN004a");
echo "</td></tr></table></td><td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LP_TModify."</b></td><td align='left' class='text'>";
help("IN005a");
echo "</td></tr></table></td></tr>";

while($db->next_record()):

    $archive_nr             = $db->v("nr");
    $archive_artikel_archiv = $db->v("artikel_archiv");
    $archive_article_nr     = $db->v("article_nr");
    $archive_auth           = $db->v("auth");
    $archive_auth_backup    = $db->v("auth_backup");
    $archive_commentary     = $db->v("commentary");
    $archive_kategorie      = $db->v("kategorie");
    $archive_search         = $db->v("search");
    $archive_template       = $db->v("template");
    $archive_titel          = $db->v("titel");
    $archive_untertitel     = $db->v("untertitel");
    $archive_text_1         = $db->v("text_1");
    $archive_datum          = $db->v("datum");
    $archive_verfallsdatum  = $db->v("verfallsdatum");
    $archive_pub_datum      = $db->v("pub_datum");
    $archive_freigabe       = $db->v("freigabe");
    $archive_freigabe_name  = $db->v("freigabe_name");
    $archive_freigabe_datum = $db->v("freigabe_datum");
    $archive_autor          = $db->v("autor");

    $archive_last_modify    = $db->v("last_modify");
    $archive_last_modifyID  = $db->v("last_modify");
    $archive_changer        = $db->v("changer");

    $archive_datum          = date("d.m.Y - H:i:s", $archive_datum);
    $archive_last_modify    = date("d.m.Y - H:i:s", $archive_last_modify);
    $archive_freigabe_datum = date("d.m.Y - H:i:s", $archive_freigabe_datum);
    $archive_verfallsdatum  = date("d.m.Y - H:i", $archive_verfallsdatum);
    $archive_pub_datum      = date("d.m.Y - H:i", $archive_pub_datum);

    if ( $archive_artikel_archiv == 1  && $ok != 1 ) {
        echo "<tr bgcolor='".$color_green."'>";
        $ok = 1;
    } else {
        echo "<tr>";
    }

    # --- BEGIN --- Change --------------------------------------------
    echo "<td nowrap valign=\"top\" align='left' width=\"140\" class='text'>";
    
    if ( $db->v("last_modify") <= 0 ) {
        echo $datum;
    } else {
        echo $archive_last_modify;
    }

    if ( $archive_freigabe == 0 ) {
        echo "<br>";
        echo "<font color=\"".$color_green2."\">".$archive_freigabe_datum."<br>";
        if ( $archive_freigabe_name != $archive_changer && $archive_freigabe_name != '') {
            $archive_freigabe_name = autor_name($archive_freigabe_name);
            echo "[".$archive_freigabe_name."]";
        }
        echo "</font>";
    }

    echo "</td>";
    # --- END --- Change --------------------------------------------

    # --- BEGIN --- Status --------------------------------------------
    echo "<td valign=\"top\" width='95' align='center' class='text'>";
    
    switch ($archive_freigabe) {
        case 0: // freigegeben
            echo "<b>".$LP_R_free."</b><br>";
            echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
            echo "<img src=\"../_skin/".$cpoSkin."/c_free.gif\" alt=\"".$LP_R_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
            break;
        case 1: // warten
            if ( $System_release == 1 ) {
                echo "<b>".$LP_R_wait."</b><br>";
                echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                echo "<img src=\"../_skin/".$cpoSkin."/c_wait.gif\" alt=\"".$LP_R_wait."\" width=\"95\" height=\"7\" border=\"0\"><br>";
            } else {
                echo "<b>".$LP_R_free."</b><br>";
                echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                echo "<img src=\"../_skin/".$cpoSkin."/c_free.gif\" alt=\"".$LP_R_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
            }
            break;
        case 2: // gesperrt
            echo "<b>".$LP_R_blocked."</b><br>";
            echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
            echo "<img src=\"../_skin/".$cpoSkin."/c_block.gif\" alt=\"".$LP_R_blocked."\" width=\"95\" height=\"7\" border=\"0\"><br>";
            break;
        case 3: // abgewiesen
            if ( $System_release == 1 ) {
                echo "<b>".$LP_R_cancel."</b><br>";
                echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                echo "<img src=\"../_skin/".$cpoSkin."/c_reject.gif\" alt=\"".$LP_R_cancel."\" width=\"95\" height=\"7\" border=\"0\"><br>";
            } else {
                echo "<b>".$LP_R_free."</b><br>";
                echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                echo "<img src=\"../_skin/".$cpoSkin."/c_free.gif\" alt=\"".$LP_R_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
            }
            break;
    }

    echo "</td>";
    # --- END --- Status --------------------------------------------

    # --- BEGIN --- Autor --------------------------------------------
    echo "<td nowrap valign=\"top\" align='left' width=\"250\" class='text'>";

    if ( $archive_titel != '' ) {
        echo "<A HREF='../_content/show_index.php?nr=".$archive_nr."&directory=".$directory."&flag=archiv' target='_blank'>";
        $xtitel = substr($archive_titel, 0, 35);
        if ( strlen($db->v("titel")) > 35 ) {
            $xtitel.= "...";
        } 
        echo $xtitel."</A>\n";
    } else {
        if ( $archive_untertitel != '' ) {
            echo "<A HREF='../_content/show_index.php?nr=".$archive_nr."&directory=".$directory."&flag=archiv' target='_blank'>";
            $xuntertitel = substr($archive_untertitel, 0, 35);
            if ( strlen($db->v("untertitel")) > 35 ) {
                $xuntertitel.= "...";
            } 
            echo $xuntertitel."</A>\n";
        } else {
            echo "<A class=\"agrey\" HREF='../_content/show_index.php?nr=".$archive_nr."&directory=".$directory."&flag=archiv' target='_blank'>";
            echo "<i>".$LP_WithoutTitle."</i></A> \n";

            $text = ereg_replace ( "<[b|B][r|R]>", " ", $archive_text_1 );
            $text = strip_tags($text);

            $text = substr($text, 0, 35);
            if ( strlen($db->v("text_1")) > 35 ) {
                $text.= "...";
            } 
            if ( $text != '' ) {
                echo "<b>".$text."</b>\n";
            }
        }
    }

    echo "<br>\n";

    if ( $archive_changer != '' ) {
        if ( $changer_name[$archive_changer] == '' ) {
            $changer_name[$archive_changer] = autor_name($archive_changer);
        } 

        if ( $archive_last_modifyID == '' OR $archive_last_modifyID == '0' ) {
            echo $LP_ModAuthor.": ".$changer_name[$archive_changer]."\n";
        } else {
            echo $LP_ModChanger.": ".$changer_name[$archive_changer]."\n";
        }
    }

    echo "</td>";
    # --- END --- Autor --------------------------------------------

    # --- BEGIN --- Info --------------------------------------------
    echo "<td nowrap valign=\"top\" align='left' class='text'>";

    $query = "SELECT name FROM ".$dbPrefix."_templates WHERE template = '".$archive_template."'";
    DEBUG(2, $query, __FILE__, __LINE__);       
    $db_2 = new DB;
    $db_2->query($query);
    if ($db_2->num_rows()>0) {
        $db_2->next_record();
        $template_name = $db_2->v("name");
    }

    print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/template.gif" alt="'.$LPTL_Template.': '.$template_name.'" width="13" height="13" border="0">&nbsp;');

    if ( $archive_commentary != '' ) {
        $commentary_text = ereg_replace ( '"', '&quot;', $archive_commentary);
        print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/commentary2.gif" alt="'.$commentary_text.'" width="13" height="13" border="0">&nbsp;');
    } else {
        print ('<img align="absmiddle" src="../_images/transparent.gif" alt="" width="13" height="13" border="0">&nbsp;');
    }

    if ( $archive_auth != '' ) {
        $auth_text = $archive_auth;
        $auth_text = ereg_replace ( "#", ", ", $auth_text);
        $auth_text = substr($auth_text, 2);
        $auth_text = substr($auth_text, 0, -2);
        
        print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/lock_icon.gif" alt="'.$LP_SecureArticle.': '.$auth_text.'" width="13" height="13" border="0">');
    } else {
        print ('<img align="absmiddle" src="../_images/transparent.gif" alt="" width="13" height="13" border="0">');
    }

    echo "</td>";
    # --- END --- Info --------------------------------------------

    # --- BEGIN --- Publikations- und Verfallsdatum --------------------------------------------
    echo "<td valign=\"top\" width='225' align='left' class='courier'>";

    if ( $archive_pub_datum != '' ) {
        echo "<nobr>".$archive_pub_datum."</nobr><br>";
    }

    if ( $db->v("verfallsdatum") != '' ) {
        $vdatum = "-";
        if ( $db->v("verfallsdatum") < '2023066800'  ) {
            $vdatum = $archive_verfallsdatum;
        } 
        echo "<nobr>".$vdatum."</nobr><br>";
    }

    if ( $jetzt > $db->v("pub_datum") ) {
        if ( $jetzt >$db->v("verfallsdatum") ) 
        {
            echo "<nobr><img src=\"../_skin/".$cpoSkin."/s_archive.gif\" alt=\"".$LP_Expired."\" border=\"0\"> <b>".$LP_Expired."</b></nobr><br>";
        } else {
            echo "<nobr><img src=\"../_skin/".$cpoSkin."/s_online.gif\" alt=\"".$LP_Online."\" border=\"0\"> <b>".$LP_Online."</b></nobr><br>";
        } 
    } else {
         echo "<nobr><img src=\"../_skin/".$cpoSkin."/s_offline.gif\" alt=\"".$LP_Offline."\" border=\"0\"> <b>".$LP_Offline."</b></nobr><br>";
    }

    echo "</td>";
    # --- END --- Publikations- und Verfallsdatum --------------------------------------------

    # --- BEGIN --- Artikel --------------------------------------------
    echo "<td valign=\"top\" width='225' align='left' class='courier'>";
    echo "<A HREF='info.php?nr=".$nr."&action=restore&kategorie=".$kategorie."&archive_nr=".$archive_nr."'\"><nobr><img src=\"../_skin/".$cpoSkin."/pic_restore.gif\" width=\"18\" height=\"21\" alt=\"".$LP_Restore."\" border=\"0\"></nobr></A>\n";
    if ( $archive_artikel_archiv != 1 ) {
        echo "<A HREF='info.php?nr=".$nr."&action=delete&kategorie=".$kategorie."&archive_nr=".$archive_nr."' onClick=\"return confirm('".$LP_DeleteReally_5." [".$archive_nr."] ".$LP_DeleteReally_6."')\"><nobr><img src=\"../_skin/".$cpoSkin."/pic_del.gif\" width=\"18\" height=\"21\" alt=\"".$LP_Delete."\" border=\"0\"></nobr></A>\n";
    } 
    echo "</td>";
    # --- END --- Artikel --------------------------------------------

    echo "</tr>";

endwhile;

echo "</table>";
?>
