<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: tab_modify.php,v 1.1.1.1.2.7 2004/02/23 09:52:48 balu Exp $
if (!defined('CPO')) exit;

$art_anzahl = 5;
$art_count  = 0;

if ( $pos == '' ) {
    $pos = 0;
}

$jetzt = time();

$query = "SELECT COUNT(*) FROM ".$dbPrefix."_news "
        ."WHERE artikel_archiv = 0 AND kategorie = '".$directory."' ORDER BY ".$sort."";
DEBUG(2, $query, __FILE__, __LINE__);       
$db = new DB;
$db->query($query);
$db->next_record();
$max_data = $db->v('COUNT(*)');

$query = "SELECT article_nr, auth, auth_backup, autor, changer, commentary, freigabe, freigabe_name, last_modify, nr, pub_datum, sort_id, template, text_1, titel, untertitel, verfallsdatum "
        ."FROM ".$dbPrefix."_news "
        ."WHERE artikel_archiv = 0 AND kategorie = '".$directory."' ORDER BY ".$sort." LIMIT ".$pos.",".$maxArticle;
DEBUG(2, $query, __FILE__, __LINE__);       
$db->query($query);
    
if ($db->num_rows()<=0) {
    $message = $PicDatei." ".$LP_NoDataText;
    require(CPO_BASEDIR."_include/message.php");        
    return;
}

echo '<table width="'.$WIDTH.'" border="0" cellpadding="3" cellspacing="2">';
echo '<tr bgcolor="'.$color_tbg_dunkel.'">';

if ( $Rubric_switch && $_SESSION['SID_stufe2'] == 1) {
    echo '<td align="left" class="text">';
    help("AB000");
    echo '<img src="../_images/transparent.gif" height="1" width="3" alt="" border="0"></td>';
}
echo '<td align="left" class="text">';
echo '<table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" class="text"><b>'.$LP_Status.'</b></td>';
echo '<td align="left" class="text">'; help("AB001"); echo '</td></tr></table>';
echo '</td><td width="50%" align="left" class="text">';
echo '<table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" class="text"><b>'.$LPR_Title.'/'.$LPR_Author.'/'.$LPR_ArtVersion.'</b></td>';
echo '<td align="left" class="black">'; help("AB002"); echo '</td></tr></table>';
echo '</td><td align="left" class="text">';
echo '<table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" class="text"><b>'.$LPR_Info.'</b></td>';
echo '<td align="left" class="black">'; help("AB002a"); echo '</td></tr></table>';
echo '</td><td align="left" class="text">';
echo '<table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" class="text"><b>'.$LPR_Publication.'</b></td>';
echo '<td align="left" class="text">'; help("AB003"); echo '</td></tr></table>';
echo '</td>';

if ( $_SESSION['SID_stufe2'] == 1 ) {
    echo '<td width="80" align="left" class="text">';
        echo '<table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" class="text"><b>'.$LP_TModify.'</b></td>';
        echo '<td align="left" class="text">'; help("AB004"); echo '</td></tr></table>';
    echo '</td>';
}

if ( $_SESSION['SID_stufe4'] == 1 ) {
    echo '<td width="70" align="left" class="text">';
        echo '<table border="0" cellpadding="0" cellspacing="0"><tr><td align="left" class="text"><b>'.$LP_Release.'</b></td>';
        echo '<td align="left" class="text">'; help("AB005"); echo '</td></tr></table>';
    echo '</td>';
}
echo '</tr>';

while($db->next_record()):
    $nr             = $db->v("nr");
    $article_nr     = $db->v("article_nr");
    $auth           = $db->v("auth");
    $auth_backup    = $db->v("auth_backup");
    $commentary     = $db->v("commentary");
    $template       = $db->v("template");
    $sort_id        = $db->v("sort_id");
    $freigabe       = $db->v("freigabe") ;
    $freigabe_name  = $db->v("freigabe_name");
    $last_modify    = $db->v("last_modify");
    $autor          = $db->v("autor");
    $changer        = $db->v("changer");
    $pub_datum      = $db->v("pub_datum");
    $verfallsdatum  = $db->v("verfallsdatum");
    $titel          = $db->v("titel");
    $untertitel     = $db->v("untertitel");
    $text_1         = $db->v("text_1");
    
    if ($color == 1) {
        echo "<tr bgcolor=\"".$color_data_hell."\">";
        $color = 0;
    } else {
        echo "<tr>";
        $color = 1;
    }

    if ( $Rubric_switch && $_SESSION['SID_stufe2'] == 1 ) {
        echo "<td valign=\"middle\" align='center' class='text'>";

        // Sortierung der Atrikel

        // FIXME Can this be optimized?
        $query = "SELECT nr, sort_id FROM ".$dbPrefix."_news "
                ."WHERE artikel_archiv = 0 AND sort_id < '".$sort_id."' AND kategorie = '".$directory."' ORDER BY sort_id";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db_2 = new DB;
        $db_2->query($query);
        $down_id = 'no';
        if ($db_2->num_rows()>0) {
            while($db_2->next_record()):
                $down_nr = $db_2->v("nr");
                $down_id = $db_2->v("sort_id");
            endwhile;
        } 

        $query = "SELECT nr, sort_id FROM ".$dbPrefix."_news "
                ."WHERE artikel_archiv = 0 AND sort_id > '".$sort_id."' AND kategorie = '".$directory."' ORDER BY sort_id DESC";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db_2->query($query);
        $up_id = 'no';
        if ($db_2->num_rows()>0) {
            while($db_2->next_record()):
                $up_nr = $db_2->v("nr");
                $up_id = $db_2->v("sort_id");
            endwhile;
        } 
        
        if ( $up_id == 'no' ) {
            if ( $unr == $nr ) {
                echo '<img src="../_skin/'.$cpoSkin.'/sort_empty2.gif" width="15" height="15" alt="" border="0"><br>';
            } else {
                echo '<img src="../_skin/'.$cpoSkin.'/sort_empty.gif"  width="15" height="15" alt="" border="0"><br>';
            }
        } else {
            if ( $art_count == '0' ) {
                $art_pos = $pos - $maxArticle;
            } else {
                $art_pos = $pos;
            }                    
            echo '<a href="change.php?action=sort&pos='.$art_pos.'&unr='.$nr.'&switch_id='.$up_id.'&sort_id='.$sort_id.'&switch_nr='.$up_nr.'&sort_nr='.$nr.'">';
            if ( $unr == $nr ) {
                echo '<img src="../_skin/'.$cpoSkin.'/sort_up2.gif" width="15" height="15" alt="" border="0">';
            } else {
                echo '<img src="../_skin/'.$cpoSkin.'/sort_up.gif"  width="15" height="15" alt="" border="0">';
            }
            echo "</a><br>";
        }

        if ( $down_id == 'no' ) {
            if ( $dnr == $nr ) {
                echo '<img src="../_skin/'.$cpoSkin.'/sort_empty2.gif" width="15" height="15" alt="" border="0"><br>';
            } else { 
                echo '<img src="../_skin/'.$cpoSkin.'/sort_empty.gif"  width="15" height="15" alt="" border="0"><br>';
            }
        } else {
            if ( $art_count == ($maxArticle-1) ) {
                $art_pos = $pos + $maxArticle;
            } else {
                $art_pos = $pos;
            }                    
            echo '<a href="change.php?action=sort&pos='.$art_pos.'&dnr='.$nr.'&switch_id='.$down_id.'&sort_id='.$sort_id.'&switch_nr='.$down_nr.'&sort_nr='.$nr.'">';
            if ( $dnr == $nr )
            {
                echo '<img src="../_skin/'.$cpoSkin.'/sort_down2.gif" width="15" height="15" alt="" border="0">';
            } else { 
                echo '<img src="../_skin/'.$cpoSkin.'/sort_down.gif"  width="15" height="15" alt="" border="0">';
            }
            echo "</a><br>";
        }

        echo "</td>";
    }

    # --- BEGIN --- Status --------------------------------------------
    echo "<td valign=\"top\" width='95' align='center' class='text'>";

    if ( $System_release == 1 ) {
        $query = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE article_nr = '".$article_nr."' AND artikel_archiv = 1";
        DEBUG(2, $query, __FILE__, __LINE__);       
        $db_2 = new DB;
        $db_2->query($query);
        $db_2->next_record();
            
        $artikel_online = 0;
        if ($db_2->v('COUNT(*)')>0) {
            $artikel_online = 1;
        } 
    }

    switch ($freigabe) {
        case 0: // freigegeben
            echo "<b>".$LP_R_free."</b><br>";
            echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
            echo '<img src="../_skin/'.$cpoSkin.'/c_free.gif" title="'.$LP_R_free.'" alt="'.$LP_R_free.'" width="95" height="7" border="0"><br>';
            break;
        case 1: // warten
            if ( $System_release == 1 ) {
                if ( $artikel_online == 1 ) {
                    echo "<b>".$LP_R_wait."</b><br>";
                    echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                    echo '<img src="../_skin/'.$cpoSkin.'/c_wait_free.gif" alt="'.$LP_R_wait_free.'" title="'.$LP_R_wait_free.'" width="95" height="7" border="0"><br>';
                } else {
                    echo "<b>".$LP_R_wait."</b><br>";
                    echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                    echo '<img src="../_skin/'.$cpoSkin.'/c_wait.gif" alt="'.$LP_R_wait.'" title="'.$LP_R_wait.'" width="95" height="7" border="0"><br>';
                }
            } else {
                echo "<b>".$LP_R_free."</b><br>";
                echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                echo '<img src="../_skin/'.$cpoSkin.'/c_free.gif" alt="'.$LP_R_free.'" title="'.$LP_R_free.'" width="95" height="7" border="0"><br>';
            }
            break;
        case 2: // gesperrt
            echo "<b>".$LP_R_blocked."</b><br>";
            echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
            echo '<img src="../_skin/'.$cpoSkin.'/c_block.gif" alt="'.$LP_R_blocked.'" title="'.$LP_R_blocked.'" width="95" height="7" border="0"><br>';
            break;
        case 3: // abgewiesen
            if ( $System_release == 1 ) {
                if ( $artikel_online == 1 ) {
                    echo "<b>".$LP_R_cancel."</b><br>";
                    echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                    echo '<img src="../_skin/'.$cpoSkin.'/c_reject_free.gif" alt="'.$LP_R_cancel_free.'" title="'.$LP_R_cancel_free.'" width="95" height="7" border="0"><br>';
                } else {
                    echo "<b>".$LP_R_cancel."</b><br>";
                    echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                    echo '<img src="../_skin/'.$cpoSkin.'/c_reject.gif" alt="'.$LP_R_cancel.'" title="'.$LP_R_cancel.'" width="95" height="7" border="0"><br>';
                }
            } else {
                echo "<b>".$LP_R_free."</b><br>";
                echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                echo '<img src="../_skin/'.$cpoSkin.'/c_free.gif" alt="'.$LP_R_free.'" title="'.$LP_R_free.'" width="95" height="7" border="0"><br>';
            }
            break;
    }

    echo "</td>";
    # --- END --- Status --------------------------------------------

    # --- BEGIN --- Autor --------------------------------------------
    echo "<td nowrap valign=\"top\" align='left' class='text'>";

    echo "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"top\">";

    if ( $titel != '' ) {
        $xtitel = substr($titel, 0, 35);
        if ( strlen($titel) > 35 ) {
            $xtitel.= "...";
        } 
        echo '<A HREF="../_content/show_index.php?nr='.$nr.'&directory='.$directory.'&flag=archiv" target="_blank">'.$xtitel.'</A>';
    } else {
        if ( $untertitel != '' ) {
            $xuntertitel = substr($untertitel, 0, 35);
            if ( strlen($untertitel ) > 35 ) {
                $xuntertitel.= "...";
            } 
            echo '<A HREF="../_content/show_index.php?nr='.$nr.'&directory='.$directory.'&flag=archiv" target="_blank">'.$xuntertitel.'</A>';
        } else {
            echo "<A class=\"agrey\" HREF='../_content/show_index.php?nr=".$nr."&directory=".$directory."&flag=archiv' target='_blank'>";
            echo "<i>".$LP_WithoutTitle."</i></A> \n";

            $text = ereg_replace ( "<[B|b][R|r]>", " ", $text_1);
            $text = strip_tags($text);

            $text = substr($text, 0, 30);
            if ( strlen($text_1) > 30 ) {
                $text .= "...";
            } 
            if ( $text != '' ) {
                echo "<b>".$text."</b>\n";
            }
        }
    }

    echo "<br>\n";

    if ( $autor != '' OR $changer != '' ) {

        echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">";
        echo "<tr>";
        echo "<td width=\"70\" nowrap class=\"text\" align=\"left\" valign=\"top\">";
        if ( $autor != '' ) {
            echo $LP_ModAuthor.":&nbsp;";
            echo "</td>";
            echo "<td class=\"text\" align=\"left\" valign=\"top\">";
            echo $autor." ";
        }

        $query = "SELECT name FROM ".$dbPrefix."_user WHERE user = '".$changer."'";
        DEBUG(2, $query, __FILE__, __LINE__);
        $db_2 = new DB;
        $db_2->query($query);
    
        if ($db_2->num_rows()>0) {
            $db_2->next_record();
            $changer = $db_2->v("name");
        }

        echo "</td></tr><tr>";
        echo "<td class=\"text\" align=\"left\" valign=\"top\">";
        echo $LP_ModChanger.":&nbsp;";
        echo "</td>";
        echo "<td class=\"text\" align=\"left\" valign=\"top\">";

        if ( $changer != '' AND $last_modify != '' ) {
            echo $changer." ";
        } else {
            echo "- ";
        }

        echo "</td>";
        echo "</tr>";
        echo "</table>";
    }

    echo "</td><td width=\"13\" align=\"right\" valign=\"top\">";

    if ( $_SESSION['SID_level'] > 1 ) {
        echo "<A href=\"info.php?nr=".$nr."\">";
        echo '<img src="../_skin/'.$cpoSkin.'/info.gif" title="'.$LP_VersionArchiv.'" alt="'.$LP_VersionArchiv.'" align="absmiddle" border="0"></A><br>';
    } 

    echo "</td></tr></table>";

    echo "</td>";
    # --- END --- Autor --------------------------------------------

    # --- BEGIN --- Info --------------------------------------------
    echo "<td nowrap valign=\"top\" align='left' class='text'>";

    $query = "SELECT name FROM ".$dbPrefix."_templates WHERE template = '".$template."'";
    DEBUG(2, $query, __FILE__, __LINE__);       
    $db_2->query($query);
    if ($db_2->num_rows()>0) {  // FIXME what if not?
        $db_2->next_record();
        $template_name = $db_2->v("name");
    }

    print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/template.gif" title="'.$LPTL_Template.': '.$template_name.'" alt="'.$LPTL_Template.': '.$template_name.'" width="13" height="13" border="0">&nbsp;');

    if ( $commentary != '' ) {
        print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/commentary2.gif" alt="'.htmlspecialchars($commentary_text).'" title="'.htmlspecialchars($commentary_text).'" width="13" height="13" border="0">&nbsp;');
    } else {
        print ('<img align="absmiddle" src="../_images/transparent.gif" alt="" width="13" height="13" border="0">&nbsp;');
    }

    if ( $auth != '' ) {
        $auth_text = $auth;
        $auth_text = ereg_replace ( "#", ", ", $auth_text);
        $auth_text = substr($auth_text, 2);     
        $auth_text = substr($auth_text, 0, -2);
        
        print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/lock_icon.gif" alt="'.$LP_SecureArticle.': '.$auth_text.'" title="'.$LP_SecureArticle.': '.$auth_text.'" width="13" height="13" border="0">');
    } else {
        print ('<img align="absmiddle" src="../_images/transparent.gif" alt="" width="13" height="13" border="0">');
    }

    echo "</td>";
    # --- END --- Info --------------------------------------------

    # --- BEGIN --- Publikations- und Verfallsdatum --------------------------------------------
    echo "<td valign=\"top\" width='225' align='left' class='courier'>";

    if ( $pub_datum != '' ) {
        $pdatum = date( "d.m.Y - H:i", $pub_datum );
        echo "<nobr>".$pdatum."</nobr><br>";
    }

    if ( $verfallsdatum != '' ) {
        $vdatum = "-";
        if ( $verfallsdatum < '2023066800'  ) {
            $vdatum = date( "d.m.Y - H:i", $verfallsdatum );
        } 
        echo "<nobr>".$vdatum."</nobr><br>";
    }

    if ( $jetzt >= $pub_datum ) {
        if ( $jetzt >= $verfallsdatum ) {
            echo '<nobr><img src="../_skin/'.$cpoSkin.'/s_archive.gif" alt="'.$LP_Expired.'" title="'.$LP_Expired.'" border="0"> <b>'.$LP_Expired.'</b></nobr><br>';
        } else {
            echo '<nobr><img src="../_skin/'.$cpoSkin.'/s_online.gif" alt="'.$LP_Online.'" title="'.$LP_Online.'" border="0"> <b>'.$LP_Online.'</b></nobr><br>';
        } 
    } else {
         echo '<nobr><img src="../_skin/'.$cpoSkin.'/s_offline.gif" alt="'.$LP_Offline.'" title="'.$LP_Offline.'" border="0"> <b>'.$LP_Offline.'</b></nobr><br>';
    }

    echo "</td>";
    # --- END --- Publikations- und Verfallsdatum --------------------------------------------

    if ( $_SESSION['SID_stufe2'] == 1 ) {
        echo "<td width='80' valign=\"top\" align='left' class='courier'>";

        $datum = time();
        $datum_timeout = $datum - $System_timeout;
        
        $query = "SELECT creator FROM ".$dbPrefix."_block WHERE article_id = '".$nr."' && create_date > '".$datum_timeout."'";
        DEBUG(2, $query, __FILE__, __LINE__);       
        $db_2->query($query);
        
        if ($db_2->num_rows()>0) {   
            $db_2->next_record();
            $creator = $db_2->v("creator");
            echo '<img src="../_skin/'.$cpoSkin.'/pic_locked.gif" width="18" height="21" alt="'.$LP_InUseShort.' ['.autor_name($creator).']" title="'.$LP_InUseShort.' ['.autor_name($creator).']" border="0">';
            $article_block = TRUE;
            if ( $freigabe_name != 'KOPIE' ) {
                echo "<A HREF='copy.php?katego=".$directory."&nr=".$nr."' onClick=\"return confirm('".$LP_CopyReally_1." [".$nr."] ".$LP_CopyReally_2."')\">";
                echo '<img src="../_skin/'.$cpoSkin.'/pic_copy.gif" width="18" height="21" alt="'.$LP_Copy.'" title="'.$LP_Copy.'" border="0"></A>';
                echo '<img src="../_skin/'.$cpoSkin.'/pic_empty.gif" width="18" height="21" alt="" border="0">';
            }
        } else { 
            echo '<A HREF="modify.php?katego='.$directory.'&nr='.$nr.'&pos='.$pos.'"><img src="../_skin/'.$cpoSkin.'/pic_edit.gif" width="18" height="21" alt="'.$LP_Modify.'" title="'.$LP_Modify.'" border="0"></A>';
            if ( $freigabe_name != 'KOPIE' ) {
                echo "<A HREF='copy.php?katego=".$directory."&nr=".$nr."' onClick=\"return confirm('".$LP_CopyReally_1." [".$nr."] ".$LP_CopyReally_2."')\">";
                echo '<img src="../_skin/'.$cpoSkin.'/pic_copy.gif" width="18" height="21" alt="'.$LP_Copy.'" title="'.$LP_Copy.'" border="0"></A>';
            } else {
                echo "<img src=\"../_skin/".$cpoSkin."/pic_empty.gif\" width=\"18\" height=\"21\" alt=\"\" border=\"0\">";
            }
            echo "<A HREF='delete.php?katego=".$directory."&nr=".$nr."' onClick=\"return confirm('".$LP_DeleteReally_1." [".$nr."] ".$LP_DeleteReally_2."')\">";
            echo '<img src="../_skin/'.$cpoSkin.'/pic_del.gif" width="18" height="21" alt="'.$LP_Delete.'" title="'.$LP_Delete.'" border="0"></A>';
        }

        // -- Ueberpruefung ob der User fuer eine weitere Rubrik Schreibrechte hat ----
        $query = "SELECT kategorie FROM ".$dbPrefix."_permission WHERE user_id = ".$_SESSION['SID_user_id']." AND stufe1 = 1 ";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db_2->query($query);
    
        $rubrik_counter = 0;
    
        if ($db_2->num_rows()>0) {
            while($db_2->next_record()):
                if ( $directory != $db_2->v("kategorie")) { 
                    $rubrik_counter = 1;
                    break;
                }
            endwhile;
        } 

        if ( $rubrik_counter != 0 AND $article_block != TRUE ) {
            echo '<A HREF="move.php?katego='.$directory.'&nr='.$nr.'&article_nr='.$article_nr.'"><img src="../_skin/'.$cpoSkin.'/pic_move.gif" width="15" height="21" alt="'.$LP_Move.'" title="'.$LP_Move.'" border="0"></A>';
        }

        $article_block = FALSE;

        echo "</td>";
    }

    if ( $_SESSION['SID_stufe4'] == 1 ) {
        echo "<td width='85' valign=\"top\" align='left' class='mini'>";
        echo "<img src=\"../_images/transparent.gif\" width=\"5\" height=\"21\" alt=\"\" border=\"0\">";
        switch ($freigabe) {
            case 0: // freigegeben
                echo "<img src=\"../_skin/".$cpoSkin."/pic_empty.gif\" width=\"18\" height=\"21\" alt=\"\" border=\"0\">";
                echo '<A HREF="release.php?open=2&nr='.$nr.'&article_nr='.$article_nr.'" class="red"><img src="../_skin/'.$cpoSkin.'/pic_block.gif" width="18" height="21" alt="'.$LP_R_Go_block.'" title="'.$LP_R_Go_block.'" border="0"></A>';
                if ( $System_release == 1 ) {
                    echo '<A HREF="release.php?open=3&nr='.$nr.'&article_nr='.$article_nr.'" onclick="window.open(\'../_content/reject.php?nr='.$nr.'&user='.$_SESSION['SID_user_id'].'&kategorie='.$directory.'&directory='.$directory.'&'.SID.'\', \''.$nr.'\', \'width=500,height=300,scrollbars=no,menubar=no\');" class="red"><img src="../_skin/'.$cpoSkin.'/pic_reject.gif" width="18" height="21" alt="'.$LP_R_Go_cancel.'" title="'.$LP_R_Go_cancel.'" border="0"></A>';
                }
                break;
            case 1: // warten
                if ( $System_release == 1 ) {
                    echo '<A HREF="release.php?open=0&nr='.$nr.'&article_nr='.$article_nr.'" class="red"><img src="../_skin/'.$cpoSkin.'/pic_free.gif" width="18" height="21" alt="'.$LP_R_Go_Ok.'" title="'.$LP_R_Go_Ok.'" border="0"></A>';
                    echo "<img src=\"../_skin/".$cpoSkin."/pic_empty.gif\" width=\"18\" height=\"21\" alt=\"\" border=\"0\">";
                    echo '<A HREF="release.php?open=3&nr='.$nr.'&article_nr='.$article_nr.'" onclick="window.open(\'../_content/reject.php?nr='.$nr.'&user='.$_SESSION['SID_user_id'].'&kategorie='.$directory.'&directory='.$directory.'&'.SID.'\', \''.$nr.'\', \'width=500,height=300,scrollbars=no,menubar=no\');" class="red"><img src="../_skin/'.$cpoSkin.'/pic_reject.gif" width="18" height="21" alt="'.$LP_R_Go_cancel.'" title="'.$LP_R_Go_cancel.'" border="0"></A>';
                } else {
                    echo "<img src=\"../_skin/".$cpoSkin."/pic_empty.gif\" width=\"18\" height=\"21\" alt=\"\" border=\"0\">";
                    echo "<A HREF='release.php?open=2&nr=".$nr."&article_nr=".$article_nr."' class=\"red\"><img src=\"../_skin/".$cpoSkin."/pic_block.gif\" width=\"18\" height=\"21\" alt=\"".$LP_R_Go_block."\" border=\"0\"></A>";
                }
                break;
            case 2: // gesperrt
                echo '<A HREF="release.php?open=0&nr='.$nr.'&article_nr='.$article_nr.'" class="red"><img src="../_skin/'.$cpoSkin.'/pic_free.gif" width="18" height="21" alt="'.$LP_R_Go_Ok.'" title="'.$LP_R_Go_Ok.'" border="0"></A>';
                if ( $System_release == 1 ) {
                    echo "<img src=\"../_skin/".$cpoSkin."/pic_empty.gif\" width=\"18\" height=\"21\" alt=\"\" border=\"0\">";
                    echo '<A HREF="release.php?open=3&nr='.$nr.'&article_nr='.$article_nr.'" onclick="window.open(\'../_content/reject.php?nr='.$nr.'&user='.$_SESSION['SID_user_id'].'&kategorie='.$directory.'&directory='.$directory.'&'.SID.'\', \''.$nr.'\', \'width=500,height=300,scrollbars=no,menubar=no\');" class="red"><img src="../_skin/'.$cpoSkin.'/pic_reject.gif" width="18" height="21" alt="'.$LP_R_Go_cancel.'" title="'.$LP_R_Go_cancel.'" border="0"></A>';
                }
                break;
            case 3: // abgewiesen
                if ( $System_release == 1 ) {
                    echo '<A HREF="release.php?open=0&nr='.$nr.'&article_nr='.$article_nr.'" class="red"><img src="../_skin/'.$cpoSkin.'/pic_free.gif" width="18" height="21" alt="'.$LP_R_Go_Ok.'" title="'.$LP_R_Go_Ok.'" border="0"></A>';
                } else {
                    echo '<A HREF="release.php?open=2&nr='.$nr.'&article_nr='.$article_nr.'" class="red"><img src="../_skin/'.$cpoSkin.'/pic_block.gif" width="18" height="21" alt="'.$LP_R_Go_block.'" title="'.$LP_R_Go_block.'" border="0"></A>';
                }
                break;
        }
    }

    echo "</td></tr>\n";
    $art_count++;

endwhile;

echo "</table>";
next_page($pos, $max_data, $maxArticle, 1, "1", "change.php");
?>
