<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: tab_release.php,v 1.1.1.1.2.6 2003/11/17 09:28:50 balu Exp $
if (!defined('CPO')) exit;
    
    $art_anzahl = 5;
    $art_count  = 0;

    if ( $pos == '' ) {
        $pos = 0;
    }

    $jetzt = time();

    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_news WHERE artikel_archiv = 0 AND freigabe > 0";
    DEBUG(2, $query, __FILE__, __LINE__);       
    $db = new DB;
    $db->query($query);
    $db->next_record();
    $max_data = $db->v('COUNT(*)');

    $query = "SELECT nr, template, sort_id, kategorie, commentary, auth, freigabe, article_nr, titel, untertitel, text_1, autor, changer, last_modify, pub_datum, verfallsdatum "
            ."FROM ".$dbPrefix."_news "
            ."WHERE artikel_archiv = 0 AND freigabe > 0 ORDER BY kategorie,datum ".$sort." LIMIT ".$pos.",".$maxArticle."";
    DEBUG(2, $query, __FILE__, __LINE__);   
    $db->query($query);
        
    if ($db->num_rows()<=0) {
        $message = $LP_NoArticleRelease;
        require(CPO_BASEDIR."_include/message.php");
        return;
    }

    echo "<table width=\"".$WIDTH."\" border='0' cellpadding='3' cellspacing='2'>\n";
    echo "<tr bgcolor='".$color_tbg_dunkel."'>";
    echo "<td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b>".$LP_Status."</b></td><td align=\"left\" valign=\"middle\" class=\"text\" class=\"text\">";
    help("ZA001");
    echo "</td></tr></table></td><td align='left' width=\"20%\" class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b>".$LP_Category2."</b></td><td align=\"left\" valign=\"middle\" class=\"text\" class=\"text\">";
    help("ZA002");
    echo "</td></tr></table></td><td align='left' width=\"60%\" class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b>".$LP_Title."/".$LP_Author."/".$LPR_ArtVersion."</b></td><td align=\"left\" valign=\"middle\" class=\"text\" class=\"text\">";
    help("ZA003");
    echo "</td></tr></table></td><td align='left' width=\"60%\" class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b>".$LPR_Info."</b></td><td align=\"left\" valign=\"middle\" class=\"text\" class=\"text\">";
    help("ZA003a");
    echo "</td></tr></table></td><td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LP_Publication."</b></td><td align='left' class='text'>";
    help("AB003");
    echo "</td></tr></table></td><td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b>".$LP_Release."</b></td><td align=\"left\" valign=\"middle\" class=\"text\" class=\"text\">";
    help("ZA004");
    echo "</td></tr></table></td></tr>";

    while($db->next_record()):
        $nr         = $db->v("nr");
        $template   = $db->v("template");
        $sort_id    = $db->v("sort_id");
        $kategorie  = $db->v("kategorie");
        $commentary = $db->v("commentary");
        $auth       = $db->v("auth");
        $freigabe   = $db->v("freigabe");
        $article_nr = $db->v("article_nr");
    
        $query = "SELECT COUNT(*) FROM ".$dbPrefix."_permission "
                ."WHERE stufe4 = '1' && kategorie = '".$kategorie."' && user_id = '".$_SESSION['SID_user_id']."'";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db_2 = new DB;
        $db_2->query($query);
        $db_2->next_record();
        if ( $db_2->v('COUNT(*)') <= 0  ) {
            continue;
        }

        if ($color == 1) {
            echo "<tr bgcolor=\"".$color_data_hell."\">";
            $color = 0;
        } else {
            echo "<tr>";
            $color = 1;
        }
        echo "<td valign=\"top\" width='95' align='center' class='text'>";
        
        $artikel_freigeben = 1;

        $query = "SELECT COUNT(*) FROM ".$dbPrefix."_news "
                ."WHERE article_nr = '".$article_nr."' AND artikel_archiv = 1";
        DEBUG(2, $query, __FILE__, __LINE__);       
        $db_2 = new DB;
        $db_2->query($query);
        $db_2->next_record();
            
        $artikel_online = 0;
        if ($db_2->v('COUNT(*)')>0) {
            $artikel_online = 1;
        } 

        switch ($freigabe) {
            case 0: // freigegeben
                echo "<b>".$LP_R_free."</b><br>";
                echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                echo "<img src=\"../_skin/".$cpoSkin."/c_free.gif\" alt=\"".$LP_R_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                break;
            case 1: // warten
                if ( $System_release == 1 ) {
                    if ( $artikel_online == 1 ) {
                        echo "<b>".$LP_R_wait."</b><br>";
                        echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                        echo "<img src=\"../_skin/".$cpoSkin."/c_wait_free.gif\" alt=\"".$LP_R_wait_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                    } else {
                        echo "<b>".$LP_R_wait."</b><br>";
                        echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                        echo "<img src=\"../_skin/".$cpoSkin."/c_wait.gif\" alt=\"".$LP_R_wait."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                    }
                } else {
                    echo "<b>".$LP_R_free."</b><br>";
                    echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                    echo "<img src=\"../_skin/".$cpoSkin."/c_free.gif\" alt=\"".$LP_R_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                }
                break;
            case 2: // gesperrt
                echo "<b>".$LP_R_blocked."</b><br>";
                echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                echo "<img src=\"../_skin/".$cpoSkin."/c_block.gif\" alt=\"".$LP_R_blocked."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                break;
            case 3: // abgewiesen
                if ( $System_release == 1 ) {
                    if ( $artikel_online == 1 ) {
                        echo "<b>".$LP_R_cancel."</b><br>";
                        echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                        echo "<img src=\"../_skin/".$cpoSkin."/c_reject_free.gif\" alt=\"".$LP_R_cancel_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                    } else {
                        echo "<b>".$LP_R_cancel."</b><br>";
                        echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                        echo "<img src=\"../_skin/".$cpoSkin."/c_reject.gif\" alt=\"".$LP_R_cancel."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                    }
                } else {
                    echo "<b>".$LP_R_free."</b><br>";
                    echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                    echo "<img src=\"../_skin/".$cpoSkin."/c_free.gif\" alt=\"".$LP_R_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                }
                break;
        }
        
        echo "</td>";
# --- END --- Status --------------------------------------------

# --- BEGIN --- Rubrik --------------------------------------------
        echo "<td class=\"text\" valign=\"top\">";
        
        $query = "SELECT name FROM ".$dbPrefix."_rubric WHERE rubrik = '".$kategorie."'";
        DEBUG(2, $query, __FILE__, __LINE__);   
        $db_2->query($query);
        $name = $kategorie;
        if ($db_2->num_rows()>0) { 
            $db_2->next_record();
            $name   = $db_2->v("name");
        } 
        $name = ucfirst($name);
        echo "<a href='../".$kategorie."/index_frame.php?kategorie=".$kategorie."' target='_top'><b><nobr>".$name."</nobr></b></a><br>\n";
        
        echo "</td>";
        # --- BEGIN --- Rubrik --------------------------------------------

        # --- END --- Author --------------------------------------------
        echo "<td nowrap valign=\"top\" align='left' class='text'>";

        echo "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"top\">";

        if ( $db->v("titel") != '' ) {
            echo "<A HREF='../_content/show_index.php?nr=".$db->v("nr")."&directory=".$kategorie."&aheader=".$kategorie."' target='_blank'>";
            $xtitel = substr($db->v("titel"), 0, 35);
            if ( strlen($db->v("titel")) > 35 ) {
                $xtitel.= "...";
            } 
            echo $xtitel."</A><br>\n";
        } else {
            if ( $db->v("untertitel") != '' ) {
                echo "<A HREF='../_content/show_index.php?nr=".$db->v("nr")."&directory=".$kategorie."&aheader=".$kategorie."' target='_blank'>";
                $xuntertitel = substr($db->v("untertitel"), 0, 35);
                echo $xuntertitel."</A><br>\n";
                if ( strlen($db->v("untertitel")) > 35 ) {
                    $xuntertitel.= "...";
                } 
            } else {
                echo "<A class=\"agrey\" HREF='../_content/show_index.php?nr=".$db->v("nr")."&directory=".$kategorie."&aheader=".$kategorie."' target='_blank'>";
                echo "<i>".$LP_WithoutTitle."</i></A> \n";

                $text = ereg_replace ( "<[b|B][r|R]>", " ", $db->v("text_1"));
                $text = strip_tags($text);

                $text = substr($text, 0, 30);
                if ( strlen($db->v("text_1")) > 30 ) {
                    $text.= "...";
                } 
                if ( $text != '' ) {
                    echo "<b>".$text."</b>\n";
                }
                echo "<br>\n";
            }
        }

        if ( $db->v("autor") != '' OR $db->v("changer") != '' ) {
            echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">";
            echo "<tr>";
            echo "<td class=\"text\" align=\"left\" valign=\"top\">";
            if ( $db->v("autor") != '' ) {
                echo $LP_ModAuthor.":&nbsp;";
                echo "</td>";
                echo "<td class=\"text\" align=\"left\" valign=\"top\">";
                $db->p("autor");
                echo " ";
            }

            echo "</td>";
            echo "</tr>";

            echo "<tr>";
            echo "<td class=\"text\" align=\"left\" valign=\"top\">";
            echo $LP_ModChanger.":&nbsp;";
            echo "</td>";
            echo "<td class=\"text\" align=\"left\" valign=\"top\">";

            if ( $db->v("last_modify") == '' ) {
                echo "- ";
            } else {
                $query = "SELECT name FROM ".$dbPrefix."_user WHERE user = '".$db->v("changer")."'";
                DEBUG(2, $query, __FILE__, __LINE__);
                $db2 = new db;
                $db2->query($query);
                if ($db2->num_rows()>0) {
                    $db2->next_record();
                    $db2->p("name");
                }
            }

            echo "</td>";
            echo "</tr>";

            echo "</table>";
        }
        echo "</td><td width=\"13\" align=\"right\" valign=\"top\">";

        if ( $_SESSION['SID_level'] > 1 ) {
            echo "<A href=\"info.php?nr=".$db->v("nr")."&directory=".$kategorie."\">";
            echo "<img src=\"../_skin/".$cpoSkin."/info.gif\" alt=\"".$LP_VersionArchiv."\" align=\"absmiddle\" border=\"0\"></A>";
        }

        echo "</td></tr></table>";

        echo "</td>";
        # --- END --- Author --------------------------------------------

        # --- BEGIN --- Info --------------------------------------------
        echo "<td valign=\"top\" align='left' class='courier'>";

        $query = "SELECT name FROM ".$dbPrefix."_templates WHERE template = '".$template."'";
        DEBUG(2, $query, __FILE__, __LINE__);       
        $db2 = new DB;
        $db2->query($query);
        $template_name = '';
        if ($db2->num_rows()>0) {
            $db2->next_record();
            $template_name = $db2->v("name");
        }
        
        print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/template.gif" alt="'.$LPTL_Template.': '.$template_name.'" width="13" height="13" border="0">&nbsp;');

        if ( $commentary != '' ) {
            $commentary_text = ereg_replace ( '"', '&quot;', $commentary);
            print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/commentary2.gif" alt="'.$commentary_text.'" title="'.$commentary_text.'" width="13" height="13" border="0">&nbsp;');
        } else {
            print ('<img align="absmiddle" src="../_images/transparent.gif" alt="" width="13" height="13" border="0">&nbsp;');
        }

        if ( $auth != '' ) {
            $auth_text = $auth;
            $auth_text = ereg_replace ( "#", ", ", $auth_text);
            $auth_text = substr($auth_text, 2);
            $auth_text = substr($auth_text, 0, -2);
            print ('<img align="absmiddle" src="../_skin/'.$cpoSkin.'/lock_icon.gif" alt="'.$LP_SecureArticle.': '.$auth_text.'" width="13" height="13" border="0">');
        } else {
            print ('<img align="absmiddle" src="../_images/transparent.gif" alt="" width="13" height="13" border="0">');
        }
        
        echo "</td>";
        # --- END --- Info --------------------------------------------

        # --- BEGIN --- Publikations- und Verfallsdatum --------------------------------------------
        echo "<td valign=\"top\" width='225' align='left' class='courier'>";

        if ( $db->v("pub_datum") != '' ) {
            $pdatum = date( "d.m.Y - H:i", $db->v("pub_datum") );
            echo "<nobr>".$pdatum."</nobr><br>";
        }

        if ( $db->v("verfallsdatum") != '' ) {
            $vdatum = "-";
            if ( $db->v("verfallsdatum") < '2023066800'  ) {
                $vdatum = date( "d.m.Y - H:i", $db->v("verfallsdatum") );
            } 
            echo "<nobr>".$vdatum."</nobr><br>";
        }

        if ( $jetzt > $db->v("pub_datum") ) {
            if ( $jetzt > $db->v("verfallsdatum") ) {
                echo "<nobr><img src=\"../_skin/".$cpoSkin."/s_archive.gif\" alt=\"".$LP_Expired."\" border=\"0\"> <b>".$LP_Expired."</b></nobr><br>";
            } else {
                echo "<nobr><img src=\"../_skin/".$cpoSkin."/s_online.gif\" alt=\"".$LP_Online."\" border=\"0\"> <b>".$LP_Online."</b></nobr><br>";
            } 
        } else {
             echo "<nobr><img src=\"../_skin/".$cpoSkin."/s_offline.gif\" alt=\"".$LP_Offline."\" border=\"0\"> <b>".$LP_Offline."</b></nobr><br>";
        }

        echo "</td>";
        # --- END --- Publikations- und Verfallsdatum --------------------------------------------


        echo "<td width='85' valign=\"top\" align='left' class='mini'>";
        switch ($freigabe) {
            case 0: // freigegeben
                echo "<img src=\"../_skin/".$cpoSkin."/pic_empty.gif\" width=\"18\" height=\"21\" alt=\"\" border=\"0\">";
                echo "<A HREF='release.php?open=2&nr=".$db->v("nr")."' class=\"red\"><img src=\"../_skin/".$cpoSkin."/pic_block.gif\" width=\"18\" height=\"21\" alt=\"".$LP_R_Go_block."\" border=\"0\"></A>";
                if ( $System_release == 1 ) {
                    echo "<A HREF='release.php?open=3&nr=".$db->v("nr")."' onclick=\"window.open('../_content/reject.php?nr=".$db->v("nr")."&user=".$_SESSION['SID_user_id']."&kategorie=".$directory."&directory=".$directory."&".SID."','".$db->v("nr")."','width=500,height=300,scrollbars=no,menubar=no');\" class=\"red\"><img src=\"../_skin/".$cpoSkin."/pic_reject.gif\" width=\"18\" height=\"21\" alt=\"".$LP_R_Go_cancel."\" border=\"0\"></A>";
                }
                break;
            case 1: // warten
                if ( $System_release == 1 ) {
                    echo "<A HREF='release.php?open=0&nr=".$db->v("nr")."&directory=".$kategorie."' class=\"red\"><img src=\"../_skin/".$cpoSkin."/pic_free.gif\" width=\"18\" height=\"21\" alt=\"".$LP_R_Go_Ok."\" border=\"0\"></A>";
                    echo "<img src=\"../_skin/".$cpoSkin."/pic_empty.gif\" width=\"18\" height=\"21\" alt=\"\" border=\"0\">";
                    echo "<A HREF='release.php?open=3&nr=".$db->v("nr")."&directory=".$kategorie."' onclick=\"window.open('../_content/reject.php?nr=".$db->v("nr")."&user=".$_SESSION['SID_user_id']."&kategorie=".$directory."&directory=".$directory."&".SID."','".$db->v("nr")."','width=500,height=300,scrollbars=no,menubar=no');\" class=\"red\"><img src=\"../_skin/".$cpoSkin."/pic_reject.gif\" width=\"18\" height=\"21\" alt=\"".$LP_R_Go_cancel."\" border=\"0\"></A>";
                } else {
                    echo "<img src=\"../_skin/".$cpoSkin."/pic_empty.gif\" width=\"18\" height=\"21\" alt=\"\" border=\"0\">";
                    echo "<A HREF='release.php?open=2&nr=".$db->v("nr")."&directory=".$kategorie."' class=\"red\"><img src=\"../_skin/".$cpoSkin."/pic_block.gif\" width=\"18\" height=\"21\" alt=\"".$LP_R_Go_block."\" border=\"0\"></A>";
                }
                break;
            case 2: // gesperrt
                echo "<A HREF='release.php?open=0&nr=".$db->v("nr")."&directory=".$kategorie."' class=\"red\"><img src=\"../_skin/".$cpoSkin."/pic_free.gif\" width=\"18\" height=\"21\" alt=\"".$LP_R_Go_Ok."\" border=\"0\"></A>";
                if ( $System_release == 1 ) {
                    echo "<img src=\"../_skin/".$cpoSkin."/pic_empty.gif\" width=\"18\" height=\"21\" alt=\"\" border=\"0\">";
                    echo "<A HREF='release.php?open=3&nr=".$db->v("nr")."&directory=".$kategorie."' onclick=\"window.open('../_content/reject.php?nr=".$db->v("nr")."&user=".$_SESSION['SID_user_id']."&kategorie=".$directory."&directory=".$directory."&".SID."','".$db->v("nr")."','width=500,height=300,scrollbars=no,menubar=no');\" class=\"red\"><img src=\"../_skin/".$cpoSkin."/pic_reject.gif\" width=\"18\" height=\"21\" alt=\"".$LP_R_Go_cancel."\" border=\"0\"></A>";
                }
                break;
            case 3: // abgewiesen
                if ( $System_release == 1 ) {
                    echo "<A HREF='release.php?open=0&nr=".$db->v("nr")."&directory=".$kategorie."' class=\"red\"><img src=\"../_skin/".$cpoSkin."/pic_free.gif\" width=\"18\" height=\"21\" alt=\"".$LP_R_Go_Ok."\" border=\"0\"></A>";
                } else {
                    echo "<A HREF='release.php?open=2&nr=".$db->v("nr")."&directory=".$kategorie."' class=\"red\"><img src=\"../_skin/".$cpoSkin."/pic_block.gif\" width=\"18\" height=\"21\" alt=\"".$LP_R_Go_block."\" border=\"0\"></A>";
                }
                break;
        }

        echo "</td></tr>\n";
        
    endwhile;

    echo "</table>";
    next_page($pos,$max_data,$maxArticle,1,"1","release.php");
    
    if ( $artikel_freigeben != 1 ) {
        $message = $LP_NoArticleRelease;
        require(CPO_BASEDIR."_include/message.php");
    }
?>
