<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: tab_release_rubric.php,v 1.1.1.1.2.5 2003/10/14 20:23:26 balu Exp $
if (!defined('CPO')) exit;

    $jetzt = time();
    $query = "SELECT nr, template, sort_id, freigabe_name, freigabe, titel, untertitel, text_1, autor, changer, last_modify, pub_datum, verfallsdatum, article_nr "
            ."FROM ".$dbPrefix."_news "
            ."WHERE artikel_archiv = 0 AND kategorie = '".$directory."' AND freigabe > 0 ORDER BY ".$sort."";
    DEBUG(2, $query, __FILE__, __LINE__);       
    $db = new DB;
    $db->query($query);
        
    if ($db->num_rows()<=0) {
        $message = $PicDatei." ".$LP_NoDataText;
        require(CPO_BASEDIR."_include/message.php");        
        return; 
    } 

    echo "<table width=\"".$WIDTH."\" border='0' cellpadding='3' cellspacing='2'>\n";
    echo "<tr bgcolor='".$color_tbg_dunkel."'>";
    if ( $Rubric_switch && $_SESSION['SID_stufe2'] == 1) {
        echo "<td align='left' class='text'>";
        help("AB000");
        echo "<img src=\"../_images/transparent.gif\" height=\"1\" width=\"3\" alt=\"\" border=\"0\"></td>";
    }
    echo "<td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LP_Status."</b></td><td align='left' class='text'>";
    help("AB001");
    echo "</td></tr></table></td><td width=\"50%\" align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LPR_Title."/".$LPR_Author."</b></td><td align='left' class='black'>";
    help("AB002");
    echo "</td></tr></table></td><td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LPR_Publication."/".$LPTL_Template."</b></td><td align='left' class='text'>";
    help("AB003");

    if ( $_SESSION['SID_stufe2'] == 1 ) {
        echo "</td></tr></table></td><td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LP_TModify."</b></td><td align='left' class='text'>";
        help("AB004");
    }

    if ( $_SESSION['SID_stufe4'] == 1 ) {
        echo "</td></tr></table></td><td align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align='left' class='text'><b>".$LP_Release."</b></td><td align='left' class='text'>";
        help("AB005");
    }
    echo "</td></tr></table></td></tr>";

    while($db->next_record()):
        $nr            = $db->v("nr");
        $template      = $db->v("template");
        $sort_id       = $db->v("sort_id");
        $freigabe_name = $db->v("freigabe_name");
        $freigabe      = $db->v("freigabe") ;
        
        if ($color == 1) {
            echo "<tr bgcolor=\"".$color_data_hell."\">";
            $color = 0;
        } else {
            echo "<tr>";
            $color = 1;
        }
        if ( $Rubric_switch && $_SESSION['SID_stufe2'] == 1 ) {
            echo "<td valign=\"top\" align='center' class='text'>";

            // Sortierung der Artikel
            $query = "SELECT nr, sort_id FROM ".$dbPrefix."_news "
                    ."WHERE artikel_archiv = 0 AND sort_id < '".$sort_id."' AND kategorie = '".$directory."' ORDER BY sort_id";
            DEBUG(2, $query, __FILE__, __LINE__);   
            $db_2 = new DB;
            $db_2->query($query);
                
            $down_id = 'no';
            if ($db_2->num_rows()>0) {
                while($db_2->next_record()):
                    $down_nr = $db_2->v("nr");
                    $down_id = $db_2->v("sort_id");
                endwhile;
            } 

            $query = "SELECT nr, sort_id FROM ".$dbPrefix."_news "
                    ."WHERE artikel_archiv = 0 AND sort_id > '".$sort_id."' AND kategorie = '".$directory."' ORDER BY sort_id DESC";
            DEBUG(2, $query, __FILE__, __LINE__);   
            $db_2 = new DB;
            $db_2->query($query);
                
            $up_id = 'no';
            if ($db_2->num_rows()>0) {
                while($db_2->next_record()):
                    $up_nr = $db_2->v("nr");
                    $up_id = $db_2->v("sort_id");
                endwhile;
            } 
            
            if ( $up_id != 'no' ) {
                echo "<a href=\"sort.php?unr=".$nr."&switch_id=".$up_id."&sort_id=".$sort_id."&switch_nr=".$up_nr."&sort_nr=".$nr."\">";
                if ( $unr == $nr ) {
                    echo "<img src=\"../_skin/".$cpoSkin."/sort_up2.gif\" width=\"15\" height=\"15\" alt=\"\" border=\"0\">";
                } else {
                    echo "<img src=\"../_skin/".$cpoSkin."/sort_up.gif\" width=\"15\" height=\"15\" alt=\"\" border=\"0\">";
                }
                echo "</a><br>";
            } else {
                if ( $unr == $nr ) {
                    echo "<img src=\"../_skin/".$cpoSkin."/sort_empty2.gif\" width=\"15\" height=\"15\" alt=\"\" border=\"0\"><br>";
                } else {
                    echo "<img src=\"../_skin/".$cpoSkin."/sort_empty.gif\" width=\"15\" height=\"15\" alt=\"\" border=\"0\"><br>";
                }
            }

            if ( $down_id != 'no' ) {
                echo "<a href=\"sort.php?dnr=".$nr."&switch_id=".$down_id."&sort_id=".$sort_id."&switch_nr=".$down_nr."&sort_nr=".$nr."\">";
                if ( $dnr == $nr ) {
                    echo "<img src=\"../_skin/".$cpoSkin."/sort_down2.gif\" width=\"15\" height=\"15\" alt=\"\" border=\"0\">";
                } else { 
                    echo "<img src=\"../_skin/".$cpoSkin."/sort_down.gif\" width=\"15\" height=\"15\" alt=\"\" border=\"0\">";
                }
                echo "</a><br>";
            } else {
                if ( $dnr == $nr ) {
                    echo "<img src=\"../_skin/".$cpoSkin."/sort_empty2.gif\" width=\"15\" height=\"15\" alt=\"\" border=\"0\"><br>";
                } else { 
                    echo "<img src=\"../_skin/".$cpoSkin."/sort_empty.gif\" width=\"15\" height=\"15\" alt=\"\" border=\"0\"><br>";
                }
            }
            echo "</td>";
        }

        # --- BEGIN --- Status --------------------------------------------
        echo "<td valign=\"top\" width='95' align='center' class='text'>";

        switch ($freigabe) {
            case 0: // freigegeben
                echo "<b>".$LP_R_free."</b><br>";
                echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                echo "<img src=\"../_skin/".$cpoSkin."/c_free.gif\" alt=\"".$LP_R_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                break;
            case 1: // warten
                if ( $System_release == 1 ) {
                    echo "<b>".$LP_R_wait."</b><br>";
                    echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                    echo "<img src=\"../_skin/".$cpoSkin."/c_wait.gif\" alt=\"".$LP_R_wait."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                } else {
                    echo "<b>".$LP_R_free."</b><br>";
                    echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                    echo "<img src=\"../_skin/".$cpoSkin."/c_free.gif\" alt=\"".$LP_R_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                }
                break;
            case 2: // gesperrt
                echo "<b>".$LP_R_blocked."</b><br>";
                echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                echo "<img src=\"../_skin/".$cpoSkin."/c_block.gif\" alt=\"".$LP_R_blocked."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                break;
            case 3: // abgewiesen
                if ( $System_release == 1 ) {
                    echo "<b>".$LP_R_cancel."</b><br>";
                    echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                    echo "<img src=\"../_skin/".$cpoSkin."/c_reject.gif\" alt=\"".$LP_R_cancel."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                } else {
                    echo "<b>".$LP_R_free."</b><br>";
                    echo "<img src=\"../_images/transparent.gif\" width=\"1\" height=\"3\" alt=\"\" border=\"0\"><br>";
                    echo "<img src=\"../_skin/".$cpoSkin."/c_free.gif\" alt=\"".$LP_R_free."\" width=\"95\" height=\"7\" border=\"0\"><br>";
                }
                break;
        }
        echo "</td>";
        # --- END --- Status --------------------------------------------

        # --- BEGIN --- Autor --------------------------------------------
        echo "<td nowrap valign=\"top\" align='left' width=\"250\" class='text'>";

        if ( $db->v("titel") != '' ) {
            echo "<A HREF='../_content/show_index.php?nr=".$db->v("nr")."&directory=".$directory."&flag=archiv' target='_blank'>";
            $xtitel = substr($db->v("titel"), 0, 35);
            if ( strlen($db->v("titel")) > 35 ) {
                $xtitel.= "...";
            } 
            echo $xtitel."</A><br>\n";
        } else {
            if ( $db->v("untertitel") != '' ) {
                echo "<A HREF='../_content/show_index.php?nr=".$db->v("nr")."&directory=".$directory."&flag=archiv' target='_blank'>";
                $xuntertitel = substr($db->v("untertitel"), 0, 35);
                if ( strlen($db->v("untertitel")) > 35 ) {
                    $xuntertitel.= "...";
                } 
                echo $xuntertitel."</A><br>\n";
            } else {
                echo "<A class=\"agrey\" HREF='../_content/show_index.php?nr=".$db->v("nr")."&directory=".$directory."&flag=archiv' target='_blank'>";
                echo "<i>".$LP_WithoutTitle."</i></A> \n";

                $text = ereg_replace ( "<[b|B][r|R]>", " ", $db->v("text_1"));
                $text = strip_tags($text);
                $text = substr($text, 0, 50);
                if ( strlen($db->v("text_1")) > 50 ) {
                    $text.= "...";
                } 
                if ( $text != '' ) {
                    echo "<b>".$text."</b>\n";
                }
                echo "<br>\n";
            }
        }

        if ( $db->v("autor") != '' OR $db->v("changer") != '' ) {
            echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">";
            echo "<tr>";
            echo "<td class=\"text\" align=\"left\" valign=\"top\">";
            if ( $db->v("autor") != '' ) {
                echo $LP_ModAuthor.":&nbsp;";
                echo "</td>";
                echo "<td class=\"text\" align=\"left\" valign=\"top\">";
                $db->p("autor");
                echo " ";
            }
            if ( $_SESSION['SID_level'] > 1 AND $db->v("last_modify") == '') {
                echo "<A href=\"info.php?nr=".$db->v("nr")."\">";
                echo "<img src=\"../_skin/".$cpoSkin."/info.gif\" alt=\"".$LP_VersionArchiv."\" align=\"absmiddle\" border=\"0\"></A>";
            }
            echo "</td>";
            echo "</tr>";
            if ( $db->v("last_modify") != '' ) {
                echo "<tr>";
                echo "<td class=\"text\" align=\"left\" valign=\"top\">";
                echo $LP_ModChanger.":&nbsp;";
                echo "</td>";
                echo "<td class=\"text\" align=\"left\" valign=\"top\">";

                $query = "SELECT name FROM ".$dbPrefix."_user WHERE user = '".$db->v("changer")."'";
                DEBUG(2, $query, __FILE__, __LINE__);
                $db2 = new db;
                $db2->query($query);
                if ($db2->num_rows()>0) {
                    $db2->next_record()
                    $db2->p("name");
                }
                if ( $_SESSION['SID_level'] > 1 ) {
                    echo "<A href=\"info.php?nr=".$db->v("nr")."\">";
                    echo "<img src=\"../_skin/".$cpoSkin."/info.gif\" alt=\"".$LP_VersionArchiv."\" align=\"absmiddle\" border=\"0\"></A>";
                }
                echo "</td>";
                echo "</tr>";
            }
            echo "</table>";
        }

        if ( $_SESSION['SID_level'] > 1 ) {
            echo "<A href=\"info.php?nr=".$db->v("nr")."\">";
            echo "<img src=\"../_skin/".$cpoSkin."/info.gif\" alt=\"".$LP_VersionArchiv."\" align=\"absmiddle\" border=\"0\"></A>";
        }
        
        echo "</td>";
        # --- END --- Autor --------------------------------------------

        # --- BEGIN --- Publikations- und Verfallsdatum --------------------------------------------
        echo "<td valign=\"top\" width='225' align='left' class='courier'>";

        echo "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n";
        echo "<tr>\n";
        echo "<td class=\"text\"><nobr>\n";

        if ( $db->v("pub_datum") != '' ) {
            $pdatum = date( "d.m.Y - H:i", $db->v("pub_datum") );
            echo "<nobr>".$pdatum."</nobr><br>";
        }

        if ( $db->v("verfallsdatum") != '' ) {
            $vdatum = '-';
            if ( $db->v("verfallsdatum") < '2023066800'  ) {
                $vdatum = date( "d.m.Y - H:i", $db->v("verfallsdatum") );
            } 
            echo "<nobr>".$vdatum."</nobr><br>";
        }

        echo "</nobr></td>\n";
        echo "<td width=\"10\" class=\"text\">\n";
        echo "<img src=\"../_images/transparent.gif\" width=\"10\" height=\"1\" alt=\"\" border=\"0\">\n";
        echo "</td>\n";
        echo "<td valign=\"top\" align=\"right\" class=\"text\">\n";

        if ( $jetzt > $db->v("pub_datum") ) {
            if ( $jetzt > $db->v("verfallsdatum") ) {
                echo "<nobr><b>".$LP_Expired."</b> <img src=\"../_skin/".$cpoSkin."/s_archive.gif\" alt=\"".$LP_Expired."\" border=\"0\"></nobr><br>";
            } else {
                echo "<nobr><b>".$LP_Online."</b> <img src=\"../_skin/".$cpoSkin."/s_online.gif\" alt=\"".$LP_Online."\" border=\"0\"></nobr><br>";
            } 
        } else {
             echo "<nobr><b>".$LP_Offline."</b> <img src=\"../_skin/".$cpoSkin."/s_offline.gif\" alt=\"".$LP_Offline."\" border=\"0\"></nobr><br>";
        }

        echo "</td></tr>\n";
        echo "<tr>\n";
        echo "<td colspan=\"3\" class=\"text\"><nobr>\n";
        echo "<span class=\"grey\">".$LPTL_Template.": ".$template."</span><br>";
        echo "</td>\n";
        echo "</tr>\n";
        echo "</table>\n";

        echo "</td>";
        # --- END --- Publikations- und Verfallsdatum --------------------------------------------

        if ( $_SESSION['SID_stufe2'] == 1 ) {
            echo "<td width='80' valign=\"top\" align='left' class='courier'>";

            $datum = time();
            $datum_timeout = $datum - $System_timeout;
            
            $query = "SELECT creator FROM ".$dbPrefix."_block "
                    ."WHERE article_id = '".$nr."' && create_date > '".$datum_timeout."'";
            DEBUG(2, $query, __FILE__, __LINE__);       
            $db_2 = new DB;
            $db_2->query($query);
            if ($db_2->num_rows()>0) {
                $db_2->next_record();
                $creator = $db_2->v("creator");
                echo "<span class=\"orange\"><nobr>".$LP_InUseShort."<a href=\"#\"><img src=\"../_images/transparent.gif\" height=\"8\" width=\"8\" alt=\"".autor_name($creator)."\" border=\"0\"></a></nobr></span>";
            } else { 
                echo "<A HREF='modify.php?katego=".$directory."&nr=".$db->v("nr")."'>".$LP_Modify."</A><br>\n";
                echo "<A HREF='delete.php?katego=".$directory."&nr=".$db->v("nr")."' onClick=\"return confirm('".$LP_DeleteReally_1." [".$db->v("nr")."] ".$LP_DeleteReally_2."')\">".$LP_Delete."</A><br>\n";
            }
            if ( $freigabe_name != 'KOPIE' ) {
                echo "<A HREF='copy.php?katego=".$directory."&nr=".$db->v("nr")."' onClick=\"return confirm('".$LP_CopyReally_1." [".$db->v("nr")."] ".$LP_CopyReally_2."')\">".$LP_Copy."</A><br>\n";
            }
            echo "</td>";
        }

        if ( $_SESSION['SID_stufe4'] == 1 ) {
            echo "<td width='85' valign=\"top\" align='left' class='mini'>";
            switch ($freigabe) {
                case 0: // freigegeben
                    echo "<A HREF='release.php?open=2&nr=".$db->v("nr")."&article_nr=".$db->v("article_nr")."' class=\"red\">".$LP_R_Go_block."</A><br>\n";
                    if ( $System_release == 1 ) {
                        echo "<A HREF='release.php?open=3&nr=".$db->v("nr")."&article_nr=".$db->v("article_nr")."' onclick=\"window.open('../_content/reject.php?nr=".$db->v("nr")."&user=".$_SESSION['SID_user_id']."&kategorie=".$directory."&directory=".$directory."&".SID."','".$db->v("nr")."','width=500,height=300,scrollbars=no,menubar=no');\" class=\"red\">".$LP_R_Go_cancel."</A><br>\n";
                    }
                    break;
                case 1: // warten
                    if ( $System_release == 1 ) {
                        echo "<A HREF='release.php?open=0&nr=".$db->v("nr")."&article_nr=".$db->v("article_nr")."' class=\"red\">".$LP_R_Go_Ok."</A><br>\n";
                        echo "<A HREF='release.php?open=3&nr=".$db->v("nr")."&article_nr=".$db->v("article_nr")."' onclick=\"window.open('../_content/reject.php?nr=".$db->v("nr")."&user=".$_SESSION['SID_user_id']."&kategorie=".$directory."&directory=".$directory."&".SID."','".$db->v("nr")."','width=500,height=300,scrollbars=no,menubar=no');\" class=\"red\">".$LP_R_Go_cancel."</A><br>\n";
                    } else {
                        echo "<A HREF='release.php?open=2&nr=".$db->v("nr")."&article_nr=".$db->v("article_nr")."' class=\"red\">".$LP_R_Go_block."</A><br>\n";
                    }
                    break;
                case 2: // gesperrt
                    echo "<A HREF='release.php?open=0&nr=".$db->v("nr")."&article_nr=".$db->v("article_nr")."' class=\"red\">".$LP_R_Go_Ok."</A><br>\n";
                    if ( $System_release == 1 ) {
                        echo "<A HREF='release.php?open=3&nr=".$db->v("nr")."&article_nr=".$db->v("article_nr")."' onclick=\"window.open('../_content/reject.php?nr=".$db->v("nr")."&user=".$_SESSION['SID_user_id']."&kategorie=".$directory."&directory=".$directory."&".SID."','".$db->v("nr")."','width=500,height=300,scrollbars=no,menubar=no');\" class=\"red\">".$LP_R_Go_cancel."</A><br>\n";
                    }
                    break;
                case 3: // abgewiesen
                    if ( $System_release == 1 ) {
                        echo "<A HREF='release.php?open=0&nr=".$db->v("nr")."&article_nr=".$db->v("article_nr")."' class=\"red\">".$LP_R_Go_Ok."</A><br>\n";
                    } else {
                        echo "<A HREF='release.php?open=2&nr=".$db->v("nr")."&article_nr=".$db->v("article_nr")."' class=\"red\">".$LP_R_Go_block."</A><br>\n";
                    }
                    break;
            }
        }

        echo "</td></tr>\n";
    endwhile;
    echo "</table>";
?>
