<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: template_detail_header.php,v 1.1.1.1.2.6 2004/01/04 17:56:51 balu Exp $
if (!defined('CPO')) exit;


    // ------------------------------------------------------------------------------------------------
    // ID 
    $cpContent["ID"] = '';
    if ( $db_nr != '' )  {
        $cpContent["ID"] .= $db_nr;
    }


    // ------------------------------------------------------------------------------------------------
    // Index 
    $cpContent["Index"] = '';
    if ( $db_idx != '' && $db_idx != 'zzzzzz' && ( $feld_detail_index == 1 ))  {
        $cpContent["Index"] .= '<span class="idx">'.$db_idx.'</span>';
    }


    // ------------------------------------------------------------------------------------------------
    // Titel
    $cpContent["Title"] = '';
    if ( $db_titel != '' && ( $feld_detail_title == 1 ) )  {

        // link title?
        if ( $db_titel_link != '' && $feld_detail_title_link == 1 ) {
            $cpContent["Title"] .= '<span class="htitel"><A ';
            if ( $Rubric_sep_window == '0' ) {
                $cpContent["Title"] .= 'target="'.$db_titel_target.'" ';
            } else {
                $cpContent["Title"] .= 'target="'.$Rubric_sep_window.'" ';
            }
            $cpContent["Title"] .= 'class="ahtitel" HREF="'.$db_titel_link.'">'.$db_titel.'</a></span>';

        } else {
            $cpContent["Title"] .= '<span class="htitel">'.$db_titel.'</span>';
        }
    }


    // ------------------------------------------------------------------------------------------------
    // Untertitel
    $cpContent["Subtitle"] = '';
    if ( $db_untertitel != '' && ( $feld_detail_utitle == 1 ))  {
        $cpContent["Subtitle"] .= '<span class="utitel">';
        // link subtitle?
        if ( $db_untertitel_link != '' && ( $feld_detail_utitle_link == 1 ) ) {
            if ( $Rubric_sep_window == '0' ) {
                $cpContent["Subtitle"] .= '<A target="'.$db_untertitel_target.'" ';
            } else {
                $cpContent["Subtitle"] .= '<A target="'.$Rubric_sep_window.'" ';
            }
            $cpContent["Subtitle"] .= 'class="autitel" HREF="'.$db_untertitel_link.'">'.$db_untertitel.'</a></span>';
        } else {
            // don't link subtitle
            $cpContent["Subtitle"] .= $db_untertitel;
        }
        $cpContent["Subtitle"] .= '</span>';
    }


    // ------------------------------------------------------------------------------------------------
    // Bild
    $cpContent["Image"] = '';        
    if ( $db_bild != '' && ( $feld_detail_bild == 1 ))  
    {
        $datei_nr = $db_bild;

        if ( $showtemplate == 1 ) {
            $cpContent["Image"] = $db_bild;
        } else {
            $query = "SELECT datei, alttext, beschreibung FROM ".$dbPrefix."_data WHERE id = '$datei_nr'";
            DEBUG(2, $query, __FILE__, __LINE__);   
            $db = new DB;
            $db->query($query); 
    
            if ($db->num_rows()>0){ // FIXME what if it finds more?
                $db->next_record();

                $imgtmp = '<img border="0" src="../_data/'.$db->v("datei").'" alt="'.$db->v("alttext").'">';
                $cpContent["Image"] = $imgtmp;
    
                // add a link around the image
                if ( $db_bild_link != '' && ( $feld_detail_bild_link == 1 ))  {
                    $cpContent["Image"] = '<A ';
                    // specify target of the link 
                    if ( $Rubric_sep_window == '0' ) {
                        $cpContent["Image"] .= 'target="'.$db_bild_target.'" ';
                    } else {
                        $cpContent["Image"] .= 'target="'.$Rubric_sep_window.'" ';
                    }
                    $cpContent["Image"] .= 'HREF="'.$db_bild_link.'">'.$imgtmp.'</a>';
                } 

                // add a description
                if ( $db->v("beschreibung") != '' && ( $feld_detail_bild_desc == 1 )) {
                    $cpContent["Image"] .= '<br><span class="bild">'.$db->v("beschreibung").'</span>';
                }
                
                $cpContent["ImageWidth"]='';
                $img = $db->v("datei");
                if ( is_file(CPO_BASEDIR."_data/".$img) ) {
                    $size=getimagesize(CPO_BASEDIR."_data/".$img);
                    $cpContent["ImageWidth"] = $size[0];
                }
            }
        }
    }


    // ------------------------------------------------------------------------------------------------
    // Datei        
    $cpContent["File"] = '';
    if ( $db_datei_name != '' && ( $feld_detail_file == 1 ))  {
        $datei_nr = $db_datei_name;
        
        if ( $showtemplate == 1 ) {
            $cpContent["File"] = $db_datei_name;
        } else {
            $query = "SELECT datei FROM ".$dbPrefix."_data WHERE id = '$datei_nr'";
            DEBUG(2, $query, __FILE__, __LINE__);   
            $db = new DB;
            $db->query($query); 
            if ($db->num_rows()>0){ // FIXME what if it finds more?
                $db->next_record();
                if ( $db->v("datei") != '' )  {
                    $file = $db->v("datei");
                }
            }
            
            $cpContent["File"] .= '<span class="link">'.$db_datei_prolog.' <A HREF="../_data/'.$file.'" target="_blank">';
            
            if ( $db_datei_desc != '' && ( $feld_detail_file_desc == 1 )) {
                $cpContent["File"] .= $db_datei_desc;
            } else {
                $cpContent["File"] .= $file;
            }  
            $cpContent["File"] .= '</a></span>';
        }
    }


    // ------------------------------------------------------------------------------------------------
    // Text 1        
    $cpContent["Text1"] = '';
    if ( $output_text_1 != '' && $feld_detail_text_1 == 1 )  {
        $cpContent["Text1"] .= '<span class="text">'.$output_text_1.'</span>';
        $cpContent["Text1"] = ereg_replace ( '<P class=VERS>', '<P class="text">', $cpContent["Text1"]);
        $cpContent["Text1"] = ereg_replace ( '</P>', '', $cpContent["Text1"]); // FIXME Why remove closing </p>?
    }

    // ------------------------------------------------------------------------------------------------
    // Text 2
    $cpContent["Text2"] = '';        
    if ( $output_text_2 != '' && $feld_detail_text_2 == 1 )  {
        $cpContent["Text2"] .= '<span class="text">'.$output_text_2.'</span>';
        $cpContent["Text2"] = ereg_replace ( '<P class=VERS>', '<P class="text">', $cpContent["Text2"]);
        $cpContent["Text2"] = ereg_replace ( '</P>', '', $cpContent["Text2"]); // FIXME Why remove closing </p>?
    }


    // ------------------------------------------------------------------------------------------------
    // Text 3
    $cpContent["Text3"] = '';        
    if ( $output_text_3 != '' && $feld_detail_text_3 == 1 )  
    {
        // $output_text_3 = nl2br( $output_text_3 );
        $cpContent["Text3"] .= '<span class="text">'.$output_text_3.'</span>';
        $cpContent["Text3"] = ereg_replace ( '<P class=VERS>', '<P class="text">', $cpContent['Text3']);
        $cpContent["Text3"] = ereg_replace ( '</P>', '', $cpContent['Text3']); // FIXME Why remove closing </p>?
    }


    // ------------------------------------------------------------------------------------------------
    // Link 1    
    $cpContent["Link1"] = '';
    if ( $db_link_1 != '' && ( $feld_detail_link_1 == 1 ))  
    {
        if ( $showtemplate == 1 ) {
            $cpContent["Link1"] = $db_link_1;
        } else {
            $cpContent["Link1"] .= '<span class="text"><A ';
            if ( $Rubric_sep_window == '0' ) {
                $cpContent["Link1"] .= 'target="'.$db_link_target_1.'" ';
            } else {
                $cpContent["Link1"] .= 'target="'.$Rubric_sep_window.'" ';
            }
            $cpContent["Link1"] .= 'HREF="'.$db_link_1.'" class="link">';
            if ( $db_link_text_1 != '' && ( $feld_detail_link_text_1 == 1 ))  {
                $cpContent["Link1"] .= $db_link_text_1;
            } else {
                $cpContent["Link1"] .= $db_link_1;
            }
            $cpContent["Link1"] .= "</A></span>";
        }
    }


    // ------------------------------------------------------------------------------------------------
    // Link 2
    $cpContent["Link2"] = '';
    if ( $db_link_2 != '' && ( $feld_detail_link_2 == 1 ))  
    {
        if ( $showtemplate == 1 ) {
            $cpContent["Link2"] = $db_link_2;
        } else {
            $cpContent["Link2"] .= '<span class="text"><A ';
            if ( $Rubric_sep_window == '0' ) {
                $cpContent["Link2"] .= 'target="'.$db_link_target_2.'" ';
            } else {
                $cpContent["Link2"] .= 'target="'.$Rubric_sep_window.'" ';
            }
            $cpContent["Link2"] .= 'HREF="'.$db_link_2.'" class="link">';
            if ( $db_link_text_2 != '' && ( $feld_detail_link_text_2 == 1 ))  {
                $cpContent["Link2"] .= $db_link_text_2;
            } else {
                $cpContent["Link2"] .= $db_link_2;
            }
            $cpContent["Link2"] .= "</A></span>";
        }
    }

    // ------------------------------------------------------------------------------------------------
    // Link 3
    $cpContent["Link3"] = '';
    if ( $db_link_3 != '' && ( $feld_detail_link_3 == 1 ))  
    {
        if ( $showtemplate == 1 ) {
            $cpContent["Link3"] = $db_link_3;
        } else {
            $cpContent["Link3"] .= '<span class="text"><A ';
            if ( $Rubric_sep_window == '0' ) {
                $cpContent["Link3"] .= 'target="'.$db_link_target_3.'" ';
            } else {
                $cpContent["Link3"] .= 'target="'.$Rubric_sep_window.'" ';
            }
            $cpContent["Link3"] .= 'HREF="'.$db_link_3.'" class="link">';
            if ( $db_link_text_3 != '' && ( $feld_detail_link_text_3 == 1 ))  {
                $cpContent["Link3"] .= $db_link_text_3;
            } else {
                $cpContent["Link3"] .= $db_link_3;
            }
            $cpContent["Link3"] .= "</A></span>";
        }
    }

    // ------------------------------------------------------------------------------------------------
    // Autor
    $cpContent["Author"] = '';
    if ( $feld_detail_autor == 1 )  
    {
        $cpContent["Author"] .= '<span class="datum">';
        if ( $db_email != '' && ( $feld_detail_email == 1 )) {
            $cpContent["Author"] .= '[<A HREF="mailto:'.$db_email.'" class="al">'.$db_autor.'</A>]';
        } else {
            $cpContent["Author"] .= '['.$db_autor.']';
        }
        $cpContent["Author"] .= "</span>";
    }


    // ------------------------------------------------------------------------------------------------
    // Initial
    $cpContent["Initial"] = '';
    if ( $db_initial != '' && ( $feld_detail_initial == 1 ))  
    {
        $cpContent["Initial"] .= '<span class="datum">';
        if ( $feld_detail_autor == 0 && $feld_detail_email == 1 && $db_email != '' ) {
            $cpContent["Initial"] .= '[<A HREF="mailto:'.$db_email.'" class="al">'.$db_initial.'</A>]';
        } else {
            $cpContent["Initial"] .= '['.$db_initial.']';
        }
        $cpContent["Initial"] .= "</span>";
    }


    // ------------------------------------------------------------------------------------------------
    // Datum
    $cpContent["Date"] = '';
    if ( $db_pub_datum != '' && ( $feld_detail_datum == 1 )) {
        $datum = date( $feld_formdatum, $db_pub_datum );
        $cpContent["Date"] .= '<span class="datum"><nobr>'.$datum.'</nobr></span>';
    }


    // ------------------------------------------------------------------------------------------------
    // Artikel-Nummer
    echo "<A NAME=\"".$db_nr."\"></A>";


    // ------------------------------------------------------------------------------------------------
    // Zurueck
    $cpContent["Back"] = '';
    if ( $db_more_target != '_blank' ) {
        $cpContent["Back"] .= "<A HREF=\"javascript:history.back()\" class=\"more\">".$LP_Rubic_Back."</A>";
    }

?>
