<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: i_copy.php,v 1.1.1.1.2.9 2004/02/06 09:08:39 balu Exp $
if (!defined('CPO')) exit;

    if ( $nr == '') {
        require(CPO_BASEDIR."_include/tab_modify.php");
        echo "<br>";
        return;
    }

    $fieldsToCopy = array('auth', 'auth_backup', 'commentary', 'template', 'titel',
                    'titel_link', 'titel_target', 'untertitel',
                    'untertitel_link', 'untertitel_target', 'text_1',
                    'text_1_target', 'html_1', 'text_2', 'text_2_target',
                    'html_2', 'text_3', 'text_3_target', 'html_3', 'bild',
                    'bild_link', 'bild_target', 'datei_name', 'datei_desc',
                    'datei_prolog', 'link_1', 'link_text_1', 'link_target_1',
                    'link_2', 'link_text_2', 'link_target_2', 'link_3',
                    'link_text_3', 'link_target_3', 
                    'autor', 'email', 'initial', 'mehr',
                    'more_target', 'idx'
              );

    $query = 'SELECT '.implode($fieldsToCopy, ', ')." FROM ".$dbPrefix."_news WHERE nr = '".$nr."'";
    DEBUG(1, $query, __FILE__, __LINE__);   
    $db = new DB;
    $db->query($query);

    if ($db->num_rows()>0){ // FIXME only one should be found
        $db->next_record();

        reset($fieldsToCopy);
        while (list($key, $value) = each($fieldsToCopy)) {
            $varname = 'copy_'.$value;
            $$varname = $db->v($value);
        }
    } 

    $datum         = time();
    $c_datum       = date("Y-m-d H:i:s", time());
    $t_datum       = date("YmdHiws", time());
    $article_nr    = substr($_SESSION['SID_login'], 0, 2).$t_datum.rand(1000, 9999);
    $sort_id       = $datum.rand(1000,9999);
    $freigabe_name = "KOPIE";
    $verfallsdatum = 2065471140;
    $pub_datum     = time();

    $freigabe_status = $System_release;
    if ( $System_release != 1 ) {
        $freigabe_status = 2;
    }
    
    if ( $copy_titel != '' ) {
        $copy_titel = "[".$LP_ArticleCopy.":] ".$copy_titel;
    } else {
        if ( $copy_untertitel != '' ) {
            $copy_untertitel = "[".$LP_ArticleCopy.":] ".$copy_untertitel;
        } else {
            $copy_text_1 = "[".$LP_ArticleCopy.":] ".$copy_text_1;
        }
    }

    require(CPO_BASEDIR."_include/check_string_copy.php");

    // FIXME: freigabe_datum is missing?
    $query1 = 'INSERT INTO '.$dbPrefix.'_news ('
             .'nr, artikel_archiv, article_nr, kategorie, search, datum, freigabe, freigabe_name, '
             .'timestamp, last_modify, c_time, changer, sort_id, verfallsdatum, pub_datum';
    $query2 = ' ) VALUES ('
             ."'', '0', '".$article_nr."', '".$katego."', '".$Rubric_search."', '".$datum."', '".$freigabe_status."', '".$freigabe_name."', "
             ."'".$t_datum."', '".$datum."', '".$c_datum."', '".$_SESSION['SID_login']."', '".$sort_id."', '".$verfallsdatum."', '".$pub_datum."'";

    reset($fieldsToCopy);
    while (list($key, $value) = each($fieldsToCopy)) {
        $query1 .= ", ".$value;
        $varname = "copy_".$value;
        $query2 .= ", '".$$varname."'";
    }
    $query = $query1.$query2.')';
    DEBUG(1, $query, __FILE__, __LINE__);   
    $db->query($query); 

    $message = $LP_MessageSucCop_1." <b>".$nr."</b> ".$LP_MessageSucCop_2;

    require(CPO_BASEDIR."_include/message.php");   

    echo "<br>";
    
    $zeile1 = "<b>".$katego."</b><br>".$nr." | ".$artikel_titel." | ".$artikel_untertitel." | ".$bild."\n";
    fkt_log($_SESSION['SID_login'], $LOG_ArticleDelete, $zeile1);

    require(CPO_BASEDIR."_include/tab_modify.php");

    echo "<br>";
?>
