<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: i_file_upload.php,v 1.1.1.1.2.11 2004/02/25 12:00:00 balu Exp $
if (!defined('CPO')) exit;

$uploadErrors = array(
    $LP_FileError1,         // File successfully uploaded.
    $LP_FileError2,         // Uploaded file exceeds the allowed size.
    $LP_FileError2,         // Uploaded file exceeds the allowed size.
    $LP_FileError3,         // File was only partially uploaded, please try again.
    $LP_FileError4);        // No file was received. Upload again.
$imageTypes = array(
    'unknown', 
    'GIF', 
    'JPG', 
    'PNG', 
    'SWF', 
    'PSD', 
    'BMP', 
    'TIFF(intel byte order)', 
    'TIFF(motorola byte order)', 
    'JPC', 
    'JP2', 
    'JPX', 
    'JB2', 
    'SWC', 
    'IFF');

?>
<table width="<?php echo $WIDTH; ?>" BORDER="0" cellpadding="3" cellspacing="0" ALIGN="center">
    <tr bgcolor="<?php echo $color_tbg_dunkel; ?>">
        <td colspan="3" align="left" class="text">
            <b><?php echo $LP_FileUpload; ?></b>
        </td>
    </tr>
    <tr bgcolor="<?PHP echo $color_data_hell ?>">
        <td bgcolor="<?PHP echo $color_tbg_hell ?>" width="140" valign="top" align="left" class="text">
            <img height="3" width="1" src="../_images/transparent.gif" alt="" border="0"><br>
            <?php echo $LP_File ?>:
        </td>
        <td class="text" width="10">&nbsp;</td>
        <td width="500" align="left" valign="top" class="text">
<?php

    if ( $directory == '_template') {
        $Rubric_name = strtoupper($LPTL_Templates);
    }


if (!isset($_FILES['uppedFiles'])){
    ?>
    <form
        action="<?php echo $_SERVER['PHP_SELF']; ?>"
        method="post"
        enctype="multipart/form-data">
        <input type="hidden" name="directory" value="<?php print($directory); ?>"> 
        <input type="hidden" name="katego" value="<?php print($directory); ?>"> 
        <input type="hidden" name="MAX_FILE_SIZE" value="<?php print($System_max_file); ?>">
        <?PHP if ( $directory == '_templates') { ?>
        <input class="i0" type="hidden" name="filerubrik" id="filerubrik" value="_templates">
        <?PHP } else { ?>
        <input tabindex="2"         class="i0" type="radio" name="filerubrik" id="filerubrik" value="#ALL#"> <?php echo $LP_FileAllRubric ?><br>
        <input tabindex="3" checked class="i0" type="radio" name="filerubrik" id="filerubrik" value="<?php echo $directory ?>"> <?php echo $LP_FileThisRubric." [<b>".$Rubric_name."</b>]" ?>
        <?PHP } ?>

        <br><br>
        <?php
            for ($a = 1; $a <= $maxFileUpload; $a++) {
        ?>
            <input class="i33" type="file" name="uppedFiles[]" /> <?php help("DA001"); ?><br />
        <?php
            }
        ?>
        <br>
        <div align='left' class='mini'><b><?php print($LP_FileWarning); ?>:</b><br><?php print($LP_FileUploadRemark); ?></div>
        <br>
        <input class="i" type="submit" value="<?php print($LP_FileLoad); ?>" />
        <?php help("DA002"); ?>
    </form>
    <?php
} else {

    $counter = 1;
    for($i=0; $i<count($_FILES['uppedFiles']['size']); $i++) {

        if ($_FILES['uppedFiles']['name'][$i]=='') {
            continue;
        }
        printf('<br><b>%d) %s</b><br />', 
            $counter++,
            htmlspecialchars($_FILES['uppedFiles']['name'][$i]));

        // check for errors
        if (!$_FILES['uppedFiles']['size'][$i]) {
            if (isset($_FILES['uppedFiles']['error'][$i])) // this exists since PHP 4.2
                 $error = $uploadErrors[$_FILES['uppedFiles']['error'][$i]];
            // else guess the error...
            else $error = $LP_FileError11;             

            printf($LP_FileError12.": %s<br />",
                $error);
            //echo "<pre>"; print_r($_FILES['uppedFiles']); echo "</pre>";
            continue;
         }

        // upload ok
        $path = CPO_BASEDIR.'_data/';

        // modify filename to exclude characters that are not a-z A-Z 0-9 _ or .
        $filename = $_FILES['uppedFiles']['name'][$i];
        $filename = preg_replace('/[^a-z0-9_\.-]/i', '_', $filename);

        // add a prefix if file exists
        $prefix = ''; 
        $prefixNo = 0;
        while (file_exists($path.$prefix.$filename)) {
            $prefixNo++;
            $prefix = $prefixNo.'-';
        }
        $new_filename = $path.$prefix.$filename;

        if (file_exists($path.$filename)) {
            printf($LP_FileError13.': <em>%s</em>.<br />',
                $prefix);
        }

        // move the uploaded file to the new place
        if (!@move_uploaded_file($_FILES['uppedFiles']['tmp_name'][$i], $new_filename)) {
            printf($LP_FileError14.' <em>%s</em><br />',
                htmlspecialchars($new_filename),
                htmlspecialchars(dirname($new_filename)));
            continue;
        }
        @chmod($new_filename, 0666);

        // get date
        $datum = time();
        $c_datum = date ("Y-m-d H:i:s" ,time());
        $t_datum = date ("YmdHis" ,time());

        // Get username from database
        $queryuser = "SELECT user, name, initial, email FROM ".$dbPrefix."_user WHERE user = '".$_SESSION['SID_login']."'";
        DEBUG(2, $queryuser, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($queryuser);

        // define some defaults if no user is found.
        $autor = 'UNKNOWN';
        $email = '';
        $initial = '';
        if ($db->num_rows()>0) {
            $db->next_record();
            if ($db->v("user") != '') {
                $autor = $db->v("name");
                # echo $autor;
                $email = $db->v("email");
                $initial = $db->v("initial");
            } 
        } 
        if ($autor=='UNKNOWN') echo $LP_NoUser;                  

        // Check if it is an image suitable for web pages
        $checkImage = @getimagesize($new_filename);
        if ($checkImage && (
            $imageTypes[$checkImage[2]]=='JPG' || 
            $imageTypes[$checkImage[2]]=='PNG' ||
            $imageTypes[$checkImage[2]]=='GIF')) {

            // if the image-file is too big, delete it and continue
            if ($_FILES['uppedFiles']['size'][$i] > $System_max_image) {
                @unlink($new_filename);
                printf($LP_FileError15.'<br />'.
                       $LP_FileError16.'<br />',
                    printHumanReadable($System_max_image-$_FILES['uppedFiles']['size'][$i]),
                    printHumanReadable($System_max_image));
                continue;
            }
            printf($LP_FileError17.'<br />',
                $imageTypes[$checkImage[2]]);
            $whtag = addslashes($checkImage[3]);
            $query = 'INSERT INTO '.$dbPrefix.'_data (id, size, beschreibung, alttext, datum, type, datei, width, height, whtag, format, user, name, kategorie, timestamp, c_time, changer) values("'.$id.'", "'.$_FILES['uppedFiles']['size'][$i].'", "'.$filename.'", "", "'.$datum.'", "'.$_FILES['uppedFiles']['type'][$i].'", "'.$prefix.$filename.'", "'.$checkImage[0].'", "'.$checkImage[1].'", "'.$whtag.'", "IMG", "'.$_SESSION['SID_login'].'", "'.$autor.'", "'.$filerubrik.'", "'.$t_datum.'", "'.$c_datum.'", "'.$_SESSION['SID_login'].'")';

        } else {
            // no image 

            // if the file is too big, delete it and continue
            if ($_FILES['uppedFiles']['size'][$i] > $System_max_file) {
                @unlink($new_filename);
                printf($LP_FileError18.'<br />'.
                       $LP_FileError19.'<br />',
                    printHumanReadable($System_max_file-$_FILES['uppedFiles']['size'][$i]),
                    printHumanReadable($System_max_file));
                continue;
            }
            printf($LP_FileError20.'<br />');
            $query = "INSERT INTO ".$dbPrefix."_data (id, size, beschreibung, alttext, datum, type, datei, width, height, whtag, format, user, name, kategorie, timestamp, c_time, changer) values(\"".$id."\", \"".$_FILES['uppedFiles']['size'][$i]."\", \"".$filename."\", \"\", \"".$datum."\", \"".$_FILES['uppedFiles']['type'][$i]."\", \"".$prefix.$filename."\", \"\", \"\", \"\", \"FILE\", \"".$_SESSION['SID_login']."\", \"".$autor."\", \"".$filerubrik."\", \"".$t_datum."\", \"".$c_datum."\", \"".$_SESSION['SID_login']."\")";
        }

        // print infos
        printf($LP_FileError21."<br />".
               $LP_FileError22."<br />",
            htmlspecialchars($prefix.$filename),
            printHumanReadable($_FILES['uppedFiles']['size'][$i]));

        // store in database
        DEBUG(1, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);
    }

    print ('<br><br><a href="file_upload.php?directory='.$directory.'">'.$LP_FileNextFile.' &raquo;</a><br>');
}

echo "</td></tr></table>";
?>
