<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: index.php,v 1.1.1.1.2.11 2004/03/18 10:40:41 balu Exp $
define('CPO', true);
if (file_exists("../_cfg/const.php")) require("../_cfg/const.php");
else require("../_cfg/const.php.dist");

$displayResults = 10;

include(CPO_BASEDIR."_search/_inc_header.php");

printf('<div align="left" class="text">%s<br><br>', htmlspecialchars($LP_SearchText));
printf('<div width="%s" align="left">', $System_article_width);
printf('<form action="%s" method="GET">', $_SERVER['PHP_SELF']);
printf('<hr width="%s" size="1" align="left">', $System_article_width);
printf('<table border="0" cellpadding="0" cellspacing="0"><tr><td class="text">%s:&nbsp;</td><td class="text" valign="middle">', $LPS_Search);
print('<input type="hidden" name="go" id="go" value="1">');
printf('<input type="text" name="search" id="search" size="25" value="%s">', htmlspecialchars($search));
printf('</td><td class="text">&nbsp;<input type="submit" name="submit" value="%s">', $LPS_Go);
print('</td></tr></table>');
printf('<hr width="%s" size="1" align="left">', $System_article_width);
print(' </form>');
print('</div>');

$search = stripslashes($search);
$search = str_replace ('"', ' ', $search);
$length = strlen ($search);

$searchExploded = explode(' ', $search);
for ($i=0; $i<count($searchExploded); $i++) {
    $lengthExploded = strlen ($searchExploded[$i]);
    if ($lengthExploded > 1) {
        $searchOK = 1;
    }
}

if ($length==0) {
    if (isset($search) AND $go==1 ) {
        echo $LPS_NoString."<br>";        
    }
    echo "<br>";
    echo "</div>\n";
    require(CPO_BASEDIR."_search/_inc_footer.php");
    return;
} 

if ($length<='1' || $searchOK!=1) {
    echo $LPS_NoEnough."<br>";
} else {
    if ($search) {
        echo $LPS_SearchFor."<br>\n";
        echo "<hr size=\"1\" width=\"".$System_article_width."\" align=\"left\">";

        $search = str_replace ( '"', ' ', $search);
        $searchstring = '(';
        $add = fkt_search(kategorie,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(nr,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(titel,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(titel_link,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(untertitel,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(untertitel_link,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(text_1,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(text_2,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(text_3,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(bild,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(bild_link,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(datei_name,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(datei_desc,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(datei_prolog,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(link_1,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(link_text_1,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(link_2,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(link_text_2,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(link_3,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(link_text_3,$search);
        $searchstring = $searchstring.$add." ) OR (";
        $add = fkt_search(idx,$search);
        $searchstring = $searchstring.$add." )";

        if ($pos=='') $pos = 0;

        $jetzt = time();
        
        $auth_string = "auth = ''";
        if ($_SESSION['SID_Group']!='') {
            $auth_string = "auth = '' OR auth LIKE '%".$_SESSION['SID_Group']."%'";
        }

        $query_count = "SELECT COUNT(*) FROM ".$dbPrefix."_news "
                      ."WHERE search = 1 AND artikel_archiv = 0 AND freigabe != 2 AND pub_datum < '".$jetzt."' AND verfallsdatum > '".$jetzt."' AND (".$searchstring.") AND ( ".$auth_string." )";    
        $query = "SELECT nr, titel, untertitel, template, sort_id, datum, kategorie, text_1, text_2, text_3, freigabe, pub_datum, verfallsdatum "
                ."FROM ".$dbPrefix."_news "
                ."WHERE search = 1 AND artikel_archiv = 0 AND freigabe != 2 AND pub_datum < '".$jetzt."' AND verfallsdatum > '".$jetzt."' AND (".$searchstring.") AND ( ".$auth_string." ) LIMIT ".$pos.", ".$displayResults;
        if ($System_release==1) {
            $query_count = "SELECT COUNT(*) FROM ".$dbPrefix."_news "
                          ."WHERE search = 1 AND artikel_archiv = 0 AND freigabe = 0 AND pub_datum < '".$jetzt."' AND verfallsdatum > '".$jetzt."' AND (".$searchstring.") AND ( ".$auth_string." )";    
            $query = "SELECT nr, titel, untertitel, template, sort_id, datum, kategorie, text_1, text_2, text_3, freigabe, pub_datum, verfallsdatum "
                    ."FROM ".$dbPrefix."_news "
                    ."WHERE search = 1 AND artikel_archiv = 0 AND freigabe = 0 AND pub_datum < '".$jetzt."' AND verfallsdatum > '".$jetzt."' AND (".$searchstring.") AND ( ".$auth_string." ) LIMIT ".$pos.", ".$displayResults;
        }

        DEBUG(1, $query_count, __FILE__, __LINE__);
        $db = new DB;
        $db->query($query_count);
        $db->next_record();
        $counter = $db->v('COUNT(*)');

        DEBUG(1, $query, __FILE__, __LINE__);   
        $db = new DB;
        $db->query($query);
        $anzahl = $db->num_rows();

        if ($pos=='') $pos = 0;
        $pos_nr = $pos;

        if ($db->num_rows()<=0) {
            echo "<br><b>".$LP_NoDataText."</b>";
            fkt_log("USER", $LOG_Search, "<b>".$search."</b><br>(0 Results)");
        } else { 
            while($db->next_record()):
                $pos_nr++;
                $nr         = $db->v("nr");
                $titel      = $db->v("titel");
                $untertitel = $db->v("untertitel");
                $template   = $db->v("template");
                $sort_id    = $db->v("sort_id");
                $datum      = $db->v("datum");
                $kategorie  = $db->v("kategorie");
                
                $freigabe   = $db->v("freigabe");

                $text_1     = $db->v("text_1");
                $text_2     = $db->v("text_2");
                $text_3     = $db->v("text_3");
                
                $text_1 = ereg_replace ( "&lt;", "<", $text_1);
                $text_1 = ereg_replace ( "&gt;", ">", $text_1);
                $text_2 = ereg_replace ( "&lt;", "<", $text_2);
                $text_2 = ereg_replace ( "&gt;", ">", $text_2);
                $text_3 = ereg_replace ( "&lt;", "<", $text_3);
                $text_3 = ereg_replace ( "&gt;", ">", $text_3);

                $text_1 = ereg_replace ( "<BR>", " ", $text_1);
                $text_2 = ereg_replace ( "<BR>", " ", $text_2);
                $text_3 = ereg_replace ( "<BR>", " ", $text_3);

                $text_1 = strip_tags($text_1);
                $text_2 = strip_tags($text_2);
                $text_3 = strip_tags($text_3);

                $text_1 = substr($text_1, 0, 250);
                $text_2 = substr($text_2, 0, 250);
                $text_3 = substr($text_3, 0, 250);

                $text_1_header = substr($text_1, 0, 70);
                
                if ( strlen($text_1) >= 250 )  
                {
                    $text_1 = $text_1."[...]<br>";
                }
                if ( strlen($text_2) >= 250 )  
                {
                    $text_2 = $text_2."[...]<br>";
                }
                if ( strlen($text_3) >= 250 )  
                {
                    $text_3 = $text_3."[...]<br>";
                }

                $text_1 = ereg_replace ( "\015\012\015\012", " ", $text_1);
                $text_2 = ereg_replace ( "\015\012\015\012", " ", $text_2);
                $text_3 = ereg_replace ( "\015\012\015\012", " ", $text_3);

                $query = "SELECT header, name "
                        ."FROM ".$dbPrefix."_rubric WHERE rubrik = '".$kategorie."'";
                DEBUG(2, $query, __FILE__, __LINE__);   
                $db_2 = new DB;
                $db_2->query($query);

                if ($db_2->num_rows()>0) {
                    $db_2->next_record();
                    $header = $db_2->v("header");
                    $name = $db_2->v("name");
                }

                if ( $header == '' ) {
                    $header = $kategorie;
                }

                echo "<table width=\"".$System_article_width."\" border=\"0\" cellpadding=\"1\" cellspacing=\"0\">";
                echo "<tr><td bgcolor=\"".$color_tbg_dunkel."\" align=\"left\" valign=\"top\" class=\"text\">";

                echo "<A href=\"../".$kategorie."/index.php?nr=".$nr."&kategorie=".$kategorie."\" target='_self'>";
                echo "<b>".$pos_nr.")</b> \n";
               
                if ( $titel != '') {
                    echo $titel."\n";
                } else {
                    if ( $untertitel != '') {
                        echo $untertitel."\n";
                    } else {
                        if ( $text_1_header != '') {
                            echo "<i>".$text_1_header."</i>\n";
                        } else {
                            echo "<i>".$header."</i>\n";
                        }
                    } 
                } 
                echo "</A><br>";

                if ( $titel != '' && $untertitel != '' ) {
                    echo $untertitel."<br>\n";
                } 
                if ( $text_1 != '' || $text_2 != '' || $text_3 != '' )
                {
                    echo "</td></tr><tr><td colspan=\"2\" align=\"left\" valign=\"top\" class=\"text\">";
                    if ( $text_1 != '' ) {
                        echo $text_1."\n";
                    }
                    if ( $text_2 != '' ) {
                        echo $text_2."\n";
                    }
                    if ( $text_3 != '' ) {
                        echo $text_3."\n";
                    }
                }
                echo "</td></tr><tr><td align=\"left\" valign=\"top\" class=\"minigrey\">";

                // --- Zeitstatus --------------------

                $jetzt = time();

                if ( $jetzt > $db->v("pub_datum") ) {
                    if ( $jetzt > $db->v("verfallsdatum") ) {
                        echo "<b>".$LP_Expired."</b> <img src=\"../_skin/".$cpoSkin."/s_archive.gif\" alt=\"".$LP_Expired."\" border=\"0\"> | ";
                    } else {
                        echo "<b>".$LP_Online."</b> <img src=\"../_skin/".$cpoSkin."/s_online.gif\" alt=\"".$LP_Online."\" border=\"0\"> | ";
                    } 
                } else {
                     echo "<b>".$LP_Offline."</b> <img src=\"../_skin/".$cpoSkin."/s_offline.gif\" alt=\"".$LP_Offline."\" border=\"0\"> | ";
                }

                echo "<b>".$LPS_Rubric.":</b> \n";
                echo "<a class='copy' href='../".$kategorie."/index.php?kategorie=".$kategorie."' target='_top'><b><nobr>".$header."</nobr></b></a> |\n";                 
                echo "<b>".$LPS_Changed.":</b> ".date("d.m.Y - H:i",$datum)."\n";

                echo "</td></tr></table><br><br>";

            endwhile;

            if ( $pos == '' ) { // FIXME does this log anything, since $pos gets set above?
                fkt_log("USER", $LOG_Search, "<b>".$search."</b><br>(".$counter." Results)");
            }

            next_page($pos, $counter, $displayResults, 1, 'search='.urlencode($search), 'index.php');
        }
    }
}

echo "<br>";
echo "</div>\n";

# --- FOOTER ---
require(CPO_BASEDIR."_search/_inc_footer.php");
?>
