<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: english.php,v 1.1.1.1.2.10 2004/03/22 12:10:23 balu Exp $
if (!defined('CPO')) exit;

    $LP_prefix                  = 'Please make sure your database prefix only contains allowed characters ("a-zA-Z0-9", "-" or "_").';
    $LP_TblPrefixText           = "Please enter prefix for the database table.<br><b>Note:</b>If there are any tables using this prefix already, they are going to be overwritten and therefore deleted!";
    $LP_TblPrefix               = "Table prefix:";

    $LP_Huh                     = "HELP! PHP can not load the setup steps? Did you transfer all files?";
    $LP_OK                      = "OK";
    $LP_Next                    = "Next &raquo;";
    $LP_Step                    = "Step";
    $LP_Setup                   = "ConPresso Setup";
    $LP_Title                   = "ConPresso  Content Management by Bartels.Sch&ouml;ne";

    $LP_noSetup                 = "<br><br>Sorry, cowardly refusing to run setup as long as the file conpresso/_cfg/db.inc.php exists.";

    $LP_Header1                 = "Server settings.";
    $LP_Header2                 = "Database settings.";
    $LP_Header3                 = "Database settings.";
    $LP_Header4                 = "User/Data.";
    $LP_Header5                 = "Finish.";

    $LP_Text1                   = "<ol><li>Check settings</li></ol>";
    $LP_Text2                   = "<ol><li>Enter database settings</li><li>Check database settings</li></ol>";
    $LP_Text3                   = "<ol><li>Create _cfg/db.inc.php</li><li>Create database tables</li></ol>";
    $LP_Text4                   = "<ol><li>Create first user</li><li>Create first Database Entries</li></ol>";
    $LP_Text5                   = "<ol><li>Finish installation</li></ol>";


    # Step 1
    $LP_Checking_PHP            = "Check PHP Settings:<br>";

    $LP_PHP_Version             = "Your PHP version";
    $LP_PHP_Version1            = "is <font color=\"#ff0000\" style=\"font-weight: bold\"><b>not</b></font> supported, please upgrade your PHP.";
    $LP_PHP_Version2            = "is supported. <b>Fine</b>.";

    $LP_PHP_use_trans_sid2      = "<font color=\"#ff0000\" style=\"font-weight: bold\">'<b>session.use_trans_sid</b>' should be set. If it is not, the sessions will not use this fallback if the users browser does not support cookies.</font>";
    $LP_PHP_use_trans_sid3      = "'<b>session.use_trans_sid</b>' is set. <b>Fine</b>.";

    $LP_PHP_magic_quotes_gpc2   = "<font color=\"#ff0000\" style=\"font-weight: bold\">'<b>magic_quotes_gpc</b>' needs to be active in your PHP-configuration.</font>";
    $LP_PHP_magic_quotes_gpc3   = "<b>magic_quotes_gpc</b>' is set. <b>OK</b>.";


    $LP_PHP_mysql1              = "<font color=\"#ff0000\" style=\"font-weight: bold\">Your PHP does not support MySQL-functions.</font>";
    $LP_PHP_mysql2              = "Your PHP does support MySQL-functions. <b>Fine</b>.";

    $LP_PHP_datadir1            = "<font color=\"#ff0000\" style=\"font-weight: bold\">ConPresso needs the right to write files in the directory <i>conpresso/_data/</i>.</font>";
    $LP_PHP_datadir2            = "ConPresso can create files in <i>conpresso/_data/</i>. <b>OK</b>.";

    $LP_PHP_mail1               = "[ConPresso:] Testmail";
    $LP_PHP_mail2               = "This message was sent while installing ConPresso.\n\nIf you received it, your server is able to send eMails.\nIf not, you... Oh. You shouldn't be able to read these lines then ;-)\n\nRegards\nYour ConPresso";
    $LP_PHP_mail3               = "<br><b>eMail-Test:</b><br><br>Sent mail to";

    $LP_PHP_mail4               = "If you want to check that ConPresso is able to send eMails, please enter your eMail-address here and press send";
    $LP_send                    = "send";


    # Step 2
    $LP_enter1                  = "<font color=\"#ff0000\" style=\"font-weight: bold\">Connection to database server failed.</font> Please check the settings";
    $LP_enter2                  = "<font color=\"#ff0000\" style=\"font-weight: bold\">Unable to select database</font>";
    $LP_enter3                  = "Connecting to the database was successfull. <b>Fine</b>.<br>";
    $LP_enter4                  = "Please enter the hostname where the MySQL-database ist located (usually 'localhost'):";
    $LP_enter5                  = "Hostname:";
    $LP_enter6                  = "<br>Please enter the database login:";
    $LP_enter7                  = "Login:";
    $LP_enter8                  = "<br>Please enter the database password:";
    $LP_enter9                  = "Password:";
    $LP_enter10                 = "******** (not displayed)";
    $LP_enter11                 = "<br>Please enter the database name:";
    $LP_enter12                 = "Database name:";


    # Step 3
    $LP_db1                     = "<font color=\"#ff0000\" style=\"font-weight: bold\">Unable to open";
    $LP_db2                     = "for writing.</font><br><br>This can have multiple reasons e.g. that the user who runs the webserver and PHP does not have rights to write to the file or the directory.<br><br>You have two options: <br><ol><li>Make the file writeable by the setup-script<br><li>create the file <i>conpresso/_cfg/db.inc.php</i> yourself using the following content<br>(Please make sure there are no blanks or empty lines in front of '&lt;?php' or after '?&gt;'):";

    $LP_db2a                    = "ATTENTION: Please make sure there are no blanks or empty lines in front of '< ?php' or after '? >'!";

    $LP_db10                    = "Writing database-config-file... ";
    $LP_db11                    = "<font color=\"#ff0000\" style=\"font-weight: bold\">Error while writing to <i>conpresso/_cfg/db.inc.php</i>!</font>";
    $LP_db12                    = "Checking if the database-config-file has the correct settings.";

    $LP_db20                    = "<font color=\"#ff0000\" style=\"font-weight: bold\">The hostname in your <i>conpresso/_cfg/db.inc.php</i> is different from the data you have entered.</font> The value should be";
    $LP_db21                    = "<font color=\"#ff0000\" style=\"font-weight: bold\">The username in your <i>conpresso/_cfg/db.inc.php</i> is different from the data you have entered.</font> The value should be";
    $LP_db22                    = "<font color=\"#ff0000\" style=\"font-weight: bold\">The password in your <i>conpresso/_cfg/db.inc.php</i> is different from the data you have entered.</font> The value should be";
    $LP_db23                    = "<font color=\"#ff0000\" style=\"font-weight: bold\">The database name in your <i>conpresso/_cfg/db.inc.php</i> is different from the data you have entered.</font> The value should be";
    $LP_db25                    = "but is";

    $LP_db30                    = "The file should look similar to this:";
    $LP_db31                    = "The database-config is ok. <b>Fine</b>.";
    $LP_db32                    = "Creating database tables... ";

    # Step 4
    $LP_user1                   = "Please enter a username for the adminuser.";
    $LP_user2                   = "Username:";
    $LP_user3                   = "<br>Please enter a password for the adminuser.";
    $LP_user4                   = "Please make sure the passwords are the same.";
    $LP_user5                   = "Password:";
    $LP_user6                   = "Password check:";
    $LP_user7                   = "******** (not displayed)";
    $LP_user8                   = "<br>Please make sure you enter a correct eMail-address for the adminuser";
    $LP_user9                   = "eMail:";
    $LP_user10                  = "<br>Please make sure you enter a correct sender-address for ConPresso system messages";
    $LP_user11                  = "Sender-address:";
    $LP_user12                  = "<br>ConPresso needs to know the base-URL of your project. Please make sure the following value is okay.";
    $LP_user13                  = "Base-URL:";

    $LP_db_admin                = "<br>Creating admin user in database... ";
    $LP_settings                = "Setting up system-settings, first rubrics and tempates... ";


    # Step 5
    $LP_Ready1                  = "<b>You ConPresso is now set up.</b>";
    $LP_Ready2                  = "<br><b>ATTENTION!</b><br><br>It is still possible to access the setup-function of ConPresso. If the setup is run again the actual database is overwritten and all data gets deleted. This can also be done by unauthorized people.<br><br>Please remove the setup-directory (_setup), remove the rights to access it or rename it.";

    $LP_FirstSteps              = "<hr /><b>FIRST STEPS</b><ul><li>Read the file <a target=\"_blank\" href=\"../README_EN.txt\">README_EN.txt</A></li><li>create new user-accounts using 'Create user'.</li><li>'Change user' enables you to give users new rights and administrate all user accounts</li><li>Create new categories (see <a target=\"_blank\" href=\"../README_EN.txt\">README_EN.txt</a>)</li><li>modify the look of your pages by changing the header- and footer-files (see <a target=\"_blank\" href=\"../README_EN.txt\">README_EN.txt</a>)</li></ul><a href=\"../\" target=\"_blank\">Open ConPresso in new window.</a><hr />"; 
?>
