<?php 
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: step3.inc.php,v 1.1.1.1.2.4 2003/09/01 09:02:35 balu Exp $
if (!defined('CPO')) exit;
?>
<h5><?php echo $LP_Step ?> 3</h5>
<?php
require("../"."_include/db_mysql.inc.php");

$stepOK = true;
$dbFile = "../"."_cfg/db.inc.php";
print("<input class=\"i0\" type=\"hidden\" name=\"dbHost\" value=\"".$dbHost."\"/>");
print("<input class=\"i0\" type=\"hidden\" name=\"dbLogin\" value=\"".$dbLogin."\"/>");
print("<input class=\"i0\" type=\"hidden\" name=\"dbPassword\" value=\"".$dbPassword."\"/>");
print("<input class=\"i0\" type=\"hidden\" name=\"dbName\" value=\"".$dbName."\"/>");
print("<input class=\"i0\" type=\"hidden\" name=\"dbPrefix\" value=\"".$dbPrefix."\"/>");

$dbFileContent = 
    "<?php\n".
    "\$dbPrefix = \"".$dbPrefix."\";\n".
    "class DB extends DB_mysql\n".
    "{\n".
    "    var \$Host     = \"".$dbHost."\";\n".
    "    var \$User     = \"".$dbLogin."\";\n".
    "    var \$Password = \"".$dbPassword."\";\n".
    "    var \$Database = \"".$dbName."\";\n".
    "}\n".
    "\n".
    "// ".$LP_db2a."\n".
    "\n".
    "?>\n";

// File does not exist, create it or make the user do so.
if (!@file_exists($dbFile)){
    // check if we can write the database config file
    $check = @fopen($dbFile, "w");
    if (!$check) {
        print($LP_db1." <i>".$dbFile."</i> ".$LP_db2."<hr><pre>".htmlspecialchars($dbFileContent)."</pre><hr></ol>"
        );
        $stepOK = false;
    } else {
        print($LP_db10);
        if (!fwrite($check, $dbFileContent)) {
            printf("<br>".$LP_db11."<br>");
            $stepOK = false;
        } else
            printf("<b>".$LP_OK."</b><br>");
        fclose($check);
    }
}

// File exists, check if settings are OK
if (file_exists($dbFile)){
    print($LP_db12."<br>");
    require($dbFile);
    $dbTest = new DB;
    if ($dbHost != $dbTest->Host) { 
        print($LP_db20." \"<b>".$dbHost."</b>\", ".$LP_db25." \"<b>".$dbTest->Host."</b>\"<br>");
        $stepOK = false;
    }
    if ($dbLogin != $dbTest->User) { 
        print($LP_db21." \"<b>".$dbLogin."</b>\", ".$LP_db25." \"<b>".$dbTest->User."</b>\"<br>");
        $stepOK = false;
    }
    if ($dbPassword != $dbTest->Password) { 
        print($LP_db22." \"<b>".$dbPassword."</b>\", ".$LP_db25." \"<b>".$dbTest->Password."</b>\"<br>");
        $stepOK = false;
    }
    if ($dbName != $dbTest->Database) { 
        print($LP_db23." \"<b>".$dbName."</b>\", ".$LP_db25." \"<b>".$dbTest->Database."</b>\"<br>");
        $stepOK = false;
    }

    if ($stepOK == false) 
        print($LP_db30."<br><hr><pre>".htmlspecialchars($dbFileContent)."</pre><hr>");
    else 
        print($LP_db31."<br>");
}

// Create database tables
if ($stepOK) {
    // There should be some checks for errors here ...

    print($LP_db32);
    $sql = file("conpresso.sql");
    $db = new DB;
    foreach ($sql as $line) {
        $query = trim($line);
        $query = preg_replace('/cpo_/', $dbPrefix."_", $query);
        if ($query == "" or preg_match('/^#.*/', $query)) continue;
        $db->query($query);
    }
    print("<b>".$LP_OK."</b>.<br>");
}

print("<br />");
?>
