<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: user_list.php,v 1.1.1.1.2.5 2003/10/28 09:46:10 balu Exp $
if (!defined('CPO')) exit;

    $anzahl = 10;

    if ( $pos == '' || $pos < '0')  {
        $pos = "0";
    }
    
    $query = "SELECT COUNT(*) FROM ".$dbPrefix."_user WHERE user != '' ";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db = new db;
    $db->query($query);
    $db->next_record();
    $max_data = $db->v('COUNT(*)');

    $query = "SELECT user, admin, id, usergroup, name, email "
            ."FROM ".$dbPrefix."_user WHERE user != '' ORDER BY user LIMIT ".$pos.",".$anzahl."";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db = new db;
    $db->query($query);

    if ($db->num_rows()>0) {
        echo "<table width=\"".$WIDTH."\" border='0' cellpadding='3' cellspacing='2'>\n";
        echo "<tr bgcolor='".$color_tbg_dunkel."'>\n";
        echo "<td width='100' align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b>".$LP_User."</b></td><td align=\"left\" valign=\"middle\" class=\"text\" class=\"text\">\n";
        help("UV001");
        echo "</td></tr></table></td><td width='30' align=\"left\" class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b>".$LP_Level."</b></td><td align=\"left\" valign=\"middle\" class=\"text\" class=\"text\">\n";
        help("UV002");
        echo "</td></tr></table></td><td width='30' align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b>".$LP_Usergroup."</b></td><td align=\"left\" valign=\"middle\" class=\"text\" class=\"text\">\n";
        help("UV003a");
        echo "</td></tr></table></td><td width='50%' align='left' class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b>".$LP_UserName."</b></td><td align=\"left\" valign=\"middle\" class=\"text\" class=\"text\">\n";
        help("UV003");
        echo "</td></tr></table></td><td align=\"left\" class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b>".$LP_Rights."</b></td><td align=\"left\" valign=\"middle\" class=\"text\" class=\"text\">\n";
        help("UV004");
        echo "</td></tr></table></td><td align=\"left\" class='text'><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"middle\" class=\"text\"><b>".$LP_UserDel."</b></td><td align=\"left\" valign=\"middle\" class=\"text\" class=\"text\">\n";
        help("UV005");
        echo "</td></tr></table></td></tr>\n";

        while($db->next_record()):

            echo "<tr bgcolor='".$color_data_hell."'>";
            echo "<td align='left' nowrap class='text'>";
            
            if ( $db->v("user") != '' && $db->v("admin") == 4 && $_SESSION['SID_level'] == 3 ) {
                $username = $db->v("user");
                echo "".ucfirst($username)."\n";
                echo "<br>";
            } else {
                $username = $db->v("user");
                echo "<a href='change.php?id=".$db->v("id")."' target='_self'><b>".ucfirst($username)."</b></a>\n";
                echo "<br>";
            } 

            echo "</td>";
            echo "<td align='left' nowrap class='text'>";
            
            if ( $db->v("admin") == '' ) {
                echo "<br>";
            } else {
                $admin = $db->v("admin");
                switch ($admin) {
                    case 1:
                        echo $LP_Admin_1cut."\n";
                        break;  /* Beendet nur switch. */
                    case 2:
                        echo $LP_Admin_2cut."\n";
                        break;  /* Beendet switch und while. */
                    case 3:
                        echo $LP_Admin_3cut."\n";
                        break;  /* Beendet switch und while. */
                    case 4:
                        echo $LP_Admin_4cut."\n";
                        break;  /* Beendet switch und while. */
                    default:
                        echo "<span class=\"textgrey\">".$LP_Admin_0cut."</span>\n";
                        break;
                }
            }

            echo "</td>";

            // --- Gruppe ---
            echo "<td align='left' nowrap class='text'>";
            
            if ( $db->v("usergroup") == '' ) {
                echo "<br>";
            } else {
                $usergroup = $db->v("usergroup");
                echo ucfirst($usergroup)."<br>\n";
            }

            echo "</td>";
            echo "<td align='left' nowrap class='text'>";

            if ( $db->v("name") != '' ) {
                $username = $db->v("name");
                echo "<b>".ucfirst($username)."</b>\n";
                if ( $db->v("email") != '' ) {
                    $useremail = $db->v("email");
                    echo "<a href=\"mailto:".$useremail."\"><img src=\"../_images/mail.gif\" width=\"15\" height=\"7\" alt=\"".$useremail."\" border=\"0\"></a><br>";
                }
            } 

            echo "</td>\n";
            echo "<td align=\"left\" nowrap class='text'>";
            if ( $admin == 0 || ( $db->v("user") != '' && $db->v("admin") == 4 && $_SESSION['SID_level'] == 3 ) ) {
                echo "-\n";
            } else {
                $username = $db->v("user");
                echo "<a href='permission.php?id=0&user_id=".$db->v("id")."&user=".$db->v("user")."' target='_self'><b>".$LP_UserChange."</b></a>\n";
                echo "<br>";
            }

            echo "</td>\n";
            echo "<td align=\"left\" nowrap class='text'>";

            $login    = ucfirst($_SESSION['SID_login']);
            $username = ucfirst($username);

            if ( ( $db->v("id") != '' && $db->v("admin") == 4 && $_SESSION['SID_level'] == 3 ) || $username == $login ) {
                echo "-<br>";
            } else {
                $id = $db->v("id");
                $user = $db->v("user");
                echo "<a href=\"delete.php?id=".$id."&pos=".$pos."&user=".$user."\" onClick=\"return confirm('".$LP_DeleteUserReally_1." [".$user."] ".$LP_DeleteUserReally_2."')\"><b>".$LP_UserDel."</b></a><br>";
            } 

            echo "</td></tr>\n";
        endwhile;

        echo "</table>\n";

    } else { 
        echo $LP_UserNoData."<br>\n";
    }

    next_page($pos,$max_data,$anzahl,1,"",0);

?>
