<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: daten.php,v 1.1.1.1.2.8 2003/10/28 09:46:10 balu Exp $
define('CPO', true);
if (file_exists("../_cfg/const.php")) require("../_cfg/const.php");
else require("../_cfg/const.php.dist");

    require(CPO_BASEDIR."_include/check.php");
    require(CPO_BASEDIR."_include/header.php");
    require(CPO_BASEDIR."_include/category_user.inc.php");

    $query = "SELECT id FROM ".$dbPrefix."_user WHERE user=\"".$_SESSION['SID_login']."\"";
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new db;
    $db->query($query);

    if ($db->num_rows()>0) {
        $db->next_record();
        $id = $db->v("id");
    }

    echo "<div align=\"left\" class=\"header\">";
    echo "<b>".$LP_OwnData."</b><br>";
    echo "</div><br>";
    echo "<span class=\"text\">".$LP_OwnDataText."</span><br>";
    echo "<br><br>";

    $email_text    = $LP_UserEMail.":";
    $name_text     = $LP_UserName.":";
    $passwd_1_text = $LP_UserPW1.":";
    $passwd_2_text = $LP_UserPW2.":";

    if ( !isset($enter) ) {
        // Ausgabe der Userdaten
        $wert          = fkt_read_db($id);
        $user          = $wert[0];
        $edit_email    = $wert[1];
        $edit_initial  = $wert[2];
        $name          = $wert[3];
        $admin         = $wert[4];
        $editor        = $wert[5];
        $usergroup     = $wert[6];
        $passwd        = $wert[7];
        $user_language = $wert[8];

        require(CPO_BASEDIR."_user/_include/form_user.php");
        require(CPO_BASEDIR."_include/footer.php");
        return;
    } 

    $user_text = $LP_User.":";
    if ( $user == '' ) {
        $user_text = "<font class=\"error\"><b>".$LP_User.":</b>";
        $error    = "<b>".$LP_User."</b> ".$LP_UserMissing."!<br>";
        $message  = $message.$error;
        $fehler   = '1';
    }

    $email_text = $LP_UserEMail.":";
    if ( $edit_email != '' && is_email_valid($edit_email) != 1 ) {
        $email_text = "<font class=\"error\"><b>".$LP_UserEMail.":</b>";
        $error      = "<b>".$LP_UserEMail.":</b> ".$LP_UserError."!<br>";
        $message    = $message.$error;
        $fehler     = '1';
        $edit_email      = '';
    }

    $name_text = $LP_UserName.":";
    if ( $name == '' ) {
        $name_text = "<font class=\"error\"><b>".$LP_UserName.":</b>";
        $error     = "<b>".$LP_UserName.":</b> ".$LP_UserMissing."!<br>";
        $message   = $message.$error;
        $fehler    = '1';
    }

    $passwd_1_text = $LP_UserPW1.":";
    $passwd_2_text = $LP_UserPW2.":";
    if ( $passwd == '' || $passwd != $passwd2 ) {
        $passwd_1_text = "<font class=\"error\"><b>".$LP_UserPW1.":</b>";
        $passwd_2_text = "<font class=\"error\"><b>".$LP_UserPW2.":</b>";
        $error         = "<b>".$LP_UserPW.":</b> ".$LP_UserError."!<br>";
        $message       = $message.$error;
        $fehler        = '1';
        $passwd        = '';
        $passwd2       = '';
    }

    if ( $fehler == '1' ) {
        require(CPO_BASEDIR."_include/message.php");
        require(CPO_BASEDIR."_user/_include/form_user.php");
        require(CPO_BASEDIR."_include/footer.php");
        return;
    } 

    // Wenn der User keine Berechtungung zur Aenderung seines Levels hat, wird dieser zurueck gesetzt!
    if ( $_SESSION['SID_level'] < 3 ) {
        $admin = $_SESSION['SID_level'];
    } 

    $c_datum = date ("Y-m-d H:i:s" ,time());
    $t_datum = date ("YmdHis" ,time());

    // User anlegen!
    
    // $query = "REPLACE INTO ".$dbPrefix."_user (id, user, name, initial, email, admin, passwd, timestamp, c_time, changer) VALUES (\"".$id."\", \"".ucfirst($user)."\", \"".$name."\", \"".$edit_initial."\", \"".$edit_email."\", \"".$admin."\", \"".$passwd."\", \"".$t_datum."\", \"".$c_datum."\", \"".$_SESSION['SID_login']."\")";
    
    $query = "UPDATE ".$dbPrefix."_user SET user = \"".ucfirst($user)."\", name = \"".$name."\", initial = \"".$edit_initial."\", email = \"".$edit_email."\", admin = \"".$admin."\", editor = \"".$editor."\", usergroup = \"".$usergroup."\", timestamp = \"".$t_datum."\", c_time = \"".$c_datum."\", changer = \"".$_SESSION['SID_login']."\" WHERE id = '".$id."'";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query); 
    
    if ( $passwd != '-nopasswd-' ) {
        $passwd_md5 = md5 ($passwd);
        // echo "passwd_md5: ".$passwd_md5."<br>";

        $query = "UPDATE ".$dbPrefix."_user SET passwd = \"".$passwd_md5."\" WHERE id = '".$id."'";
        DEBUG(2, $query, __FILE__, __LINE__);
        $db = new DB;
        $db->query($query); 
    }

    $msg     = $LP_UserDB_OK."<br>\n";
    $message = $message.$msg;

    require(CPO_BASEDIR."_include/message.php");

    $zeile1      = $user." | ".$name." \n";

    fkt_log($_SESSION['SID_login'], $LOG_UserChange2, $zeile1);

    // Ausgabe der Userdaten
    $wert          = fkt_read_db($id);
    $user          = $wert[0];
    $edit_email    = $wert[1];
    $edit_initial  = $wert[2];
    $name          = $wert[3];
    $admin         = $wert[4];
    $editor        = $wert[5];
    $usergroup     = $wert[6];
    $passwd        = $wert[7];
    $user_language = $wert[8];

    require(CPO_BASEDIR."_user/_include/form_user.php");
    require(CPO_BASEDIR."_include/footer.php");
?>
