<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4 nowrap: */
// +----------------------------------------------------------------------+
// | ConPresso version 3                                                  |
// +----------------------------------------------------------------------+
// | Copyright (c) 2000-2003                                              |
// | Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany               |
// +----------------------------------------------------------------------+
// | This source file is subject to ConPresso license version 2002-11-16  |
// | that is bundled with this package in the files LICENSE_EN.TXT or     |
// | LICENSE_DE.TXT, and is available at through the world-wide-web at    |
// |    http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or      |
// |    http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT         |
// | If you did not receive a copy of the ConPresso license and are       |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@conpresso.de so we can mail you a copy immediately.       |
// +----------------------------------------------------------------------+
// | Authors: ConPresso development and support team                      |
// |          <support@conpresso.de>                                      |
// +----------------------------------------------------------------------+
//
// $Id: edit.php,v 1.1.1.1.2.7 2003/10/14 20:23:27 balu Exp $
define('CPO', true);
if (file_exists("../_cfg/const.php")) require("../_cfg/const.php");
else require("../_cfg/const.php.dist");

    require(CPO_BASEDIR."_include/check.php");
    require(CPO_BASEDIR."_include/header.php");
    require(CPO_BASEDIR."_include/category_user.inc.php");

    echo "<div align=\"left\" class=\"header\">";
    echo "<b>".$LP_UserManagementEdit."</b><br>";
    echo "</div><br>";
    echo $LP_UserEditText."<br>";
    echo "<br><br>";

    $user_text     = $LP_User.":";
    $email_text    = $LP_UserEMail.":";
    $name_text     = $LP_UserName.":";
    $passwd_1_text = $LP_UserPW1.":";
    $passwd_2_text = $LP_UserPW2.":";
    
    if ( !isset($enter) ) 
    {
        // Ausgabe der Userdaten
        $wert          = fkt_read_db($id);
        $user          = $wert[0];
        $edit_email    = $wert[1];
        $edit_initial  = $wert[2];
        $name          = $wert[3];
        $admin         = $wert[4];
        $editor        = $wert[5];
        $usergroup     = $wert[6];
        $passwd        = $wert[7];
        $user_language = $wert[8];

        require(CPO_BASEDIR."_user/_include/form_user_edit.php");
    } else {
        $query = "SELECT user FROM ".$dbPrefix."_user WHERE user = '".$user."'";
        DEBUG(1, $query, __FILE__, __LINE__);
        $db = new db;
        $db->query($query);

        if ($db->num_rows()>0)
        {
            $user_text = "<font class=\"error\"><b>".$LP_User.":</b>";
            $error     = "<b>".$LP_User.":</b> ".$LP_UserExist."!<br>";
            $message   = $message.$error;
            $user      = '';
            $fehler    = '1';
        } else { 
            if ( $user == '' ) 
            {
                $user_text = "<font class=\"error\"><b>".$LP_User.":</b>";
                $error     = "<b>".$LP_User.":</b> ".$LP_UserMissing."!<br>";
                $message   = $message.$error;
                $fehler    = '1';
            } else {
                $user_text = $LP_User.":";
            }
        }

        if ( $edit_email != '' && is_email_valid($edit_email) != 1 ) 
        {
            $email_text = "<font class=\"error\"><b>".$LP_UserEMail.":</b>";
            $error      = "<b>".$LP_UserEMail.":</b> ".$LP_UserError."!<br>";
            $message    = $message.$error;
            $fehler     = '1';
            $edit_email      = '';
        } else {
            $email_text = $LP_UserEMail.":";
        }

        if ( $name == '' ) {
            $name_text = "<font class=\"error\"><b>".$LP_UserName.":</b>";
            $error     = "<b>".$LP_UserName.":</b> ".$LP_UserMissing."!<br>";
            $message   = $message.$error;
            $fehler    = '1';
        } else {
            $name_text = $LP_UserName.":";
        }

        if ( $passwd == '' || $passwd != $passwd2 ) 
        {
            $passwd_1_text = "<font class=\"error\"><b>".$LP_UserPW1.":</b>";
            $passwd_2_text = "<font class=\"error\"><b>".$LP_UserPW2.":</b>";
            $error         = "<b>".$LP_UserPW.":</b> ".$LP_UserError."!<br>";
            $message       = $message.$error;
            $fehler        = '1';
        } else {
            $passwd_1_text = $LP_UserPW1.":";
            $passwd_2_text = $LP_UserPW2.":";
        }

        if ( $fehler == '1' ) {

            require(CPO_BASEDIR."_include/message.php");
            
            require(CPO_BASEDIR."_user/_include/form_user_edit.php");

        } else {

            $c_datum = date ("Y-m-d H:i:s" ,time());
            $t_datum = date ("YmdHis" ,time());

            $passwd_md5 = md5 ($passwd);
            
            // User anlegen!

            # echo "ADMIN: ".$admin."<br>";

            if ( $editor != 1 ) {
                $editor = 0;
            }
            
            $query = "INSERT INTO ".$dbPrefix."_user (id, user, name, initial, email, language, admin, editor, usergroup, passwd, timestamp, c_time, changer) VALUES (\"".$id."\", \"".ucfirst($user)."\", \"".$name."\", \"".$edit_initial."\", \"".$edit_email."\", \"".$user_language."\", \"".$admin."\", \"".$editor."\", \"".$usergroup."\", \"".$passwd_md5."\", \"".$t_datum."\", \"".$c_datum."\", \"".$_SESSION['SID_login']."\")";
            DEBUG(1, $query, __FILE__, __LINE__);
            $db = new DB;
            $db->query($query); 

            $query = "SELECT id FROM ".$dbPrefix."_user WHERE id = LAST_INSERT_ID() "; 
            DEBUG(2, $query, __FILE__, __LINE__);   
            $db = new DB;
            $db->query($query); 
            if ($db->num_rows()>0)
            { 
                while($db->next_record()):
                    if ( $db->v("id") != '' )
                    {
                        $id =  $db->v("id");
                        // echo "ID: ".$id."<br>";
                    }
                endwhile;
            } else { 
                echo "<b><font class=\"error\">UPS: Dieser Fehler [user/edit.php] h&auml;tte nicht Auftauchen d&uuml;rfen!</font></b><br>\n";
            }

            $error = "<br>".$LP_UserDB_OK."<br><br>\n";
            $message = $message.$error;

            $error = "<img src=\"../_images/db_ani.gif\" height=\"20\" width=\"15\" alt=\"".$LP_UserDB_OK."\" border=\"0\"><br><br>\n";
            $message = $message.$error;

            $xtitel = substr($xtitel, 0, 20);
            $xuntertitel = substr($xuntertitel, 0, 20);
            $zeile1 = ucfirst($user)." | ".$name." \n";

            fkt_log($_SESSION['SID_login'], $LOG_UserEnter2, $zeile1);

            // Ausgabe der Userdaten
            $wert          = fkt_read_db($id);
            $user          = $wert[0];
            $edit_email    = $wert[1];
            $edit_initial  = $wert[2];
            $name          = $wert[3];
            $admin         = $wert[4];
            $editor        = $wert[5];
            $usergroup     = $wert[6];
            $passwd        = $wert[7];
            $user_language = $wert[8];
    
            if ( $_SESSION['SID_level'] >= 3 && $admin != 0 ) 
            {
                $release = "<br>".$LP_UserRightsNew." <a href='permission.php?id=0&user_id=".$id."&user=".$user."' target='_self'><b>".$LP_UserRights."</b></a> ".$LP_UserRightsNew2."\n";
            } 

            $message = "\n".$LP_MessageSuccess."<br>".$release;
            require(CPO_BASEDIR."_include/message.php");        
            
            require(CPO_BASEDIR."_user/_include/form_user.php");

        }
    }
    
    require(CPO_BASEDIR."_include/footer.php");
    
?>
